!******************************************************************************!
!                                                                              !
!    fill_couplings3.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings3.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 21:28             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl3()
      coupl(nGC_292) = -ca*cb**2d0*cima*ee**2d0*vev2/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l2*vev2 - ca*cb**2d0*cima*ee**2d0*vev2/(2d0*cw**  &
                       2d0) + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + 2d0*ca&
                       *cb*cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb*vev1/(2d0*cw&
                       **2d0) - ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*  &
                       vev2 + ca*cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1&
                        + cb**2d0*cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 -  &
                       cb*cima*ee**2d0*sa*sb*vev2/(2d0*sw**2d0) - 2d0*cb*cima* &
                       l5*sa*sb*vev2 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0 &
                       ) + cima*ee**2d0*sa*sb**2d0*vev1/(2d0*sw**2d0) + cima*l1&
                       *sa*sb**2d0*vev1 + cima*ee**2d0*sa*sb**2d0*vev1/(2d0*cw &
                       **2d0)
      coupl(nGC_293) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/ &
                       2d0 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb* &
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cima*ee**  &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev2&
                       /2d0 + ca*cima*l5*sb**2d0*vev2/2d0 + cb**2d0*cima*ee**  &
                       2d0*sa*vev1/(4d0*sw**2d0) - cb**2d0*cima*l4*sa*vev1/2d0 &
                        - cb**2d0*cima*l5*sa*vev1/2d0 + cb*cima*ee**2d0*sa*sb* &
                       vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*&
                       sa*sb*vev2 + cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb&
                       **2d0*vev1/2d0
      coupl(nGC_298) = -ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l5*vev2 - ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**  &
                       2d0) + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + ca*cb*&
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cb*cima*l4*&
                       sb*vev1 + ca*cb*cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb*&
                       vev1/(2d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev2/(4d0* &
                       sw**2d0) + ca*cima*l5*sb**2d0*vev2 + ca*cima*ee**2d0*sb &
                       **2d0*vev2/(4d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa*vev1 &
                       /(4d0*sw**2d0) - cb**2d0*cima*l5*sa*vev1 - cb**2d0*cima*&
                       ee**2d0*sa*vev1/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*sb*  &
                       vev2/(2d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*&
                       sa*sb*vev2 + cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*  &
                       vev2 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0) + cima* &
                       ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l5*sa*sb** &
                       2d0*vev1 + cima*ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0)
      coupl(nGC_299) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*ee**2d0*sb*vev1/( &
                       2d0*sw**2d0) - ca*cb*cima*l4*sb*vev1 - ca*cb*cima*l5*sb*&
                       vev1 - ca*cima*ee**2d0*sb**2d0*vev2/(2d0*sw**2d0) - ca* &
                       cima*l2*sb**2d0*vev2 + cb**2d0*cima*ee**2d0*sa*vev1/(2d0&
                       *sw**2d0) + cb**2d0*cima*l1*sa*vev1 + cb*cima*ee**2d0*sa&
                       *sb*vev2/(2d0*sw**2d0) + cb*cima*l4*sa*sb*vev2 + cb*cima&
                       *l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_1638) = ca*cb**2d0*cima*sa
      coupl(nGC_1639) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1632) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw**2d0)
      coupl(nGC_1633) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/cw
      coupl(nGC_1630) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw)
      coupl(nGC_1631) = cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_1636) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1637) = -ca*cima*sa*sb**2d0
      coupl(nGC_1634) = -cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_1635) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**  &
                        2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa* &
                        sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*&
                        l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + &
                        l5*sa**2d0*sb**2d0)
      coupl(nGC_1343) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_273) = -cb*ee**2d0*vev1/(2d0*sw**2d0) - ee**2d0*sb*vev2/(2d0*sw&
                       **2d0)
      coupl(nGC_1830) = -ca*cima*sa*sb**2d0
      coupl(nGC_1831) = ca*cb**2d0*cima*sa
      coupl(nGC_1832) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1833) = -cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**  &
                        2d0 - 2d0*cb*sa**2d0*sb)
      coupl(nGC_1834) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l2*sb**2d0  &
                         + ca**2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**2d0*l5&
                        *sb**2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa**2d0 + cb&
                        **2d0*l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**2d0*l5*sa**&
                        2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0 - l4*sa**&
                        2d0*sb**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_1835) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *l1*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb  &
                         + 4d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb**2d0*l3&
                        *sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
      coupl(nGC_1836) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1837) = -cb*cima*sa**2d0*sb
      coupl(nGC_1838) = ca**2d0*cb*cima*sb
      coupl(nGC_1839) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1431) = -sqrt(2d0)*cima*(ca*yt2 - sa*yt1)/2d0
      coupl(nGC_1949) = -cima*(-2d0*ca**2d0*cb*l4*sb - 2d0*ca**2d0*cb*l5*sb +  &
                        ca*cb**2d0*l1*sa + ca*cb**2d0*l2*sa - 2d0*ca*cb**2d0*l3&
                        *sa - ca*l1*sa*sb**2d0 - ca*l2*sa*sb**2d0 + 2d0*ca*l3* &
                        sa*sb**2d0 + 2d0*cb*l4*sa**2d0*sb + 2d0*cb*l5*sa**2d0* &
                        sb)
      coupl(nGC_1344) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1940) = cb*cima*sa**2d0*sb
      coupl(nGC_1941) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1942) = -cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb&
                        **2d0 - cb*sa**2d0*sb)
      coupl(nGC_1943) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*&
                        cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0&
                        *ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa** &
                        2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_1867) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_1866) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca*cb&
                        **2d0*l4*sa + ca*cb**2d0*l5*sa - ca*l4*sa*sb**2d0 - ca*&
                        l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb)
      coupl(nGC_553) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0 -  &
                       ca*l5*sb**2d0 + 2d0*cb*l2*sa*sb - 2d0*cb*l3*sa*sb)/2d0
      coupl(nGC_1710) = -ca**2d0*cb*cima*sb
      coupl(nGC_1544) = 4d0*cima*ee**2d0/sw**3d0
      coupl(nGC_551) = cima*(ca*cb**2d0*l1*vev1 - ca*cb**2d0*l3*vev1 + 2d0*ca* &
                       cb*l4*sb*vev2 + 2d0*ca*cb*l5*sb*vev2 - ca*l1*sb**2d0*   &
                       vev1 + ca*l3*sb**2d0*vev1 - cb**2d0*l2*sa*vev2 + cb**2d0&
                       *l3*sa*vev2 + 2d0*cb*l4*sa*sb*vev1 + 2d0*cb*l5*sa*sb*   &
                       vev1 + l2*sa*sb**2d0*vev2 - l3*sa*sb**2d0*vev2)
      coupl(nGC_1543) = -4d0*cima*ee**2d0/sw**2d0
      coupl(nGC_1712) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1494) = -2d0*cima*ee
      coupl(nGC_1492) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_2293) = ee*(cb**2d0 + sb**2d0)/(2d0*sw)
      coupl(nGC_1491) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_187) = cb**2d0*ee**2d0/(2d0*sw) + ee**2d0*sb**2d0/(2d0*sw)
      coupl(nGC_2268) = -cima*(2d0*ca*cb*sb*vev2 - ca*sb**2d0*vev1 - cb**2d0*sa&
                        *vev2 + 2d0*cb*sa*sb*vev1)
      coupl(nGC_857) = -coupl(nGC_12)
      coupl(nGC_853) = -coupl(nGC_26)
      coupl(nGC_851) = -2d0*coupl(nGC_216)
      coupl(nGC_1308) = cima*sb
      coupl(nGC_1309) = -cb*cima
      coupl(nGC_1306) = -cima*sb
      coupl(nGC_1307) = cima*(cb*ydo1 + sb*ydo2)
      coupl(nGC_1304) = -cima*(cb*ym2 - sb*ym1)
      coupl(nGC_1305) = -cb*cima
      coupl(nGC_601) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1&
                       )/(cw**2d0*sw**2d0)
      coupl(nGC_2273) = -sqrt(2d0)*sb/2d0
      coupl(nGC_2272) = -sqrt(2d0)*cb/2d0
      coupl(nGC_2163) = 2d0*cima*ee**2d0/sw
      coupl(nGC_2162) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_2161) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_2160) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_2279) = cima*ee**2d0*(cb*vev2 - sb*vev1)/cw
      coupl(nGC_2164) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_2278) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw**2d0)
      coupl(nGC_2309) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5 + &
                        ca*l1*sb**2d0 - 2d0*cb*l5*sa*sb)
      coupl(nGC_2308) = -cima*(-2d0*ca*cb*l5*sb + cb**2d0*l2*sa + l3*sa*sb**2d0&
                         + l4*sa*sb**2d0 - l5*sa*sb**2d0)
      coupl(nGC_2303) = 3d0*ca*cima*sa**3d0
      coupl(nGC_2302) = -3d0*ca**3d0*cima*sa
      coupl(nGC_2301) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_2307) = -2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*&
                        cb*l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 +  &
                        ca*l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb* &
                        vev2 + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa* &
                        sb*vev2 + l5*sa*sb**2d0*vev1)
      coupl(nGC_2306) = 3d0*cima*(-ca**4d0*l2 + ca**4d0*l3 + ca**4d0*l4 + ca** &
                        4d0*l5 + 3d0*ca**2d0*l1*sa**2d0 + 3d0*ca**2d0*l2*sa**  &
                        2d0 - 6d0*ca**2d0*l3*sa**2d0 - 6d0*ca**2d0*l4*sa**2d0  &
                         - 6d0*ca**2d0*l5*sa**2d0 - l1*sa**4d0 + l3*sa**4d0 +  &
                        l4*sa**4d0 + l5*sa**4d0)
      coupl(nGC_2305) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_2304) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1337) = -cb*cima
      coupl(nGC_283) = -cb*cima*cw*ee**2d0*vev1/(4d0*sw**2d0) + cb*cima*ee**2d0&
                       *vev1/(4d0*cw) - cima*cw*ee**2d0*sb*vev2/(4d0*sw**2d0   &
                       ) + cima*ee**2d0*sb*vev2/(4d0*cw)
      coupl(nGC_282) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 + ca*cb*cima*ee**2d0*sb*vev2/(2d0* &
                       sw**2d0) + 2d0*ca*cb*cima*l5*sb*vev2 + ca*cb*cima*ee**  &
                       2d0*sb*vev2/(2d0*cw**2d0) - ca*cima*ee**2d0*sb**2d0*vev1&
                       /(2d0*sw**2d0) - ca*cima*l1*sb**2d0*vev1 - ca*cima*ee** &
                       2d0*sb**2d0*vev1/(2d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa&
                       *vev2/(2d0*sw**2d0) - cb**2d0*cima*l2*sa*vev2 - cb**2d0*&
                       cima*ee**2d0*sa*vev2/(2d0*cw**2d0) + cb*cima*ee**2d0*sa*&
                       sb*vev1/(2d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev1 + cb* &
                       cima*ee**2d0*sa*sb*vev1/(2d0*cw**2d0) - cima*l3*sa*sb** &
                       2d0*vev2 - cima*l4*sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*&
                       vev2
      coupl(nGC_281) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*ee**2d0*sb*vev2/( &
                       2d0*sw**2d0) + ca*cb*cima*l4*sb*vev2 + ca*cb*cima*l5*sb*&
                       vev2 - ca*cima*ee**2d0*sb**2d0*vev1/(2d0*sw**2d0) - ca* &
                       cima*l1*sb**2d0*vev1 - cb**2d0*cima*ee**2d0*sa*vev2/(2d0&
                       *sw**2d0) - cb**2d0*cima*l2*sa*vev2 + cb*cima*ee**2d0*sa&
                       *sb*vev1/(2d0*sw**2d0) + cb*cima*l4*sa*sb*vev1 + cb*cima&
                       *l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_280) = -ca*cb**2d0*cima*l5*vev1 + ca*cb*cima*ee**2d0*sb*vev2/( &
                       4d0*sw**2d0) - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*&
                       vev2 + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb*vev2 +  &
                       ca*cb*cima*ee**2d0*sb*vev2/(4d0*cw**2d0) - ca*cima*ee** &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) + ca*cima*l5*sb**2d0*vev1&
                        - ca*cima*ee**2d0*sb**2d0*vev1/(4d0*cw**2d0) - cb**2d0*&
                       cima*ee**2d0*sa*vev2/(4d0*sw**2d0) + cb**2d0*cima*l5*sa*&
                       vev2 - cb**2d0*cima*ee**2d0*sa*vev2/(4d0*cw**2d0) + cb* &
                       cima*ee**2d0*sa*sb*vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb&
                       *vev1 + cb*cima*l3*sa*sb*vev1 + cb*cima*l4*sa*sb*vev1 - &
                       cb*cima*l5*sa*sb*vev1 + cb*cima*ee**2d0*sa*sb*vev1/(4d0*&
                       cw**2d0) - cima*l5*sa*sb**2d0*vev2
      coupl(nGC_286) = cb*cima*cw*ee**2d0*vev1/(2d0*sw**2d0) - cb*cima*ee**2d0*&
                       vev1/(2d0*cw) + cima*cw*ee**2d0*sb*vev2/(2d0*sw**2d0) - &
                       cima*ee**2d0*sb*vev2/(2d0*cw)
      coupl(nGC_285) = -cb*cima*cw*ee**2d0*vev1/(2d0*sw**2d0) - cb*cima*ee**2d0&
                       *vev1/(2d0*cw) - cima*cw*ee**2d0*sb*vev2/(2d0*sw**2d0   &
                       ) - cima*ee**2d0*sb*vev2/(2d0*cw)
      coupl(nGC_284) = cb*cima*cw*ee**2d0*vev1/(4d0*sw**2d0) + cb*cima*ee**2d0*&
                       vev1/(4d0*cw) + cima*cw*ee**2d0*sb*vev2/(4d0*sw**2d0) + &
                       cima*ee**2d0*sb*vev2/(4d0*cw)
      coupl(nGC_335) = sqrt(2d0)*cb*yc2/2d0 - sqrt(2d0)*sb*yc1/2d0
      coupl(nGC_289) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l5*vev2 + ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**2d0&
                       ) - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb*   &
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cb*cima*l4*&
                       sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca*cb*cima*ee**2d0*sb*&
                       vev1/(4d0*cw**2d0) + ca*cima*l5*sb**2d0*vev2 - cb**2d0* &
                       cima*l5*sa*vev1 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*sw**  &
                       2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2 + cb*cima*&
                       ee**2d0*sa*sb*vev2/(4d0*cw**2d0) - cima*ee**2d0*sa*sb** &
                       2d0*vev1/(4d0*sw**2d0) + cima*l5*sa*sb**2d0*vev1 - cima*&
                       ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0)
      coupl(nGC_288) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0 - ca*cb* &
                       cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb*cima*l1*sb*  &
                       vev1 - ca*cb*cima*l3*sb*vev1 + ca*cima*l4*sb**2d0*vev2/ &
                       2d0 + ca*cima*l5*sb**2d0*vev2/2d0 - cb**2d0*cima*l4*sa* &
                       vev1/2d0 - cb**2d0*cima*l5*sa*vev1/2d0 + cb*cima*ee**2d0&
                       *sa*sb*vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb* &
                       cima*l3*sa*sb*vev2 - cima*ee**2d0*sa*sb**2d0*vev1/(4d0* &
                       sw**2d0) + cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**&
                       2d0*vev1/2d0
      coupl(nGC_1785) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0&
                        *l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb  &
                         + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4&
                        *sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5&
                        *sa**2d0*sb**2d0)
      coupl(nGC_1339) = sqrt(2d0)*cima*(ca*yd12x2 + sa*ys2)/2d0
      coupl(nGC_1801) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_1800) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_1803) = cima*(2d0*ca*cb*sb*vev1 + ca*sb**2d0*vev2 - cb**2d0*sa*&
                        vev1 - 2d0*cb*sa*sb*vev2)
      coupl(nGC_1802) = cima*(ca*cb**2d0*l3*vev1 + ca*cb**2d0*l4*vev1 - ca*cb**&
                        2d0*l5*vev1 - 2d0*ca*cb*l5*sb*vev2 + ca*l1*sb**2d0*vev1&
                         + cb**2d0*l2*sa*vev2 - 2d0*cb*l5*sa*sb*vev1 + l3*sa*sb&
                        **2d0*vev2 + l4*sa*sb**2d0*vev2 - l5*sa*sb**2d0*vev2)
      coupl(nGC_1152) = cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**2d0
      coupl(nGC_1151) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_1150) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_1157) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1159) = -sqrt(2d0)*cima*(ca*ydo2 - sa*ydo1)/2d0
      coupl(nGC_1158) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1795) = 2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb&
                        *l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*&
                        l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1&
                         - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*  &
                        vev1 + l5*sa*sb**2d0*vev2)
      coupl(nGC_1794) = cb*cima
      coupl(nGC_1797) = cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa  &
                         - cb**2d0*l5*sa + l1*sa*sb**2d0)
      coupl(nGC_1796) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + ca*l4*sb**2d0 - &
                        ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
      coupl(nGC_1791) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*l1*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa* &
                        sb - 4d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa**2d0 - cb**2d0*&
                        l3*sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
      coupl(nGC_1790) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1793) = -cima*sb
      coupl(nGC_1792) = -cima*(cb*yup1 + sb*yup2)
      coupl(nGC_1799) = cima*sa*sb**2d0*vev1
      coupl(nGC_1798) = -ca*cb**2d0*cima*vev2
      coupl(nGC_1570) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1975) = -ca**2d0*cima*sb**2d0
      coupl(nGC_1977) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb** &
                        2d0)
      coupl(nGC_1976) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_1971) = -cb*cima
      coupl(nGC_1970) = -cima*sb
      coupl(nGC_1973) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_1979) = -ee**2d0*(cb**2d0 + sb**2d0)/sw
      coupl(nGC_2136) = -cb**4d0*cima
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_2137) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2130) = -3d0*cima*sb**4d0
      coupl(nGC_2131) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_849) = -2d0*coupl(nGC_26)
      coupl(nGC_2132) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_845) = -2d0*coupl(nGC_184)
      coupl(nGC_847) = -coupl(nGC_344)
      coupl(nGC_2133) = 4d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 - &
                        cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5*&
                        sb**2d0)
      coupl(nGC_843) = coupl(nGC_200)/2d0
      coupl(nGC_1950) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_1371) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
      coupl(nGC_1370) = -ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_1445) = sqrt(2d0)*(cb*ytau1 + sb*ytau2)/2d0
      coupl(nGC_1447) = sqrt(2d0)*sb/2d0
      coupl(nGC_1446) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1207) = -cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**2d0
      coupl(nGC_1206) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_1205) = 3d0*cima*(-ca**3d0*l3*vev2 - ca**3d0*l4*vev2 - ca**3d0*&
                        l5*vev2 + 3d0*ca**2d0*l1*sa*vev1 - 2d0*ca**2d0*l3*sa*  &
                        vev1 - 2d0*ca**2d0*l4*sa*vev1 - 2d0*ca**2d0*l5*sa*vev1 &
                         - 3d0*ca*l2*sa**2d0*vev2 + 2d0*ca*l3*sa**2d0*vev2 +   &
                        2d0*ca*l4*sa**2d0*vev2 + 2d0*ca*l5*sa**2d0*vev2 + l3*sa&
                        **3d0*vev1 + l4*sa**3d0*vev1 + l5*sa**3d0*vev1)
      coupl(nGC_1204) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_1403) = -cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0* &
                        cw**2d0*sw)
      coupl(nGC_1202) = -3d0*ca**3d0*cima*vev1
      coupl(nGC_1201) = -3d0*cima*sa**3d0*vev2
      coupl(nGC_1200) = -3d0*ca*cima*(ca**2d0*l1 + l3*sa**2d0 + l4*sa**2d0 + l5&
                        *sa**2d0)
      coupl(nGC_1209) = -cb*cima
      coupl(nGC_1208) = cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**3d0
      coupl(nGC_2171) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - 2d0*ca&
                        *cb*l4*sb*vev1 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0* &
                        vev2 + ca*l3*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 - cb**  &
                        2d0*l3*sa*vev1 + 2d0*cb*l4*sa*sb*vev2 + 2d0*cb*l5*sa*sb&
                        *vev2 - l1*sa*sb**2d0*vev1 + l3*sa*sb**2d0*vev1)
      coupl(nGC_2172) = -cima*(2d0*ca*cb*l2*sb - 2d0*ca*cb*l3*sb - cb**2d0*l4* &
                        sa - cb**2d0*l5*sa + l4*sa*sb**2d0 + l5*sa*sb**2d0)/2d0
      coupl(nGC_2173) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0 - &
                        ca*l5*sb**2d0 + 2d0*cb*l1*sa*sb - 2d0*cb*l3*sa*sb)/2d0
      coupl(nGC_2174) = -ca*cb*cima*sb*vev2
      coupl(nGC_2175) = -cb*cima*sa*sb*vev1
      coupl(nGC_2176) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
      coupl(nGC_2177) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_2178) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0* &
                        ca*cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0&
                        *vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb** &
                        2d0*l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb&
                        *vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)/2d0
      coupl(nGC_2179) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
      coupl(nGC_1621) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                        sw**2d0)
      coupl(nGC_2318) = sqrt(2d0)*cima*(ca*ydo1 + sa*ydo2)/2d0
      coupl(nGC_2319) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1822) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_2310) = -cb**2d0*cima*sa*vev2
      coupl(nGC_2311) = -ca*cima*sb**2d0*vev1
      coupl(nGC_2312) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_2313) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_2314) = cima*(-ca*cb**2d0*l2*vev2 + 2d0*ca*cb*l5*sb*vev1 - ca* &
                        l3*sb**2d0*vev2 - ca*l4*sb**2d0*vev2 + ca*l5*sb**2d0*  &
                        vev2 + cb**2d0*l3*sa*vev1 + cb**2d0*l4*sa*vev1 - cb**  &
                        2d0*l5*sa*vev1 - 2d0*cb*l5*sa*sb*vev2 + l1*sa*sb**2d0* &
                        vev1)
      coupl(nGC_2315) = cima*(ca*cb**2d0*vev1 + 2d0*ca*cb*sb*vev2 + 2d0*cb*sa* &
                        sb*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_2316) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_2317) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_513) = -cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l2*sa + l3* &
                       sa*sb**2d0)
      coupl(nGC_1986) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb** &
                        2d0)
      coupl(nGC_382) = cb*cima*yup2 - cima*sb*yup1
      coupl(nGC_383) = sqrt(2d0)*cb*yup2/2d0 - sqrt(2d0)*sb*yup1/2d0
      coupl(nGC_380) = -sqrt(2d0)*cb*ytau1/2d0 - sqrt(2d0)*sb*ytau2/2d0
      coupl(nGC_381) = -sqrt(2d0)*ca*cima*yup2/2d0 + sqrt(2d0)*cima*sa*yup1/2d0
      coupl(nGC_386) = sqrt(2d0)*cb*yup1/2d0 + sqrt(2d0)*sb*yup2/2d0
      coupl(nGC_384) = -sqrt(2d0)*ca*cima*yup1/2d0 - sqrt(2d0)*cima*sa*yup2/2d0
      coupl(nGC_385) = cb*cima*yup1 + cima*sb*yup2
      coupl(nGC_1962) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca**  &
                        2d0*cb*l3*sb - 2d0*ca**2d0*cb*l4*sb + 2d0*ca**2d0*cb*l5&
                        *sb - 4d0*ca*cb**2d0*l5*sa + 4d0*ca*l5*sa*sb**2d0 - cb*&
                        l1*sa**2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**2d0*sb&
                         + 2d0*cb*l4*sa**2d0*sb - 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_278) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 - ca*cb*cima*ee**2d0*sb*vev2/(4d0* &
                       sw**2d0) + 2d0*ca*cb*cima*l5*sb*vev2 - ca*cb*cima*ee**  &
                       2d0*sb*vev2/(4d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev1&
                       /(4d0*sw**2d0) - ca*cima*l1*sb**2d0*vev1 + ca*cima*ee** &
                       2d0*sb**2d0*vev1/(4d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa&
                       *vev2/(4d0*sw**2d0) - cb**2d0*cima*l2*sa*vev2 + cb**2d0*&
                       cima*ee**2d0*sa*vev2/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*&
                       sb*vev1/(4d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev1 - cb* &
                       cima*ee**2d0*sa*sb*vev1/(4d0*cw**2d0) - cima*l3*sa*sb** &
                       2d0*vev2 - cima*l4*sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*&
                       vev2
      coupl(nGC_276) = cb*ee**2d0*vev1/(2d0*sw**2d0) + ee**2d0*sb*vev2/(2d0*sw &
                       **2d0)
      coupl(nGC_277) = -ca*cb**2d0*cima*l3*vev1 - ca*cb*cima*ee**2d0*sb*vev2/( &
                       4d0*sw**2d0) + ca*cb*cima*l4*sb*vev2 + ca*cb*cima*l5*sb*&
                       vev2 + ca*cima*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - ca* &
                       cima*l1*sb**2d0*vev1 + cb**2d0*cima*ee**2d0*sa*vev2/(4d0&
                       *sw**2d0) - cb**2d0*cima*l2*sa*vev2 - cb*cima*ee**2d0*sa&
                       *sb*vev1/(4d0*sw**2d0) + cb*cima*l4*sa*sb*vev1 + cb*cima&
                       *l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_274) = -cb*ee**2d0*vev1/(4d0*sw**2d0) - ee**2d0*sb*vev2/(4d0*sw&
                       **2d0)
      coupl(nGC_275) = cb*ee**2d0*vev1/(4d0*sw**2d0) + ee**2d0*sb*vev2/(4d0*sw &
                       **2d0)
      coupl(nGC_272) = ca*cima*ee**2d0*vev1/(2d0*sw**2d0) + cima*ee**2d0*sa*   &
                       vev2/(2d0*sw**2d0)
      coupl(nGC_270) = -ca*cima*ee**2d0*vev1/(4d0*sw**2d0) - cima*ee**2d0*sa*  &
                       vev2/(4d0*sw**2d0)
      coupl(nGC_271) = -ca*cima*ee**2d0*vev1/(2d0*sw**2d0) - cima*ee**2d0*sa*  &
                       vev2/(2d0*sw**2d0)
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_2228) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1816) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1817) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1815) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0)**&
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1140) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1141) = sqrt(2d0)*cima*(ca*yd13x3 + sa*yb2)/2d0
      coupl(nGC_1142) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
      coupl(nGC_1143) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_1144) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_1145) = cima*ee*sw/cw
      coupl(nGC_1146) = -cima*ee*sw/cw**2d0
      coupl(nGC_1147) = cima*ee/cw
      coupl(nGC_1148) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
      coupl(nGC_1149) = cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
      coupl(nGC_1786) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1787) = -ca*cb**2d0*cima*sa
      coupl(nGC_2221) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
      coupl(nGC_1788) = ca*cima*sa*sb**2d0
      coupl(nGC_1789) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_126) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - 2d0*ca**2d0* &
                       cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(4d0*cw**2d0 &
                       ) - ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) + ca*cb**  &
                       2d0*cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cb**2d0*cima&
                       *l4*sa + ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0&
                       *sa/(4d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**&
                       2d0) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 +  &
                       ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + ca*cima*&
                       ee**2d0*sa*sb**2d0/(4d0*cw**2d0) - cb*cima*ee**2d0*sa** &
                       2d0*sb/(4d0*sw**2d0) + 2d0*cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_127) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*  &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb*cima*l4*&
                       sb - ca**2d0*cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb &
                       /(4d0*cw**2d0) - ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0&
                       ) + 2d0*ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*&
                       sa/(4d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw** &
                       2d0) - 2d0*ca*cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb&
                       **2d0/(4d0*cw**2d0) - cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw&
                       **2d0) + cb*cima*l1*sa**2d0*sb - cb*cima*l3*sa**2d0*sb  &
                        - cb*cima*l4*sa**2d0*sb + cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_124) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*  &
                       cima*l4*sb - ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) + ca*cb**2d0*cima*l1*sa - ca*cb**&
                       2d0*cima*l3*sa + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) + cb*cima*l4*sa** &
                       2d0*sb + cb*cima*l5*sa**2d0*sb
      coupl(nGC_125) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*  &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) + ca*cb**2d0*cima*l4*sa + ca*cb**&
                       2d0*cima*l5*sa + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) - ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) + cb*cima*l1*sa** &
                       2d0*sb - cb*cima*l3*sa**2d0*sb
      coupl(nGC_122) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb* &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) - ca*cb**2d0*cima*l4*sa - ca*cb**&
                       2d0*cima*l5*sa - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) + ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) - cb*cima*l2*sa** &
                       2d0*sb + cb*cima*l3*sa**2d0*sb
      coupl(nGC_123) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb* &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*cima*l4*&
                       sb + ca**2d0*cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb &
                       /(4d0*cw**2d0) + ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0&
                       ) - 2d0*ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*&
                       sa/(4d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw** &
                       2d0) + 2d0*ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb&
                       **2d0/(4d0*cw**2d0) + cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw&
                       **2d0) - cb*cima*l2*sa**2d0*sb + cb*cima*l3*sa**2d0*sb  &
                        + cb*cima*l4*sa**2d0*sb - cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_120) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb* &
                       cima*l4*sb + ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) - ca*cb**2d0*cima*l2*sa + ca*cb**&
                       2d0*cima*l3*sa - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) - cb*cima*l4*sa** &
                       2d0*sb - cb*cima*l5*sa**2d0*sb
      coupl(nGC_121) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + 2d0*ca**2d0*&
                       cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(4d0*cw**2d0 &
                       ) + ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) - ca*cb**  &
                       2d0*cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cb**2d0*cima&
                       *l4*sa - ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0&
                       *sa/(4d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**&
                       2d0) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 -  &
                       ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - ca*cima*&
                       ee**2d0*sa*sb**2d0/(4d0*cw**2d0) + cb*cima*ee**2d0*sa** &
                       2d0*sb/(4d0*sw**2d0) - 2d0*cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_2227) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_128) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb* &
                       cima*l4*sb - ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) + ca*cb**2d0*cima*l1*sa - ca*cb**&
                       2d0*cima*l3*sa - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) + cb*cima*l4*sa** &
                       2d0*sb + cb*cima*l5*sa**2d0*sb
      coupl(nGC_129) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb* &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) + ca*cb**2d0*cima*l4*sa + ca*cb**&
                       2d0*cima*l5*sa - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) - ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) + cb*cima*l1*sa** &
                       2d0*sb - cb*cima*l3*sa**2d0*sb
      coupl(nGC_1568) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1569) = sqrt(2d0)*cima*(ca*yup1 + sa*yup2)/2d0
      coupl(nGC_1566) = cima*(ca*cb**2d0*l1*vev1 + 2d0*ca*cb*l5*sb*vev2 + ca*l3&
                        *sb**2d0*vev1 + ca*l4*sb**2d0*vev1 - ca*l5*sb**2d0*vev1&
                         + cb**2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb**2d0*l5&
                        *sa*vev2 + 2d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
      coupl(nGC_1567) = cima*(ca*cb**2d0*vev2 - 2d0*ca*cb*sb*vev1 + 2d0*cb*sa* &
                        sb*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_1564) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_1565) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_1562) = -ca*cima*sb**2d0*vev2
      coupl(nGC_1563) = cb**2d0*cima*sa*vev1
      coupl(nGC_1560) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5 + &
                        ca*l2*sb**2d0 - 2d0*cb*l5*sa*sb)
      coupl(nGC_1561) = cima*(-2d0*ca*cb*l5*sb + cb**2d0*l1*sa + l3*sa*sb**2d0 &
                         + l4*sa*sb**2d0 - l5*sa*sb**2d0)
      coupl(nGC_1713) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1963) = -2d0*cima*cw*ee/sw
      coupl(nGC_1960) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_1961) = -cima*(ca**2d0*cb**2d0 - ca**2d0*sb**2d0 + 2d0*ca*cb*sa&
                        *sb - cb**2d0*sa**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_1966) = cima*(cb*yc2 - sb*yc1)
      coupl(nGC_1967) = cb*cima
      coupl(nGC_1964) = -2d0*cima*ee/sw
      coupl(nGC_1965) = 2d0*cima*cw*ee/sw**2d0
      coupl(nGC_1968) = cima*sb
      coupl(nGC_1969) = -cima*(cb*ytau2 - sb*ytau1)
      coupl(nGC_575) = sqrt(2d0)*sb/2d0
      coupl(nGC_879) = -2d0*coupl(nGC_173)
      coupl(nGC_871) = -coupl(nGC_173)
      coupl(nGC_I) = cima
      coupl(nGC_873) = -coupl(nGC_374)
      coupl(nGC_875) = -2d0*coupl(nGC_213)
      coupl(nGC_1736) = 2d0*cima*ee
      coupl(nGC_1368) = cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
      coupl(nGC_1369) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_573) = sqrt(2d0)*cb/2d0
      coupl(nGC_1361) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)** &
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1362) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1882) = -cima*sa**2d0*sb**2d0
      coupl(nGC_1364) = sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
      coupl(nGC_1365) = sqrt(2d0)*sb/2d0
      coupl(nGC_1366) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1367) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
      coupl(nGC_877) = -2d0*coupl(nGC_178)
      coupl(nGC_579) = -sqrt(2d0)*(cb*yt1 + sb*yt2)/2d0
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_7) = -cima*ee**2d0
      coupl(nGC_6) = 2d0*cima*ee
      coupl(nGC_5) = -2d0*cima*ee
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = -2d0*cima*ee**2d0
      coupl(nGC_8) = cima*ee**2d0
      coupl(nGC_1218) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_1219) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_1363) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_2099) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2098) = -4d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 &
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_571) = sqrt(2d0)*(cb*yt2 - sb*yt1)/2d0
      coupl(nGC_2144) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2141) = -2d0*cima*sb**4d0
      coupl(nGC_279) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/ &
                       2d0 + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb* &
                       cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 - ca*cima*ee**  &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev1&
                       /2d0 + ca*cima*l5*sb**2d0*vev1/2d0 - cb**2d0*cima*ee**  &
                       2d0*sa*vev2/(4d0*sw**2d0) + cb**2d0*cima*l4*sa*vev2/2d0 &
                        + cb**2d0*cima*l5*sa*vev2/2d0 + cb*cima*ee**2d0*sa*sb* &
                       vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*&
                       sa*sb*vev1 - cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb&
                       **2d0*vev2/2d0
      coupl(nGC_2143) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2142) = -2d0*cb**4d0*cima
      coupl(nGC_2327) = 3d0*ca**3d0*cima*sa
      coupl(nGC_2326) = -3d0*ca*cima*sa**3d0
      coupl(nGC_2321) = -3d0*cima*sa**4d0
      coupl(nGC_2320) = -3d0*ca**4d0*cima
      coupl(nGC_2351) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_2352) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_2353) = sqrt(2d0)*cima*(ca*ytau1 + sa*ytau2)/2d0
      coupl(nGC_1433) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1869) = -cima*sa**2d0*sb**2d0
      coupl(nGC_2359) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw +  &
                        sw)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_269) = cb*cima*cw*ee**2d0*vev2/(2d0*sw**2d0) - cb*cima*ee**2d0*&
                       vev2/(2d0*cw) - cima*cw*ee**2d0*sb*vev1/(2d0*sw**2d0) + &
                       cima*ee**2d0*sb*vev1/(2d0*cw)
      coupl(nGC_268) = -cb*cima*cw*ee**2d0*vev2/(2d0*sw**2d0) - cb*cima*ee**2d0&
                       *vev2/(2d0*cw) + cima*cw*ee**2d0*sb*vev1/(2d0*sw**2d0   &
                       ) + cima*ee**2d0*sb*vev1/(2d0*cw)
      coupl(nGC_265) = cb*ee**2d0*vev2/(2d0*sw**2d0) - ee**2d0*sb*vev1/(2d0*sw &
                       **2d0)
      coupl(nGC_264) = cb*ee**2d0*vev2/(4d0*sw**2d0) - ee**2d0*sb*vev1/(4d0*sw &
                       **2d0)
      coupl(nGC_267) = cb*cima*cw*ee**2d0*vev2/(4d0*sw**2d0) + cb*cima*ee**2d0*&
                       vev2/(4d0*cw) - cima*cw*ee**2d0*sb*vev1/(4d0*sw**2d0) - &
                       cima*ee**2d0*sb*vev1/(4d0*cw)
      coupl(nGC_266) = -cb*cima*cw*ee**2d0*vev2/(4d0*sw**2d0) + cb*cima*ee**2d0&
                       *vev2/(4d0*cw) + cima*cw*ee**2d0*sb*vev1/(4d0*sw**2d0   &
                       ) - cima*ee**2d0*sb*vev1/(4d0*cw)
      coupl(nGC_261) = ca*cima*ee**2d0*vev2/(2d0*sw**2d0) - cima*ee**2d0*sa*   &
                       vev1/(2d0*sw**2d0)
      coupl(nGC_260) = -ca*cima*ee**2d0*vev2/(2d0*sw**2d0) + cima*ee**2d0*sa*  &
                       vev1/(2d0*sw**2d0)
      coupl(nGC_262) = -cb*ee**2d0*vev2/(2d0*sw**2d0) + ee**2d0*sb*vev1/(2d0*sw&
                       **2d0)
      coupl(nGC_2215) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1727) = -2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_1175) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0)** &
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1174) = cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_1177) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1176) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1171) = cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_1170) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
      coupl(nGC_1173) = cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
      coupl(nGC_1172) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
      coupl(nGC_1210) = cima*(cb*ye1 + sb*ye2)
      coupl(nGC_1211) = cima*sb
      coupl(nGC_1212) = cima*ee*(cb**2d0 + sb**2d0)
      coupl(nGC_135) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*  &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*cima*l4*&
                       sb + ca**2d0*cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb &
                       /(2d0*cw**2d0) - ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0&
                       ) - 2d0*ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*&
                       sa/(2d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw** &
                       2d0) + 2d0*ca*cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb&
                       **2d0/(2d0*cw**2d0) - cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw&
                       **2d0) - cb*cima*l2*sa**2d0*sb + cb*cima*l3*sa**2d0*sb  &
                        + cb*cima*l4*sa**2d0*sb - cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_134) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*  &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) - ca*cb**2d0*cima*l4*sa - ca*cb**&
                       2d0*cima*l5*sa + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) + ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) - cb*cima*l2*sa** &
                       2d0*sb + cb*cima*l3*sa**2d0*sb
      coupl(nGC_137) = -ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l5 - ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**  &
                       2d0) + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca**&
                       2d0*cima*l5*sb**2d0 + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*&
                       cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/sw**2d0 - ca*cb*cima&
                       *l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa* &
                       sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb  &
                        - ca*cb*cima*ee**2d0*sa*sb/cw**2d0 + cb**2d0*cima*ee** &
                       2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*cima*l5*sa**2d0 + cb&
                       **2d0*cima*ee**2d0*sa**2d0/(4d0*cw**2d0) - cima*ee**2d0*&
                       sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l5*sa**2d0*sb**2d0 &
                        - cima*ee**2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_136) = -ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/2d0 + ca**  &
                       2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca**2d0*cima*l4&
                       *sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 - ca*cb*cima*&
                       ee**2d0*sa*sb/sw**2d0 - ca*cb*cima*l1*sa*sb - ca*cb*cima&
                       *l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb + cb**2d0*cima*ee** &
                       2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*cima*l4*sa**2d0/2d0 &
                        + cb**2d0*cima*l5*sa**2d0/2d0 - cima*ee**2d0*sa**2d0*sb&
                       **2d0/(4d0*sw**2d0) - cima*l4*sa**2d0*sb**2d0/2d0 - cima&
                       *l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_131) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb* &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb*cima*l4*&
                       sb - ca**2d0*cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb &
                       /(2d0*cw**2d0) + ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0&
                       ) + 2d0*ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*&
                       sa/(2d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw** &
                       2d0) - 2d0*ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb&
                       **2d0/(2d0*cw**2d0) + cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw&
                       **2d0) + cb*cima*l1*sa**2d0*sb - cb*cima*l3*sa**2d0*sb  &
                        - cb*cima*l4*sa**2d0*sb + cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_130) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - 2d0*ca**2d0*&
                       cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(2d0*cw**2d0 &
                       ) + ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) + ca*cb**  &
                       2d0*cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cb**2d0*cima&
                       *l4*sa + ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0&
                       *sa/(2d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**&
                       2d0) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 +  &
                       ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 - ca*cima*&
                       ee**2d0*sa*sb**2d0/(2d0*cw**2d0) + cb*cima*ee**2d0*sa** &
                       2d0*sb/(2d0*sw**2d0) + 2d0*cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_133) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + 2d0*ca**2d0* &
                       cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(2d0*cw**2d0 &
                       ) - ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) - ca*cb**  &
                       2d0*cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cb**2d0*cima&
                       *l4*sa - ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0&
                       *sa/(2d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**&
                       2d0) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 -  &
                       ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 + ca*cima*&
                       ee**2d0*sa*sb**2d0/(2d0*cw**2d0) - cb*cima*ee**2d0*sa** &
                       2d0*sb/(2d0*sw**2d0) - 2d0*cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_132) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*  &
                       cima*l4*sb + ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) - ca*cb**2d0*cima*l2*sa + ca*cb**&
                       2d0*cima*l3*sa + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) - cb*cima*l4*sa** &
                       2d0*sb - cb*cima*l5*sa**2d0*sb
      coupl(nGC_139) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l2 + ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**  &
                       2d0) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0&
                        + ca**2d0*cima*l5*sb**2d0 + ca*cb*cima*ee**2d0*sa*sb/( &
                       2d0*sw**2d0) - 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) - cb**2d0*cima*l3*sa**2d0 - cb**&
                       2d0*cima*l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 + cima*ee &
                       **2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l1*sa**2d0*sb&
                       **2d0 + cima*ee**2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_138) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 + ca*cb*cima*ee &
                       **2d0*sa*sb/(2d0*sw**2d0) - 2d0*ca*cb*cima*l4*sa*sb -   &
                       2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 + cima&
                       *ee**2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l1*sa**2d0&
                       *sb**2d0
      coupl(nGC_1649) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
      coupl(nGC_1648) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_1519) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1824) = ca*cima*sa*sb**2d0
      coupl(nGC_1645) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_1689) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
      coupl(nGC_1683) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1682) = cima*ee**2d0*(ca*cb + sa*sb)/sw
      coupl(nGC_1687) = cima*sb
      coupl(nGC_1686) = cima*(cb*yd13x3 + sb*yb2)
      coupl(nGC_1685) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1684) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_1992) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1991) = sqrt(2d0)*sb/2d0
      coupl(nGC_1990) = sqrt(2d0)*(cb*yd13x3 + sb*yb2)/2d0
      coupl(nGC_867) = coupl(nGC_201)/2d0
      coupl(nGC_865) = -coupl(nGC_6)/2d0
      coupl(nGC_863) = -coupl(nGC_172)
      coupl(nGC_861) = -coupl(nGC_4)
      coupl(nGC_869) = -2d0*coupl(nGC_25)
      coupl(nGC_1427) = cima*sb
      coupl(nGC_1426) = cb*cima
      coupl(nGC_1425) = cima*(cb*yt2 - sb*yt1)
      coupl(nGC_1429) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_1428) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_1197) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_1196) = cima*ee*sw/(3d0*cw)
      coupl(nGC_1199) = -3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l2&
                        *sa**2d0)
      coupl(nGC_1198) = cima*ee/(3d0*cw)
      coupl(nGC_1221) = sqrt(2d0)*(cb*ye1 + sb*ye2)/2d0
      coupl(nGC_1220) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1223) = -sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
      coupl(nGC_1222) = sqrt(2d0)*sb/2d0
      coupl(nGC_1225) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1224) = -sqrt(2d0)*cb/2d0
      coupl(nGC_2217) = -cb**2d0*cima*sb**2d0
      coupl(nGC_245) = -ca*cb**2d0*cima*l5*vev2 + ca*cb*cima*l1*sb*vev1 - ca*cb&
                       *cima*l3*sb*vev1 - ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5&
                       *sb*vev1 + ca*cima*l5*sb**2d0*vev2 - cb**2d0*cima*l5*sa*&
                       vev1 - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2 + cima*l5*&
                       sa*sb**2d0*vev1
      coupl(nGC_244) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/ &
                       2d0 + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 + ca&
                       *cima*l4*sb**2d0*vev2/2d0 + ca*cima*l5*sb**2d0*vev2/2d0 &
                        - cb**2d0*cima*l4*sa*vev1/2d0 - cb**2d0*cima*l5*sa*vev1&
                       /2d0 - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/  &
                       2d0
      coupl(nGC_2080) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_2081) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_2082) = -cima*(cb*yt1 + sb*yt2)
      coupl(nGC_2083) = -cima*sb
      coupl(nGC_2084) = cb*cima
      coupl(nGC_242) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 - 2d0*ca*cb*cima*l5*sb*vev1 - ca*  &
                       cima*l2*sb**2d0*vev2 + cb**2d0*cima*l1*sa*vev1 + 2d0*cb*&
                       cima*l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1 + cima*l4* &
                       sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*vev1
      coupl(nGC_241) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*l4*sb*vev1 - ca*cb&
                       *cima*l5*sb*vev1 - ca*cima*l2*sb**2d0*vev2 + cb**2d0*   &
                       cima*l1*sa*vev1 + cb*cima*l4*sa*sb*vev2 + cb*cima*l5*sa*&
                       sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_240) = cb**3d0*ee**2d0*vev2/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb*&
                       vev1/(4d0*cw**2d0) + cb*ee**2d0*sb**2d0*vev2/(4d0*cw**  &
                       2d0) - ee**2d0*sb**3d0*vev1/(4d0*cw**2d0)
      coupl(nGC_2158) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(&
                        cw*sw**2d0)
      coupl(nGC_2159) = sqrt(2d0)*cima*(ca*ym1 + sa*ym2)/2d0
      coupl(nGC_2152) = -3d0*cima*sb**4d0
      coupl(nGC_2153) = -3d0*cb**4d0*cima
      coupl(nGC_2150) = 12d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4  &
                         - cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + &
                        l5*sb**2d0)
      coupl(nGC_2151) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2156) = 2d0*cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw&
                        )/(cw*sw)
      coupl(nGC_2157) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/( &
                        cw**2d0*sw)
      coupl(nGC_2154) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2155) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2332) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_2333) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_2330) = 3d0*cima*(ca**4d0*l1 - ca**4d0*l3 - ca**4d0*l4 - ca**  &
                        4d0*l5 - 3d0*ca**2d0*l1*sa**2d0 - 3d0*ca**2d0*l2*sa**  &
                        2d0 + 6d0*ca**2d0*l3*sa**2d0 + 6d0*ca**2d0*l4*sa**2d0  &
                         + 6d0*ca**2d0*l5*sa**2d0 + l2*sa**4d0 - l3*sa**4d0 -  &
                        l4*sa**4d0 - l5*sa**4d0)
      coupl(nGC_2336) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_2337) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_2334) = -cima*ee
      coupl(nGC_2335) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_2338) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_2339) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_322) = cb*cima*ee**2d0*vev2/(2d0*sw) - cima*ee**2d0*sb*vev1/(  &
                       2d0*sw)
      coupl(nGC_323) = -cb*cima*ee**2d0*vev2/sw + cima*ee**2d0*sb*vev1/sw
      coupl(nGC_258) = -cb**3d0*l4*vev1/2d0 + cb**3d0*l5*vev1/2d0 - cb**2d0*l4*&
                       sb*vev2/2d0 + cb**2d0*l5*sb*vev2/2d0 - cb*l4*sb**2d0*   &
                       vev1/2d0 + cb*l5*sb**2d0*vev1/2d0 - l4*sb**3d0*vev2/2d0 &
                        + l5*sb**3d0*vev2/2d0
      coupl(nGC_259) = -ca*cima*ee**2d0*vev2/(4d0*sw**2d0) + cima*ee**2d0*sa*  &
                       vev1/(4d0*sw**2d0)
      coupl(nGC_250) = -ca*cb**2d0*cima*l1*vev1 - 2d0*ca*cb*cima*l5*sb*vev2 -  &
                       ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1 + ca* &
                       cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb**2d0&
                       *cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 - 2d0*cb*cima&
                       *l5*sa*sb*vev1 - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_251) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*l4*sb*vev2 + ca*cb&
                       *cima*l5*sb*vev2 - ca*cima*l1*sb**2d0*vev1 - cb**2d0*   &
                       cima*l2*sa*vev2 + cb*cima*l4*sa*sb*vev1 + cb*cima*l5*sa*&
                       sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_252) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/ &
                       2d0 - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca&
                       *cima*l4*sb**2d0*vev1/2d0 + ca*cima*l5*sb**2d0*vev1/2d0 &
                        + cb**2d0*cima*l4*sa*vev2/2d0 + cb**2d0*cima*l5*sa*vev2&
                       /2d0 - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 -  &
                       cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/  &
                       2d0
      coupl(nGC_253) = -ca*cb**2d0*cima*l5*vev1 - ca*cb*cima*l2*sb*vev2 + ca*cb&
                       *cima*l3*sb*vev2 + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5&
                       *sb*vev2 + ca*cima*l5*sb**2d0*vev1 + cb**2d0*cima*l5*sa*&
                       vev2 - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 +  &
                       cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1 - cima*l5*&
                       sa*sb**2d0*vev2
      coupl(nGC_254) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 + 2d0*ca*cb*cima*l5*sb*vev2 - ca*  &
                       cima*l1*sb**2d0*vev1 - cb**2d0*cima*l2*sa*vev2 + 2d0*cb*&
                       cima*l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2 - cima*l4* &
                       sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*vev2
      coupl(nGC_255) = -cb**3d0*ee**2d0*vev1/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb&
                       *vev2/(4d0*cw**2d0) - cb*ee**2d0*sb**2d0*vev1/(4d0*cw** &
                       2d0) - ee**2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_256) = cb**3d0*ee**2d0*vev1/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*&
                       vev2/(4d0*cw**2d0) + cb*ee**2d0*sb**2d0*vev1/(4d0*cw**  &
                       2d0) + ee**2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_257) = cb**3d0*l4*vev1/2d0 - cb**3d0*l5*vev1/2d0 + cb**2d0*l4* &
                       sb*vev2/2d0 - cb**2d0*l5*sb*vev2/2d0 + cb*l4*sb**2d0*   &
                       vev1/2d0 - cb*l5*sb**2d0*vev1/2d0 + l4*sb**3d0*vev2/2d0 &
                        - l5*sb**3d0*vev2/2d0
      coupl(nGC_2211) = -sqrt(2d0)*(cb*yup1 + sb*yup2)/2d0
      coupl(nGC_2140) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2325) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1169) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_2324) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + ca**2d0*l4&
                         + ca**2d0*l5 + l1*sa**2d0 - l3*sa**2d0 - l4*sa**2d0 - &
                        l5*sa**2d0)
      coupl(nGC_1166) = -cima*sb
      coupl(nGC_1167) = sqrt(2d0)*cima*(ca*yt1 + sa*yt2)/2d0
      coupl(nGC_1164) = -cima*(cb*ydo2 - sb*ydo1)
      coupl(nGC_1165) = -cb*cima
    end subroutine fill_couplings_mdl3
end module fill_couplings3
