!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 21:28             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_3666) = -coupl(nGC_341)*dZG0/2d0
      coupl(nGC_3497) = coupl(nGC_229)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3599) = coupl(nGC_221)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3807) = coupl(nGC_356)*dZG0/2d0
      coupl(nGC_3809) = -coupl(nGC_356)*dZG0/2d0
      coupl(nGC_TS_GC_236_Hh) = -coupl(nGC_236)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_236_Hl) = -coupl(nGC_236)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_175_Hh) = -coupl(nGC_175)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_345_Hl) = -coupl(nGC_345)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3734) = coupl(nGC_70)*dZGMinus
      coupl(nGC_TS_GC_172_Hh) = -coupl(nGC_172)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3462) = dZHMinusGMinus_QED2*(coupl(nGC_62) + coupl(nGC_63))/2d0
      coupl(nGC_3652) = -coupl(nGC_173)*dZGMinus/2d0
      coupl(nGC_3650) = coupl(nGC_77)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3659) = 2d0*coupl(nGC_68)*dZGMinus
      coupl(nGC_3380) = coupl(nGC_174)*dZGMinus/2d0
      coupl(nGC_3663) = coupl(nGC_341)*dZG0/2d0
      coupl(nGC_3038) = coupl(nGC_1526)*dvev1_QED1 + coupl(nGC_1527)*dvev2_QED1&
                         + coupl(nGC_1528)*dZee_QED2 + coupl(nGC_1529)*dsw_QED2&
                         + coupl(nGC_1530)*db_QED2
      coupl(nGC_3039) = coupl(nGC_1734)*dZee_QED2
      coupl(nGC_3724) = coupl(nGC_227)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3843) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_3826) = coupl(nGC_173)*dZGMinus/2d0
      coupl(nGC_3821) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_3820) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_3822) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_3842) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_TS_GC_173_Hl) = -coupl(nGC_173)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_342_Hl) = -coupl(nGC_342)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3622) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_3620) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_3624) = coupl(nGC_237)*dZGMinus/2d0
      coupl(nGC_3629) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_3628) = coupl(nGC_178)*dZGMinus/2d0
      coupl(nGC_TS_GC_363_Hl) = -coupl(nGC_363)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3539) = coupl(nGC_228)*dZGMinus
      coupl(nGC_3536) = coupl(nGC_207)*dZtR_QCD2
      coupl(nGC_3534) = coupl(nGC_210)*dZtL_QCD2
      coupl(nGC_3531) = coupl(nGC_228)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3530) = coupl(nGC_215)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_63_Hh) = -coupl(nGC_63)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_224_Hl) = -coupl(nGC_224)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_351_Hl) = -coupl(nGC_351)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3752) = coupl(nGC_379)*dZGMinus/2d0
      coupl(nGC_TS_GC_215_Hl) = -coupl(nGC_215)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_215_Hh) = -coupl(nGC_215)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2964) = coupl(nGC_1887)*db_QED2 + coupl(nGC_1888)*dl3_QED4 +   &
                        coupl(nGC_1889)*dl2_QED4 + coupl(nGC_1890)*dl1_QED4 +  &
                        coupl(nGC_1891)*dl4_QED4 + coupl(nGC_1892)*dl5_QED4 +  &
                        coupl(nGC_1893)*da_QED2
      coupl(nGC_3630) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_3633) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_3634) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_3638) = -coupl(nGC_218)*dZGMinus
      coupl(nGC_3444) = coupl(nGC_373)*dZGMinus/2d0
      coupl(nGC_3296) = -cima*dMHH2_QED2
      coupl(nGC_3294) = -cima*dMHC2_QED2
      coupl(nGC_3295) = -cima*dMHL2_QED2
      coupl(nGC_3520) = dZHMinusGMinus_QED2*(coupl(nGC_52) + coupl(nGC_53))/2d0
      coupl(nGC_3299) = -cima*dME_QED2
      coupl(nGC_3297) = -cima*dMHA2_QED2
      coupl(nGC_3526) = coupl(nGC_56)*dZGMinus/2d0
      coupl(nGC_3746) = coupl(nGC_224)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_234_Hl) = -coupl(nGC_234)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3993) = coupl(nGC_172)*dZGMinus/2d0
      coupl(nGC_TS_GC_172_Hl) = -coupl(nGC_172)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_174_Hl) = -coupl(nGC_174)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_348_Hh) = -coupl(nGC_348)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_43_Hh) = -coupl(nGC_43)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3609) = coupl(nGC_58)*dZG0/2d0
      coupl(nGC_3608) = coupl(nGC_179)*dZGMinus/2d0
      coupl(nGC_3359) = coupl(nGC_55)*(dZG0 + 2d0*dZGMinus)/2d0
      coupl(nGC_3605) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_3601) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_3602) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_3519) = coupl(nGC_2964) + coupl(nGC_36)*dZHhHl_QED2 + coupl(   &
                        nGC_38)*dZG0Ha_QED2 + coupl(nGC_41)*dZHa_QED2 + coupl( &
                        nGC_41)*dZHl_QED2
      coupl(nGC_3513) = coupl(nGC_209)*dZbL_QCD2
      coupl(nGC_3515) = coupl(nGC_206)*dZbR_QCD2
      coupl(nGC_3775) = coupl(nGC_210)*dZuL_QCD2
      coupl(nGC_3777) = coupl(nGC_207)*dZuR_QCD2
      coupl(nGC_3179) = coupl(nGC_1386)*dZee_QED2
      coupl(nGC_TS_GC_214_Hh) = -coupl(nGC_214)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_357_Hl) = -coupl(nGC_357)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3989) = -coupl(nGC_214)*dZZA_QED2/2d0
      coupl(nGC_3584) = coupl(nGC_34)*dZGMinus/2d0
      coupl(nGC_3612) = coupl(nGC_74)*dZGMinus
      coupl(nGC_TS_GC_235_Hh) = -coupl(nGC_235)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3506) = coupl(nGC_224)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3314) = cima*dMZ2_QED2
      coupl(nGC_3180) = coupl(nGC_615)*dZgs_QCD2
      coupl(nGC_3186) = coupl(nGC_1700)*dZee_QED2 + coupl(nGC_1701)*dcw_QED2 + &
                        coupl(nGC_1702)*dsw_QED2
      coupl(nGC_3766) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_3764) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_3765) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_3166) = coupl(nGC_1398)*db_QED2 + coupl(nGC_1399)*dZee_QED2 +  &
                        coupl(nGC_1400)*dcw_QED2 + coupl(nGC_1401)*da_QED2
      coupl(nGC_3167) = coupl(nGC_1523)*dZee_QED2 + coupl(nGC_1524)*dcw_QED2 + &
                        coupl(nGC_1525)*dsw_QED2
      coupl(nGC_3161) = coupl(nGC_1873)*dZee_QED2 + coupl(nGC_1874)*dcw_QED2 + &
                        coupl(nGC_1875)*dsw_QED2
      coupl(nGC_3162) = coupl(nGC_1929)*db_QED2 + coupl(nGC_1930)*da_QED2 +    &
                        coupl(nGC_1931)*dcw_QED2 + coupl(nGC_1932)*dZee_QED2 + &
                        coupl(nGC_1933)*dsw_QED2
      coupl(nGC_3168) = coupl(nGC_1596)*db_QED2 + coupl(nGC_1597)*dvev1_QED1 + &
                        coupl(nGC_1598)*dcw_QED2 + coupl(nGC_1599)*dZee_QED2 + &
                        coupl(nGC_1600)*dvev2_QED1
      coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2960) = coupl(nGC_1894)*db_QED2 + coupl(nGC_1895)*dl3_QED4 +   &
                        coupl(nGC_1896)*dl2_QED4 + coupl(nGC_1897)*dl1_QED4 +  &
                        coupl(nGC_1898)*dl4_QED4 + coupl(nGC_1899)*dl5_QED4 +  &
                        coupl(nGC_1900)*da_QED2
      coupl(nGC_3429) = coupl(nGC_54)*dZG0/2d0
      coupl(nGC_2950) = coupl(nGC_1847)*dZee_QED2 + coupl(nGC_1848)*dcw_QED2 + &
                        coupl(nGC_1849)*dsw_QED2
      coupl(nGC_3420) = coupl(nGC_46)*dZGMinus/2d0
      coupl(nGC_3423) = coupl(nGC_212)*dZZA_QED2/2d0
      coupl(nGC_3422) = coupl(nGC_193)*dZWMinus_QED2/2d0 + coupl(nGC_193)*     &
                        dZZ_QED2/2d0 + coupl(nGC_203)*dZAZ_QED2/2d0 + coupl(   &
                        nGC_3167)
      coupl(nGC_TS_GC_39_Hh) = -coupl(nGC_39)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3979) = coupl(nGC_214)*dZZA_QED2/2d0
      coupl(nGC_3975) = -coupl(nGC_26)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3974) = coupl(nGC_218)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3972) = coupl(nGC_2960) + coupl(nGC_35)*dZHlHh_QED2 + coupl(   &
                        nGC_39)*dZHaG0_QED2 + coupl(nGC_43)*dZHh_QED2
      coupl(nGC_3971) = coupl(nGC_43)*dZG0
      coupl(nGC_3454) = coupl(nGC_39)*dZG0/2d0
      coupl(nGC_3889) = coupl(nGC_350)*dZG0/2d0
      coupl(nGC_3881) = -coupl(nGC_213)*dZZA_QED2/2d0
      coupl(nGC_3880) = coupl(nGC_213)*dZG0/2d0
      coupl(nGC_3884) = coupl(nGC_332)*dZZA_QED2/2d0
      coupl(nGC_3370) = coupl(nGC_42)*dZGMinus
      coupl(nGC_3373) = coupl(nGC_47)*dZG0/2d0
      coupl(nGC_3377) = coupl(nGC_63)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_TS_GC_44_Hh) = -coupl(nGC_44)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2591) = coupl(nGC_13)**2d0*coupl(nGC_346)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2596) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_376)/(4d0*pi** &
                        2d0)
      coupl(nGC_2594) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_352)/(4d0*pi** &
                        2d0)
      coupl(nGC_2595) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_358)/(4d0*pi** &
                        2d0)
      coupl(nGC_3576) = coupl(nGC_31)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3579) = coupl(nGC_28)*dZGMinus
      coupl(nGC_2683) = coupl(nGC_13)**2d0*coupl(nGC_345)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2680) = coupl(nGC_13)**2d0*coupl(nGC_333)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4022) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_3048) = coupl(nGC_2029)*dZgs_QCD2
      coupl(nGC_3799) = coupl(nGC_184)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3797) = coupl(nGC_29)*dZGMinus
      coupl(nGC_3796) = coupl(nGC_329)*dZZA_QED2/2d0
      coupl(nGC_3795) = -coupl(nGC_179)*dZGMinus/2d0
      coupl(nGC_2925) = cima*coupl(nGC_13)**2d0*coupl(nGC_197)**2d0*sq2**2d0/( &
                        32d0*pi**2d0)
      coupl(nGC_3151) = coupl(nGC_1297)*dZee_QED2 + coupl(nGC_1298)*dsw_QED2
      coupl(nGC_3153) = coupl(nGC_2197)*dZee_QED2 + coupl(nGC_2198)*dcw_QED2 + &
                        coupl(nGC_2199)*dsw_QED2
      coupl(nGC_2924) = -cima*coupl(nGC_13)**2d0*coupl(nGC_197)**2d0*sq2**2d0/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3155) = coupl(nGC_1853)*dZee_QED2 + coupl(nGC_1854)*dcw_QED2 + &
                        coupl(nGC_1855)*dsw_QED2
      coupl(nGC_3409) = dZGMinusHMinus_QED2*(coupl(nGC_52) + coupl(nGC_53))/2d0
      coupl(nGC_3407) = coupl(nGC_21)*dZGMinus/2d0
      coupl(nGC_3402) = coupl(nGC_70)*dZG0
      coupl(nGC_3401) = coupl(nGC_186)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2978) = coupl(nGC_2113)*db_QED2 + coupl(nGC_2114)*dl5_QED4 +   &
                        coupl(nGC_2115)*dl4_QED4 + coupl(nGC_2116)*da_QED2
      coupl(nGC_2979) = coupl(nGC_2104)*db_QED2 + coupl(nGC_2105)*dl5_QED4 +   &
                        coupl(nGC_2106)*dl4_QED4 + coupl(nGC_2107)*da_QED2
      coupl(nGC_2975) = coupl(nGC_2200)*db_QED2 + coupl(nGC_2201)*dl3_QED4 +   &
                        coupl(nGC_2202)*dl2_QED4 + coupl(nGC_2203)*dl1_QED4 +  &
                        coupl(nGC_2204)*dl4_QED4 + coupl(nGC_2205)*dl5_QED4
      coupl(nGC_2976) = coupl(nGC_1906)*db_QED2 + coupl(nGC_1907)*dl3_QED4 +   &
                        coupl(nGC_1908)*dl2_QED4 + coupl(nGC_1909)*dl1_QED4 +  &
                        coupl(nGC_1910)*dl4_QED4 + coupl(nGC_1911)*dl5_QED4 +  &
                        coupl(nGC_1912)*da_QED2
      coupl(nGC_3083) = coupl(nGC_1294)*dyd13x3_QED3 + coupl(nGC_1295)*        &
                        dyb2_QED3 + coupl(nGC_1296)*da_QED2
      coupl(nGC_3084) = coupl(nGC_1294)*dyd13x3_QED1_QCD2 + coupl(nGC_1295)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_TS_GC_233_Hh) = -coupl(nGC_233)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_233_Hl) = -coupl(nGC_233)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_354_Hh) = -coupl(nGC_354)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_329_Hl) = -coupl(nGC_329)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_19_Hh) = -coupl(nGC_19)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_336_Hh) = -coupl(nGC_336)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3966) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_3967) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_3447) = coupl(nGC_340)*dZGMinus/2d0
      coupl(nGC_3892) = -coupl(nGC_350)*dZG0/2d0
      coupl(nGC_3894) = coupl(nGC_26)*dZGMinus
      coupl(nGC_3895) = coupl(nGC_11)*dZg_QCD2/4d0 + coupl(nGC_3048)/2d0
      coupl(nGC_3158) = coupl(nGC_1132)*dZee_QED2
      coupl(nGC_2568) = coupl(nGC_13)**2d0*coupl(nGC_374)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2564) = coupl(nGC_13)**2d0*coupl(nGC_368)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_33_Hl) = -coupl(nGC_33)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3560) = coupl(nGC_99)*dZG0
      coupl(nGC_3563) = coupl(nGC_227)*dZG0
      coupl(nGC_3565) = coupl(nGC_362)*dZG0/2d0
      coupl(nGC_3567) = -coupl(nGC_362)*dZG0/2d0
      coupl(nGC_3568) = coupl(nGC_38)*dZG0/2d0
      coupl(nGC_3366) = coupl(nGC_28)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3363) = coupl(nGC_31)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3361) = coupl(nGC_220)*dZGMinus
      coupl(nGC_TS_GC_17_Hl) = -coupl(nGC_17)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3368) = coupl(nGC_37)*dZGMinus/2d0
      coupl(nGC_TS_GC_17_Hh) = -coupl(nGC_17)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3788) = -coupl(nGC_338)*dZG0/2d0
      coupl(nGC_3785) = coupl(nGC_338)*dZG0/2d0
      coupl(nGC_2940) = cima*sq2**4d0*(-Nc*coupl(nGC_857)**4d0 - 15d0*coupl(   &
                        nGC_13)**4d0)/(192d0*pi**2d0)
      coupl(nGC_3147) = coupl(nGC_2066)*dZee_QED2 + coupl(nGC_2067)*da_QED2 +  &
                        coupl(nGC_2068)*dsw_QED2 + coupl(nGC_2069)*db_QED2
      coupl(nGC_3416) = coupl(nGC_374)*dZG0/2d0
      coupl(nGC_3142) = coupl(nGC_1554)*dvev1_QED1 + coupl(nGC_1555)*dvev2_QED1&
                         + coupl(nGC_1556)*dZee_QED2 + coupl(nGC_1557)*dsw_QED2&
                         + coupl(nGC_1558)*db_QED2
      coupl(nGC_3143) = coupl(nGC_2246)*dvev1_QED1 + coupl(nGC_2247)*dvev2_QED1&
                         + coupl(nGC_2248)*dZee_QED2 + coupl(nGC_2249)*dsw_QED2&
                         + coupl(nGC_2250)*db_QED2
      coupl(nGC_3412) = coupl(nGC_52)*dZGMinus/2d0
      coupl(nGC_3091) = coupl(nGC_1601)*db_QED2 + coupl(nGC_1602)*dydo1_QED3 + &
                        coupl(nGC_1603)*dydo2_QED3
      coupl(nGC_3092) = coupl(nGC_1602)*dydo1_QED1_QCD2 + coupl(nGC_1603)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3098) = coupl(nGC_1304)*db_QED2 + coupl(nGC_1305)*dym1_QED3 +  &
                        coupl(nGC_1306)*dym2_QED3
      coupl(nGC_3942) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_3943) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_TS_GC_366_Hh) = -coupl(nGC_366)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_32_Hl) = -coupl(nGC_32)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_42_Hh) = -coupl(nGC_42)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3341) = coupl(nGC_207)*dZcR_QCD2
      coupl(nGC_3902) = coupl(nGC_3299) + coupl(nGC_ME)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_ME)*dZeMinusR_QED2/2d0 + coupl(              &
                        nGC_TS_GC_351_Hl) + coupl(nGC_TS_GC_354_Hh)
      coupl(nGC_TS_GC_77_Hl) = -coupl(nGC_77)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3950) = -coupl(nGC_178)*dZGMinus/2d0
      coupl(nGC_3953) = coupl(nGC_213)*dZHlHh_QED2/2d0 + coupl(nGC_214)*       &
                        dZHaG0_QED2/2d0 + coupl(nGC_215)*dZHh_QED2/2d0 + coupl(&
                        nGC_215)*dZZ_QED2/2d0 + coupl(nGC_3162)
      coupl(nGC_3954) = coupl(nGC_215)*dZG0/2d0
      coupl(nGC_TS_GC_45_Hl) = -coupl(nGC_45)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3404) = coupl(nGC_24)*dZGMinus/2d0
      coupl(nGC_3400) = coupl(nGC_238)*dZGMinus/2d0
      coupl(nGC_3916) = coupl(nGC_2975) + coupl(nGC_56)*dZHMinusGMinus_QED2 +  &
                        coupl(nGC_57)*dZGMinusHMinus_QED2 + coupl(nGC_71)*     &
                        dZHMinus_QED2
      coupl(nGC_2984) = coupl(nGC_2123)*db_QED2 + coupl(nGC_2124)*dZee_QED2 +  &
                        coupl(nGC_2125)*dcw_QED2 + coupl(nGC_2126)*da_QED2
      coupl(nGC_2973) = coupl(nGC_1922)*db_QED2 + coupl(nGC_1923)*dl3_QED4 +   &
                        coupl(nGC_1924)*dl2_QED4 + coupl(nGC_1925)*dl1_QED4 +  &
                        coupl(nGC_1926)*dl4_QED4 + coupl(nGC_1927)*dl5_QED4 +  &
                        coupl(nGC_1928)*da_QED2
      coupl(nGC_3558) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_3039)
      coupl(nGC_3556) = coupl(nGC_54)*dZGMinus/2d0
      coupl(nGC_3550) = coupl(nGC_230)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3313) = -cima*dMB_QCD2
      coupl(nGC_3312) = -cima*dMB_QED2
      coupl(nGC_3311) = -cima*dMS_QCD2
      coupl(nGC_3310) = -cima*dMS_QED2
      coupl(nGC_3317) = coupl(nGC_777)*dMW2_QED2
      coupl(nGC_3316) = coupl(nGC_773)*dMW2_QED2
      coupl(nGC_3315) = cima*dMW2_QED2
      coupl(nGC_3318) = coupl(nGC_781)*dMZ2_QED2
      coupl(nGC_3428) = coupl(nGC_31)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3139) = coupl(nGC_1586)*dZee_QED2
      coupl(nGC_3138) = coupl(nGC_581)*dyt1_QED1_QCD2 + coupl(nGC_583)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_3130) = coupl(nGC_1642)*dyc1_QED1_QCD2 + coupl(nGC_1643)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3136) = coupl(nGC_1670)*dyc1_QED1_QCD2 + coupl(nGC_1671)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3135) = coupl(nGC_1669)*db_QED2 + coupl(nGC_1670)*dyc1_QED3 +  &
                        coupl(nGC_1671)*dyc2_QED3
      coupl(nGC_3134) = coupl(nGC_2212)*dyup1_QED1_QCD2 + coupl(nGC_2213)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_3047) = coupl(nGC_1742)*dZgs_QCD2
      coupl(nGC_3046) = coupl(nGC_2380)*dZgs_QCD2
      coupl(nGC_3044) = coupl(nGC_2284)*dZee_QED2 + coupl(nGC_2285)*dcw_QED2 + &
                        coupl(nGC_2286)*dsw_QED2
      coupl(nGC_4028) = -coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_3041) = coupl(nGC_1494)*dZee_QED2
      coupl(nGC_3040) = coupl(nGC_1743)*dZee_QED2
      coupl(nGC_4026) = coupl(nGC_MW_GF)*dZGMinus/2d0
      coupl(nGC_4023) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_3357) = coupl(nGC_230)*dZG0
      coupl(nGC_3606) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_3353) = coupl(nGC_355)*dZGMinus/2d0
      coupl(nGC_3947) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_3944) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_3948) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_3949) = coupl(nGC_172)*dZHMinusGMinus_QED2/2d0 - coupl(nGC_172 &
                        )*dZHlHh_QED2/2d0 - coupl(nGC_178)*dZHh_QED2/2d0 -     &
                        coupl(nGC_178)*dZWMinus_QED2/2d0 - coupl(nGC_3147)
      coupl(nGC_TS_GC_180_Hl) = -coupl(nGC_180)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_180_Hh) = -coupl(nGC_180)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3915) = coupl(nGC_71)*dZGMinus
      coupl(nGC_TS_GC_16_Hh) = -coupl(nGC_16)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_16_Hl) = -coupl(nGC_16)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_62_Hl) = -coupl(nGC_62)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_62_Hh) = -coupl(nGC_62)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3324) = coupl(nGC_30)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2548) = coupl(nGC_13)**2d0*coupl(nGC_341)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2545) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_787) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_787) - coupl(nGC_339 &
                        )**2d0*coupl(nGC_341) - coupl(nGC_340)*coupl(nGC_373)* &
                        coupl(nGC_374) - coupl(nGC_341)*coupl(nGC_342)**2d0 -  &
                        coupl(nGC_341)*coupl(nGC_787)**2d0 - coupl(nGC_341)*   &
                        coupl(nGC_847)**2d0 - coupl(nGC_343)*coupl(nGC_370)*   &
                        coupl(nGC_374))/(32d0*pi**2d0)
      coupl(nGC_2547) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_341) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_341) - coupl(nGC_339 &
                        )**2d0*coupl(nGC_787) - coupl(nGC_340)*coupl(nGC_373)* &
                        coupl(nGC_873) - coupl(nGC_341)**2d0*coupl(nGC_787) -  &
                        coupl(nGC_342)**2d0*coupl(nGC_787) - coupl(nGC_343)*   &
                        coupl(nGC_370)*coupl(nGC_873) - coupl(nGC_344)**2d0*   &
                        coupl(nGC_787))/(32d0*pi**2d0)
      coupl(nGC_2546) = coupl(nGC_13)**2d0*coupl(nGC_787)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3456) = coupl(nGC_22)*dZGMinus/2d0
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
