!******************************************************************************!
!                                                                              !
!    vertices_info21.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info21.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 21:28             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info21
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl21()
      allocate(vertices(5439)%branchR2(0:1))
      call avR2(5439, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2613, nGC_2611/))

      call avR2(5439, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2614, nGC_2612/))

      allocate(vertices(7127)%branchR2(0:0))
      call avR2(7127, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(4680)%branchR2(0:1))
      call avR2(4680, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2707/))

      call avR2(4680, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10017)%branchR2(0:0))
      call avR2(10017, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(5016)%branchR2(0:0))
      call avR2(5016, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(7721)%branchR2(0:0))
      call avR2(7721, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4038/))

      allocate(vertices(10531)%branchR2(0:0))
      call avR2(10531, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(6166)%branchR2(0:3))
      call avR2(6166, 0, 17, 1, 0, FaFV1, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(6166, 1, 17, 1, 0, FaFV1, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(6166, 2, 18, 1, 0, FaFV1, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(6166, 3, 18, 1, 0, FaFV1, (/1, 2/), (/nGC_2742, nGC_2743/))

      allocate(vertices(8898)%branchR2(0:0))
      call avR2(8898, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(5384)%branchR2(0:0))
      call avR2(5384, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(5742)%branchR2(0:0))
      call avR2(5742, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(7116)%branchR2(0:0))
      call avR2(7116, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(611)%branchR2(0:0))
      call avR2(611, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(4288)%branchR2(0:0))
      call avR2(4288, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(7707)%branchR2(0:0))
      call avR2(7707, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(2405)%branchR2(0:0))
      call avR2(2405, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2645/))

      allocate(vertices(3572)%branchR2(0:1))
      call avR2(3572, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(3572, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(7033)%branchR2(0:0))
      call avR2(7033, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(9852)%branchR2(0:0))
      call avR2(9852, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4039/))

      allocate(vertices(4776)%branchR2(0:0))
      call avR2(4776, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(3416)%branchR2(0:0))
      call avR2(3416, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(3826)%branchR2(0:0))
      call avR2(3826, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2726/))

      allocate(vertices(6014)%branchR2(0:0))
      call avR2(6014, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(4469)%branchR2(0:0))
      call avR2(4469, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2705/))

      allocate(vertices(9875)%branchR2(0:0))
      call avR2(9875, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(7813)%branchR2(0:0))
      call avR2(7813, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(3621)%branchR2(0:0))
      call avR2(3621, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(4627)%branchR2(0:0))
      call avR2(4627, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(1771)%branchR2(0:1))
      call avR2(1771, 0, 27, 1, 0, VFFa1, (/0, 3/), (/nGC_2715, nGC_2717/))

      call avR2(1771, 1, 27, 1, 0, VFFa1, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(4979)%branchR2(0:0))
      call avR2(4979, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(1347)%branchR2(0:0))
      call avR2(1347, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2645/))

      allocate(vertices(3428)%branchR2(0:0))
      call avR2(3428, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(3141)%branchR2(0:0))
      call avR2(3141, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(1827)%branchR2(0:0))
      call avR2(1827, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2805, nGC_2803,       &
      nGC_2804/))

      allocate(vertices(8233)%branchR2(0:0))
      call avR2(8233, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(543)%branchR2(0:0))
      call avR2(543, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(10)%branchR2(0:0))
      call avR2(10, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(2948)%branchR2(0:0))
      call avR2(2948, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(924)%branchR2(0:0))
      call avR2(924, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(7224)%branchR2(0:0))
      call avR2(7224, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(9246)%branchR2(0:0))
      call avR2(9246, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2483/))

      allocate(vertices(6115)%branchR2(0:0))
      call avR2(6115, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2655, nGC_2656/))

      allocate(vertices(10532)%branchR2(0:1))
      call avR2(10532, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2899/))

      call avR2(10532, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(8501)%branchR2(0:0))
      call avR2(8501, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2519/))

      allocate(vertices(4401)%branchR2(0:0))
      call avR2(4401, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(655)%branchR2(0:0))
      call avR2(655, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2706/))

      allocate(vertices(10406)%branchR2(0:0))
      call avR2(10406, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(2880)%branchR2(0:0))
      call avR2(2880, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(377)%branchR2(0:0))
      call avR2(377, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(4283)%branchR2(0:0))
      call avR2(4283, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(6007)%branchR2(0:0))
      call avR2(6007, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(5497)%branchR2(0:0))
      call avR2(5497, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2462/))

      allocate(vertices(201)%branchR2(0:0))
      call avR2(201, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(1914)%branchR2(0:0))
      call avR2(1914, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(10533)%branchR2(0:0))
      call avR2(10533, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2789, nGC_2789,      &
      nGC_2788/))

      allocate(vertices(8980)%branchR2(0:0))
      call avR2(8980, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(10534)%branchR2(0:0))
      call avR2(10534, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2777/))

      allocate(vertices(10246)%branchR2(0:0))
      call avR2(10246, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(10124)%branchR2(0:0))
      call avR2(10124, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(10535)%branchR2(0:1))
      call avR2(10535, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2831/))

      call avR2(10535, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(5919)%branchR2(0:1))
      call avR2(5919, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2650, nGC_2649/))

      call avR2(5919, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2651, nGC_2651/))

      allocate(vertices(8988)%branchR2(0:0))
      call avR2(8988, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(7161)%branchR2(0:1))
      call avR2(7161, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(7161, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(6210)%branchR2(0:0))
      call avR2(6210, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(1340)%branchR2(0:0))
      call avR2(1340, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(4526)%branchR2(0:0))
      call avR2(4526, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2569, nGC_2570/))

      allocate(vertices(6326)%branchR2(0:0))
      call avR2(6326, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(5607)%branchR2(0:0))
      call avR2(5607, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(10536)%branchR2(0:0))
      call avR2(10536, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(3861)%branchR2(0:0))
      call avR2(3861, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(2246)%branchR2(0:1))
      call avR2(2246, 0, 23, 1, 0, FaFV0, (/0, 3/), (/nGC_2707/))

      call avR2(2246, 1, 23, 1, 0, FaFV0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(6271)%branchR2(0:0))
      call avR2(6271, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(10323)%branchR2(0:0))
      call avR2(10323, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(2214)%branchR2(0:0))
      call avR2(2214, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(9274)%branchR2(0:0))
      call avR2(9274, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1962)%branchR2(0:0))
      call avR2(1962, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(1335)%branchR2(0:0))
      call avR2(1335, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(4419)%branchR2(0:1))
      call avR2(4419, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2621, nGC_2619/))

      call avR2(4419, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2622, nGC_2620/))

      allocate(vertices(6673)%branchR2(0:0))
      call avR2(6673, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(786)%branchR2(0:0))
      call avR2(786, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(7375)%branchR2(0:0))
      call avR2(7375, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(6336)%branchR2(0:0))
      call avR2(6336, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(3260)%branchR2(0:0))
      call avR2(3260, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(7618)%branchR2(0:1))
      call avR2(7618, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(7618, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(2178)%branchR2(0:0))
      call avR2(2178, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(5644)%branchR2(0:0))
      call avR2(5644, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(4809)%branchR2(0:0))
      call avR2(4809, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2805, nGC_2804,       &
      nGC_2803/))

      allocate(vertices(2862)%branchR2(0:0))
      call avR2(2862, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(1259)%branchR2(0:0))
      call avR2(1259, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(4437)%branchR2(0:0))
      call avR2(4437, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(7383)%branchR2(0:0))
      call avR2(7383, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(3584)%branchR2(0:0))
      call avR2(3584, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(4084)%branchR2(0:0))
      call avR2(4084, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(5910)%branchR2(0:0))
      call avR2(5910, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(6179)%branchR2(0:1))
      call avR2(6179, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2715, nGC_2717/))

      call avR2(6179, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(585)%branchR2(0:0))
      call avR2(585, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(3908)%branchR2(0:0))
      call avR2(3908, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(6652)%branchR2(0:1))
      call avR2(6652, 0, 23, 1, 0, FaFV0, (/0, 3/), (/nGC_2707/))

      call avR2(6652, 1, 23, 1, 0, FaFV0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(2385)%branchR2(0:0))
      call avR2(2385, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(10440)%branchR2(0:0))
      call avR2(10440, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(10537)%branchR2(0:1))
      call avR2(10537, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2930/))

      call avR2(10537, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(6282)%branchR2(0:0))
      call avR2(6282, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(2086)%branchR2(0:0))
      call avR2(2086, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(10436)%branchR2(0:0))
      call avR2(10436, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2502/))

      allocate(vertices(4850)%branchR2(0:0))
      call avR2(4850, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(4324)%branchR2(0:0))
      call avR2(4324, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(7429)%branchR2(0:0))
      call avR2(7429, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(2135)%branchR2(0:0))
      call avR2(2135, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(5648)%branchR2(0:0))
      call avR2(5648, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2460/))

      allocate(vertices(10538)%branchR2(0:5))
      call avR2(10538, 0, 149, 1, 0, VVVV0, (/3, 1/), (/nGC_2868, nGC_2868,    &
      nGC_2868/))

      call avR2(10538, 1, 148, 1, 0, VVVV0, (/3, 1/), (/nGC_2868, nGC_2868,    &
      nGC_2868/))

      call avR2(10538, 2, 151, 1, 0, VVVV0, (/3, 1/), (/nGC_2868, nGC_2868,    &
      nGC_2868/))

      call avR2(10538, 3, 152, 1, 0, VVVV0, (/3, 1/), (/nGC_2867, nGC_2867,    &
      nGC_2867/))

      call avR2(10538, 4, 150, 1, 0, VVVV0, (/3, 1/), (/nGC_2869, nGC_2869,    &
      nGC_2869/))

      call avR2(10538, 5, 147, 1, 0, VVVV0, (/3, 1/), (/nGC_2867, nGC_2867,    &
      nGC_2867/))

      allocate(vertices(6477)%branchR2(0:0))
      call avR2(6477, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(7202)%branchR2(0:1))
      call avR2(7202, 0, 26, 1, 0, VFaF0, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(7202, 1, 26, 1, 0, VFaF0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(6639)%branchR2(0:0))
      call avR2(6639, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(2313)%branchR2(0:0))
      call avR2(2313, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(3954)%branchR2(0:0))
      call avR2(3954, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(6624)%branchR2(0:1))
      call avR2(6624, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2584, nGC_2582/))

      call avR2(6624, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2585, nGC_2583/))

      allocate(vertices(734)%branchR2(0:0))
      call avR2(734, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(3527)%branchR2(0:0))
      call avR2(3527, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(3206)%branchR2(0:0))
      call avR2(3206, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(8885)%branchR2(0:0))
      call avR2(8885, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(7948)%branchR2(0:0))
      call avR2(7948, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(6787)%branchR2(0:0))
      call avR2(6787, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(2774)%branchR2(0:1))
      call avR2(2774, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2603, nGC_2604/))

      call avR2(2774, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(1089)%branchR2(0:0))
      call avR2(1089, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(6063)%branchR2(0:1))
      call avR2(6063, 0, 23, 1, 0, FaFV0, (/0, 3/), (/nGC_2708/))

      call avR2(6063, 1, 23, 1, 0, FaFV0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(3702)%branchR2(0:0))
      call avR2(3702, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(8587)%branchR2(0:0))
      call avR2(8587, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(4945)%branchR2(0:0))
      call avR2(4945, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(5563)%branchR2(0:0))
      call avR2(5563, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(8279)%branchR2(0:0))
      call avR2(8279, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(2293)%branchR2(0:0))
      call avR2(2293, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(1149)%branchR2(0:0))
      call avR2(1149, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4040/))

      allocate(vertices(4928)%branchR2(0:1))
      call avR2(4928, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2629, nGC_2627/))

      call avR2(4928, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2630, nGC_2628/))

      allocate(vertices(5469)%branchR2(0:0))
      call avR2(5469, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(5442)%branchR2(0:0))
      call avR2(5442, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2805, nGC_2804,       &
      nGC_2803/))

      allocate(vertices(9982)%branchR2(0:0))
      call avR2(9982, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2484/))

      allocate(vertices(1738)%branchR2(0:0))
      call avR2(1738, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2557, nGC_2558/))

      allocate(vertices(4204)%branchR2(0:0))
      call avR2(4204, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(10367)%branchR2(0:0))
      call avR2(10367, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(2099)%branchR2(0:0))
      call avR2(2099, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(905)%branchR2(0:1))
      call avR2(905, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2534, nGC_2535/))

      call avR2(905, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2516, nGC_2518/))

      allocate(vertices(3765)%branchR2(0:0))
      call avR2(3765, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(7969)%branchR2(0:0))
      call avR2(7969, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(3622)%branchR2(0:1))
      call avR2(3622, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(3622, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(4520)%branchR2(0:0))
      call avR2(4520, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(3150)%branchR2(0:1))
      call avR2(3150, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2639, nGC_2637/))

      call avR2(3150, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2640, nGC_2638/))

      allocate(vertices(6619)%branchR2(0:0))
      call avR2(6619, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(4275)%branchR2(0:0))
      call avR2(4275, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(5313)%branchR2(0:1))
      call avR2(5313, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2592, nGC_2590/))

      call avR2(5313, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2593, nGC_2591/))

      allocate(vertices(10539)%branchR2(0:0))
      call avR2(10539, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(10049)%branchR2(0:0))
      call avR2(10049, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(10540)%branchR2(0:1))
      call avR2(10540, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2933/))

      call avR2(10540, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2932/))

      allocate(vertices(5914)%branchR2(0:0))
      call avR2(5914, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(10541)%branchR2(0:1))
      call avR2(10541, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2899/))

      call avR2(10541, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(5756)%branchR2(0:0))
      call avR2(5756, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(1574)%branchR2(0:0))
      call avR2(1574, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(4337)%branchR2(0:0))
      call avR2(4337, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4041/))

      allocate(vertices(4092)%branchR2(0:0))
      call avR2(4092, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(542)%branchR2(0:0))
      call avR2(542, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(2408)%branchR2(0:1))
      call avR2(2408, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(2408, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(6383)%branchR2(0:0))
      call avR2(6383, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(3106)%branchR2(0:1))
      call avR2(3106, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(3106, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(9983)%branchR2(0:0))
      call avR2(9983, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4042/))

      allocate(vertices(2404)%branchR2(0:0))
      call avR2(2404, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(7209)%branchR2(0:0))
      call avR2(7209, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(6522)%branchR2(0:0))
      call avR2(6522, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(4683)%branchR2(0:0))
      call avR2(4683, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(6976)%branchR2(0:0))
      call avR2(6976, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4043/))

      allocate(vertices(301)%branchR2(0:0))
      call avR2(301, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(9293)%branchR2(0:0))
      call avR2(9293, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(2152)%branchR2(0:0))
      call avR2(2152, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(3116)%branchR2(0:0))
      call avR2(3116, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2643/))

      allocate(vertices(10542)%branchR2(0:5))
      call avR2(10542, 0, 169, 1, 0, VVVV0, (/3, 1/), (/nGC_2939, nGC_2939,    &
      nGC_2939/))

      call avR2(10542, 1, 167, 1, 0, VVVV0, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10542, 2, 168, 1, 0, VVVV0, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10542, 3, 166, 1, 0, VVVV0, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10542, 4, 170, 1, 0, VVVV0, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10542, 5, 165, 1, 0, VVVV0, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      allocate(vertices(9729)%branchR2(0:0))
      call avR2(9729, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(2702)%branchR2(0:0))
      call avR2(2702, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(4128)%branchR2(0:0))
      call avR2(4128, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4038/))

      allocate(vertices(3729)%branchR2(0:0))
      call avR2(3729, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(7512)%branchR2(0:0))
      call avR2(7512, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2506/))

      allocate(vertices(10262)%branchR2(0:0))
      call avR2(10262, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(3883)%branchR2(0:0))
      call avR2(3883, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(7974)%branchR2(0:0))
      call avR2(7974, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(2564)%branchR2(0:0))
      call avR2(2564, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(5344)%branchR2(0:0))
      call avR2(5344, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(5549)%branchR2(0:0))
      call avR2(5549, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2537/))

      allocate(vertices(5124)%branchR2(0:0))
      call avR2(5124, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(7106)%branchR2(0:0))
      call avR2(7106, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(2457)%branchR2(0:0))
      call avR2(2457, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(9622)%branchR2(0:0))
      call avR2(9622, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10543)%branchR2(0:0))
      call avR2(10543, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2865/))

      allocate(vertices(10304)%branchR2(0:0))
      call avR2(10304, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2485/))

      allocate(vertices(8915)%branchR2(0:0))
      call avR2(8915, 0, 13, 1, 0, FFa3, (/0, 2/), (/nGC_2440, nGC_2441,       &
      nGC_2455, nGC_2455/))

      allocate(vertices(8436)%branchR2(0:0))
      call avR2(8436, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(6)%branchR2(0:0))
      call avR2(6, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(10544)%branchR2(0:1))
      call avR2(10544, 0, 141, 1, 0, VVVV0, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      call avR2(10544, 1, 142, 1, 0, VVVV0, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      allocate(vertices(8732)%branchR2(0:0))
      call avR2(8732, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(8975)%branchR2(0:0))
      call avR2(8975, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(9465)%branchR2(0:0))
      call avR2(9465, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(6899)%branchR2(0:0))
      call avR2(6899, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2673/))

      allocate(vertices(2822)%branchR2(0:0))
      call avR2(2822, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(7687)%branchR2(0:1))
      call avR2(7687, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(7687, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(1814)%branchR2(0:0))
      call avR2(1814, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(6367)%branchR2(0:0))
      call avR2(6367, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2608/))

      allocate(vertices(6515)%branchR2(0:0))
      call avR2(6515, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(3103)%branchR2(0:0))
      call avR2(3103, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(6974)%branchR2(0:0))
      call avR2(6974, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(6356)%branchR2(0:0))
      call avR2(6356, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(7698)%branchR2(0:0))
      call avR2(7698, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(6719)%branchR2(0:1))
      call avR2(6719, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2639, nGC_2637/))

      call avR2(6719, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2640, nGC_2638/))

      allocate(vertices(317)%branchR2(0:0))
      call avR2(317, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(8835)%branchR2(0:0))
      call avR2(8835, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(3855)%branchR2(0:0))
      call avR2(3855, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(9367)%branchR2(0:0))
      call avR2(9367, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(1280)%branchR2(0:0))
      call avR2(1280, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(1416)%branchR2(0:0))
      call avR2(1416, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(8120)%branchR2(0:0))
      call avR2(8120, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(1752)%branchR2(0:0))
      call avR2(1752, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(1017)%branchR2(0:0))
      call avR2(1017, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(9519)%branchR2(0:0))
      call avR2(9519, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10545)%branchR2(0:1))
      call avR2(10545, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2848/))

      call avR2(10545, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(5895)%branchR2(0:0))
      call avR2(5895, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(9059)%branchR2(0:0))
      call avR2(9059, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2503/))

      allocate(vertices(6425)%branchR2(0:0))
      call avR2(6425, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(5486)%branchR2(0:0))
      call avR2(5486, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(183)%branchR2(0:0))
      call avR2(183, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2520/))

      allocate(vertices(10546)%branchR2(0:0))
      call avR2(10546, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(1324)%branchR2(0:0))
      call avR2(1324, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(1623)%branchR2(0:0))
      call avR2(1623, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(8737)%branchR2(0:0))
      call avR2(8737, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2642/))

      allocate(vertices(8815)%branchR2(0:0))
      call avR2(8815, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(8425)%branchR2(0:0))
      call avR2(8425, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(844)%branchR2(0:0))
      call avR2(844, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(148)%branchR2(0:1))
      call avR2(148, 0, 26, 1, 0, VFaF0, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(148, 1, 26, 1, 0, VFaF0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(9205)%branchR2(0:0))
      call avR2(9205, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(1155)%branchR2(0:0))
      call avR2(1155, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(7730)%branchR2(0:0))
      call avR2(7730, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(5009)%branchR2(0:0))
      call avR2(5009, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(2542)%branchR2(0:1))
      call avR2(2542, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(2542, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(8357)%branchR2(0:0))
      call avR2(8357, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(3697)%branchR2(0:1))
      call avR2(3697, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(3697, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(3508)%branchR2(0:0))
      call avR2(3508, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(6864)%branchR2(0:0))
      call avR2(6864, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(6303)%branchR2(0:0))
      call avR2(6303, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(5116)%branchR2(0:0))
      call avR2(5116, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2771, nGC_2772,       &
      nGC_2773/))

      allocate(vertices(10547)%branchR2(0:1))
      call avR2(10547, 0, 139, 1, 0, VVVV0, (/2, 2/), (/nGC_2924, nGC_2924,    &
      nGC_2924/))

      call avR2(10547, 1, 140, 1, 0, VVVV0, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      allocate(vertices(5064)%branchR2(0:0))
      call avR2(5064, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(267)%branchR2(0:1))
      call avR2(267, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(267, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(8609)%branchR2(0:1))
      call avR2(8609, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2694, nGC_2693/))

      call avR2(8609, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2695, nGC_2695/))

      allocate(vertices(1337)%branchR2(0:0))
      call avR2(1337, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(10548)%branchR2(0:1))
      call avR2(10548, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2831/))

      call avR2(10548, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(1572)%branchR2(0:0))
      call avR2(1572, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(8760)%branchR2(0:0))
      call avR2(8760, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(2876)%branchR2(0:1))
      call avR2(2876, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2621, nGC_2619/))

      call avR2(2876, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2622, nGC_2620/))

      allocate(vertices(4602)%branchR2(0:0))
      call avR2(4602, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2538/))

      allocate(vertices(3807)%branchR2(0:0))
      call avR2(3807, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(6287)%branchR2(0:1))
      call avR2(6287, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(6287, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(124)%branchR2(0:0))
      call avR2(124, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(7856)%branchR2(0:0))
      call avR2(7856, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2506/))

      allocate(vertices(8170)%branchR2(0:0))
      call avR2(8170, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(5877)%branchR2(0:0))
      call avR2(5877, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(3788)%branchR2(0:0))
      call avR2(3788, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2521/))

      allocate(vertices(2124)%branchR2(0:0))
      call avR2(2124, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2519/))

      allocate(vertices(247)%branchR2(0:0))
      call avR2(247, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(6209)%branchR2(0:1))
      call avR2(6209, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(6209, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(6651)%branchR2(0:0))
      call avR2(6651, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(4141)%branchR2(0:0))
      call avR2(4141, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(7652)%branchR2(0:0))
      call avR2(7652, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(8748)%branchR2(0:0))
      call avR2(8748, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(9470)%branchR2(0:0))
      call avR2(9470, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(263)%branchR2(0:0))
      call avR2(263, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2498/))

      allocate(vertices(10006)%branchR2(0:0))
      call avR2(10006, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(9111)%branchR2(0:0))
      call avR2(9111, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(10291)%branchR2(0:0))
      call avR2(10291, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(876)%branchR2(0:1))
      call avR2(876, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2650, nGC_2649/))

      call avR2(876, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2651, nGC_2651/))

      allocate(vertices(3294)%branchR2(0:0))
      call avR2(3294, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(6470)%branchR2(0:0))
      call avR2(6470, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(376)%branchR2(0:0))
      call avR2(376, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(4421)%branchR2(0:0))
      call avR2(4421, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(10079)%branchR2(0:0))
      call avR2(10079, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(4255)%branchR2(0:0))
      call avR2(4255, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(4663)%branchR2(0:0))
      call avR2(4663, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(9396)%branchR2(0:0))
      call avR2(9396, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(5434)%branchR2(0:0))
      call avR2(5434, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2709/))

      allocate(vertices(6796)%branchR2(0:0))
      call avR2(6796, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(7682)%branchR2(0:0))
      call avR2(7682, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(8330)%branchR2(0:0))
      call avR2(8330, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(642)%branchR2(0:1))
      call avR2(642, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(642, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(3067)%branchR2(0:0))
      call avR2(3067, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(10549)%branchR2(0:0))
      call avR2(10549, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2865/))

      allocate(vertices(5316)%branchR2(0:0))
      call avR2(5316, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(10550)%branchR2(0:1))
      call avR2(10550, 0, 137, 1, 0, VVVV0, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      call avR2(10550, 1, 138, 1, 0, VVVV0, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      allocate(vertices(16)%branchR2(0:0))
      call avR2(16, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2883/))

      allocate(vertices(3534)%branchR2(0:0))
      call avR2(3534, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(4198)%branchR2(0:0))
      call avR2(4198, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(10136)%branchR2(0:0))
      call avR2(10136, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4044/))

      allocate(vertices(5761)%branchR2(0:0))
      call avR2(5761, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(8790)%branchR2(0:0))
      call avR2(8790, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(4328)%branchR2(0:0))
      call avR2(4328, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(7824)%branchR2(0:0))
      call avR2(7824, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2696, nGC_2697/))

      allocate(vertices(5992)%branchR2(0:0))
      call avR2(5992, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(2106)%branchR2(0:0))
      call avR2(2106, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(4253)%branchR2(0:0))
      call avR2(4253, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(8805)%branchR2(0:0))
      call avR2(8805, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(6309)%branchR2(0:1))
      call avR2(6309, 0, 27, 1, 0, VFFa1, (/0, 3/), (/nGC_2474, nGC_2475/))

      call avR2(6309, 1, 27, 1, 0, VFFa1, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(10294)%branchR2(0:0))
      call avR2(10294, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(803)%branchR2(0:0))
      call avR2(803, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(8296)%branchR2(0:0))
      call avR2(8296, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(4691)%branchR2(0:0))
      call avR2(4691, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(908)%branchR2(0:0))
      call avR2(908, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(1011)%branchR2(0:0))
      call avR2(1011, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(10551)%branchR2(0:0))
      call avR2(10551, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(7351)%branchR2(0:0))
      call avR2(7351, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(5013)%branchR2(0:1))
      call avR2(5013, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2584, nGC_2582/))

      call avR2(5013, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2585, nGC_2583/))

      allocate(vertices(4553)%branchR2(0:0))
      call avR2(4553, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(10552)%branchR2(0:1))
      call avR2(10552, 0, 145, 1, 0, VVVV0, (/2, 2/), (/nGC_2924, nGC_2924,    &
      nGC_2924/))

      call avR2(10552, 1, 146, 1, 0, VVVV0, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      allocate(vertices(9820)%branchR2(0:0))
      call avR2(9820, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(3916)%branchR2(0:0))
      call avR2(3916, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(7037)%branchR2(0:0))
      call avR2(7037, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2610/))

      allocate(vertices(10553)%branchR2(0:1))
      call avR2(10553, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2933/))

      call avR2(10553, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2932/))

      allocate(vertices(3585)%branchR2(0:0))
      call avR2(3585, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2482, nGC_2481/))

      allocate(vertices(9889)%branchR2(0:0))
      call avR2(9889, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(9912)%branchR2(0:0))
      call avR2(9912, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(9040)%branchR2(0:0))
      call avR2(9040, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4044/))

      allocate(vertices(5604)%branchR2(0:0))
      call avR2(5604, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(6692)%branchR2(0:0))
      call avR2(6692, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(550)%branchR2(0:0))
      call avR2(550, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4045/))

      allocate(vertices(2085)%branchR2(0:0))
      call avR2(2085, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(8845)%branchR2(0:0))
      call avR2(8845, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2483/))

      allocate(vertices(9270)%branchR2(0:0))
      call avR2(9270, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(4071)%branchR2(0:0))
      call avR2(4071, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2506/))

      allocate(vertices(4307)%branchR2(0:0))
      call avR2(4307, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(8614)%branchR2(0:0))
      call avR2(8614, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(9434)%branchR2(0:0))
      call avR2(9434, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2502/))

      allocate(vertices(8053)%branchR2(0:0))
      call avR2(8053, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(4115)%branchR2(0:0))
      call avR2(4115, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(699)%branchR2(0:0))
      call avR2(699, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(4159)%branchR2(0:0))
      call avR2(4159, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(10459)%branchR2(0:0))
      call avR2(10459, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(5055)%branchR2(0:0))
      call avR2(5055, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(10045)%branchR2(0:0))
      call avR2(10045, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(7990)%branchR2(0:0))
      call avR2(7990, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4036/))

      allocate(vertices(6511)%branchR2(0:0))
      call avR2(6511, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(4299)%branchR2(0:0))
      call avR2(4299, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(6556)%branchR2(0:0))
      call avR2(6556, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2607/))

      allocate(vertices(1709)%branchR2(0:0))
      call avR2(1709, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(5843)%branchR2(0:0))
      call avR2(5843, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(7215)%branchR2(0:1))
      call avR2(7215, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(7215, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(243)%branchR2(0:0))
      call avR2(243, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2523/))

      allocate(vertices(5511)%branchR2(0:0))
      call avR2(5511, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(6988)%branchR2(0:0))
      call avR2(6988, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(10554)%branchR2(0:1))
      call avR2(10554, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2899/))

      call avR2(10554, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(2961)%branchR2(0:0))
      call avR2(2961, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(8057)%branchR2(0:0))
      call avR2(8057, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(7750)%branchR2(0:0))
      call avR2(7750, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(7157)%branchR2(0:0))
      call avR2(7157, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(8999)%branchR2(0:0))
      call avR2(8999, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(4293)%branchR2(0:0))
      call avR2(4293, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(7472)%branchR2(0:1))
      call avR2(7472, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(7472, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(3547)%branchR2(0:0))
      call avR2(3547, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(5763)%branchR2(0:0))
      call avR2(5763, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(7170)%branchR2(0:0))
      call avR2(7170, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2596/))

      allocate(vertices(6823)%branchR2(0:0))
      call avR2(6823, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2923, nGC_2923,       &
      nGC_2922/))

      allocate(vertices(943)%branchR2(0:0))
      call avR2(943, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(9206)%branchR2(0:0))
      call avR2(9206, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2540/))

      allocate(vertices(4304)%branchR2(0:0))
      call avR2(4304, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(3683)%branchR2(0:0))
      call avR2(3683, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(1893)%branchR2(0:3))
      call avR2(1893, 0, 35, 1, 0, FaVF1, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(1893, 1, 35, 1, 0, FaVF1, (/1, 2/), (/nGC_2762, nGC_2763/))

      call avR2(1893, 2, 34, 1, 0, FaVF1, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(1893, 3, 34, 1, 0, FaVF1, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(4590)%branchR2(0:0))
      call avR2(4590, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2609/))

      allocate(vertices(2222)%branchR2(0:0))
      call avR2(2222, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2521/))

      allocate(vertices(10299)%branchR2(0:0))
      call avR2(10299, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2450/))

      allocate(vertices(6927)%branchR2(0:0))
      call avR2(6927, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(7238)%branchR2(0:0))
      call avR2(7238, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(5933)%branchR2(0:0))
      call avR2(5933, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(1681)%branchR2(0:0))
      call avR2(1681, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(8683)%branchR2(0:0))
      call avR2(8683, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(3111)%branchR2(0:0))
      call avR2(3111, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(34)%branchR2(0:0))
      call avR2(34, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(9472)%branchR2(0:0))
      call avR2(9472, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(7891)%branchR2(0:0))
      call avR2(7891, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(9137)%branchR2(0:0))
      call avR2(9137, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(10555)%branchR2(0:1))
      call avR2(10555, 0, 145, 1, 0, VVVV0, (/2, 2/), (/nGC_2924, nGC_2924,    &
      nGC_2924/))

      call avR2(10555, 1, 146, 1, 0, VVVV0, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      allocate(vertices(466)%branchR2(0:0))
      call avR2(466, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(1638)%branchR2(0:0))
      call avR2(1638, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2673/))

      allocate(vertices(4654)%branchR2(0:0))
      call avR2(4654, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(2111)%branchR2(0:0))
      call avR2(2111, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(3110)%branchR2(0:0))
      call avR2(3110, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(10556)%branchR2(0:1))
      call avR2(10556, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2831/))

      call avR2(10556, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(7633)%branchR2(0:0))
      call avR2(7633, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(9956)%branchR2(0:0))
      call avR2(9956, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(7645)%branchR2(0:0))
      call avR2(7645, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(9290)%branchR2(0:0))
      call avR2(9290, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(5651)%branchR2(0:0))
      call avR2(5651, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(8484)%branchR2(0:0))
      call avR2(8484, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(6952)%branchR2(0:1))
      call avR2(6952, 0, 24, 1, 0, FaVF1, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(6952, 1, 24, 1, 0, FaVF1, (/2, 1/), (/nGC_2472, nGC_2472/))

      allocate(vertices(2364)%branchR2(0:0))
      call avR2(2364, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(1707)%branchR2(0:0))
      call avR2(1707, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(4755)%branchR2(0:3))
      call avR2(4755, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(4755, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(4755, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(4755, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2762, nGC_2763/))

      allocate(vertices(8997)%branchR2(0:0))
      call avR2(8997, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(936)%branchR2(0:0))
      call avR2(936, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(1791)%branchR2(0:0))
      call avR2(1791, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(3851)%branchR2(0:0))
      call avR2(3851, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(7302)%branchR2(0:0))
      call avR2(7302, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(2305)%branchR2(0:0))
      call avR2(2305, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(8523)%branchR2(0:0))
      call avR2(8523, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(9810)%branchR2(0:0))
      call avR2(9810, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4035/))

      allocate(vertices(8039)%branchR2(0:0))
      call avR2(8039, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(7963)%branchR2(0:0))
      call avR2(7963, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(3980)%branchR2(0:0))
      call avR2(3980, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(1624)%branchR2(0:0))
      call avR2(1624, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2473/))

      allocate(vertices(8687)%branchR2(0:1))
      call avR2(8687, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2534, nGC_2535/))

      call avR2(8687, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2516, nGC_2518/))

      allocate(vertices(10037)%branchR2(0:0))
      call avR2(10037, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(3173)%branchR2(0:0))
      call avR2(3173, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(7452)%branchR2(0:0))
      call avR2(7452, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(10462)%branchR2(0:0))
      call avR2(10462, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(8736)%branchR2(0:0))
      call avR2(8736, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(1834)%branchR2(0:1))
      call avR2(1834, 0, 26, 1, 0, VFaF1, (/0, 3/), (/nGC_2702/))

      call avR2(1834, 1, 26, 1, 0, VFaF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(2234)%branchR2(0:0))
      call avR2(2234, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(7427)%branchR2(0:0))
      call avR2(7427, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(4688)%branchR2(0:0))
      call avR2(4688, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(8616)%branchR2(0:0))
      call avR2(8616, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(5654)%branchR2(0:0))
      call avR2(5654, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(1521)%branchR2(0:0))
      call avR2(1521, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(8561)%branchR2(0:0))
      call avR2(8561, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2805, nGC_2804,       &
      nGC_2803/))

      allocate(vertices(4741)%branchR2(0:0))
      call avR2(4741, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(297)%branchR2(0:0))
      call avR2(297, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(4836)%branchR2(0:0))
      call avR2(4836, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(10252)%branchR2(0:0))
      call avR2(10252, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(6329)%branchR2(0:0))
      call avR2(6329, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(5002)%branchR2(0:0))
      call avR2(5002, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(7521)%branchR2(0:0))
      call avR2(7521, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(8491)%branchR2(0:0))
      call avR2(8491, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(2755)%branchR2(0:1))
      call avR2(2755, 0, 25, 1, 0, FVFa0, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(2755, 1, 25, 1, 0, FVFa0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(3384)%branchR2(0:0))
      call avR2(3384, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(6679)%branchR2(0:0))
      call avR2(6679, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(4611)%branchR2(0:0))
      call avR2(4611, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(5799)%branchR2(0:3))
      call avR2(5799, 0, 19, 1, 0, VFaF0, (/1, 2/), (/nGC_2760, nGC_2761/))

      call avR2(5799, 1, 19, 1, 0, VFaF0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(5799, 2, 20, 1, 0, VFaF0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(5799, 3, 20, 1, 0, VFaF0, (/1, 2/), (/nGC_2758, nGC_2759/))

      allocate(vertices(7195)%branchR2(0:0))
      call avR2(7195, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2803, nGC_2804,       &
      nGC_2805/))

      allocate(vertices(10071)%branchR2(0:0))
      call avR2(10071, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(3524)%branchR2(0:0))
      call avR2(3524, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(7197)%branchR2(0:3))
      call avR2(7197, 0, 35, 1, 0, FaVF1, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(7197, 1, 35, 1, 0, FaVF1, (/1, 2/), (/nGC_2758, nGC_2759/))

      call avR2(7197, 2, 34, 1, 0, FaVF1, (/1, 2/), (/nGC_2760, nGC_2761/))

      call avR2(7197, 3, 34, 1, 0, FaVF1, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(9076)%branchR2(0:0))
      call avR2(9076, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(3415)%branchR2(0:0))
      call avR2(3415, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2496/))

      allocate(vertices(3867)%branchR2(0:0))
      call avR2(3867, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(4155)%branchR2(0:0))
      call avR2(4155, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(6575)%branchR2(0:0))
      call avR2(6575, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(10329)%branchR2(0:0))
      call avR2(10329, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2540/))

      allocate(vertices(971)%branchR2(0:0))
      call avR2(971, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(7995)%branchR2(0:0))
      call avR2(7995, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(10312)%branchR2(0:0))
      call avR2(10312, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2422, nGC_2421/))

      allocate(vertices(8767)%branchR2(0:0))
      call avR2(8767, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2494/))

      allocate(vertices(1877)%branchR2(0:0))
      call avR2(1877, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(6472)%branchR2(0:0))
      call avR2(6472, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(2464)%branchR2(0:0))
      call avR2(2464, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(5426)%branchR2(0:0))
      call avR2(5426, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(493)%branchR2(0:0))
      call avR2(493, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(7407)%branchR2(0:0))
      call avR2(7407, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(4715)%branchR2(0:0))
      call avR2(4715, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(8545)%branchR2(0:0))
      call avR2(8545, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2772, nGC_2773,       &
      nGC_2771/))

      allocate(vertices(3724)%branchR2(0:0))
      call avR2(3724, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(6460)%branchR2(0:1))
      call avR2(6460, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(6460, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(8993)%branchR2(0:0))
      call avR2(8993, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(8210)%branchR2(0:0))
      call avR2(8210, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(5299)%branchR2(0:0))
      call avR2(5299, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(3917)%branchR2(0:0))
      call avR2(3917, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(6421)%branchR2(0:0))
      call avR2(6421, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2883/))

      allocate(vertices(10557)%branchR2(0:1))
      call avR2(10557, 0, 128, 1, 0, VVS0, (/2, 1/), (/nGC_2689/))

      call avR2(10557, 1, 127, 1, 0, VVS0, (/2, 1/), (/nGC_2688/))

      allocate(vertices(2150)%branchR2(0:0))
      call avR2(2150, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(911)%branchR2(0:0))
      call avR2(911, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(3233)%branchR2(0:0))
      call avR2(3233, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(6044)%branchR2(0:1))
      call avR2(6044, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2603, nGC_2604/))

      call avR2(6044, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(5132)%branchR2(0:0))
      call avR2(5132, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(10558)%branchR2(0:1))
      call avR2(10558, 0, 144, 1, 0, VVVV0, (/2, 2/), (/nGC_2935, nGC_2935,    &
      nGC_2935/))

      call avR2(10558, 1, 143, 1, 0, VVVV0, (/2, 2/), (/nGC_2936, nGC_2936,    &
      nGC_2936/))

      allocate(vertices(4000)%branchR2(0:0))
      call avR2(4000, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(7158)%branchR2(0:1))
      call avR2(7158, 0, 25, 1, 0, FVFa1, (/0, 3/), (/nGC_2707/))

      call avR2(7158, 1, 25, 1, 0, FVFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(1083)%branchR2(0:0))
      call avR2(1083, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2520/))

      allocate(vertices(3284)%branchR2(0:0))
      call avR2(3284, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(9014)%branchR2(0:0))
      call avR2(9014, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(8926)%branchR2(0:0))
      call avR2(8926, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(9260)%branchR2(0:0))
      call avR2(9260, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(4818)%branchR2(0:0))
      call avR2(4818, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(10559)%branchR2(0:0))
      call avR2(10559, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(6567)%branchR2(0:0))
      call avR2(6567, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2482, nGC_2481/))

      allocate(vertices(10326)%branchR2(0:0))
      call avR2(10326, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(8971)%branchR2(0:0))
      call avR2(8971, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(4599)%branchR2(0:0))
      call avR2(4599, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4046/))

      allocate(vertices(9590)%branchR2(0:0))
      call avR2(9590, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2400, nGC_2399/))

      allocate(vertices(8462)%branchR2(0:0))
      call avR2(8462, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(8307)%branchR2(0:0))
      call avR2(8307, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2598/))

      allocate(vertices(8862)%branchR2(0:0))
      call avR2(8862, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(7541)%branchR2(0:0))
      call avR2(7541, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4032/))

      allocate(vertices(10230)%branchR2(0:0))
      call avR2(10230, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(613)%branchR2(0:1))
      call avR2(613, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2694, nGC_2693/))

      call avR2(613, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2695, nGC_2695/))

      allocate(vertices(4330)%branchR2(0:0))
      call avR2(4330, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(1886)%branchR2(0:0))
      call avR2(1886, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(10560)%branchR2(0:1))
      call avR2(10560, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2919/))

      call avR2(10560, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2918/))

      allocate(vertices(4664)%branchR2(0:0))
      call avR2(4664, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(3677)%branchR2(0:1))
      call avR2(3677, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(3677, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(382)%branchR2(0:0))
      call avR2(382, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2494/))

      allocate(vertices(7610)%branchR2(0:0))
      call avR2(7610, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(7434)%branchR2(0:0))
      call avR2(7434, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(7613)%branchR2(0:0))
      call avR2(7613, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4038/))

      allocate(vertices(4790)%branchR2(0:0))
      call avR2(4790, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(5146)%branchR2(0:0))
      call avR2(5146, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(10561)%branchR2(0:0))
      call avR2(10561, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(8721)%branchR2(0:0))
      call avR2(8721, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(7997)%branchR2(0:0))
      call avR2(7997, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(972)%branchR2(0:0))
      call avR2(972, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(8111)%branchR2(0:0))
      call avR2(8111, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(6069)%branchR2(0:1))
      call avR2(6069, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(6069, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(7425)%branchR2(0:0))
      call avR2(7425, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(9485)%branchR2(0:0))
      call avR2(9485, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(8983)%branchR2(0:0))
      call avR2(8983, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(2577)%branchR2(0:0))
      call avR2(2577, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(8258)%branchR2(0:0))
      call avR2(8258, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(6031)%branchR2(0:0))
      call avR2(6031, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(6311)%branchR2(0:0))
      call avR2(6311, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2725/))

      allocate(vertices(6627)%branchR2(0:0))
      call avR2(6627, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(9409)%branchR2(0:0))
      call avR2(9409, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(10562)%branchR2(0:0))
      call avR2(10562, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(7646)%branchR2(0:0))
      call avR2(7646, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2595/))

      allocate(vertices(10305)%branchR2(0:0))
      call avR2(10305, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(6186)%branchR2(0:0))
      call avR2(6186, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(6618)%branchR2(0:0))
      call avR2(6618, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(9272)%branchR2(0:0))
      call avR2(9272, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(2002)%branchR2(0:0))
      call avR2(2002, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(527)%branchR2(0:0))
      call avR2(527, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(2487)%branchR2(0:3))
      call avR2(2487, 0, 21, 1, 0, VFFa1, (/1, 2/), (/nGC_2739, nGC_2741/))

      call avR2(2487, 1, 21, 1, 0, VFFa1, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(2487, 2, 22, 1, 0, VFFa1, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(2487, 3, 22, 1, 0, VFFa1, (/1, 2/), (/nGC_2736, nGC_2738/))

      allocate(vertices(8746)%branchR2(0:0))
      call avR2(8746, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(10563)%branchR2(0:1))
      call avR2(10563, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2896/))

      call avR2(10563, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2895/))

      allocate(vertices(8726)%branchR2(0:1))
      call avR2(8726, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2682, nGC_2681/))

      call avR2(8726, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(6850)%branchR2(0:0))
      call avR2(6850, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(9625)%branchR2(0:0))
      call avR2(9625, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2450/))

      allocate(vertices(5740)%branchR2(0:0))
      call avR2(5740, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(7608)%branchR2(0:0))
      call avR2(7608, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2883/))

      allocate(vertices(2110)%branchR2(0:1))
      call avR2(2110, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(2110, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(5515)%branchR2(0:0))
      call avR2(5515, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(10564)%branchR2(0:0))
      call avR2(10564, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(6975)%branchR2(0:0))
      call avR2(6975, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(2312)%branchR2(0:0))
      call avR2(2312, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(8931)%branchR2(0:0))
      call avR2(8931, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(5634)%branchR2(0:0))
      call avR2(5634, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4047/))

      allocate(vertices(9459)%branchR2(0:0))
      call avR2(9459, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(6791)%branchR2(0:0))
      call avR2(6791, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10565)%branchR2(0:0))
      call avR2(10565, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2778/))

      allocate(vertices(10265)%branchR2(0:0))
      call avR2(10265, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(8533)%branchR2(0:0))
      call avR2(8533, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(9233)%branchR2(0:0))
      call avR2(9233, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(9588)%branchR2(0:0))
      call avR2(9588, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(8264)%branchR2(0:0))
      call avR2(8264, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(10566)%branchR2(0:1))
      call avR2(10566, 0, 136, 1, 0, VVVV0, (/2, 2/), (/nGC_2924, nGC_2924,    &
      nGC_2924/))

      call avR2(10566, 1, 135, 1, 0, VVVV0, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      allocate(vertices(2113)%branchR2(0:0))
      call avR2(2113, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(4118)%branchR2(0:0))
      call avR2(4118, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2557, nGC_2558/))

      allocate(vertices(5935)%branchR2(0:0))
      call avR2(5935, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(6321)%branchR2(0:0))
      call avR2(6321, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(6378)%branchR2(0:0))
      call avR2(6378, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(811)%branchR2(0:0))
      call avR2(811, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2569, nGC_2570/))

      allocate(vertices(2969)%branchR2(0:0))
      call avR2(2969, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(4036)%branchR2(0:0))
      call avR2(4036, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(10373)%branchR2(0:0))
      call avR2(10373, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(6239)%branchR2(0:0))
      call avR2(6239, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(3136)%branchR2(0:0))
      call avR2(3136, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(7070)%branchR2(0:0))
      call avR2(7070, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2594/))

      allocate(vertices(5022)%branchR2(0:0))
      call avR2(5022, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(9324)%branchR2(0:0))
      call avR2(9324, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(2251)%branchR2(0:1))
      call avR2(2251, 0, 24, 1, 0, FaVF1, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(2251, 1, 24, 1, 0, FaVF1, (/2, 1/), (/nGC_2472, nGC_2472/))

      allocate(vertices(8839)%branchR2(0:0))
      call avR2(8839, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(8212)%branchR2(0:0))
      call avR2(8212, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(6760)%branchR2(0:0))
      call avR2(6760, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4048/))

      allocate(vertices(6075)%branchR2(0:0))
      call avR2(6075, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(5025)%branchR2(0:0))
      call avR2(5025, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(1291)%branchR2(0:0))
      call avR2(1291, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(2920)%branchR2(0:0))
      call avR2(2920, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(2627)%branchR2(0:0))
      call avR2(2627, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4041/))

      allocate(vertices(7451)%branchR2(0:0))
      call avR2(7451, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(871)%branchR2(0:0))
      call avR2(871, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2706/))

      allocate(vertices(10484)%branchR2(0:0))
      call avR2(10484, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(4871)%branchR2(0:0))
      call avR2(4871, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(7852)%branchR2(0:0))
      call avR2(7852, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2608/))

      allocate(vertices(9234)%branchR2(0:0))
      call avR2(9234, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10174)%branchR2(0:0))
      call avR2(10174, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(10567)%branchR2(0:1))
      call avR2(10567, 0, 125, 1, 0, SVV0, (/2, 1/), (/nGC_2659/))

      call avR2(10567, 1, 126, 1, 0, SVV0, (/2, 1/), (/nGC_2660/))

      allocate(vertices(1950)%branchR2(0:0))
      call avR2(1950, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(9429)%branchR2(0:0))
      call avR2(9429, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(3668)%branchR2(0:1))
      call avR2(3668, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(3668, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(3204)%branchR2(0:0))
      call avR2(3204, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(4230)%branchR2(0:0))
      call avR2(4230, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(6687)%branchR2(0:1))
      call avR2(6687, 0, 26, 1, 0, VFaF1, (/0, 3/), (/nGC_2702/))

      call avR2(6687, 1, 26, 1, 0, VFaF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(9887)%branchR2(0:0))
      call avR2(9887, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(8091)%branchR2(0:0))
      call avR2(8091, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(1631)%branchR2(0:0))
      call avR2(1631, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2876/))

      allocate(vertices(4621)%branchR2(0:1))
      call avR2(4621, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(4621, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(5222)%branchR2(0:0))
      call avR2(5222, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(3802)%branchR2(0:0))
      call avR2(3802, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(6538)%branchR2(0:0))
      call avR2(6538, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(10568)%branchR2(0:0))
      call avR2(10568, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2789, nGC_2788,      &
      nGC_2789/))

      allocate(vertices(4218)%branchR2(0:0))
      call avR2(4218, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(3159)%branchR2(0:0))
      call avR2(3159, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(8946)%branchR2(0:0))
      call avR2(8946, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(1121)%branchR2(0:3))
      call avR2(1121, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2739, nGC_2741/))

      call avR2(1121, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(1121, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(1121, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2736, nGC_2738/))

      allocate(vertices(10569)%branchR2(0:0))
      call avR2(10569, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(10570)%branchR2(0:0))
      call avR2(10570, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(2452)%branchR2(0:0))
      call avR2(2452, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(8671)%branchR2(0:0))
      call avR2(8671, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(5400)%branchR2(0:1))
      call avR2(5400, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2682, nGC_2681/))

      call avR2(5400, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(2825)%branchR2(0:0))
      call avR2(2825, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(1909)%branchR2(0:3))
      call avR2(1909, 0, 17, 1, 0, FaFV1, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(1909, 1, 17, 1, 0, FaFV1, (/1, 2/), (/nGC_2748, nGC_2749/))

      call avR2(1909, 2, 18, 1, 0, FaFV1, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(1909, 3, 18, 1, 0, FaFV1, (/1, 2/), (/nGC_2746, nGC_2747/))

      allocate(vertices(10571)%branchR2(0:5))
      call avR2(10571, 0, 160, 1, 0, VVVV0, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10571, 1, 163, 1, 0, VVVV0, (/3, 1/), (/nGC_2939, nGC_2939,    &
      nGC_2939/))

      call avR2(10571, 2, 162, 1, 0, VVVV0, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10571, 3, 164, 1, 0, VVVV0, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10571, 4, 161, 1, 0, VVVV0, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10571, 5, 159, 1, 0, VVVV0, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      allocate(vertices(4690)%branchR2(0:1))
      call avR2(4690, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(4690, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(7700)%branchR2(0:0))
      call avR2(7700, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10354)%branchR2(0:0))
      call avR2(10354, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(3065)%branchR2(0:0))
      call avR2(3065, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(6386)%branchR2(0:1))
      call avR2(6386, 0, 23, 1, 0, FaFV1, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(6386, 1, 23, 1, 0, FaFV1, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(5317)%branchR2(0:0))
      call avR2(5317, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(2791)%branchR2(0:0))
      call avR2(2791, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2521/))

      allocate(vertices(7041)%branchR2(0:1))
      call avR2(7041, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(7041, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2472, nGC_2472/))

      allocate(vertices(7376)%branchR2(0:0))
      call avR2(7376, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(10379)%branchR2(0:0))
      call avR2(10379, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(6451)%branchR2(0:0))
      call avR2(6451, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(3897)%branchR2(0:0))
      call avR2(3897, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(3076)%branchR2(0:0))
      call avR2(3076, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(5357)%branchR2(0:0))
      call avR2(5357, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(9673)%branchR2(0:0))
      call avR2(9673, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(456)%branchR2(0:0))
      call avR2(456, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2498/))

      allocate(vertices(10572)%branchR2(0:1))
      call avR2(10572, 0, 137, 1, 0, VVVV0, (/2, 2/), (/nGC_2924, nGC_2924,    &
      nGC_2924/))

      call avR2(10572, 1, 138, 1, 0, VVVV0, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      allocate(vertices(8902)%branchR2(0:0))
      call avR2(8902, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(6215)%branchR2(0:0))
      call avR2(6215, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4043/))

      allocate(vertices(10573)%branchR2(0:1))
      call avR2(10573, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2919/))

      call avR2(10573, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2918/))

      allocate(vertices(7939)%branchR2(0:0))
      call avR2(7939, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(284)%branchR2(0:0))
      call avR2(284, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(2635)%branchR2(0:0))
      call avR2(2635, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(2642)%branchR2(0:0))
      call avR2(2642, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(6931)%branchR2(0:0))
      call avR2(6931, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(1858)%branchR2(0:0))
      call avR2(1858, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(6325)%branchR2(0:0))
      call avR2(6325, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(9253)%branchR2(0:0))
      call avR2(9253, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2484/))

      allocate(vertices(10296)%branchR2(0:0))
      call avR2(10296, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(5288)%branchR2(0:1))
      call avR2(5288, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(5288, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(9374)%branchR2(0:0))
      call avR2(9374, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(1192)%branchR2(0:0))
      call avR2(1192, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(2520)%branchR2(0:0))
      call avR2(2520, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(10574)%branchR2(0:1))
      call avR2(10574, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2848/))

      call avR2(10574, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(1714)%branchR2(0:0))
      call avR2(1714, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(4969)%branchR2(0:0))
      call avR2(4969, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(9504)%branchR2(0:0))
      call avR2(9504, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4049/))

      allocate(vertices(5880)%branchR2(0:0))
      call avR2(5880, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(2424)%branchR2(0:0))
      call avR2(2424, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2864/))

      allocate(vertices(10425)%branchR2(0:0))
      call avR2(10425, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(4975)%branchR2(0:0))
      call avR2(4975, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(5747)%branchR2(0:23))
      call avR2(5747, 0, 173, 1, 0, VVVV0, (/4, 0/), (/nGC_2944, nGC_2943,     &
      nGC_2943/))

      call avR2(5747, 1, 9, 1, 0, VVVV0, (/4, 0/), (/nGC_2945, nGC_2940,       &
      nGC_2946/))

      call avR2(5747, 2, 186, 1, 0, VVVV0, (/4, 0/), (/nGC_2948, nGC_2948,     &
      nGC_2948/))

      call avR2(5747, 3, 176, 1, 0, VVVV0, (/4, 0/), (/nGC_2943, nGC_2944,     &
      nGC_2943/))

      call avR2(5747, 4, 5, 1, 0, VVVV0, (/4, 0/), (/nGC_2941, nGC_2941,       &
      nGC_2940/))

      call avR2(5747, 5, 182, 1, 0, VVVV0, (/4, 0/), (/nGC_2948, nGC_2948,     &
      nGC_2948/))

      call avR2(5747, 6, 179, 1, 0, VVVV0, (/4, 0/), (/nGC_2942, nGC_2942,     &
      nGC_2942/))

      call avR2(5747, 7, 172, 1, 0, VVVV0, (/4, 0/), (/nGC_2942, nGC_2942,     &
      nGC_2942/))

      call avR2(5747, 8, 8, 1, 0, VVVV0, (/4, 0/), (/nGC_2940, nGC_2945,       &
      nGC_2947/))

      call avR2(5747, 9, 175, 1, 0, VVVV0, (/4, 0/), (/nGC_2943, nGC_2943,     &
      nGC_2944/))

      call avR2(5747, 10, 188, 1, 0, VVVV0, (/4, 0/), (/nGC_2948, nGC_2948,    &
      nGC_2948/))

      call avR2(5747, 11, 185, 1, 0, VVVV0, (/4, 0/), (/nGC_2949, nGC_2949,    &
      nGC_2949/))

      call avR2(5747, 12, 4, 1, 0, VVVV0, (/4, 0/), (/nGC_2941, nGC_2941,      &
      nGC_2940/))

      call avR2(5747, 13, 178, 1, 0, VVVV0, (/4, 0/), (/nGC_2942, nGC_2942,    &
      nGC_2942/))

      call avR2(5747, 14, 7, 1, 0, VVVV0, (/4, 0/), (/nGC_2945, nGC_2940,      &
      nGC_2946/))

      call avR2(5747, 15, 181, 1, 0, VVVV0, (/4, 0/), (/nGC_2942, nGC_2942,    &
      nGC_2942/))

      call avR2(5747, 16, 174, 1, 0, VVVV0, (/4, 0/), (/nGC_2942, nGC_2942,    &
      nGC_2942/))

      call avR2(5747, 17, 171, 1, 0, VVVV0, (/4, 0/), (/nGC_2942, nGC_2942,    &
      nGC_2942/))

      call avR2(5747, 18, 184, 1, 0, VVVV0, (/4, 0/), (/nGC_2948, nGC_2948,    &
      nGC_2948/))

      call avR2(5747, 19, 187, 1, 0, VVVV0, (/4, 0/), (/nGC_2948, nGC_2948,    &
      nGC_2948/))

      call avR2(5747, 20, 6, 1, 0, VVVV0, (/4, 0/), (/nGC_2940, nGC_2945,      &
      nGC_2947/))

      call avR2(5747, 21, 180, 1, 0, VVVV0, (/4, 0/), (/nGC_2942, nGC_2942,    &
      nGC_2942/))

      call avR2(5747, 22, 177, 1, 0, VVVV0, (/4, 0/), (/nGC_2942, nGC_2942,    &
      nGC_2942/))

      call avR2(5747, 23, 183, 1, 0, VVVV0, (/4, 0/), (/nGC_2948, nGC_2948,    &
      nGC_2948/))

      allocate(vertices(4649)%branchR2(0:0))
      call avR2(4649, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4041/))

      allocate(vertices(4250)%branchR2(0:0))
      call avR2(4250, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(1263)%branchR2(0:0))
      call avR2(1263, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(6528)%branchR2(0:0))
      call avR2(6528, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2544/))

      allocate(vertices(7867)%branchR2(0:0))
      call avR2(7867, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2733, nGC_2732/))

      allocate(vertices(5979)%branchR2(0:0))
      call avR2(5979, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(7718)%branchR2(0:0))
      call avR2(7718, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(5773)%branchR2(0:0))
      call avR2(5773, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(9627)%branchR2(0:0))
      call avR2(9627, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(10575)%branchR2(0:1))
      call avR2(10575, 0, 137, 1, 0, VVVV0, (/2, 2/), (/nGC_2924, nGC_2924,    &
      nGC_2924/))

      call avR2(10575, 1, 138, 1, 0, VVVV0, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      allocate(vertices(6256)%branchR2(0:0))
      call avR2(6256, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2923, nGC_2922,       &
      nGC_2923/))

      allocate(vertices(7594)%branchR2(0:0))
      call avR2(7594, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(748)%branchR2(0:1))
      call avR2(748, 0, 24, 1, 0, FaVF1, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(748, 1, 24, 1, 0, FaVF1, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(87)%branchR2(0:0))
      call avR2(87, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2727/))

      allocate(vertices(9712)%branchR2(0:0))
      call avR2(9712, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(5056)%branchR2(0:0))
      call avR2(5056, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(8588)%branchR2(0:0))
      call avR2(8588, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(10452)%branchR2(0:0))
      call avR2(10452, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2459/))

      allocate(vertices(4830)%branchR2(0:0))
      call avR2(4830, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(2811)%branchR2(0:0))
      call avR2(2811, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(10002)%branchR2(0:0))
      call avR2(10002, 0, 13, 1, 0, FFa4, (/0, 2/), (/nGC_2440, nGC_2449,      &
      nGC_2449, nGC_2441/))

      allocate(vertices(5169)%branchR2(0:0))
      call avR2(5169, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(7300)%branchR2(0:0))
      call avR2(7300, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2595/))

      allocate(vertices(2680)%branchR2(0:0))
      call avR2(2680, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(1721)%branchR2(0:0))
      call avR2(1721, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(3684)%branchR2(0:1))
      call avR2(3684, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(3684, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(10576)%branchR2(0:0))
      call avR2(10576, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2788, nGC_2789,      &
      nGC_2789/))

      allocate(vertices(867)%branchR2(0:0))
      call avR2(867, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(9976)%branchR2(0:0))
      call avR2(9976, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2540/))

      allocate(vertices(10577)%branchR2(0:1))
      call avR2(10577, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2929/))

      call avR2(10577, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2928/))

      allocate(vertices(6454)%branchR2(0:0))
      call avR2(6454, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(6883)%branchR2(0:1))
      call avR2(6883, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2584, nGC_2582/))

      call avR2(6883, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2585, nGC_2583/))

      allocate(vertices(976)%branchR2(0:1))
      call avR2(976, 0, 24, 1, 0, FaVF0, (/0, 3/), (/nGC_2702/))

      call avR2(976, 1, 24, 1, 0, FaVF0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(9512)%branchR2(0:0))
      call avR2(9512, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(4059)%branchR2(0:0))
      call avR2(4059, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(3213)%branchR2(0:0))
      call avR2(3213, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(1252)%branchR2(0:0))
      call avR2(1252, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(4215)%branchR2(0:0))
      call avR2(4215, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(6535)%branchR2(0:0))
      call avR2(6535, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(7091)%branchR2(0:1))
      call avR2(7091, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(7091, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(5100)%branchR2(0:0))
      call avR2(5100, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(2317)%branchR2(0:0))
      call avR2(2317, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(3183)%branchR2(0:0))
      call avR2(3183, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(3653)%branchR2(0:3))
      call avR2(3653, 0, 19, 1, 0, VFaF0, (/1, 2/), (/nGC_2739, nGC_2741/))

      call avR2(3653, 1, 19, 1, 0, VFaF0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(3653, 2, 20, 1, 0, VFaF0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(3653, 3, 20, 1, 0, VFaF0, (/1, 2/), (/nGC_2736, nGC_2738/))

      allocate(vertices(6876)%branchR2(0:0))
      call avR2(6876, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(9973)%branchR2(0:0))
      call avR2(9973, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(8115)%branchR2(0:0))
      call avR2(8115, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2597/))

      allocate(vertices(2114)%branchR2(0:0))
      call avR2(2114, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(8605)%branchR2(0:0))
      call avR2(8605, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(162)%branchR2(0:0))
      call avR2(162, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(4631)%branchR2(0:0))
      call avR2(4631, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(7361)%branchR2(0:0))
      call avR2(7361, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(5724)%branchR2(0:0))
      call avR2(5724, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(7756)%branchR2(0:0))
      call avR2(7756, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(3024)%branchR2(0:0))
      call avR2(3024, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(3216)%branchR2(0:0))
      call avR2(3216, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(8673)%branchR2(0:0))
      call avR2(8673, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2706/))

      allocate(vertices(598)%branchR2(0:0))
      call avR2(598, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(7323)%branchR2(0:0))
      call avR2(7323, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(9706)%branchR2(0:0))
      call avR2(9706, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(4194)%branchR2(0:0))
      call avR2(4194, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2596/))

      allocate(vertices(4264)%branchR2(0:3))
      call avR2(4264, 0, 19, 1, 0, VFaF0, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(4264, 1, 19, 1, 0, VFaF0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(4264, 2, 20, 1, 0, VFaF0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(4264, 3, 20, 1, 0, VFaF0, (/1, 2/), (/nGC_2762, nGC_2763/))

      allocate(vertices(2205)%branchR2(0:0))
      call avR2(2205, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(1956)%branchR2(0:0))
      call avR2(1956, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(7579)%branchR2(0:0))
      call avR2(7579, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(5794)%branchR2(0:1))
      call avR2(5794, 0, 27, 1, 0, VFFa1, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(5794, 1, 27, 1, 0, VFFa1, (/2, 1/), (/nGC_2472, nGC_2472/))

      allocate(vertices(4725)%branchR2(0:0))
      call avR2(4725, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(10211)%branchR2(0:0))
      call avR2(10211, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(7877)%branchR2(0:0))
      call avR2(7877, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2923, nGC_2923,       &
      nGC_2922/))

      allocate(vertices(863)%branchR2(0:0))
      call avR2(863, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(5331)%branchR2(0:0))
      call avR2(5331, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(4387)%branchR2(0:0))
      call avR2(4387, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(4890)%branchR2(0:0))
      call avR2(4890, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2521/))

      allocate(vertices(379)%branchR2(0:0))
      call avR2(379, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(704)%branchR2(0:0))
      call avR2(704, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2923, nGC_2923,        &
      nGC_2922/))

      allocate(vertices(3889)%branchR2(0:0))
      call avR2(3889, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(3410)%branchR2(0:0))
      call avR2(3410, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(9207)%branchR2(0:0))
      call avR2(9207, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2412, nGC_2411/))

      allocate(vertices(5044)%branchR2(0:1))
      call avR2(5044, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2675, nGC_2674/))

      call avR2(5044, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2676, nGC_2676/))

      allocate(vertices(1250)%branchR2(0:0))
      call avR2(1250, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(5289)%branchR2(0:0))
      call avR2(5289, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(10578)%branchR2(0:1))
      call avR2(10578, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2931/))

      call avR2(10578, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2930/))

      allocate(vertices(4750)%branchR2(0:0))
      call avR2(4750, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(9854)%branchR2(0:0))
      call avR2(9854, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1076)%branchR2(0:0))
      call avR2(1076, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(10453)%branchR2(0:0))
      call avR2(10453, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(691)%branchR2(0:0))
      call avR2(691, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(8648)%branchR2(0:0))
      call avR2(8648, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(1229)%branchR2(0:0))
      call avR2(1229, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(9307)%branchR2(0:0))
      call avR2(9307, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(4229)%branchR2(0:0))
      call avR2(4229, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(1014)%branchR2(0:0))
      call avR2(1014, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(311)%branchR2(0:1))
      call avR2(311, 0, 26, 1, 0, VFaF1, (/0, 3/), (/nGC_2704/))

      call avR2(311, 1, 26, 1, 0, VFaF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10579)%branchR2(0:1))
      call avR2(10579, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2899/))

      call avR2(10579, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(5708)%branchR2(0:0))
      call avR2(5708, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(10126)%branchR2(0:0))
      call avR2(10126, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10580)%branchR2(0:1))
      call avR2(10580, 0, 136, 1, 0, VVVV0, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      call avR2(10580, 1, 135, 1, 0, VVVV0, (/2, 2/), (/nGC_2810, nGC_2810,    &
      nGC_2810/))

      allocate(vertices(6496)%branchR2(0:1))
      call avR2(6496, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(6496, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(2797)%branchR2(0:0))
      call avR2(2797, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(9446)%branchR2(0:0))
      call avR2(9446, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(2504)%branchR2(0:0))
      call avR2(2504, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2923, nGC_2922,       &
      nGC_2923/))

      allocate(vertices(6926)%branchR2(0:1))
      call avR2(6926, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2533, nGC_2532/))

      call avR2(6926, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2514, nGC_2512/))

      allocate(vertices(6674)%branchR2(0:0))
      call avR2(6674, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(5321)%branchR2(0:0))
      call avR2(5321, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(3686)%branchR2(0:0))
      call avR2(3686, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(9282)%branchR2(0:0))
      call avR2(9282, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(5199)%branchR2(0:0))
      call avR2(5199, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10134)%branchR2(0:0))
      call avR2(10134, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(3435)%branchR2(0:0))
      call avR2(3435, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(4015)%branchR2(0:0))
      call avR2(4015, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(1013)%branchR2(0:3))
      call avR2(1013, 0, 37, 1, 0, FVFa0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(1013, 1, 37, 1, 0, FVFa0, (/1, 2/), (/nGC_2736, nGC_2738/))

      call avR2(1013, 2, 36, 1, 0, FVFa0, (/1, 2/), (/nGC_2739, nGC_2741/))

      call avR2(1013, 3, 36, 1, 0, FVFa0, (/3, 0/), (/nGC_2740, nGC_2740/))

      allocate(vertices(10581)%branchR2(0:0))
      call avR2(10581, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(1533)%branchR2(0:1))
      call avR2(1533, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(1533, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(6809)%branchR2(0:0))
      call avR2(6809, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(10582)%branchR2(0:1))
      call avR2(10582, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2848/))

      call avR2(10582, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(4859)%branchR2(0:0))
      call avR2(4859, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(250)%branchR2(0:0))
      call avR2(250, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(1690)%branchR2(0:0))
      call avR2(1690, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(7790)%branchR2(0:0))
      call avR2(7790, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(10583)%branchR2(0:0))
      call avR2(10583, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(7993)%branchR2(0:0))
      call avR2(7993, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(7258)%branchR2(0:0))
      call avR2(7258, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(1448)%branchR2(0:0))
      call avR2(1448, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4050/))

      allocate(vertices(240)%branchR2(0:0))
      call avR2(240, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(10584)%branchR2(0:1))
      call avR2(10584, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2848/))

      call avR2(10584, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(8016)%branchR2(0:0))
      call avR2(8016, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(3197)%branchR2(0:0))
      call avR2(3197, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(10585)%branchR2(0:0))
      call avR2(10585, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(10043)%branchR2(0:0))
      call avR2(10043, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(10389)%branchR2(0:0))
      call avR2(10389, 0, 13, 1, 0, FaF3, (/0, 2/), (/nGC_2440, nGC_2441,      &
      nGC_2442, nGC_2442/))

      allocate(vertices(7005)%branchR2(0:0))
      call avR2(7005, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(5370)%branchR2(0:0))
      call avR2(5370, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2733, nGC_2732/))

      allocate(vertices(9906)%branchR2(0:0))
      call avR2(9906, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2405, nGC_2404/))

      allocate(vertices(4472)%branchR2(0:1))
      call avR2(4472, 0, 23, 1, 0, FaFV1, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(4472, 1, 23, 1, 0, FaFV1, (/2, 1/), (/nGC_2472, nGC_2472/))

      allocate(vertices(6442)%branchR2(0:0))
      call avR2(6442, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(5695)%branchR2(0:1))
      call avR2(5695, 0, 25, 1, 0, FVFa0, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(5695, 1, 25, 1, 0, FVFa0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(8981)%branchR2(0:0))
      call avR2(8981, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(3749)%branchR2(0:1))
      call avR2(3749, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(3749, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(7017)%branchR2(0:0))
      call avR2(7017, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(7589)%branchR2(0:0))
      call avR2(7589, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(8803)%branchR2(0:1))
      call avR2(8803, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2650, nGC_2649/))

      call avR2(8803, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2651, nGC_2651/))

      allocate(vertices(2965)%branchR2(0:0))
      call avR2(2965, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4036/))

      allocate(vertices(7435)%branchR2(0:0))
      call avR2(7435, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(4679)%branchR2(0:0))
      call avR2(4679, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(10586)%branchR2(0:1))
      call avR2(10586, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2929/))

      call avR2(10586, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2928/))

      allocate(vertices(5872)%branchR2(0:0))
      call avR2(5872, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(3720)%branchR2(0:1))
      call avR2(3720, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(3720, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(7606)%branchR2(0:0))
      call avR2(7606, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(7791)%branchR2(0:0))
      call avR2(7791, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(10587)%branchR2(0:1))
      call avR2(10587, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2848/))

      call avR2(10587, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(5496)%branchR2(0:0))
      call avR2(5496, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(10588)%branchR2(0:0))
      call avR2(10588, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2818, nGC_2818,      &
      nGC_2818/))

    end subroutine fill_vertices_mdl21
end module vertices_info21
