!******************************************************************************!
!                                                                              !
!    vertices_info22.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info22.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 21:28             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info22
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl22()
      allocate(vertices(10589)%branchR2(0:1))
      call avR2(10589, 0, 144, 1, 0, VVVV0, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      call avR2(10589, 1, 143, 1, 0, VVVV0, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      allocate(vertices(1474)%branchR2(0:0))
      call avR2(1474, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10590)%branchR2(0:0))
      call avR2(10590, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(5269)%branchR2(0:0))
      call avR2(5269, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(8458)%branchR2(0:0))
      call avR2(8458, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4051/))

      allocate(vertices(3272)%branchR2(0:0))
      call avR2(3272, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(4777)%branchR2(0:0))
      call avR2(4777, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2883/))

      allocate(vertices(978)%branchR2(0:0))
      call avR2(978, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2883/))

      allocate(vertices(1169)%branchR2(0:0))
      call avR2(1169, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(4686)%branchR2(0:0))
      call avR2(4686, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(6602)%branchR2(0:3))
      call avR2(6602, 0, 37, 1, 0, FVFa0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(6602, 1, 37, 1, 0, FVFa0, (/1, 2/), (/nGC_2742, nGC_2743/))

      call avR2(6602, 2, 36, 1, 0, FVFa0, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(6602, 3, 36, 1, 0, FVFa0, (/3, 0/), (/nGC_2740, nGC_2740/))

      allocate(vertices(6362)%branchR2(0:0))
      call avR2(6362, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(5772)%branchR2(0:0))
      call avR2(5772, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(5219)%branchR2(0:0))
      call avR2(5219, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(952)%branchR2(0:0))
      call avR2(952, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(956)%branchR2(0:0))
      call avR2(956, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(4948)%branchR2(0:0))
      call avR2(4948, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2462/))

      allocate(vertices(927)%branchR2(0:0))
      call avR2(927, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(378)%branchR2(0:0))
      call avR2(378, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2645/))

      allocate(vertices(506)%branchR2(0:0))
      call avR2(506, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(10085)%branchR2(0:0))
      call avR2(10085, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2450/))

      allocate(vertices(384)%branchR2(0:0))
      call avR2(384, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(4835)%branchR2(0:0))
      call avR2(4835, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(797)%branchR2(0:1))
      call avR2(797, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(797, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(8141)%branchR2(0:0))
      call avR2(8141, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2726/))

      allocate(vertices(1256)%branchR2(0:0))
      call avR2(1256, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(637)%branchR2(0:0))
      call avR2(637, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(9208)%branchR2(0:0))
      call avR2(9208, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2410, nGC_2409/))

      allocate(vertices(8871)%branchR2(0:0))
      call avR2(8871, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2420, nGC_2419/))

      allocate(vertices(3055)%branchR2(0:0))
      call avR2(3055, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10591)%branchR2(0:0))
      call avR2(10591, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(10137)%branchR2(0:0))
      call avR2(10137, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(7413)%branchR2(0:0))
      call avR2(7413, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(10592)%branchR2(0:0))
      call avR2(10592, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(10455)%branchR2(0:0))
      call avR2(10455, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(7546)%branchR2(0:0))
      call avR2(7546, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(6858)%branchR2(0:0))
      call avR2(6858, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(5836)%branchR2(0:0))
      call avR2(5836, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(8702)%branchR2(0:0))
      call avR2(8702, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(9227)%branchR2(0:0))
      call avR2(9227, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(2061)%branchR2(0:0))
      call avR2(2061, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(7611)%branchR2(0:0))
      call avR2(7611, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(10005)%branchR2(0:0))
      call avR2(10005, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2416, nGC_2415/))

      allocate(vertices(10016)%branchR2(0:1))
      call avR2(10016, 0, 124, 1, 0, FaF2, (/0, 2/), (/nGC_2437, nGC_2434,     &
      nGC_2435, nGC_2435/))

      call avR2(10016, 1, 124, 1, 0, FaF2, (/2, 0/), (/nGC_2429, nGC_2429,     &
      nGC_2436, nGC_2436/))

      allocate(vertices(8071)%branchR2(0:0))
      call avR2(8071, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(487)%branchR2(0:0))
      call avR2(487, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(7013)%branchR2(0:1))
      call avR2(7013, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2606, nGC_2605/))

      call avR2(7013, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2589, nGC_2587/))

      allocate(vertices(8920)%branchR2(0:1))
      call avR2(8920, 0, 14, 1, 0, FFa2, (/0, 2/), (/nGC_2437, nGC_2434,       &
      nGC_2457, nGC_2457/))

      call avR2(8920, 1, 14, 1, 0, FFa2, (/2, 0/), (/nGC_2429, nGC_2429,       &
      nGC_2456, nGC_2456/))

      allocate(vertices(2489)%branchR2(0:0))
      call avR2(2489, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(4892)%branchR2(0:0))
      call avR2(4892, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(3958)%branchR2(0:1))
      call avR2(3958, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2682, nGC_2681/))

      call avR2(3958, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(6773)%branchR2(0:0))
      call avR2(6773, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(1048)%branchR2(0:0))
      call avR2(1048, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(3997)%branchR2(0:0))
      call avR2(3997, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(25)%branchR2(0:0))
      call avR2(25, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2705/))

      allocate(vertices(9584)%branchR2(0:0))
      call avR2(9584, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(7192)%branchR2(0:0))
      call avR2(7192, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2922, nGC_2923,       &
      nGC_2923/))

      allocate(vertices(5565)%branchR2(0:1))
      call avR2(5565, 0, 25, 1, 0, FVFa0, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(5565, 1, 25, 1, 0, FVFa0, (/2, 1/), (/nGC_2472, nGC_2472/))

      allocate(vertices(9739)%branchR2(0:0))
      call avR2(9739, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(5700)%branchR2(0:0))
      call avR2(5700, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(5248)%branchR2(0:1))
      call avR2(5248, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2639, nGC_2637/))

      call avR2(5248, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2640, nGC_2638/))

      allocate(vertices(9554)%branchR2(0:0))
      call avR2(9554, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2425, nGC_2423,        &
      nGC_2424/))

      allocate(vertices(3478)%branchR2(0:0))
      call avR2(3478, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(6151)%branchR2(0:0))
      call avR2(6151, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2596/))

      allocate(vertices(9993)%branchR2(0:0))
      call avR2(9993, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(5062)%branchR2(0:1))
      call avR2(5062, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(5062, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(8528)%branchR2(0:0))
      call avR2(8528, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(8248)%branchR2(0:0))
      call avR2(8248, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(6193)%branchR2(0:0))
      call avR2(6193, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(85)%branchR2(0:0))
      call avR2(85, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(3185)%branchR2(0:0))
      call avR2(3185, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(957)%branchR2(0:0))
      call avR2(957, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(10593)%branchR2(0:0))
      call avR2(10593, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(5968)%branchR2(0:0))
      call avR2(5968, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(5610)%branchR2(0:0))
      call avR2(5610, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2528/))

      allocate(vertices(9148)%branchR2(0:0))
      call avR2(9148, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(1538)%branchR2(0:0))
      call avR2(1538, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2803, nGC_2805,       &
      nGC_2804/))

      allocate(vertices(10594)%branchR2(0:0))
      call avR2(10594, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2865/))

      allocate(vertices(5256)%branchR2(0:0))
      call avR2(5256, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(7933)%branchR2(0:0))
      call avR2(7933, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4040/))

      allocate(vertices(5359)%branchR2(0:0))
      call avR2(5359, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(5012)%branchR2(0:0))
      call avR2(5012, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(10292)%branchR2(0:0))
      call avR2(10292, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(4182)%branchR2(0:0))
      call avR2(4182, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2504/))

      allocate(vertices(351)%branchR2(0:0))
      call avR2(351, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(10595)%branchR2(0:0))
      call avR2(10595, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(1563)%branchR2(0:3))
      call avR2(1563, 0, 17, 1, 0, FaFV1, (/1, 2/), (/nGC_2739, nGC_2741/))

      call avR2(1563, 1, 17, 1, 0, FaFV1, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(1563, 2, 18, 1, 0, FaFV1, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(1563, 3, 18, 1, 0, FaFV1, (/1, 2/), (/nGC_2736, nGC_2738/))

      allocate(vertices(2399)%branchR2(0:0))
      call avR2(2399, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(1682)%branchR2(0:0))
      call avR2(1682, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(6668)%branchR2(0:1))
      call avR2(6668, 0, 27, 1, 0, VFFa1, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(6668, 1, 27, 1, 0, VFFa1, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(10596)%branchR2(0:1))
      call avR2(10596, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2899/))

      call avR2(10596, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(4083)%branchR2(0:0))
      call avR2(4083, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(4673)%branchR2(0:0))
      call avR2(4673, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(8557)%branchR2(0:0))
      call avR2(8557, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(10095)%branchR2(0:0))
      call avR2(10095, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(11)%branchR2(0:0))
      call avR2(11, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(197)%branchR2(0:0))
      call avR2(197, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(1436)%branchR2(0:0))
      call avR2(1436, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2655, nGC_2656/))

      allocate(vertices(1125)%branchR2(0:0))
      call avR2(1125, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(2462)%branchR2(0:0))
      call avR2(2462, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(8259)%branchR2(0:1))
      call avR2(8259, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2563, nGC_2561/))

      call avR2(8259, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2564, nGC_2562/))

      allocate(vertices(7465)%branchR2(0:1))
      call avR2(7465, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2694, nGC_2693/))

      call avR2(7465, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2695, nGC_2695/))

      allocate(vertices(2495)%branchR2(0:1))
      call avR2(2495, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(2495, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(3430)%branchR2(0:0))
      call avR2(3430, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(5785)%branchR2(0:0))
      call avR2(5785, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(7200)%branchR2(0:0))
      call avR2(7200, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2805, nGC_2803,       &
      nGC_2804/))

      allocate(vertices(1729)%branchR2(0:0))
      call avR2(1729, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(1450)%branchR2(0:0))
      call avR2(1450, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(2910)%branchR2(0:0))
      call avR2(2910, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(6025)%branchR2(0:0))
      call avR2(6025, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(8655)%branchR2(0:0))
      call avR2(8655, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(5443)%branchR2(0:0))
      call avR2(5443, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(1196)%branchR2(0:0))
      call avR2(1196, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(9839)%branchR2(0:0))
      call avR2(9839, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(8383)%branchR2(0:0))
      call avR2(8383, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(5851)%branchR2(0:0))
      call avR2(5851, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(9705)%branchR2(0:0))
      call avR2(9705, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(341)%branchR2(0:0))
      call avR2(341, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(3149)%branchR2(0:0))
      call avR2(3149, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(2926)%branchR2(0:0))
      call avR2(2926, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(7720)%branchR2(0:0))
      call avR2(7720, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(795)%branchR2(0:0))
      call avR2(795, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(522)%branchR2(0:0))
      call avR2(522, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2623, nGC_2624/))

      allocate(vertices(9430)%branchR2(0:0))
      call avR2(9430, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(2020)%branchR2(0:0))
      call avR2(2020, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(4320)%branchR2(0:0))
      call avR2(4320, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(6260)%branchR2(0:0))
      call avR2(6260, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(3058)%branchR2(0:0))
      call avR2(3058, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2876/))

      allocate(vertices(3645)%branchR2(0:0))
      call avR2(3645, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(4021)%branchR2(0:0))
      call avR2(4021, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(10597)%branchR2(0:1))
      call avR2(10597, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2848/))

      call avR2(10597, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(7912)%branchR2(0:0))
      call avR2(7912, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2506/))

      allocate(vertices(9557)%branchR2(0:0))
      call avR2(9557, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(968)%branchR2(0:0))
      call avR2(968, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4037/))

      allocate(vertices(10598)%branchR2(0:1))
      call avR2(10598, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2931/))

      call avR2(10598, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2930/))

      allocate(vertices(8152)%branchR2(0:0))
      call avR2(8152, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(6987)%branchR2(0:0))
      call avR2(6987, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(673)%branchR2(0:0))
      call avR2(673, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2506/))

      allocate(vertices(10148)%branchR2(0:0))
      call avR2(10148, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(9092)%branchR2(0:0))
      call avR2(9092, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(2897)%branchR2(0:0))
      call avR2(2897, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4046/))

      allocate(vertices(5328)%branchR2(0:0))
      call avR2(5328, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2864/))

      allocate(vertices(1748)%branchR2(0:0))
      call avR2(1748, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(5876)%branchR2(0:0))
      call avR2(5876, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(347)%branchR2(0:0))
      call avR2(347, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(9034)%branchR2(0:0))
      call avR2(9034, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2503/))

      allocate(vertices(6638)%branchR2(0:0))
      call avR2(6638, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(9117)%branchR2(0:0))
      call avR2(9117, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2483/))

      allocate(vertices(8906)%branchR2(0:0))
      call avR2(8906, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(3896)%branchR2(0:0))
      call avR2(3896, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(10132)%branchR2(0:0))
      call avR2(10132, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2412, nGC_2411/))

      allocate(vertices(10029)%branchR2(0:0))
      call avR2(10029, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2484/))

      allocate(vertices(5463)%branchR2(0:0))
      call avR2(5463, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(6865)%branchR2(0:0))
      call avR2(6865, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2864/))

      allocate(vertices(5752)%branchR2(0:1))
      call avR2(5752, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2563, nGC_2561/))

      call avR2(5752, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2564, nGC_2562/))

      allocate(vertices(6738)%branchR2(0:0))
      call avR2(6738, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(2088)%branchR2(0:0))
      call avR2(2088, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(1805)%branchR2(0:1))
      call avR2(1805, 0, 26, 1, 0, VFaF0, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(1805, 1, 26, 1, 0, VFaF0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(10363)%branchR2(0:0))
      call avR2(10363, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(10599)%branchR2(0:0))
      call avR2(10599, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(6272)%branchR2(0:1))
      call avR2(6272, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(6272, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(9873)%branchR2(0:0))
      call avR2(9873, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(6879)%branchR2(0:0))
      call avR2(6879, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(1045)%branchR2(0:0))
      call avR2(1045, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(5576)%branchR2(0:1))
      call avR2(5576, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(5576, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(6335)%branchR2(0:0))
      call avR2(6335, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(82)%branchR2(0:0))
      call avR2(82, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(9010)%branchR2(0:0))
      call avR2(9010, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(7109)%branchR2(0:0))
      call avR2(7109, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2519/))

      allocate(vertices(10600)%branchR2(0:0))
      call avR2(10600, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2777/))

      allocate(vertices(3618)%branchR2(0:0))
      call avR2(3618, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(3236)%branchR2(0:0))
      call avR2(3236, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(4567)%branchR2(0:0))
      call avR2(4567, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2864/))

      allocate(vertices(8088)%branchR2(0:0))
      call avR2(8088, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(3408)%branchR2(0:0))
      call avR2(3408, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4046/))

      allocate(vertices(10601)%branchR2(0:1))
      call avR2(10601, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2885/))

      call avR2(10601, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2884/))

      allocate(vertices(2673)%branchR2(0:0))
      call avR2(2673, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(727)%branchR2(0:0))
      call avR2(727, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(5931)%branchR2(0:0))
      call avR2(5931, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2727/))

      allocate(vertices(2909)%branchR2(0:0))
      call avR2(2909, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(2734)%branchR2(0:1))
      call avR2(2734, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2555, nGC_2553/))

      call avR2(2734, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2556, nGC_2554/))

      allocate(vertices(6553)%branchR2(0:0))
      call avR2(6553, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(5046)%branchR2(0:0))
      call avR2(5046, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(2777)%branchR2(0:0))
      call avR2(2777, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4050/))

      allocate(vertices(6510)%branchR2(0:0))
      call avR2(6510, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(10602)%branchR2(0:0))
      call avR2(10602, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(1919)%branchR2(0:0))
      call avR2(1919, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(1700)%branchR2(0:0))
      call avR2(1700, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(9411)%branchR2(0:0))
      call avR2(9411, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(1435)%branchR2(0:0))
      call avR2(1435, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(1402)%branchR2(0:0))
      call avR2(1402, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(5512)%branchR2(0:0))
      call avR2(5512, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2710/))

      allocate(vertices(2447)%branchR2(0:0))
      call avR2(2447, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(1806)%branchR2(0:0))
      call avR2(1806, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(5006)%branchR2(0:0))
      call avR2(5006, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2496/))

      allocate(vertices(3509)%branchR2(0:0))
      call avR2(3509, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(10603)%branchR2(0:1))
      call avR2(10603, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2896/))

      call avR2(10603, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2895/))

      allocate(vertices(1180)%branchR2(0:0))
      call avR2(1180, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2772, nGC_2771,       &
      nGC_2773/))

      allocate(vertices(5679)%branchR2(0:0))
      call avR2(5679, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(4415)%branchR2(0:0))
      call avR2(4415, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(8799)%branchR2(0:0))
      call avR2(8799, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(4073)%branchR2(0:0))
      call avR2(4073, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2569, nGC_2570/))

      allocate(vertices(3441)%branchR2(0:0))
      call avR2(3441, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(1040)%branchR2(0:0))
      call avR2(1040, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2527/))

      allocate(vertices(3846)%branchR2(0:0))
      call avR2(3846, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(3575)%branchR2(0:0))
      call avR2(3575, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(1360)%branchR2(0:0))
      call avR2(1360, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4047/))

      allocate(vertices(5253)%branchR2(0:0))
      call avR2(5253, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(9285)%branchR2(0:0))
      call avR2(9285, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(8836)%branchR2(0:0))
      call avR2(8836, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(10604)%branchR2(0:0))
      call avR2(10604, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(1161)%branchR2(0:1))
      call avR2(1161, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(1161, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(1391)%branchR2(0:0))
      call avR2(1391, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2520/))

      allocate(vertices(5455)%branchR2(0:0))
      call avR2(5455, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(934)%branchR2(0:0))
      call avR2(934, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(5165)%branchR2(0:0))
      call avR2(5165, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4047/))

      allocate(vertices(9843)%branchR2(0:0))
      call avR2(9843, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(5355)%branchR2(0:1))
      call avR2(5355, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2555, nGC_2553/))

      call avR2(5355, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2556, nGC_2554/))

      allocate(vertices(10266)%branchR2(0:0))
      call avR2(10266, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(6375)%branchR2(0:0))
      call avR2(6375, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(10605)%branchR2(0:0))
      call avR2(10605, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(10325)%branchR2(0:0))
      call avR2(10325, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2450/))

      allocate(vertices(7803)%branchR2(0:0))
      call avR2(7803, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2883/))

      allocate(vertices(9855)%branchR2(0:0))
      call avR2(9855, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(5956)%branchR2(0:0))
      call avR2(5956, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(6474)%branchR2(0:0))
      call avR2(6474, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(2145)%branchR2(0:1))
      call avR2(2145, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(2145, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(3214)%branchR2(0:0))
      call avR2(3214, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(9329)%branchR2(0:0))
      call avR2(9329, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(9597)%branchR2(0:0))
      call avR2(9597, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(9028)%branchR2(0:0))
      call avR2(9028, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(7849)%branchR2(0:1))
      call avR2(7849, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2702/))

      call avR2(7849, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(6141)%branchR2(0:0))
      call avR2(6141, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(8337)%branchR2(0:0))
      call avR2(8337, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(153)%branchR2(0:0))
      call avR2(153, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(5682)%branchR2(0:0))
      call avR2(5682, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2609/))

      allocate(vertices(2233)%branchR2(0:0))
      call avR2(2233, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(161)%branchR2(0:0))
      call avR2(161, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(1232)%branchR2(0:0))
      call avR2(1232, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2705/))

      allocate(vertices(10606)%branchR2(0:0))
      call avR2(10606, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(7280)%branchR2(0:0))
      call avR2(7280, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(5473)%branchR2(0:0))
      call avR2(5473, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(6008)%branchR2(0:0))
      call avR2(6008, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(8457)%branchR2(0:0))
      call avR2(8457, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(7526)%branchR2(0:0))
      call avR2(7526, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(3638)%branchR2(0:0))
      call avR2(3638, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(8730)%branchR2(0:0))
      call avR2(8730, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(1762)%branchR2(0:0))
      call avR2(1762, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(9846)%branchR2(0:0))
      call avR2(9846, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(6539)%branchR2(0:0))
      call avR2(6539, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2597/))

      allocate(vertices(3941)%branchR2(0:0))
      call avR2(3941, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(1760)%branchR2(0:0))
      call avR2(1760, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2579/))

      allocate(vertices(5421)%branchR2(0:0))
      call avR2(5421, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(3249)%branchR2(0:0))
      call avR2(3249, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(3135)%branchR2(0:0))
      call avR2(3135, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2496/))

      allocate(vertices(2237)%branchR2(0:0))
      call avR2(2237, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(7958)%branchR2(0:0))
      call avR2(7958, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(9103)%branchR2(0:0))
      call avR2(9103, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2503/))

      allocate(vertices(7233)%branchR2(0:0))
      call avR2(7233, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2595/))

      allocate(vertices(8470)%branchR2(0:0))
      call avR2(8470, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(10383)%branchR2(0:0))
      call avR2(10383, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(9947)%branchR2(0:0))
      call avR2(9947, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(10607)%branchR2(0:0))
      call avR2(10607, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2465/))

      allocate(vertices(5361)%branchR2(0:0))
      call avR2(5361, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(1449)%branchR2(0:0))
      call avR2(1449, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(2051)%branchR2(0:0))
      call avR2(2051, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(10067)%branchR2(0:0))
      call avR2(10067, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(10608)%branchR2(0:0))
      call avR2(10608, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(4046)%branchR2(0:0))
      call avR2(4046, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(9407)%branchR2(0:0))
      call avR2(9407, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(6034)%branchR2(0:0))
      call avR2(6034, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(2941)%branchR2(0:0))
      call avR2(2941, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(7337)%branchR2(0:0))
      call avR2(7337, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(893)%branchR2(0:0))
      call avR2(893, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(29)%branchR2(0:0))
      call avR2(29, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(1059)%branchR2(0:0))
      call avR2(1059, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(4702)%branchR2(0:3))
      call avR2(4702, 0, 21, 1, 0, VFFa1, (/1, 2/), (/nGC_2760, nGC_2761/))

      call avR2(4702, 1, 21, 1, 0, VFFa1, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(4702, 2, 22, 1, 0, VFFa1, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(4702, 3, 22, 1, 0, VFFa1, (/1, 2/), (/nGC_2758, nGC_2759/))

      allocate(vertices(2067)%branchR2(0:0))
      call avR2(2067, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(6212)%branchR2(0:0))
      call avR2(6212, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(904)%branchR2(0:0))
      call avR2(904, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(8334)%branchR2(0:1))
      call avR2(8334, 0, 27, 1, 0, VFFa1, (/0, 3/), (/nGC_2711, nGC_2713/))

      call avR2(8334, 1, 27, 1, 0, VFFa1, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(8901)%branchR2(0:0))
      call avR2(8901, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(583)%branchR2(0:1))
      call avR2(583, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2629, nGC_2627/))

      call avR2(583, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2630, nGC_2628/))

      allocate(vertices(932)%branchR2(0:0))
      call avR2(932, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(4503)%branchR2(0:0))
      call avR2(4503, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(2192)%branchR2(0:0))
      call avR2(2192, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(6869)%branchR2(0:0))
      call avR2(6869, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(7146)%branchR2(0:0))
      call avR2(7146, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(5916)%branchR2(0:0))
      call avR2(5916, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(5114)%branchR2(0:0))
      call avR2(5114, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(9077)%branchR2(0:0))
      call avR2(9077, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(2681)%branchR2(0:0))
      call avR2(2681, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(614)%branchR2(0:0))
      call avR2(614, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(343)%branchR2(0:0))
      call avR2(343, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(5283)%branchR2(0:0))
      call avR2(5283, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2542/))

      allocate(vertices(563)%branchR2(0:1))
      call avR2(563, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2702/))

      call avR2(563, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10171)%branchR2(0:0))
      call avR2(10171, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(524)%branchR2(0:0))
      call avR2(524, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(6824)%branchR2(0:0))
      call avR2(6824, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(8891)%branchR2(0:0))
      call avR2(8891, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(2159)%branchR2(0:0))
      call avR2(2159, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(2701)%branchR2(0:0))
      call avR2(2701, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(3816)%branchR2(0:0))
      call avR2(3816, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(10609)%branchR2(0:0))
      call avR2(10609, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(889)%branchR2(0:0))
      call avR2(889, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2883/))

      allocate(vertices(9041)%branchR2(0:0))
      call avR2(9041, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(5518)%branchR2(0:0))
      call avR2(5518, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(254)%branchR2(0:0))
      call avR2(254, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(10610)%branchR2(0:0))
      call avR2(10610, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(6584)%branchR2(0:1))
      call avR2(6584, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2606, nGC_2605/))

      call avR2(6584, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2589, nGC_2587/))

      allocate(vertices(8414)%branchR2(0:0))
      call avR2(8414, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(9807)%branchR2(0:0))
      call avR2(9807, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10158)%branchR2(0:0))
      call avR2(10158, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(1446)%branchR2(0:0))
      call avR2(1446, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(7133)%branchR2(0:0))
      call avR2(7133, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(2622)%branchR2(0:0))
      call avR2(2622, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(6934)%branchR2(0:0))
      call avR2(6934, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(4997)%branchR2(0:0))
      call avR2(4997, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(4551)%branchR2(0:0))
      call avR2(4551, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(10611)%branchR2(0:1))
      call avR2(10611, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2896/))

      call avR2(10611, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2895/))

      allocate(vertices(10078)%branchR2(0:0))
      call avR2(10078, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(9778)%branchR2(0:0))
      call avR2(9778, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(10612)%branchR2(0:1))
      call avR2(10612, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2931/))

      call avR2(10612, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2930/))

      allocate(vertices(2875)%branchR2(0:0))
      call avR2(2875, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2625, nGC_2626/))

      allocate(vertices(1527)%branchR2(0:0))
      call avR2(1527, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(10280)%branchR2(0:0))
      call avR2(10280, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2526/))

      allocate(vertices(9136)%branchR2(0:0))
      call avR2(9136, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(2236)%branchR2(0:0))
      call avR2(2236, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(1478)%branchR2(0:3))
      call avR2(1478, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2753, nGC_2754/))

      call avR2(1478, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(1478, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(1478, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2750, nGC_2751/))

      allocate(vertices(1235)%branchR2(0:1))
      call avR2(1235, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(1235, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(9890)%branchR2(0:0))
      call avR2(9890, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(5147)%branchR2(0:0))
      call avR2(5147, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(10613)%branchR2(0:0))
      call avR2(10613, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(5075)%branchR2(0:0))
      call avR2(5075, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(10614)%branchR2(0:1))
      call avR2(10614, 0, 129, 1, 0, VSV0, (/2, 1/), (/nGC_2659/))

      call avR2(10614, 1, 130, 1, 0, VSV0, (/2, 1/), (/nGC_2660/))

      allocate(vertices(1237)%branchR2(0:0))
      call avR2(1237, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(7580)%branchR2(0:0))
      call avR2(7580, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(633)%branchR2(0:1))
      call avR2(633, 0, 23, 1, 0, FaFV1, (/0, 3/), (/nGC_2734, nGC_2735/))

      call avR2(633, 1, 23, 1, 0, FaFV1, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(6453)%branchR2(0:0))
      call avR2(6453, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2705/))

      allocate(vertices(7422)%branchR2(0:0))
      call avR2(7422, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(2370)%branchR2(0:0))
      call avR2(2370, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(9218)%branchR2(0:0))
      call avR2(9218, 0, 13, 1, 0, FFa3, (/0, 2/), (/nGC_2440, nGC_2441,       &
      nGC_2442, nGC_2442/))

      allocate(vertices(9068)%branchR2(0:0))
      call avR2(9068, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2483/))

      allocate(vertices(1980)%branchR2(0:0))
      call avR2(1980, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(5688)%branchR2(0:0))
      call avR2(5688, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(8740)%branchR2(0:0))
      call avR2(8740, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2594/))

      allocate(vertices(10393)%branchR2(0:0))
      call avR2(10393, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(764)%branchR2(0:0))
      call avR2(764, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2598/))

      allocate(vertices(9861)%branchR2(0:0))
      call avR2(9861, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(1261)%branchR2(0:0))
      call avR2(1261, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(1785)%branchR2(0:0))
      call avR2(1785, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(3947)%branchR2(0:0))
      call avR2(3947, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2709/))

      allocate(vertices(8646)%branchR2(0:0))
      call avR2(8646, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4048/))

      allocate(vertices(10320)%branchR2(0:0))
      call avR2(10320, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(1297)%branchR2(0:0))
      call avR2(1297, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(2860)%branchR2(0:0))
      call avR2(2860, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(1581)%branchR2(0:0))
      call avR2(1581, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(2048)%branchR2(0:0))
      call avR2(2048, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(9959)%branchR2(0:0))
      call avR2(9959, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(8342)%branchR2(0:0))
      call avR2(8342, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2594/))

      allocate(vertices(2245)%branchR2(0:0))
      call avR2(2245, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2923, nGC_2922,       &
      nGC_2923/))

      allocate(vertices(2430)%branchR2(0:0))
      call avR2(2430, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(10615)%branchR2(0:0))
      call avR2(10615, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2865/))

      allocate(vertices(10616)%branchR2(0:0))
      call avR2(10616, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(10617)%branchR2(0:0))
      call avR2(10617, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2777/))

      allocate(vertices(6588)%branchR2(0:0))
      call avR2(6588, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(6706)%branchR2(0:0))
      call avR2(6706, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2709/))

      allocate(vertices(2823)%branchR2(0:0))
      call avR2(2823, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(10618)%branchR2(0:0))
      call avR2(10618, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2464/))

      allocate(vertices(3427)%branchR2(0:0))
      call avR2(3427, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(1325)%branchR2(0:0))
      call avR2(1325, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(9162)%branchR2(0:0))
      call avR2(9162, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(7026)%branchR2(0:0))
      call avR2(7026, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(8507)%branchR2(0:0))
      call avR2(8507, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(8185)%branchR2(0:0))
      call avR2(8185, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(9046)%branchR2(0:0))
      call avR2(9046, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(3289)%branchR2(0:0))
      call avR2(3289, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2482, nGC_2481/))

      allocate(vertices(7960)%branchR2(0:0))
      call avR2(7960, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(9133)%branchR2(0:0))
      call avR2(9133, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(2058)%branchR2(0:0))
      call avR2(2058, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(1152)%branchR2(0:0))
      call avR2(1152, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(9373)%branchR2(0:0))
      call avR2(9373, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(10619)%branchR2(0:0))
      call avR2(10619, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(4606)%branchR2(0:0))
      call avR2(4606, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(10620)%branchR2(0:1))
      call avR2(10620, 0, 139, 1, 0, VVVV0, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      call avR2(10620, 1, 140, 1, 0, VVVV0, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      allocate(vertices(6770)%branchR2(0:0))
      call avR2(6770, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(2368)%branchR2(0:0))
      call avR2(2368, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(3153)%branchR2(0:0))
      call avR2(3153, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(8196)%branchR2(0:0))
      call avR2(8196, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(4681)%branchR2(0:0))
      call avR2(4681, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(3972)%branchR2(0:0))
      call avR2(3972, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(10621)%branchR2(0:0))
      call avR2(10621, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2865/))

      allocate(vertices(4279)%branchR2(0:0))
      call avR2(4279, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(8022)%branchR2(0:1))
      call avR2(8022, 0, 27, 1, 0, VFFa0, (/0, 3/), (/nGC_2708/))

      call avR2(8022, 1, 27, 1, 0, VFFa0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10390)%branchR2(0:0))
      call avR2(10390, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(2049)%branchR2(0:1))
      call avR2(2049, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(2049, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(4820)%branchR2(0:0))
      call avR2(4820, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(9745)%branchR2(0:0))
      call avR2(9745, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(7082)%branchR2(0:0))
      call avR2(7082, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2701/))

      allocate(vertices(1549)%branchR2(0:0))
      call avR2(1549, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(10385)%branchR2(0:0))
      call avR2(10385, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(6740)%branchR2(0:0))
      call avR2(6740, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(9094)%branchR2(0:0))
      call avR2(9094, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(1957)%branchR2(0:0))
      call avR2(1957, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(10622)%branchR2(0:0))
      call avR2(10622, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2818, nGC_2818,      &
      nGC_2818/))

      allocate(vertices(7684)%branchR2(0:0))
      call avR2(7684, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(2170)%branchR2(0:0))
      call avR2(2170, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(10104)%branchR2(0:0))
      call avR2(10104, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(3991)%branchR2(0:0))
      call avR2(3991, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(638)%branchR2(0:0))
      call avR2(638, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4048/))

      allocate(vertices(463)%branchR2(0:0))
      call avR2(463, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(10623)%branchR2(0:1))
      call avR2(10623, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2848/))

      call avR2(10623, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(3142)%branchR2(0:0))
      call avR2(3142, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(2796)%branchR2(0:0))
      call avR2(2796, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(4171)%branchR2(0:0))
      call avR2(4171, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4052/))

      allocate(vertices(4031)%branchR2(0:0))
      call avR2(4031, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2773, nGC_2772,       &
      nGC_2771/))

      allocate(vertices(9677)%branchR2(0:0))
      call avR2(9677, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(6312)%branchR2(0:0))
      call avR2(6312, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(9830)%branchR2(0:0))
      call avR2(9830, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(10624)%branchR2(0:0))
      call avR2(10624, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(7806)%branchR2(0:0))
      call avR2(7806, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(1271)%branchR2(0:0))
      call avR2(1271, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(7777)%branchR2(0:0))
      call avR2(7777, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2577/))

      allocate(vertices(3574)%branchR2(0:0))
      call avR2(3574, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(4385)%branchR2(0:0))
      call avR2(4385, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(4886)%branchR2(0:0))
      call avR2(4886, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(4556)%branchR2(0:0))
      call avR2(4556, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(9836)%branchR2(0:0))
      call avR2(9836, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(8705)%branchR2(0:1))
      call avR2(8705, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(8705, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(9332)%branchR2(0:0))
      call avR2(9332, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(9649)%branchR2(0:0))
      call avR2(9649, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(10454)%branchR2(0:0))
      call avR2(10454, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(5314)%branchR2(0:1))
      call avR2(5314, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2603, nGC_2604/))

      call avR2(5314, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(10625)%branchR2(0:1))
      call avR2(10625, 0, 137, 1, 0, VVVV0, (/2, 2/), (/nGC_2936, nGC_2936,    &
      nGC_2936/))

      call avR2(10625, 1, 138, 1, 0, VVVV0, (/2, 2/), (/nGC_2935, nGC_2935,    &
      nGC_2935/))

      allocate(vertices(10626)%branchR2(0:1))
      call avR2(10626, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2896/))

      call avR2(10626, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2895/))

      allocate(vertices(5401)%branchR2(0:0))
      call avR2(5401, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(2606)%branchR2(0:0))
      call avR2(2606, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4051/))

      allocate(vertices(7368)%branchR2(0:0))
      call avR2(7368, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(5600)%branchR2(0:0))
      call avR2(5600, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(10627)%branchR2(0:0))
      call avR2(10627, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2788, nGC_2789,      &
      nGC_2789/))

      allocate(vertices(4747)%branchR2(0:0))
      call avR2(4747, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(7171)%branchR2(0:0))
      call avR2(7171, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(9410)%branchR2(0:0))
      call avR2(9410, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(9378)%branchR2(0:0))
      call avR2(9378, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4049/))

      allocate(vertices(9045)%branchR2(0:0))
      call avR2(9045, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(10183)%branchR2(0:0))
      call avR2(10183, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(7501)%branchR2(0:0))
      call avR2(7501, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2883/))

      allocate(vertices(2094)%branchR2(0:0))
      call avR2(2094, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(660)%branchR2(0:0))
      call avR2(660, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(7793)%branchR2(0:0))
      call avR2(7793, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(1671)%branchR2(0:1))
      call avR2(1671, 0, 24, 1, 0, FaVF0, (/0, 3/), (/nGC_2708/))

      call avR2(1671, 1, 24, 1, 0, FaVF0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(7833)%branchR2(0:0))
      call avR2(7833, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(3983)%branchR2(0:0))
      call avR2(3983, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2595/))

      allocate(vertices(1803)%branchR2(0:0))
      call avR2(1803, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(1031)%branchR2(0:0))
      call avR2(1031, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(8353)%branchR2(0:0))
      call avR2(8353, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(10628)%branchR2(0:0))
      call avR2(10628, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(2750)%branchR2(0:0))
      call avR2(2750, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(616)%branchR2(0:0))
      call avR2(616, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(819)%branchR2(0:0))
      call avR2(819, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(5875)%branchR2(0:0))
      call avR2(5875, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(4179)%branchR2(0:0))
      call avR2(4179, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2557, nGC_2558/))

      allocate(vertices(2558)%branchR2(0:1))
      call avR2(2558, 0, 23, 1, 0, FaFV1, (/0, 3/), (/nGC_2711, nGC_2713/))

      call avR2(2558, 1, 23, 1, 0, FaFV1, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(9640)%branchR2(0:0))
      call avR2(9640, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(4749)%branchR2(0:1))
      call avR2(4749, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2517, nGC_2515/))

      call avR2(4749, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2518, nGC_2516/))

      allocate(vertices(4065)%branchR2(0:0))
      call avR2(4065, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(10629)%branchR2(0:1))
      call avR2(10629, 0, 145, 1, 0, VVVV0, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      call avR2(10629, 1, 146, 1, 0, VVVV0, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      allocate(vertices(10630)%branchR2(0:0))
      call avR2(10630, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(7371)%branchR2(0:1))
      call avR2(7371, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(7371, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(4123)%branchR2(0:0))
      call avR2(4123, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(9421)%branchR2(0:0))
      call avR2(9421, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(3934)%branchR2(0:0))
      call avR2(3934, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2544/))

      allocate(vertices(7075)%branchR2(0:0))
      call avR2(7075, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(2141)%branchR2(0:0))
      call avR2(2141, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(1884)%branchR2(0:0))
      call avR2(1884, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(1769)%branchR2(0:0))
      call avR2(1769, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2804, nGC_2805,       &
      nGC_2803/))

      allocate(vertices(7679)%branchR2(0:0))
      call avR2(7679, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(7234)%branchR2(0:0))
      call avR2(7234, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(2360)%branchR2(0:0))
      call avR2(2360, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(6712)%branchR2(0:0))
      call avR2(6712, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(9177)%branchR2(0:0))
      call avR2(9177, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(7051)%branchR2(0:0))
      call avR2(7051, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2672/))

      allocate(vertices(9785)%branchR2(0:0))
      call avR2(9785, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(10631)%branchR2(0:1))
      call avR2(10631, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2931/))

      call avR2(10631, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2930/))

      allocate(vertices(6717)%branchR2(0:0))
      call avR2(6717, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2497/))

      allocate(vertices(2296)%branchR2(0:0))
      call avR2(2296, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(10632)%branchR2(0:1))
      call avR2(10632, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2831/))

      call avR2(10632, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(9571)%branchR2(0:0))
      call avR2(9571, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(6986)%branchR2(0:0))
      call avR2(6986, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(10633)%branchR2(0:0))
      call avR2(10633, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(151)%branchR2(0:0))
      call avR2(151, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2523/))

      allocate(vertices(407)%branchR2(0:0))
      call avR2(407, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(2698)%branchR2(0:0))
      call avR2(2698, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(10416)%branchR2(0:0))
      call avR2(10416, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(8385)%branchR2(0:3))
      call avR2(8385, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(8385, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(8385, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(8385, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2742, nGC_2743/))

      allocate(vertices(6476)%branchR2(0:0))
      call avR2(6476, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(2021)%branchR2(0:0))
      call avR2(2021, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(10308)%branchR2(0:0))
      call avR2(10308, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(9039)%branchR2(0:0))
      call avR2(9039, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(6551)%branchR2(0:0))
      call avR2(6551, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(4703)%branchR2(0:0))
      call avR2(4703, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(4771)%branchR2(0:0))
      call avR2(4771, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(5031)%branchR2(0:0))
      call avR2(5031, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(7570)%branchR2(0:1))
      call avR2(7570, 0, 26, 1, 0, VFaF0, (/0, 3/), (/nGC_2711, nGC_2713/))

      call avR2(7570, 1, 26, 1, 0, VFaF0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(8450)%branchR2(0:0))
      call avR2(8450, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(10138)%branchR2(0:0))
      call avR2(10138, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(1475)%branchR2(0:0))
      call avR2(1475, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(9251)%branchR2(0:0))
      call avR2(9251, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(5713)%branchR2(0:1))
      call avR2(5713, 0, 27, 1, 0, VFFa1, (/0, 3/), (/nGC_2470, nGC_2471/))

      call avR2(5713, 1, 27, 1, 0, VFFa1, (/2, 1/), (/nGC_2472, nGC_2472/))

      allocate(vertices(10417)%branchR2(0:0))
      call avR2(10417, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(3002)%branchR2(0:0))
      call avR2(3002, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(4256)%branchR2(0:0))
      call avR2(4256, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2497/))

      allocate(vertices(10634)%branchR2(0:1))
      call avR2(10634, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2848/))

      call avR2(10634, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(5101)%branchR2(0:1))
      call avR2(5101, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(5101, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(10101)%branchR2(0:0))
      call avR2(10101, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(9816)%branchR2(0:0))
      call avR2(9816, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(860)%branchR2(0:0))
      call avR2(860, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2805, nGC_2803,        &
      nGC_2804/))

      allocate(vertices(10635)%branchR2(0:0))
      call avR2(10635, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(986)%branchR2(0:0))
      call avR2(986, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(10636)%branchR2(0:1))
      call avR2(10636, 0, 144, 1, 0, VVVV0, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      call avR2(10636, 1, 143, 1, 0, VVVV0, (/2, 2/), (/nGC_2924, nGC_2924,    &
      nGC_2924/))

      allocate(vertices(10637)%branchR2(0:1))
      call avR2(10637, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2899/))

      call avR2(10637, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(8223)%branchR2(0:0))
      call avR2(8223, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(2416)%branchR2(0:0))
      call avR2(2416, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(5167)%branchR2(0:1))
      call avR2(5167, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(5167, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(1643)%branchR2(0:0))
      call avR2(1643, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(1206)%branchR2(0:0))
      call avR2(1206, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(1605)%branchR2(0:0))
      call avR2(1605, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2579/))

      allocate(vertices(5908)%branchR2(0:0))
      call avR2(5908, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(6716)%branchR2(0:0))
      call avR2(6716, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(8087)%branchR2(0:0))
      call avR2(8087, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(8543)%branchR2(0:0))
      call avR2(8543, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2883/))

      allocate(vertices(3429)%branchR2(0:0))
      call avR2(3429, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(8325)%branchR2(0:0))
      call avR2(8325, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2772, nGC_2773,       &
      nGC_2771/))

      allocate(vertices(8048)%branchR2(0:0))
      call avR2(8048, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(10638)%branchR2(0:1))
      call avR2(10638, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2848/))

      call avR2(10638, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(7059)%branchR2(0:0))
      call avR2(7059, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2771, nGC_2773,       &
      nGC_2772/))

      allocate(vertices(4133)%branchR2(0:0))
      call avR2(4133, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(1366)%branchR2(0:0))
      call avR2(1366, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4051/))

      allocate(vertices(10336)%branchR2(0:0))
      call avR2(10336, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(10639)%branchR2(0:0))
      call avR2(10639, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(9532)%branchR2(0:0))
      call avR2(9532, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2414, nGC_2413/))

      allocate(vertices(7600)%branchR2(0:1))
      call avR2(7600, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2708/))

      call avR2(7600, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(3483)%branchR2(0:0))
      call avR2(3483, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2804, nGC_2803,       &
      nGC_2805/))

      allocate(vertices(5005)%branchR2(0:0))
      call avR2(5005, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(10640)%branchR2(0:0))
      call avR2(10640, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2465/))

      allocate(vertices(5019)%branchR2(0:0))
      call avR2(5019, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(6721)%branchR2(0:0))
      call avR2(6721, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(3611)%branchR2(0:0))
      call avR2(3611, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(4247)%branchR2(0:0))
      call avR2(4247, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(4906)%branchR2(0:0))
      call avR2(4906, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2608/))

      allocate(vertices(9193)%branchR2(0:0))
      call avR2(9193, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(10641)%branchR2(0:1))
      call avR2(10641, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2919/))

      call avR2(10641, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2918/))

      allocate(vertices(5669)%branchR2(0:0))
      call avR2(5669, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(6135)%branchR2(0:0))
      call avR2(6135, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(3814)%branchR2(0:0))
      call avR2(3814, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2460/))

      allocate(vertices(5171)%branchR2(0:0))
      call avR2(5171, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(7747)%branchR2(0:0))
      call avR2(7747, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(8235)%branchR2(0:1))
      call avR2(8235, 0, 26, 1, 0, VFaF0, (/0, 3/), (/nGC_2734, nGC_2735/))

      call avR2(8235, 1, 26, 1, 0, VFaF0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(1669)%branchR2(0:0))
      call avR2(1669, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(9549)%branchR2(0:0))
      call avR2(9549, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(9879)%branchR2(0:0))
      call avR2(9879, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(7458)%branchR2(0:1))
      call avR2(7458, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2563, nGC_2561/))

      call avR2(7458, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2564, nGC_2562/))

      allocate(vertices(8347)%branchR2(0:0))
      call avR2(8347, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(6537)%branchR2(0:0))
      call avR2(6537, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(709)%branchR2(0:0))
      call avR2(709, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(9639)%branchR2(0:0))
      call avR2(9639, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(2561)%branchR2(0:0))
      call avR2(2561, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(8634)%branchR2(0:0))
      call avR2(8634, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(10169)%branchR2(0:0))
      call avR2(10169, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(5937)%branchR2(0:0))
      call avR2(5937, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(2323)%branchR2(0:0))
      call avR2(2323, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(623)%branchR2(0:0))
      call avR2(623, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(4721)%branchR2(0:0))
      call avR2(4721, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(8370)%branchR2(0:0))
      call avR2(8370, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4053/))

      allocate(vertices(8220)%branchR2(0:1))
      call avR2(8220, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(8220, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2472, nGC_2472/))

      allocate(vertices(5178)%branchR2(0:0))
      call avR2(5178, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(3164)%branchR2(0:0))
      call avR2(3164, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(3251)%branchR2(0:0))
      call avR2(3251, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(6811)%branchR2(0:1))
      call avR2(6811, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(6811, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(2650)%branchR2(0:0))
      call avR2(2650, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(530)%branchR2(0:1))
      call avR2(530, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2592, nGC_2590/))

      call avR2(530, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2593, nGC_2591/))

      allocate(vertices(10642)%branchR2(0:0))
      call avR2(10642, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2774/))

      allocate(vertices(1832)%branchR2(0:0))
      call avR2(1832, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(9847)%branchR2(0:0))
      call avR2(9847, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(4356)%branchR2(0:0))
      call avR2(4356, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4054/))

      allocate(vertices(145)%branchR2(0:0))
      call avR2(145, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(10643)%branchR2(0:1))
      call avR2(10643, 0, 144, 1, 0, VVVV0, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      call avR2(10643, 1, 143, 1, 0, VVVV0, (/2, 2/), (/nGC_2924, nGC_2924,    &
      nGC_2924/))

      allocate(vertices(4533)%branchR2(0:0))
      call avR2(4533, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2641/))

      allocate(vertices(7817)%branchR2(0:0))
      call avR2(7817, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(4763)%branchR2(0:0))
      call avR2(4763, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(3221)%branchR2(0:1))
      call avR2(3221, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(3221, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(2863)%branchR2(0:0))
      call avR2(2863, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(3706)%branchR2(0:0))
      call avR2(3706, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(3484)%branchR2(0:0))
      call avR2(3484, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(9866)%branchR2(0:0))
      call avR2(9866, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(9612)%branchR2(0:0))
      call avR2(9612, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(258)%branchR2(0:1))
      call avR2(258, 0, 27, 1, 0, VFFa1, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(258, 1, 27, 1, 0, VFFa1, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(10036)%branchR2(0:0))
      call avR2(10036, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(897)%branchR2(0:0))
      call avR2(897, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(3239)%branchR2(0:0))
      call avR2(3239, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(6786)%branchR2(0:0))
      call avR2(6786, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(96)%branchR2(0:0))
      call avR2(96, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(8978)%branchR2(0:0))
      call avR2(8978, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(8617)%branchR2(0:1))
      call avR2(8617, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2621, nGC_2619/))

      call avR2(8617, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2622, nGC_2620/))

      allocate(vertices(10121)%branchR2(0:0))
      call avR2(10121, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(1798)%branchR2(0:0))
      call avR2(1798, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(9167)%branchR2(0:0))
      call avR2(9167, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(10644)%branchR2(0:0))
      call avR2(10644, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(1724)%branchR2(0:0))
      call avR2(1724, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(150)%branchR2(0:0))
      call avR2(150, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(4670)%branchR2(0:0))
      call avR2(4670, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(1567)%branchR2(0:1))
      call avR2(1567, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(1567, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(5680)%branchR2(0:0))
      call avR2(5680, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(4353)%branchR2(0:0))
      call avR2(4353, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(9464)%branchR2(0:0))
      call avR2(9464, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(10645)%branchR2(0:1))
      call avR2(10645, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2885/))

      call avR2(10645, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2884/))

      allocate(vertices(1648)%branchR2(0:0))
      call avR2(1648, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(6076)%branchR2(0:0))
      call avR2(6076, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(3108)%branchR2(0:0))
      call avR2(3108, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(8514)%branchR2(0:0))
      call avR2(8514, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(3293)%branchR2(0:0))
      call avR2(3293, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(2508)%branchR2(0:0))
      call avR2(2508, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(10646)%branchR2(0:1))
      call avR2(10646, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2831/))

      call avR2(10646, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(6417)%branchR2(0:0))
      call avR2(6417, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(1810)%branchR2(0:0))
      call avR2(1810, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2803, nGC_2804,       &
      nGC_2805/))

      allocate(vertices(954)%branchR2(0:0))
      call avR2(954, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(8106)%branchR2(0:0))
      call avR2(8106, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(2494)%branchR2(0:1))
      call avR2(2494, 0, 24, 1, 0, FaVF1, (/0, 3/), (/nGC_2734, nGC_2735/))

      call avR2(2494, 1, 24, 1, 0, FaVF1, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(9118)%branchR2(0:0))
      call avR2(9118, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(1035)%branchR2(0:0))
      call avR2(1035, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(8455)%branchR2(0:0))
      call avR2(8455, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(2161)%branchR2(0:0))
      call avR2(2161, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2595/))

      allocate(vertices(3538)%branchR2(0:0))
      call avR2(3538, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(8984)%branchR2(0:0))
      call avR2(8984, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(9727)%branchR2(0:0))
      call avR2(9727, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(425)%branchR2(0:0))
      call avR2(425, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(6891)%branchR2(0:0))
      call avR2(6891, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(7564)%branchR2(0:0))
      call avR2(7564, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(4722)%branchR2(0:0))
      call avR2(4722, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(4782)%branchR2(0:0))
      call avR2(4782, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(2706)%branchR2(0:0))
      call avR2(2706, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(2310)%branchR2(0:0))
      call avR2(2310, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(3137)%branchR2(0:0))
      call avR2(3137, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(2286)%branchR2(0:0))
      call avR2(2286, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2579/))

      allocate(vertices(7083)%branchR2(0:0))
      call avR2(7083, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(8532)%branchR2(0:0))
      call avR2(8532, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(873)%branchR2(0:0))
      call avR2(873, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(1308)%branchR2(0:0))
      call avR2(1308, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(10263)%branchR2(0:0))
      call avR2(10263, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10647)%branchR2(0:0))
      call avR2(10647, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(8976)%branchR2(0:0))
      call avR2(8976, 0, 13, 1, 0, FaF4, (/0, 2/), (/nGC_2440, nGC_2449,       &
      nGC_2449, nGC_2441/))

      allocate(vertices(7726)%branchR2(0:1))
      call avR2(7726, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2606, nGC_2605/))

      call avR2(7726, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2589, nGC_2587/))

      allocate(vertices(6177)%branchR2(0:0))
      call avR2(6177, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(9604)%branchR2(0:0))
      call avR2(9604, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(8413)%branchR2(0:0))
      call avR2(8413, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(5825)%branchR2(0:0))
      call avR2(5825, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(5897)%branchR2(0:0))
      call avR2(5897, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2576/))

      allocate(vertices(1483)%branchR2(0:0))
      call avR2(1483, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(3188)%branchR2(0:1))
      call avR2(3188, 0, 23, 1, 0, FaFV0, (/0, 3/), (/nGC_2704/))

      call avR2(3188, 1, 23, 1, 0, FaFV0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10015)%branchR2(0:0))
      call avR2(10015, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(7595)%branchR2(0:0))
      call avR2(7595, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(7819)%branchR2(0:1))
      call avR2(7819, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2555, nGC_2553/))

      call avR2(7819, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2556, nGC_2554/))

      allocate(vertices(2773)%branchR2(0:0))
      call avR2(2773, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(5594)%branchR2(0:0))
      call avR2(5594, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(2015)%branchR2(0:0))
      call avR2(2015, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(7393)%branchR2(0:0))
      call avR2(7393, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(2103)%branchR2(0:0))
      call avR2(2103, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4055/))

      allocate(vertices(6105)%branchR2(0:0))
      call avR2(6105, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2710/))

      allocate(vertices(1164)%branchR2(0:0))
      call avR2(1164, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2803, nGC_2805,       &
      nGC_2804/))

      allocate(vertices(8381)%branchR2(0:0))
      call avR2(8381, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(5789)%branchR2(0:0))
      call avR2(5789, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(10648)%branchR2(0:0))
      call avR2(10648, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2777/))

      allocate(vertices(9427)%branchR2(0:0))
      call avR2(9427, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(2491)%branchR2(0:0))
      call avR2(2491, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(9062)%branchR2(0:1))
      call avR2(9062, 0, 16, 1, 0, VV0, (/2, 0/), (/nGC_2448, nGC_2446,        &
      nGC_2447/))

      call avR2(9062, 1, 15, 1, 0, VV0, (/2, 0/), (/nGC_2445, nGC_2443,        &
      nGC_2444/))

      allocate(vertices(5360)%branchR2(0:0))
      call avR2(5360, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2461/))

      allocate(vertices(9401)%branchR2(0:0))
      call avR2(9401, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(3169)%branchR2(0:0))
      call avR2(3169, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(116)%branchR2(0:0))
      call avR2(116, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(3710)%branchR2(0:0))
      call avR2(3710, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(9579)%branchR2(0:0))
      call avR2(9579, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(5051)%branchR2(0:0))
      call avR2(5051, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2623, nGC_2624/))

      allocate(vertices(10649)%branchR2(0:1))
      call avR2(10649, 0, 139, 1, 0, VVVV0, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      call avR2(10649, 1, 140, 1, 0, VVVV0, (/2, 2/), (/nGC_2810, nGC_2810,    &
      nGC_2810/))

      allocate(vertices(6578)%branchR2(0:0))
      call avR2(6578, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(8785)%branchR2(0:1))
      call avR2(8785, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(8785, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(6330)%branchR2(0:0))
      call avR2(6330, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(8476)%branchR2(0:0))
      call avR2(8476, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(5803)%branchR2(0:0))
      call avR2(5803, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2710/))

      allocate(vertices(10650)%branchR2(0:0))
      call avR2(10650, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(7692)%branchR2(0:0))
      call avR2(7692, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(10339)%branchR2(0:0))
      call avR2(10339, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(6878)%branchR2(0:1))
      call avR2(6878, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(6878, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(5117)%branchR2(0:0))
      call avR2(5117, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(1041)%branchR2(0:1))
      call avR2(1041, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2517, nGC_2515/))

      call avR2(1041, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2518, nGC_2516/))

      allocate(vertices(1802)%branchR2(0:1))
      call avR2(1802, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(1802, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(1172)%branchR2(0:0))
      call avR2(1172, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(10651)%branchR2(0:1))
      call avR2(10651, 0, 136, 1, 0, VVVV0, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      call avR2(10651, 1, 135, 1, 0, VVVV0, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      allocate(vertices(6761)%branchR2(0:0))
      call avR2(6761, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(368)%branchR2(0:1))
      call avR2(368, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(368, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(10109)%branchR2(0:0))
      call avR2(10109, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10419)%branchR2(0:0))
      call avR2(10419, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(280)%branchR2(0:0))
      call avR2(280, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(533)%branchR2(0:0))
      call avR2(533, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2543/))

      allocate(vertices(7691)%branchR2(0:0))
      call avR2(7691, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(6990)%branchR2(0:0))
      call avR2(6990, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(9934)%branchR2(0:0))
      call avR2(9934, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(1929)%branchR2(0:0))
      call avR2(1929, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(5690)%branchR2(0:0))
      call avR2(5690, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(6774)%branchR2(0:0))
      call avR2(6774, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(7176)%branchR2(0:0))
      call avR2(7176, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(9156)%branchR2(0:1))
      call avR2(9156, 0, 124, 1, 0, FaF2, (/0, 2/), (/nGC_2437, nGC_2434,      &
      nGC_2457, nGC_2457/))

      call avR2(9156, 1, 124, 1, 0, FaF2, (/2, 0/), (/nGC_2429, nGC_2429,      &
      nGC_2456, nGC_2456/))

      allocate(vertices(7080)%branchR2(0:1))
      call avR2(7080, 0, 25, 1, 0, FVFa0, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(7080, 1, 25, 1, 0, FVFa0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(6666)%branchR2(0:0))
      call avR2(6666, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(9744)%branchR2(0:0))
      call avR2(9744, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(5061)%branchR2(0:0))
      call avR2(5061, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(9435)%branchR2(0:0))
      call avR2(9435, 0, 13, 1, 0, FaF3, (/0, 2/), (/nGC_2440, nGC_2441,       &
      nGC_2455, nGC_2455/))

      allocate(vertices(9613)%branchR2(0:1))
      call avR2(9613, 0, 14, 1, 0, FFa2, (/0, 2/), (/nGC_2437, nGC_2434,       &
      nGC_2453, nGC_2453/))

      call avR2(9613, 1, 14, 1, 0, FFa2, (/2, 0/), (/nGC_2429, nGC_2429,       &
      nGC_2454, nGC_2454/))

      allocate(vertices(6274)%branchR2(0:0))
      call avR2(6274, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2773, nGC_2771,       &
      nGC_2772/))

      allocate(vertices(7897)%branchR2(0:0))
      call avR2(7897, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(9192)%branchR2(0:0))
      call avR2(9192, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(2291)%branchR2(0:0))
      call avR2(2291, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(9110)%branchR2(0:1))
      call avR2(9110, 0, 124, 1, 0, FaF2, (/0, 2/), (/nGC_2437, nGC_2434,      &
      nGC_2453, nGC_2453/))

      call avR2(9110, 1, 124, 1, 0, FaF2, (/2, 0/), (/nGC_2429, nGC_2429,      &
      nGC_2454, nGC_2454/))

      allocate(vertices(2254)%branchR2(0:0))
      call avR2(2254, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(6127)%branchR2(0:0))
      call avR2(6127, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(2450)%branchR2(0:0))
      call avR2(2450, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(5475)%branchR2(0:0))
      call avR2(5475, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(8567)%branchR2(0:0))
      call avR2(8567, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2494/))

      allocate(vertices(657)%branchR2(0:0))
      call avR2(657, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(3874)%branchR2(0:0))
      call avR2(3874, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2804, nGC_2803,       &
      nGC_2805/))

      allocate(vertices(1727)%branchR2(0:0))
      call avR2(1727, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(7009)%branchR2(0:0))
      call avR2(7009, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2727/))

      allocate(vertices(6294)%branchR2(0:0))
      call avR2(6294, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(2259)%branchR2(0:0))
      call avR2(2259, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(1346)%branchR2(0:1))
      call avR2(1346, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(1346, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(3844)%branchR2(0:1))
      call avR2(3844, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(3844, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(5689)%branchR2(0:0))
      call avR2(5689, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2519/))

      allocate(vertices(10386)%branchR2(0:0))
      call avR2(10386, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(8660)%branchR2(0:0))
      call avR2(8660, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(10458)%branchR2(0:0))
      call avR2(10458, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(1686)%branchR2(0:0))
      call avR2(1686, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2725/))

      allocate(vertices(5135)%branchR2(0:0))
      call avR2(5135, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(10652)%branchR2(0:1))
      call avR2(10652, 0, 144, 1, 0, VVVV0, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      call avR2(10652, 1, 143, 1, 0, VVVV0, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      allocate(vertices(1737)%branchR2(0:0))
      call avR2(1737, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(2578)%branchR2(0:0))
      call avR2(2578, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(9442)%branchR2(0:0))
      call avR2(9442, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(4999)%branchR2(0:0))
      call avR2(4999, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(5487)%branchR2(0:0))
      call avR2(5487, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(42)%branchR2(0:0))
      call avR2(42, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(10653)%branchR2(0:1))
      call avR2(10653, 0, 137, 1, 0, VVVV0, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      call avR2(10653, 1, 138, 1, 0, VVVV0, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      allocate(vertices(4121)%branchR2(0:0))
      call avR2(4121, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(2930)%branchR2(0:0))
      call avR2(2930, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(10654)%branchR2(0:1))
      call avR2(10654, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2831/))

      call avR2(10654, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(10655)%branchR2(0:0))
      call avR2(10655, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(5787)%branchR2(0:0))
      call avR2(5787, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4056/))

      allocate(vertices(191)%branchR2(0:0))
      call avR2(191, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(7668)%branchR2(0:0))
      call avR2(7668, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2922, nGC_2923,       &
      nGC_2923/))

      allocate(vertices(10332)%branchR2(0:0))
      call avR2(10332, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2428, nGC_2426,       &
      nGC_2427/))

      allocate(vertices(6635)%branchR2(0:0))
      call avR2(6635, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(6884)%branchR2(0:0))
      call avR2(6884, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(9299)%branchR2(0:0))
      call avR2(9299, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(1464)%branchR2(0:0))
      call avR2(1464, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(7530)%branchR2(0:0))
      call avR2(7530, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(8426)%branchR2(0:0))
      call avR2(8426, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(7937)%branchR2(0:0))
      call avR2(7937, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(5482)%branchR2(0:0))
      call avR2(5482, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(10656)%branchR2(0:1))
      call avR2(10656, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2848/))

      call avR2(10656, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(10657)%branchR2(0:0))
      call avR2(10657, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(678)%branchR2(0:0))
      call avR2(678, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(10658)%branchR2(0:0))
      call avR2(10658, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(7598)%branchR2(0:0))
      call avR2(7598, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(10659)%branchR2(0:0))
      call avR2(10659, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2777/))

      allocate(vertices(505)%branchR2(0:1))
      call avR2(505, 0, 25, 1, 0, FVFa0, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(505, 1, 25, 1, 0, FVFa0, (/2, 1/), (/nGC_2472, nGC_2472/))

      allocate(vertices(6888)%branchR2(0:0))
      call avR2(6888, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(5258)%branchR2(0:1))
      call avR2(5258, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2533, nGC_2532/))

      call avR2(5258, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2514, nGC_2512/))

      allocate(vertices(10660)%branchR2(0:1))
      call avR2(10660, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2899/))

      call avR2(10660, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(442)%branchR2(0:0))
      call avR2(442, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(640)%branchR2(0:0))
      call avR2(640, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(336)%branchR2(0:0))
      call avR2(336, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(7476)%branchR2(0:0))
      call avR2(7476, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(10661)%branchR2(0:1))
      call avR2(10661, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2896/))

      call avR2(10661, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2895/))

      allocate(vertices(1242)%branchR2(0:0))
      call avR2(1242, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(5588)%branchR2(0:0))
      call avR2(5588, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2594/))

      allocate(vertices(9436)%branchR2(0:0))
      call avR2(9436, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(5585)%branchR2(0:0))
      call avR2(5585, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(901)%branchR2(0:1))
      call avR2(901, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(901, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(8214)%branchR2(0:0))
      call avR2(8214, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2519/))

      allocate(vertices(6957)%branchR2(0:0))
      call avR2(6957, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(227)%branchR2(0:0))
      call avR2(227, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2927, nGC_2926,        &
      nGC_2927/))

      allocate(vertices(10662)%branchR2(0:0))
      call avR2(10662, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2774/))

      allocate(vertices(9202)%branchR2(0:0))
      call avR2(9202, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(8382)%branchR2(0:0))
      call avR2(8382, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4033/))

      allocate(vertices(79)%branchR2(0:1))
      call avR2(79, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2621, nGC_2619/))

      call avR2(79, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2622, nGC_2620/))

      allocate(vertices(9699)%branchR2(0:0))
      call avR2(9699, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2418, nGC_2417/))

      allocate(vertices(5562)%branchR2(0:0))
      call avR2(5562, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(620)%branchR2(0:0))
      call avR2(620, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(8961)%branchR2(0:0))
      call avR2(8961, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(9255)%branchR2(0:0))
      call avR2(9255, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(7935)%branchR2(0:0))
      call avR2(7935, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2543/))

      allocate(vertices(38)%branchR2(0:1))
      call avR2(38, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(38, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(2379)%branchR2(0:0))
      call avR2(2379, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2785/))

    end subroutine fill_vertices_mdl22
end module vertices_info22
