!******************************************************************************!
!                                                                              !
!    vertices_info23.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info23.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 21:28             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info23
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl23()
      allocate(vertices(10663)%branchR2(0:1))
      call avR2(10663, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2831/))

      call avR2(10663, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(9414)%branchR2(0:0))
      call avR2(9414, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(496)%branchR2(0:0))
      call avR2(496, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(4310)%branchR2(0:1))
      call avR2(4310, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(4310, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(3022)%branchR2(0:0))
      call avR2(3022, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(8652)%branchR2(0:0))
      call avR2(8652, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(8829)%branchR2(0:1))
      call avR2(8829, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(8829, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(130)%branchR2(0:0))
      call avR2(130, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(9633)%branchR2(0:0))
      call avR2(9633, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(1535)%branchR2(0:0))
      call avR2(1535, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(3256)%branchR2(0:0))
      call avR2(3256, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(3490)%branchR2(0:0))
      call avR2(3490, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(481)%branchR2(0:0))
      call avR2(481, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(1486)%branchR2(0:0))
      call avR2(1486, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(2338)%branchR2(0:0))
      call avR2(2338, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(6247)%branchR2(0:0))
      call avR2(6247, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(671)%branchR2(0:0))
      call avR2(671, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4055/))

      allocate(vertices(10344)%branchR2(0:0))
      call avR2(10344, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(7320)%branchR2(0:0))
      call avR2(7320, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(8171)%branchR2(0:0))
      call avR2(8171, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(4425)%branchR2(0:0))
      call avR2(4425, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(214)%branchR2(0:0))
      call avR2(214, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(9018)%branchR2(0:0))
      call avR2(9018, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2408, nGC_2406,        &
      nGC_2407/))

      allocate(vertices(9547)%branchR2(0:0))
      call avR2(9547, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4044/))

      allocate(vertices(2935)%branchR2(0:0))
      call avR2(2935, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4054/))

      allocate(vertices(5792)%branchR2(0:0))
      call avR2(5792, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2576/))

      allocate(vertices(4803)%branchR2(0:0))
      call avR2(4803, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(9256)%branchR2(0:0))
      call avR2(9256, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(136)%branchR2(0:1))
      call avR2(136, 0, 25, 1, 0, FVFa1, (/0, 3/), (/nGC_2708/))

      call avR2(136, 1, 25, 1, 0, FVFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(9616)%branchR2(0:0))
      call avR2(9616, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(5850)%branchR2(0:0))
      call avR2(5850, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(5976)%branchR2(0:0))
      call avR2(5976, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(10142)%branchR2(0:1))
      call avR2(10142, 0, 14, 1, 0, FFa2, (/0, 2/), (/nGC_2433, nGC_2430,      &
      nGC_2438, nGC_2438/))

      call avR2(10142, 1, 14, 1, 0, FFa2, (/2, 0/), (/nGC_2429, nGC_2429,      &
      nGC_2439, nGC_2439/))

      allocate(vertices(8249)%branchR2(0:0))
      call avR2(8249, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(3769)%branchR2(0:0))
      call avR2(3769, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(2433)%branchR2(0:0))
      call avR2(2433, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(4711)%branchR2(0:0))
      call avR2(4711, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(3847)%branchR2(0:0))
      call avR2(3847, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(5382)%branchR2(0:0))
      call avR2(5382, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(2252)%branchR2(0:0))
      call avR2(2252, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(10664)%branchR2(0:0))
      call avR2(10664, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(10004)%branchR2(0:0))
      call avR2(10004, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(1060)%branchR2(0:0))
      call avR2(1060, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2610/))

      allocate(vertices(10165)%branchR2(0:0))
      call avR2(10165, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(3087)%branchR2(0:0))
      call avR2(3087, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(10665)%branchR2(0:0))
      call avR2(10665, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2777/))

      allocate(vertices(7638)%branchR2(0:0))
      call avR2(7638, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(9330)%branchR2(0:0))
      call avR2(9330, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(5425)%branchR2(0:0))
      call avR2(5425, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(7093)%branchR2(0:1))
      call avR2(7093, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(7093, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(6686)%branchR2(0:0))
      call avR2(6686, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(8194)%branchR2(0:1))
      call avR2(8194, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(8194, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(7972)%branchR2(0:0))
      call avR2(7972, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(10666)%branchR2(0:0))
      call avR2(10666, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(4767)%branchR2(0:1))
      call avR2(4767, 0, 27, 1, 0, VFFa1, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(4767, 1, 27, 1, 0, VFFa1, (/2, 1/), (/nGC_2472, nGC_2472/))

      allocate(vertices(2064)%branchR2(0:0))
      call avR2(2064, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(8956)%branchR2(0:0))
      call avR2(8956, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(6207)%branchR2(0:0))
      call avR2(6207, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4030/))

      allocate(vertices(6973)%branchR2(0:1))
      call avR2(6973, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(6973, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(10667)%branchR2(0:1))
      call avR2(10667, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2831/))

      call avR2(10667, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(8139)%branchR2(0:0))
      call avR2(8139, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(10668)%branchR2(0:0))
      call avR2(10668, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2865/))

      allocate(vertices(4616)%branchR2(0:0))
      call avR2(4616, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(10669)%branchR2(0:0))
      call avR2(10669, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(10670)%branchR2(0:1))
      call avR2(10670, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2931/))

      call avR2(10670, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2930/))

      allocate(vertices(7522)%branchR2(0:1))
      call avR2(7522, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(7522, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(3373)%branchR2(0:0))
      call avR2(3373, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(3480)%branchR2(0:0))
      call avR2(3480, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(7973)%branchR2(0:0))
      call avR2(7973, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(6204)%branchR2(0:0))
      call avR2(6204, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(967)%branchR2(0:0))
      call avR2(967, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(3493)%branchR2(0:0))
      call avR2(3493, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(7418)%branchR2(0:0))
      call avR2(7418, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(3926)%branchR2(0:1))
      call avR2(3926, 0, 25, 1, 0, FVFa1, (/0, 3/), (/nGC_2702/))

      call avR2(3926, 1, 25, 1, 0, FVFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10671)%branchR2(0:0))
      call avR2(10671, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2776, nGC_2776,      &
      nGC_2776/))

      allocate(vertices(10433)%branchR2(0:0))
      call avR2(10433, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(5145)%branchR2(0:0))
      call avR2(5145, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(6492)%branchR2(0:0))
      call avR2(6492, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2520/))

      allocate(vertices(1704)%branchR2(0:0))
      call avR2(1704, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(8825)%branchR2(0:0))
      call avR2(8825, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10672)%branchR2(0:1))
      call avR2(10672, 0, 125, 1, 0, SVV0, (/2, 1/), (/nGC_2688/))

      call avR2(10672, 1, 126, 1, 0, SVV0, (/2, 1/), (/nGC_2689/))

      allocate(vertices(6307)%branchR2(0:0))
      call avR2(6307, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(7799)%branchR2(0:0))
      call avR2(7799, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(4765)%branchR2(0:0))
      call avR2(4765, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(9776)%branchR2(0:0))
      call avR2(9776, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10110)%branchR2(0:0))
      call avR2(10110, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(3938)%branchR2(0:0))
      call avR2(3938, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(6560)%branchR2(0:0))
      call avR2(6560, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2609/))

      allocate(vertices(334)%branchR2(0:0))
      call avR2(334, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(4652)%branchR2(0:0))
      call avR2(4652, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2804, nGC_2805,       &
      nGC_2803/))

      allocate(vertices(5546)%branchR2(0:1))
      call avR2(5546, 0, 23, 1, 0, FaFV1, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(5546, 1, 23, 1, 0, FaFV1, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(10673)%branchR2(0:0))
      call avR2(10673, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(1019)%branchR2(0:0))
      call avR2(1019, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(72)%branchR2(0:0))
      call avR2(72, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(1245)%branchR2(0:0))
      call avR2(1245, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(10314)%branchR2(0:0))
      call avR2(10314, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(2419)%branchR2(0:0))
      call avR2(2419, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10053)%branchR2(0:0))
      call avR2(10053, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(10430)%branchR2(0:0))
      call avR2(10430, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(10674)%branchR2(0:0))
      call avR2(10674, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2789, nGC_2789,      &
      nGC_2788/))

      allocate(vertices(6601)%branchR2(0:0))
      call avR2(6601, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(1231)%branchR2(0:0))
      call avR2(1231, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(6641)%branchR2(0:0))
      call avR2(6641, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(405)%branchR2(0:0))
      call avR2(405, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(289)%branchR2(0:0))
      call avR2(289, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2542/))

      allocate(vertices(7084)%branchR2(0:0))
      call avR2(7084, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(9896)%branchR2(0:0))
      call avR2(9896, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(9583)%branchR2(0:0))
      call avR2(9583, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4035/))

      allocate(vertices(7291)%branchR2(0:1))
      call avR2(7291, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(7291, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(3821)%branchR2(0:0))
      call avR2(3821, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(5216)%branchR2(0:0))
      call avR2(5216, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(8562)%branchR2(0:0))
      call avR2(8562, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(455)%branchR2(0:0))
      call avR2(455, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(10675)%branchR2(0:0))
      call avR2(10675, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2779, nGC_2779,      &
      nGC_2779/))

      allocate(vertices(4734)%branchR2(0:0))
      call avR2(4734, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(10676)%branchR2(0:1))
      call avR2(10676, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2919/))

      call avR2(10676, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2918/))

      allocate(vertices(1318)%branchR2(0:1))
      call avR2(1318, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2694, nGC_2693/))

      call avR2(1318, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2695, nGC_2695/))

      allocate(vertices(7354)%branchR2(0:0))
      call avR2(7354, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(659)%branchR2(0:0))
      call avR2(659, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(1221)%branchR2(0:0))
      call avR2(1221, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(5176)%branchR2(0:0))
      call avR2(5176, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(1275)%branchR2(0:0))
      call avR2(1275, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(1511)%branchR2(0:0))
      call avR2(1511, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(1672)%branchR2(0:0))
      call avR2(1672, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(2319)%branchR2(0:0))
      call avR2(2319, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(1118)%branchR2(0:0))
      call avR2(1118, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(9412)%branchR2(0:0))
      call avR2(9412, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2400, nGC_2399/))

      allocate(vertices(398)%branchR2(0:0))
      call avR2(398, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(33)%branchR2(0:0))
      call avR2(33, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(4465)%branchR2(0:0))
      call avR2(4465, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(1351)%branchR2(0:0))
      call avR2(1351, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(937)%branchR2(0:0))
      call avR2(937, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2864/))

      allocate(vertices(8840)%branchR2(0:0))
      call avR2(8840, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(1819)%branchR2(0:0))
      call avR2(1819, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2923, nGC_2923,       &
      nGC_2922/))

      allocate(vertices(5198)%branchR2(0:1))
      call avR2(5198, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2592, nGC_2590/))

      call avR2(5198, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2593, nGC_2591/))

      allocate(vertices(2546)%branchR2(0:0))
      call avR2(2546, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(7503)%branchR2(0:0))
      call avR2(7503, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2596/))

      allocate(vertices(3342)%branchR2(0:0))
      call avR2(3342, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(5193)%branchR2(0:0))
      call avR2(5193, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(10677)%branchR2(0:1))
      call avR2(10677, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2919/))

      call avR2(10677, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2918/))

      allocate(vertices(1736)%branchR2(0:0))
      call avR2(1736, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(6322)%branchR2(0:0))
      call avR2(6322, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(10277)%branchR2(0:0))
      call avR2(10277, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(10359)%branchR2(0:0))
      call avR2(10359, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(664)%branchR2(0:0))
      call avR2(664, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(4531)%branchR2(0:0))
      call avR2(4531, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(8431)%branchR2(0:0))
      call avR2(8431, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(10457)%branchR2(0:0))
      call avR2(10457, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(7056)%branchR2(0:0))
      call avR2(7056, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(3271)%branchR2(0:0))
      call avR2(3271, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(9817)%branchR2(0:0))
      call avR2(9817, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4042/))

      allocate(vertices(10403)%branchR2(0:0))
      call avR2(10403, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(7759)%branchR2(0:0))
      call avR2(7759, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(3138)%branchR2(0:0))
      call avR2(3138, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(2954)%branchR2(0:0))
      call avR2(2954, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(5595)%branchR2(0:0))
      call avR2(5595, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(8630)%branchR2(0:0))
      call avR2(8630, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(1039)%branchR2(0:0))
      call avR2(1039, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(600)%branchR2(0:0))
      call avR2(600, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(8367)%branchR2(0:0))
      call avR2(8367, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(9231)%branchR2(0:0))
      call avR2(9231, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(3335)%branchR2(0:0))
      call avR2(3335, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(7247)%branchR2(0:0))
      call avR2(7247, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(8689)%branchR2(0:1))
      call avR2(8689, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2650, nGC_2649/))

      call avR2(8689, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2651, nGC_2651/))

      allocate(vertices(8912)%branchR2(0:0))
      call avR2(8912, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(262)%branchR2(0:0))
      call avR2(262, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(8680)%branchR2(0:0))
      call avR2(8680, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(10678)%branchR2(0:1))
      call avR2(10678, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2928/))

      call avR2(10678, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(2139)%branchR2(0:0))
      call avR2(2139, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(3029)%branchR2(0:0))
      call avR2(3029, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(76)%branchR2(0:0))
      call avR2(76, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(1158)%branchR2(0:0))
      call avR2(1158, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2596/))

      allocate(vertices(10679)%branchR2(0:0))
      call avR2(10679, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2818, nGC_2818,      &
      nGC_2818/))

      allocate(vertices(6516)%branchR2(0:0))
      call avR2(6516, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2576/))

      allocate(vertices(9060)%branchR2(0:0))
      call avR2(9060, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2450/))

      allocate(vertices(10011)%branchR2(0:0))
      call avR2(10011, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(6900)%branchR2(0:0))
      call avR2(6900, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(1270)%branchR2(0:0))
      call avR2(1270, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4032/))

      allocate(vertices(461)%branchR2(0:0))
      call avR2(461, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(8479)%branchR2(0:0))
      call avR2(8479, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2655, nGC_2656/))

      allocate(vertices(4341)%branchR2(0:0))
      call avR2(4341, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(8441)%branchR2(0:0))
      call avR2(8441, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(7219)%branchR2(0:0))
      call avR2(7219, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2701/))

      allocate(vertices(3596)%branchR2(0:0))
      call avR2(3596, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(4486)%branchR2(0:0))
      call avR2(4486, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(1674)%branchR2(0:0))
      call avR2(1674, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4033/))

      allocate(vertices(3009)%branchR2(0:0))
      call avR2(3009, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(7961)%branchR2(0:0))
      call avR2(7961, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2803, nGC_2805,       &
      nGC_2804/))

      allocate(vertices(1744)%branchR2(0:0))
      call avR2(1744, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(8065)%branchR2(0:0))
      call avR2(8065, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(10680)%branchR2(0:0))
      call avR2(10680, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2536/))

      allocate(vertices(595)%branchR2(0:0))
      call avR2(595, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(10681)%branchR2(0:0))
      call avR2(10681, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2777/))

      allocate(vertices(6682)%branchR2(0:0))
      call avR2(6682, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(3665)%branchR2(0:1))
      call avR2(3665, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2682, nGC_2681/))

      call avR2(3665, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(4104)%branchR2(0:0))
      call avR2(4104, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(7099)%branchR2(0:1))
      call avR2(7099, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(7099, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(3763)%branchR2(0:0))
      call avR2(3763, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(8814)%branchR2(0:0))
      call avR2(8814, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(6671)%branchR2(0:0))
      call avR2(6671, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(10063)%branchR2(0:0))
      call avR2(10063, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(9152)%branchR2(0:0))
      call avR2(9152, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(3537)%branchR2(0:0))
      call avR2(3537, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(9697)%branchR2(0:0))
      call avR2(9697, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(9829)%branchR2(0:0))
      call avR2(9829, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(2536)%branchR2(0:0))
      call avR2(2536, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10191)%branchR2(0:0))
      call avR2(10191, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(6598)%branchR2(0:0))
      call avR2(6598, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2864/))

      allocate(vertices(10682)%branchR2(0:0))
      call avR2(10682, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(719)%branchR2(0:1))
      call avR2(719, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(719, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(1185)%branchR2(0:0))
      call avR2(1185, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2462/))

      allocate(vertices(9100)%branchR2(0:0))
      call avR2(9100, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(8068)%branchR2(0:0))
      call avR2(8068, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(6346)%branchR2(0:0))
      call avR2(6346, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(6802)%branchR2(0:1))
      call avR2(6802, 0, 26, 1, 0, VFaF0, (/0, 3/), (/nGC_2470, nGC_2471/))

      call avR2(6802, 1, 26, 1, 0, VFaF0, (/2, 1/), (/nGC_2472, nGC_2472/))

      allocate(vertices(4967)%branchR2(0:0))
      call avR2(4967, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2557, nGC_2558/))

      allocate(vertices(5481)%branchR2(0:0))
      call avR2(5481, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(6225)%branchR2(0:0))
      call avR2(6225, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(7994)%branchR2(0:0))
      call avR2(7994, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(2985)%branchR2(0:0))
      call avR2(2985, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(4267)%branchR2(0:0))
      call avR2(4267, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(10683)%branchR2(0:0))
      call avR2(10683, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(3099)%branchR2(0:0))
      call avR2(3099, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(9684)%branchR2(0:0))
      call avR2(9684, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2484/))

      allocate(vertices(5534)%branchR2(0:0))
      call avR2(5534, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(650)%branchR2(0:1))
      call avR2(650, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2603, nGC_2604/))

      call avR2(650, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(5552)%branchR2(0:0))
      call avR2(5552, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2709/))

      allocate(vertices(4144)%branchR2(0:0))
      call avR2(4144, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(6462)%branchR2(0:0))
      call avR2(6462, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(4668)%branchR2(0:3))
      call avR2(4668, 0, 21, 1, 0, VFFa1, (/1, 2/), (/nGC_2753, nGC_2754/))

      call avR2(4668, 1, 21, 1, 0, VFFa1, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(4668, 2, 22, 1, 0, VFFa1, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(4668, 3, 22, 1, 0, VFFa1, (/1, 2/), (/nGC_2750, nGC_2751/))

      allocate(vertices(8000)%branchR2(0:1))
      call avR2(8000, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(8000, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(6603)%branchR2(0:0))
      call avR2(6603, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(1407)%branchR2(0:0))
      call avR2(1407, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(3018)%branchR2(0:1))
      call avR2(3018, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2707/))

      call avR2(3018, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(3629)%branchR2(0:0))
      call avR2(3629, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2623, nGC_2624/))

      allocate(vertices(10684)%branchR2(0:0))
      call avR2(10684, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(10685)%branchR2(0:0))
      call avR2(10685, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(8597)%branchR2(0:0))
      call avR2(8597, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2538/))

      allocate(vertices(7395)%branchR2(0:0))
      call avR2(7395, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(2959)%branchR2(0:0))
      call avR2(2959, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(5952)%branchR2(0:0))
      call avR2(5952, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(7775)%branchR2(0:0))
      call avR2(7775, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(7359)%branchR2(0:0))
      call avR2(7359, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4053/))

      allocate(vertices(9811)%branchR2(0:0))
      call avR2(9811, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(1234)%branchR2(0:0))
      call avR2(1234, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(5372)%branchR2(0:0))
      call avR2(5372, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(10371)%branchR2(0:0))
      call avR2(10371, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(9931)%branchR2(0:0))
      call avR2(9931, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10686)%branchR2(0:0))
      call avR2(10686, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(7108)%branchR2(0:0))
      call avR2(7108, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(7893)%branchR2(0:0))
      call avR2(7893, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(9280)%branchR2(0:0))
      call avR2(9280, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(6304)%branchR2(0:0))
      call avR2(6304, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(5250)%branchR2(0:0))
      call avR2(5250, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(4662)%branchR2(0:0))
      call avR2(4662, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(1307)%branchR2(0:0))
      call avR2(1307, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(3465)%branchR2(0:0))
      call avR2(3465, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(2276)%branchR2(0:1))
      call avR2(2276, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(2276, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(8161)%branchR2(0:1))
      call avR2(8161, 0, 24, 1, 0, FaVF0, (/0, 3/), (/nGC_2707/))

      call avR2(8161, 1, 24, 1, 0, FaVF0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(9187)%branchR2(0:0))
      call avR2(9187, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1281)%branchR2(0:0))
      call avR2(1281, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(10687)%branchR2(0:0))
      call avR2(10687, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(824)%branchR2(0:1))
      call avR2(824, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2639, nGC_2637/))

      call avR2(824, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2640, nGC_2638/))

      allocate(vertices(10688)%branchR2(0:0))
      call avR2(10688, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(3114)%branchR2(0:0))
      call avR2(3114, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(1959)%branchR2(0:3))
      call avR2(1959, 0, 37, 1, 0, FVFa0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(1959, 1, 37, 1, 0, FVFa0, (/1, 2/), (/nGC_2758, nGC_2759/))

      call avR2(1959, 2, 36, 1, 0, FVFa0, (/1, 2/), (/nGC_2760, nGC_2761/))

      call avR2(1959, 3, 36, 1, 0, FVFa0, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(3577)%branchR2(0:0))
      call avR2(3577, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2557, nGC_2558/))

      allocate(vertices(7253)%branchR2(0:0))
      call avR2(7253, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(6808)%branchR2(0:0))
      call avR2(6808, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2595/))

      allocate(vertices(8568)%branchR2(0:0))
      call avR2(8568, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(4154)%branchR2(0:0))
      call avR2(4154, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2505/))

      allocate(vertices(4978)%branchR2(0:0))
      call avR2(4978, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2576/))

      allocate(vertices(6002)%branchR2(0:1))
      call avR2(6002, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(6002, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(1984)%branchR2(0:0))
      call avR2(1984, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(2553)%branchR2(0:0))
      call avR2(2553, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(10244)%branchR2(0:0))
      call avR2(10244, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(4436)%branchR2(0:0))
      call avR2(4436, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2673/))

      allocate(vertices(5052)%branchR2(0:3))
      call avR2(5052, 0, 21, 1, 0, VFFa1, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(5052, 1, 21, 1, 0, VFFa1, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(5052, 2, 22, 1, 0, VFFa1, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(5052, 3, 22, 1, 0, VFFa1, (/1, 2/), (/nGC_2742, nGC_2743/))

      allocate(vertices(3130)%branchR2(0:0))
      call avR2(3130, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(8677)%branchR2(0:1))
      call avR2(8677, 0, 23, 1, 0, FaFV1, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(8677, 1, 23, 1, 0, FaFV1, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(1178)%branchR2(0:0))
      call avR2(1178, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(5121)%branchR2(0:1))
      call avR2(5121, 0, 25, 1, 0, FVFa0, (/0, 3/), (/nGC_2715, nGC_2717/))

      call avR2(5121, 1, 25, 1, 0, FVFa0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(8027)%branchR2(0:0))
      call avR2(8027, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(10689)%branchR2(0:0))
      call avR2(10689, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(805)%branchR2(0:0))
      call avR2(805, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(6447)%branchR2(0:0))
      call avR2(6447, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2623, nGC_2624/))

      allocate(vertices(7959)%branchR2(0:0))
      call avR2(7959, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(4276)%branchR2(0:0))
      call avR2(4276, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(6244)%branchR2(0:0))
      call avR2(6244, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(1226)%branchR2(0:0))
      call avR2(1226, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(5587)%branchR2(0:0))
      call avR2(5587, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(10690)%branchR2(0:1))
      call avR2(10690, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2896/))

      call avR2(10690, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2895/))

      allocate(vertices(2792)%branchR2(0:0))
      call avR2(2792, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(5446)%branchR2(0:0))
      call avR2(5446, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(10691)%branchR2(0:1))
      call avR2(10691, 0, 139, 1, 0, VVVV0, (/2, 2/), (/nGC_2924, nGC_2924,    &
      nGC_2924/))

      call avR2(10691, 1, 140, 1, 0, VVVV0, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      allocate(vertices(8595)%branchR2(0:0))
      call avR2(8595, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4050/))

      allocate(vertices(7141)%branchR2(0:0))
      call avR2(7141, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(8373)%branchR2(0:0))
      call avR2(8373, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(10476)%branchR2(0:0))
      call avR2(10476, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(372)%branchR2(0:0))
      call avR2(372, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(6278)%branchR2(0:0))
      call avR2(6278, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(462)%branchR2(0:0))
      call avR2(462, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(10692)%branchR2(0:1))
      call avR2(10692, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2933/))

      call avR2(10692, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2932/))

      allocate(vertices(7801)%branchR2(0:1))
      call avR2(7801, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2675, nGC_2674/))

      call avR2(7801, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2676, nGC_2676/))

      allocate(vertices(6912)%branchR2(0:0))
      call avR2(6912, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(700)%branchR2(0:0))
      call avR2(700, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(4904)%branchR2(0:0))
      call avR2(4904, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(10468)%branchR2(0:0))
      call avR2(10468, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(5201)%branchR2(0:1))
      call avR2(5201, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(5201, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(4389)%branchR2(0:0))
      call avR2(4389, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(4980)%branchR2(0:0))
      call avR2(4980, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(10117)%branchR2(0:0))
      call avR2(10117, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(3259)%branchR2(0:0))
      call avR2(3259, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(329)%branchR2(0:0))
      call avR2(329, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(6512)%branchR2(0:0))
      call avR2(6512, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(858)%branchR2(0:1))
      call avR2(858, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2675, nGC_2674/))

      call avR2(858, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2676, nGC_2676/))

      allocate(vertices(5239)%branchR2(0:0))
      call avR2(5239, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(3659)%branchR2(0:0))
      call avR2(3659, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(6392)%branchR2(0:0))
      call avR2(6392, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(7121)%branchR2(0:1))
      call avR2(7121, 0, 23, 1, 0, FaFV1, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(7121, 1, 23, 1, 0, FaFV1, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(4618)%branchR2(0:0))
      call avR2(4618, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(7807)%branchR2(0:0))
      call avR2(7807, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(9690)%branchR2(0:0))
      call avR2(9690, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4031/))

      allocate(vertices(2651)%branchR2(0:0))
      call avR2(2651, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(6318)%branchR2(0:0))
      call avR2(6318, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(7535)%branchR2(0:0))
      call avR2(7535, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4030/))

      allocate(vertices(2881)%branchR2(0:0))
      call avR2(2881, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(8773)%branchR2(0:0))
      call avR2(8773, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(8791)%branchR2(0:0))
      call avR2(8791, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(10276)%branchR2(0:0))
      call avR2(10276, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(10188)%branchR2(0:0))
      call avR2(10188, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(8582)%branchR2(0:0))
      call avR2(8582, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(10693)%branchR2(0:1))
      call avR2(10693, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2885/))

      call avR2(10693, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2884/))

      allocate(vertices(7357)%branchR2(0:0))
      call avR2(7357, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(6267)%branchR2(0:0))
      call avR2(6267, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2706/))

      allocate(vertices(3049)%branchR2(0:0))
      call avR2(3049, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10694)%branchR2(0:1))
      call avR2(10694, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2849/))

      call avR2(10694, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(9658)%branchR2(0:0))
      call avR2(9658, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(7068)%branchR2(0:0))
      call avR2(7068, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(5431)%branchR2(0:1))
      call avR2(5431, 0, 25, 1, 0, FVFa0, (/0, 3/), (/nGC_2734, nGC_2735/))

      call avR2(5431, 1, 25, 1, 0, FVFa0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(3522)%branchR2(0:0))
      call avR2(3522, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(6354)%branchR2(0:0))
      call avR2(6354, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(9450)%branchR2(0:0))
      call avR2(9450, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2525/))

      allocate(vertices(1176)%branchR2(0:0))
      call avR2(1176, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(10069)%branchR2(0:0))
      call avR2(10069, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(10695)%branchR2(0:0))
      call avR2(10695, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(8991)%branchR2(0:0))
      call avR2(8991, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(6590)%branchR2(0:0))
      call avR2(6590, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(5530)%branchR2(0:1))
      call avR2(5530, 0, 25, 1, 0, FVFa0, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(5530, 1, 25, 1, 0, FVFa0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(10127)%branchR2(0:0))
      call avR2(10127, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(9397)%branchR2(0:0))
      call avR2(9397, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(4910)%branchR2(0:1))
      call avR2(4910, 0, 26, 1, 0, VFaF0, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(4910, 1, 26, 1, 0, VFaF0, (/2, 1/), (/nGC_2472, nGC_2472/))

      allocate(vertices(484)%branchR2(0:0))
      call avR2(484, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(3036)%branchR2(0:0))
      call avR2(3036, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(5347)%branchR2(0:0))
      call avR2(5347, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(6600)%branchR2(0:0))
      call avR2(6600, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2543/))

      allocate(vertices(8409)%branchR2(0:0))
      call avR2(8409, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(6969)%branchR2(0:0))
      call avR2(6969, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(2155)%branchR2(0:0))
      call avR2(2155, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(7343)%branchR2(0:0))
      call avR2(7343, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(2079)%branchR2(0:0))
      call avR2(2079, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(1154)%branchR2(0:0))
      call avR2(1154, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2642/))

      allocate(vertices(10696)%branchR2(0:0))
      call avR2(10696, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(8356)%branchR2(0:0))
      call avR2(8356, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(8548)%branchR2(0:0))
      call avR2(8548, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(2311)%branchR2(0:0))
      call avR2(2311, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(9908)%branchR2(0:0))
      call avR2(9908, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4039/))

      allocate(vertices(3540)%branchR2(0:1))
      call avR2(3540, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2603, nGC_2604/))

      call avR2(3540, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(963)%branchR2(0:0))
      call avR2(963, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(7752)%branchR2(0:0))
      call avR2(7752, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(2349)%branchR2(0:0))
      call avR2(2349, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(6977)%branchR2(0:0))
      call avR2(6977, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(5535)%branchR2(0:0))
      call avR2(5535, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(4206)%branchR2(0:0))
      call avR2(4206, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(8346)%branchR2(0:0))
      call avR2(8346, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(4570)%branchR2(0:0))
      call avR2(4570, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(4591)%branchR2(0:0))
      call avR2(4591, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(7048)%branchR2(0:0))
      call avR2(7048, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2864/))

      allocate(vertices(8164)%branchR2(0:1))
      call avR2(8164, 0, 26, 1, 0, VFaF0, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(8164, 1, 26, 1, 0, VFaF0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(1404)%branchR2(0:0))
      call avR2(1404, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(9775)%branchR2(0:0))
      call avR2(9775, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2484/))

      allocate(vertices(10697)%branchR2(0:1))
      call avR2(10697, 0, 141, 1, 0, VVVV0, (/2, 2/), (/nGC_2936, nGC_2936,    &
      nGC_2936/))

      call avR2(10697, 1, 142, 1, 0, VVVV0, (/2, 2/), (/nGC_2935, nGC_2935,    &
      nGC_2935/))

      allocate(vertices(10698)%branchR2(0:1))
      call avR2(10698, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2900/))

      call avR2(10698, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2899/))

      allocate(vertices(4560)%branchR2(0:0))
      call avR2(4560, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2696, nGC_2697/))

      allocate(vertices(10699)%branchR2(0:1))
      call avR2(10699, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2849/))

      call avR2(10699, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(10700)%branchR2(0:1))
      call avR2(10700, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2896/))

      call avR2(10700, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2895/))

      allocate(vertices(10410)%branchR2(0:0))
      call avR2(10410, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(6328)%branchR2(0:0))
      call avR2(6328, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(3165)%branchR2(0:0))
      call avR2(3165, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(1357)%branchR2(0:0))
      call avR2(1357, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(3094)%branchR2(0:0))
      call avR2(3094, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(6741)%branchR2(0:0))
      call avR2(6741, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(495)%branchR2(0:0))
      call avR2(495, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(5962)%branchR2(0:0))
      call avR2(5962, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4034/))

      allocate(vertices(2535)%branchR2(0:0))
      call avR2(2535, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2673/))

      allocate(vertices(7874)%branchR2(0:0))
      call avR2(7874, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2917/))

      allocate(vertices(7508)%branchR2(0:0))
      call avR2(7508, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(10701)%branchR2(0:0))
      call avR2(10701, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(270)%branchR2(0:0))
      call avR2(270, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(5346)%branchR2(0:0))
      call avR2(5346, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(4191)%branchR2(0:0))
      call avR2(4191, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(10702)%branchR2(0:0))
      call avR2(10702, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2777/))

      allocate(vertices(8119)%branchR2(0:0))
      call avR2(8119, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(4644)%branchR2(0:0))
      call avR2(4644, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(1626)%branchR2(0:0))
      call avR2(1626, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(9672)%branchR2(0:0))
      call avR2(9672, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(2076)%branchR2(0:0))
      call avR2(2076, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(4804)%branchR2(0:0))
      call avR2(4804, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(3021)%branchR2(0:3))
      call avR2(3021, 0, 17, 1, 0, FaFV1, (/1, 2/), (/nGC_2760, nGC_2761/))

      call avR2(3021, 1, 17, 1, 0, FaFV1, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(3021, 2, 18, 1, 0, FaFV1, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(3021, 3, 18, 1, 0, FaFV1, (/1, 2/), (/nGC_2758, nGC_2759/))

      allocate(vertices(3395)%branchR2(0:0))
      call avR2(3395, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(4199)%branchR2(0:0))
      call avR2(4199, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(4289)%branchR2(0:0))
      call avR2(4289, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2569, nGC_2570/))

      allocate(vertices(1489)%branchR2(0:0))
      call avR2(1489, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(6086)%branchR2(0:0))
      call avR2(6086, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(293)%branchR2(0:0))
      call avR2(293, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(10703)%branchR2(0:0))
      call avR2(10703, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(4336)%branchR2(0:0))
      call avR2(4336, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(1584)%branchR2(0:0))
      call avR2(1584, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2520/))

      allocate(vertices(4815)%branchR2(0:0))
      call avR2(4815, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(2782)%branchR2(0:0))
      call avR2(2782, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(7350)%branchR2(0:1))
      call avR2(7350, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2675, nGC_2674/))

      call avR2(7350, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2676, nGC_2676/))

      allocate(vertices(5458)%branchR2(0:0))
      call avR2(5458, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(4943)%branchR2(0:0))
      call avR2(4943, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(1613)%branchR2(0:0))
      call avR2(1613, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(10704)%branchR2(0:1))
      call avR2(10704, 0, 129, 1, 0, VSV0, (/2, 1/), (/nGC_2688/))

      call avR2(10704, 1, 130, 1, 0, VSV0, (/2, 1/), (/nGC_2689/))

      allocate(vertices(6415)%branchR2(0:0))
      call avR2(6415, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(9663)%branchR2(0:0))
      call avR2(9663, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(6745)%branchR2(0:1))
      call avR2(6745, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(6745, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(5639)%branchR2(0:0))
      call avR2(5639, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(10705)%branchR2(0:0))
      call avR2(10705, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2778/))

      allocate(vertices(4685)%branchR2(0:0))
      call avR2(4685, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(6190)%branchR2(0:0))
      call avR2(6190, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4052/))

      allocate(vertices(4983)%branchR2(0:0))
      call avR2(4983, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(6978)%branchR2(0:1))
      call avR2(6978, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(6978, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(1519)%branchR2(0:0))
      call avR2(1519, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(3152)%branchR2(0:0))
      call avR2(3152, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4037/))

      allocate(vertices(3412)%branchR2(0:0))
      call avR2(3412, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2773, nGC_2771,       &
      nGC_2772/))

      allocate(vertices(2241)%branchR2(0:0))
      call avR2(2241, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(9121)%branchR2(0:0))
      call avR2(9121, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(9822)%branchR2(0:0))
      call avR2(9822, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(1871)%branchR2(0:0))
      call avR2(1871, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(10706)%branchR2(0:0))
      call avR2(10706, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2536/))

      allocate(vertices(8607)%branchR2(0:1))
      call avR2(8607, 0, 3, 1, 0, VVV1, (/3, 0/), (/nGC_4057/))

      call avR2(8607, 1, 2, 1, 0, VVV1, (/3, 0/), (/nGC_4058/))

      allocate(vertices(2738)%branchR2(0:1))
      call avR2(2738, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2533, nGC_2532/))

      call avR2(2738, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2514, nGC_2512/))

      allocate(vertices(4708)%branchR2(0:0))
      call avR2(4708, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(6051)%branchR2(0:0))
      call avR2(6051, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(3363)%branchR2(0:0))
      call avR2(3363, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2527/))

      allocate(vertices(8580)%branchR2(0:0))
      call avR2(8580, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(6826)%branchR2(0:0))
      call avR2(6826, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4054/))

      allocate(vertices(7105)%branchR2(0:1))
      call avR2(7105, 0, 27, 1, 0, VFFa1, (/0, 3/), (/nGC_2734, nGC_2735/))

      call avR2(7105, 1, 27, 1, 0, VFFa1, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(10485)%branchR2(0:0))
      call avR2(10485, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(4740)%branchR2(0:1))
      call avR2(4740, 0, 27, 1, 0, VFFa0, (/0, 3/), (/nGC_2707/))

      call avR2(4740, 1, 27, 1, 0, VFFa0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10381)%branchR2(0:0))
      call avR2(10381, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(1191)%branchR2(0:1))
      call avR2(1191, 0, 26, 1, 0, VFaF1, (/0, 3/), (/nGC_2708/))

      call avR2(1191, 1, 26, 1, 0, VFaF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10147)%branchR2(0:0))
      call avR2(10147, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4042/))

      allocate(vertices(91)%branchR2(0:0))
      call avR2(91, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(10707)%branchR2(0:0))
      call avR2(10707, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2779, nGC_2779,      &
      nGC_2779/))

      allocate(vertices(7315)%branchR2(0:0))
      call avR2(7315, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2803, nGC_2804,       &
      nGC_2805/))

      allocate(vertices(1564)%branchR2(0:0))
      call avR2(1564, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(8365)%branchR2(0:0))
      call avR2(8365, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(9505)%branchR2(0:0))
      call avR2(9505, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(2096)%branchR2(0:1))
      call avR2(2096, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(2096, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(10708)%branchR2(0:0))
      call avR2(10708, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2934, nGC_2934,      &
      nGC_2934/))

      allocate(vertices(5276)%branchR2(0:0))
      call avR2(5276, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(10709)%branchR2(0:0))
      call avR2(10709, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2865/))

      allocate(vertices(2127)%branchR2(0:0))
      call avR2(2127, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2771, nGC_2772,       &
      nGC_2773/))

      allocate(vertices(8880)%branchR2(0:0))
      call avR2(8880, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4039/))

      allocate(vertices(5828)%branchR2(0:0))
      call avR2(5828, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(7212)%branchR2(0:0))
      call avR2(7212, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(3924)%branchR2(0:0))
      call avR2(3924, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(2803)%branchR2(0:0))
      call avR2(2803, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(4357)%branchR2(0:0))
      call avR2(4357, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2597/))

      allocate(vertices(6129)%branchR2(0:0))
      call avR2(6129, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(4936)%branchR2(0:1))
      call avR2(4936, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2675, nGC_2674/))

      call avR2(4936, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2676, nGC_2676/))

      allocate(vertices(4528)%branchR2(0:0))
      call avR2(4528, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(7085)%branchR2(0:0))
      call avR2(7085, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(10710)%branchR2(0:1))
      call avR2(10710, 0, 128, 1, 0, VVS0, (/2, 1/), (/nGC_2660/))

      call avR2(10710, 1, 127, 1, 0, VVS0, (/2, 1/), (/nGC_2659/))

      allocate(vertices(5149)%branchR2(0:0))
      call avR2(5149, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(3952)%branchR2(0:0))
      call avR2(3952, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(6071)%branchR2(0:0))
      call avR2(6071, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2595/))

      allocate(vertices(2917)%branchR2(0:0))
      call avR2(2917, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(10711)%branchR2(0:1))
      call avR2(10711, 0, 136, 1, 0, VVVV0, (/2, 2/), (/nGC_2936, nGC_2936,    &
      nGC_2936/))

      call avR2(10711, 1, 135, 1, 0, VVVV0, (/2, 2/), (/nGC_2935, nGC_2935,    &
      nGC_2935/))

      allocate(vertices(10712)%branchR2(0:0))
      call avR2(10712, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(274)%branchR2(0:0))
      call avR2(274, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(8407)%branchR2(0:1))
      call avR2(8407, 0, 27, 1, 0, VFFa0, (/0, 3/), (/nGC_2707/))

      call avR2(8407, 1, 27, 1, 0, VFFa0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(4568)%branchR2(0:0))
      call avR2(4568, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(5631)%branchR2(0:0))
      call avR2(5631, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4059/))

      allocate(vertices(9667)%branchR2(0:0))
      call avR2(9667, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4049/))

      allocate(vertices(1778)%branchR2(0:0))
      call avR2(1778, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(5040)%branchR2(0:0))
      call avR2(5040, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(3163)%branchR2(0:0))
      call avR2(3163, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(7153)%branchR2(0:1))
      call avR2(7153, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(7153, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(2570)%branchR2(0:0))
      call avR2(2570, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(7746)%branchR2(0:1))
      call avR2(7746, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(7746, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(6377)%branchR2(0:0))
      call avR2(6377, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(9795)%branchR2(0:0))
      call avR2(9795, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(10240)%branchR2(0:0))
      call avR2(10240, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(6018)%branchR2(0:0))
      call avR2(6018, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(4053)%branchR2(0:0))
      call avR2(4053, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(791)%branchR2(0:0))
      call avR2(791, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(8725)%branchR2(0:0))
      call avR2(8725, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(1410)%branchR2(0:1))
      call avR2(1410, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(1410, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(104)%branchR2(0:0))
      call avR2(104, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(5076)%branchR2(0:0))
      call avR2(5076, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(3794)%branchR2(0:1))
      call avR2(3794, 0, 26, 1, 0, VFaF1, (/0, 3/), (/nGC_2707/))

      call avR2(3794, 1, 26, 1, 0, VFaF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(9176)%branchR2(0:0))
      call avR2(9176, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(3133)%branchR2(0:0))
      call avR2(3133, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(6680)%branchR2(0:0))
      call avR2(6680, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(7448)%branchR2(0:1))
      call avR2(7448, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2533, nGC_2532/))

      call avR2(7448, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2514, nGC_2512/))

      allocate(vertices(2524)%branchR2(0:0))
      call avR2(2524, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(9606)%branchR2(0:0))
      call avR2(9606, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(6752)%branchR2(0:0))
      call avR2(6752, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(6187)%branchR2(0:0))
      call avR2(6187, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(8664)%branchR2(0:0))
      call avR2(8664, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(9629)%branchR2(0:0))
      call avR2(9629, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(6855)%branchR2(0:0))
      call avR2(6855, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(9783)%branchR2(0:1))
      call avR2(9783, 0, 124, 1, 0, FaF2, (/0, 2/), (/nGC_2433, nGC_2430,      &
      nGC_2431, nGC_2431/))

      call avR2(9783, 1, 124, 1, 0, FaF2, (/2, 0/), (/nGC_2429, nGC_2429,      &
      nGC_2432, nGC_2432/))

      allocate(vertices(5376)%branchR2(0:0))
      call avR2(5376, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(7292)%branchR2(0:1))
      call avR2(7292, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2584, nGC_2582/))

      call avR2(7292, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2585, nGC_2583/))

      allocate(vertices(6722)%branchR2(0:0))
      call avR2(6722, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(2913)%branchR2(0:0))
      call avR2(2913, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(2871)%branchR2(0:0))
      call avR2(2871, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(3755)%branchR2(0:0))
      call avR2(3755, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(2428)%branchR2(0:0))
      call avR2(2428, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(672)%branchR2(0:1))
      call avR2(672, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(672, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(5172)%branchR2(0:0))
      call avR2(5172, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(2605)%branchR2(0:0))
      call avR2(2605, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(4281)%branchR2(0:3))
      call avR2(4281, 0, 37, 1, 0, FVFa0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(4281, 1, 37, 1, 0, FVFa0, (/1, 2/), (/nGC_2762, nGC_2763/))

      call avR2(4281, 2, 36, 1, 0, FVFa0, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(4281, 3, 36, 1, 0, FVFa0, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(9043)%branchR2(0:0))
      call avR2(9043, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(1801)%branchR2(0:0))
      call avR2(1801, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(3561)%branchR2(0:0))
      call avR2(3561, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(6916)%branchR2(0:1))
      call avR2(6916, 0, 27, 1, 0, VFFa1, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(6916, 1, 27, 1, 0, VFFa1, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(2725)%branchR2(0:0))
      call avR2(2725, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(10447)%branchR2(0:0))
      call avR2(10447, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(10313)%branchR2(0:0))
      call avR2(10313, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(8203)%branchR2(0:0))
      call avR2(8203, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(869)%branchR2(0:0))
      call avR2(869, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(9998)%branchR2(0:1))
      call avR2(9998, 0, 14, 1, 0, FFa2, (/0, 2/), (/nGC_2437, nGC_2434,       &
      nGC_2435, nGC_2435/))

      call avR2(9998, 1, 14, 1, 0, FFa2, (/2, 0/), (/nGC_2429, nGC_2429,       &
      nGC_2436, nGC_2436/))

      allocate(vertices(4338)%branchR2(0:0))
      call avR2(4338, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(2498)%branchR2(0:1))
      call avR2(2498, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(2498, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(5618)%branchR2(0:0))
      call avR2(5618, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(5396)%branchR2(0:1))
      call avR2(5396, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(5396, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(3277)%branchR2(0:0))
      call avR2(3277, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2804, nGC_2805,       &
      nGC_2803/))

      allocate(vertices(6732)%branchR2(0:0))
      call avR2(6732, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(5975)%branchR2(0:0))
      call avR2(5975, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(9702)%branchR2(0:0))
      call avR2(9702, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(3100)%branchR2(0:0))
      call avR2(3100, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(10020)%branchR2(0:0))
      call avR2(10020, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(1673)%branchR2(0:0))
      call avR2(1673, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(4846)%branchR2(0:0))
      call avR2(4846, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(888)%branchR2(0:1))
      call avR2(888, 0, 23, 1, 0, FaFV1, (/0, 3/), (/nGC_2474, nGC_2475/))

      call avR2(888, 1, 23, 1, 0, FaFV1, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(10713)%branchR2(0:5))
      call avR2(10713, 0, 149, 1, 0, VVVV0, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10713, 1, 148, 1, 0, VVVV0, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10713, 2, 151, 1, 0, VVVV0, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10713, 3, 152, 1, 0, VVVV0, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10713, 4, 150, 1, 0, VVVV0, (/3, 1/), (/nGC_2939, nGC_2939,    &
      nGC_2939/))

      call avR2(10713, 5, 147, 1, 0, VVVV0, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      allocate(vertices(7388)%branchR2(0:0))
      call avR2(7388, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(10714)%branchR2(0:0))
      call avR2(10714, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(4549)%branchR2(0:1))
      call avR2(4549, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2603, nGC_2604/))

      call avR2(4549, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(8109)%branchR2(0:0))
      call avR2(8109, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(3196)%branchR2(0:0))
      call avR2(3196, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(2692)%branchR2(0:0))
      call avR2(2692, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2498/))

      allocate(vertices(10715)%branchR2(0:0))
      call avR2(10715, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(2196)%branchR2(0:0))
      call avR2(2196, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(6582)%branchR2(0:0))
      call avR2(6582, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(3968)%branchR2(0:0))
      call avR2(3968, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(2361)%branchR2(0:0))
      call avR2(2361, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(1043)%branchR2(0:0))
      call avR2(1043, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2710/))

      allocate(vertices(1240)%branchR2(0:0))
      call avR2(1240, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(10716)%branchR2(0:1))
      call avR2(10716, 0, 145, 1, 0, VVVV0, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      call avR2(10716, 1, 146, 1, 0, VVVV0, (/2, 2/), (/nGC_2810, nGC_2810,    &
      nGC_2810/))

      allocate(vertices(5823)%branchR2(0:0))
      call avR2(5823, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(2407)%branchR2(0:0))
      call avR2(2407, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(5332)%branchR2(0:0))
      call avR2(5332, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2521/))

      allocate(vertices(10333)%branchR2(0:0))
      call avR2(10333, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(9961)%branchR2(0:0))
      call avR2(9961, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2459/))

      allocate(vertices(5946)%branchR2(0:0))
      call avR2(5946, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(2666)%branchR2(0:0))
      call avR2(2666, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(3323)%branchR2(0:0))
      call avR2(3323, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(1376)%branchR2(0:0))
      call avR2(1376, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(10717)%branchR2(0:0))
      call avR2(10717, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2774/))

      allocate(vertices(534)%branchR2(0:0))
      call avR2(534, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(4816)%branchR2(0:1))
      call avR2(4816, 0, 23, 1, 0, FaFV1, (/0, 3/), (/nGC_2470, nGC_2471/))

      call avR2(4816, 1, 23, 1, 0, FaFV1, (/2, 1/), (/nGC_2472, nGC_2472/))

      allocate(vertices(10093)%branchR2(0:0))
      call avR2(10093, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(7469)%branchR2(0:0))
      call avR2(7469, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(9766)%branchR2(0:0))
      call avR2(9766, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(6708)%branchR2(0:0))
      call avR2(6708, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(228)%branchR2(0:0))
      call avR2(228, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2673/))

      allocate(vertices(6173)%branchR2(0:0))
      call avR2(6173, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(3299)%branchR2(0:0))
      call avR2(3299, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(10718)%branchR2(0:0))
      call avR2(10718, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(1036)%branchR2(0:0))
      call avR2(1036, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(8440)%branchR2(0:0))
      call avR2(8440, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(5776)%branchR2(0:1))
      call avR2(5776, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(5776, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(5997)%branchR2(0:0))
      call avR2(5997, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(7533)%branchR2(0:0))
      call avR2(7533, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2576/))

      allocate(vertices(10719)%branchR2(0:0))
      call avR2(10719, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2777/))

      allocate(vertices(3050)%branchR2(0:0))
      call avR2(3050, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(7482)%branchR2(0:0))
      call avR2(7482, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(8304)%branchR2(0:0))
      call avR2(8304, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(5717)%branchR2(0:0))
      call avR2(5717, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2864/))

      allocate(vertices(8781)%branchR2(0:0))
      call avR2(8781, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(7620)%branchR2(0:0))
      call avR2(7620, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2494/))

      allocate(vertices(3244)%branchR2(0:0))
      call avR2(3244, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(509)%branchR2(0:0))
      call avR2(509, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2569, nGC_2570/))

      allocate(vertices(6829)%branchR2(0:0))
      call avR2(6829, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(1619)%branchR2(0:1))
      call avR2(1619, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(1619, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(9248)%branchR2(0:0))
      call avR2(9248, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(8271)%branchR2(0:0))
      call avR2(8271, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2595/))

      allocate(vertices(5461)%branchR2(0:0))
      call avR2(5461, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(1470)%branchR2(0:0))
      call avR2(1470, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(6504)%branchR2(0:0))
      call avR2(6504, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(898)%branchR2(0:0))
      call avR2(898, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2803, nGC_2805,        &
      nGC_2804/))

      allocate(vertices(6703)%branchR2(0:1))
      call avR2(6703, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2650, nGC_2649/))

      call avR2(6703, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2651, nGC_2651/))

      allocate(vertices(7362)%branchR2(0:0))
      call avR2(7362, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(7065)%branchR2(0:0))
      call avR2(7065, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2804, nGC_2805,       &
      nGC_2803/))

      allocate(vertices(5454)%branchR2(0:0))
      call avR2(5454, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2625, nGC_2626/))

      allocate(vertices(7226)%branchR2(0:0))
      call avR2(7226, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(8285)%branchR2(0:0))
      call avR2(8285, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(10317)%branchR2(0:0))
      call avR2(10317, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(3738)%branchR2(0:0))
      call avR2(3738, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(4717)%branchR2(0:0))
      call avR2(4717, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(1845)%branchR2(0:0))
      call avR2(1845, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(9389)%branchR2(0:0))
      call avR2(9389, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2483/))

      allocate(vertices(679)%branchR2(0:0))
      call avR2(679, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(9277)%branchR2(0:0))
      call avR2(9277, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(10471)%branchR2(0:0))
      call avR2(10471, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4060/))

      allocate(vertices(8932)%branchR2(0:0))
      call avR2(8932, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(4405)%branchR2(0:0))
      call avR2(4405, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(8243)%branchR2(0:0))
      call avR2(8243, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(1970)%branchR2(0:0))
      call avR2(1970, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(4806)%branchR2(0:0))
      call avR2(4806, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(89)%branchR2(0:0))
      call avR2(89, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(590)%branchR2(0:0))
      call avR2(590, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(10720)%branchR2(0:0))
      call avR2(10720, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2778/))

      allocate(vertices(3513)%branchR2(0:0))
      call avR2(3513, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(3615)%branchR2(0:1))
      call avR2(3615, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2534, nGC_2535/))

      call avR2(3615, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2516, nGC_2518/))

      allocate(vertices(5412)%branchR2(0:0))
      call avR2(5412, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(10721)%branchR2(0:0))
      call avR2(10721, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(3848)%branchR2(0:0))
      call avR2(3848, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2461/))

      allocate(vertices(5490)%branchR2(0:0))
      call avR2(5490, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(6905)%branchR2(0:0))
      call avR2(6905, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(10722)%branchR2(0:0))
      call avR2(10722, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(467)%branchR2(0:0))
      call avR2(467, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(7392)%branchR2(0:0))
      call avR2(7392, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(4313)%branchR2(0:0))
      call avR2(4313, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2803, nGC_2804,       &
      nGC_2805/))

      allocate(vertices(10456)%branchR2(0:0))
      call avR2(10456, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(10168)%branchR2(0:0))
      call avR2(10168, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(6368)%branchR2(0:0))
      call avR2(6368, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(2129)%branchR2(0:0))
      call avR2(2129, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(5924)%branchR2(0:0))
      call avR2(5924, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(10411)%branchR2(0:0))
      call avR2(10411, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(9856)%branchR2(0:0))
      call avR2(9856, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(8184)%branchR2(0:0))
      call avR2(8184, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(9284)%branchR2(0:0))
      call avR2(9284, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(10387)%branchR2(0:0))
      call avR2(10387, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(2340)%branchR2(0:1))
      call avR2(2340, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(2340, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(10723)%branchR2(0:1))
      call avR2(10723, 0, 144, 1, 0, VVVV0, (/2, 2/), (/nGC_2810, nGC_2810,    &
      nGC_2810/))

      call avR2(10723, 1, 143, 1, 0, VVVV0, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      allocate(vertices(3393)%branchR2(0:0))
      call avR2(3393, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(10724)%branchR2(0:0))
      call avR2(10724, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(5994)%branchR2(0:0))
      call avR2(5994, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(7947)%branchR2(0:3))
      call avR2(7947, 0, 37, 1, 0, FVFa0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(7947, 1, 37, 1, 0, FVFa0, (/1, 2/), (/nGC_2750, nGC_2751/))

      call avR2(7947, 2, 36, 1, 0, FVFa0, (/1, 2/), (/nGC_2753, nGC_2754/))

      call avR2(7947, 3, 36, 1, 0, FVFa0, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(2043)%branchR2(0:0))
      call avR2(2043, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(5337)%branchR2(0:1))
      call avR2(5337, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(5337, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(10725)%branchR2(0:0))
      call avR2(10725, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(8227)%branchR2(0:0))
      call avR2(8227, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(8936)%branchR2(0:0))
      call avR2(8936, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(2413)%branchR2(0:0))
      call avR2(2413, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(7943)%branchR2(0:0))
      call avR2(7943, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(3079)%branchR2(0:0))
      call avR2(3079, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(840)%branchR2(0:0))
      call avR2(840, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(4384)%branchR2(0:0))
      call avR2(4384, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(7096)%branchR2(0:1))
      call avR2(7096, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(7096, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(8968)%branchR2(0:0))
      call avR2(8968, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2405, nGC_2404/))

      allocate(vertices(3628)%branchR2(0:1))
      call avR2(3628, 0, 24, 1, 0, FaVF1, (/0, 3/), (/nGC_2711, nGC_2713/))

      call avR2(3628, 1, 24, 1, 0, FaVF1, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(3008)%branchR2(0:0))
      call avR2(3008, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(2354)%branchR2(0:0))
      call avR2(2354, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(5749)%branchR2(0:0))
      call avR2(5749, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(10090)%branchR2(0:0))
      call avR2(10090, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(5854)%branchR2(0:0))
      call avR2(5854, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4056/))

      allocate(vertices(9572)%branchR2(0:0))
      call avR2(9572, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(4879)%branchR2(0:0))
      call avR2(4879, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2705/))

      allocate(vertices(8124)%branchR2(0:0))
      call avR2(8124, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4052/))

      allocate(vertices(983)%branchR2(0:0))
      call avR2(983, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(1020)%branchR2(0:0))
      call avR2(1020, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(10219)%branchR2(0:0))
      call avR2(10219, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2485/))

      allocate(vertices(1817)%branchR2(0:0))
      call avR2(1817, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(223)%branchR2(0:0))
      call avR2(223, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2497/))

      allocate(vertices(10451)%branchR2(0:0))
      call avR2(10451, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(10726)%branchR2(0:1))
      call avR2(10726, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2899/))

      call avR2(10726, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(7246)%branchR2(0:0))
      call avR2(7246, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(10185)%branchR2(0:0))
      call avR2(10185, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(3069)%branchR2(0:0))
      call avR2(3069, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(2592)%branchR2(0:0))
      call avR2(2592, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(4535)%branchR2(0:0))
      call avR2(4535, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2538/))

      allocate(vertices(2097)%branchR2(0:0))
      call avR2(2097, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(6391)%branchR2(0:0))
      call avR2(6391, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4055/))

      allocate(vertices(6966)%branchR2(0:0))
      call avR2(6966, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2576/))

      allocate(vertices(4408)%branchR2(0:0))
      call avR2(4408, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(857)%branchR2(0:0))
      call avR2(857, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(3361)%branchR2(0:1))
      call avR2(3361, 0, 24, 1, 0, FaVF1, (/0, 3/), (/nGC_2715, nGC_2717/))

      call avR2(3361, 1, 24, 1, 0, FaVF1, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(7821)%branchR2(0:0))
      call avR2(7821, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(10727)%branchR2(0:1))
      call avR2(10727, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2896/))

      call avR2(10727, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2895/))

      allocate(vertices(5820)%branchR2(0:0))
      call avR2(5820, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(4178)%branchR2(0:0))
      call avR2(4178, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(9112)%branchR2(0:0))
      call avR2(9112, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(2971)%branchR2(0:0))
      call avR2(2971, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2860/))

      allocate(vertices(14)%branchR2(0:0))
      call avR2(14, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2519/))

      allocate(vertices(8893)%branchR2(0:0))
      call avR2(8893, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(1560)%branchR2(0:0))
      call avR2(1560, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2726/))

      allocate(vertices(7909)%branchR2(0:0))
      call avR2(7909, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2927, nGC_2927,       &
      nGC_2926/))

      allocate(vertices(8269)%branchR2(0:0))
      call avR2(8269, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(3154)%branchR2(0:0))
      call avR2(3154, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(142)%branchR2(0:0))
      call avR2(142, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(4579)%branchR2(0:0))
      call avR2(4579, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2643/))

      allocate(vertices(1586)%branchR2(0:0))
      call avR2(1586, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(1)%branchR2(0:0))
      call avR2(1, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2706/))

      allocate(vertices(4058)%branchR2(0:0))
      call avR2(4058, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(10197)%branchR2(0:0))
      call avR2(10197, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(149)%branchR2(0:0))
      call avR2(149, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(6195)%branchR2(0:0))
      call avR2(6195, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(5273)%branchR2(0:1))
      call avR2(5273, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(5273, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(7289)%branchR2(0:0))
      call avR2(7289, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(1908)%branchR2(0:0))
      call avR2(1908, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4059/))

      allocate(vertices(10199)%branchR2(0:0))
      call avR2(10199, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(3371)%branchR2(0:0))
      call avR2(3371, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(581)%branchR2(0:0))
      call avR2(581, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(1952)%branchR2(0:0))
      call avR2(1952, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2804, nGC_2803,       &
      nGC_2805/))

      allocate(vertices(763)%branchR2(0:0))
      call avR2(763, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(3550)%branchR2(0:3))
      call avR2(3550, 0, 19, 1, 0, VFaF0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(3550, 1, 19, 1, 0, VFaF0, (/1, 2/), (/nGC_2748, nGC_2749/))

      call avR2(3550, 2, 20, 1, 0, VFaF0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(3550, 3, 20, 1, 0, VFaF0, (/1, 2/), (/nGC_2746, nGC_2747/))

      allocate(vertices(9819)%branchR2(0:0))
      call avR2(9819, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(386)%branchR2(0:0))
      call avR2(386, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(8907)%branchR2(0:0))
      call avR2(8907, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(9734)%branchR2(0:0))
      call avR2(9734, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2408, nGC_2406,        &
      nGC_2407/))

      allocate(vertices(6676)%branchR2(0:0))
      call avR2(6676, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(535)%branchR2(0:0))
      call avR2(535, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(9346)%branchR2(0:0))
      call avR2(9346, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(5295)%branchR2(0:0))
      call avR2(5295, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2544/))

      allocate(vertices(8453)%branchR2(0:0))
      call avR2(8453, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(6983)%branchR2(0:0))
      call avR2(6983, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(10031)%branchR2(0:0))
      call avR2(10031, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(10482)%branchR2(0:0))
      call avR2(10482, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(10728)%branchR2(0:1))
      call avR2(10728, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2900/))

      call avR2(10728, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2899/))

      allocate(vertices(6095)%branchR2(0:0))
      call avR2(6095, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(9609)%branchR2(0:0))
      call avR2(9609, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(9033)%branchR2(0:0))
      call avR2(9033, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(9768)%branchR2(0:0))
      call avR2(9768, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(6153)%branchR2(0:1))
      call avR2(6153, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(6153, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(9646)%branchR2(0:0))
      call avR2(9646, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(7921)%branchR2(0:0))
      call avR2(7921, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4045/))

      allocate(vertices(3882)%branchR2(0:1))
      call avR2(3882, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(3882, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(3933)%branchR2(0:0))
      call avR2(3933, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(7206)%branchR2(0:0))
      call avR2(7206, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(7744)%branchR2(0:0))
      call avR2(7744, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(1106)%branchR2(0:1))
      call avR2(1106, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(1106, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(8743)%branchR2(0:0))
      call avR2(8743, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(3401)%branchR2(0:0))
      call avR2(3401, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2504/))

      allocate(vertices(7439)%branchR2(0:0))
      call avR2(7439, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(3500)%branchR2(0:1))
      call avR2(3500, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(3500, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(8952)%branchR2(0:0))
      call avR2(8952, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(4885)%branchR2(0:1))
      call avR2(4885, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2563, nGC_2561/))

      call avR2(4885, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2564, nGC_2562/))

      allocate(vertices(5769)%branchR2(0:0))
      call avR2(5769, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(7771)%branchR2(0:1))
      call avR2(7771, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(7771, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(7417)%branchR2(0:0))
      call avR2(7417, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(10729)%branchR2(0:0))
      call avR2(10729, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2779, nGC_2779,      &
      nGC_2779/))

      allocate(vertices(7269)%branchR2(0:0))
      call avR2(7269, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(7992)%branchR2(0:0))
      call avR2(7992, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(10467)%branchR2(0:0))
      call avR2(10467, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(8230)%branchR2(0:0))
      call avR2(8230, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(6677)%branchR2(0:0))
      call avR2(6677, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(7699)%branchR2(0:0))
      call avR2(7699, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(784)%branchR2(0:0))
      call avR2(784, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(5759)%branchR2(0:0))
      call avR2(5759, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2496/))

      allocate(vertices(8611)%branchR2(0:0))
      call avR2(8611, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(5203)%branchR2(0:0))
      call avR2(5203, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(9687)%branchR2(0:0))
      call avR2(9687, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(3495)%branchR2(0:0))
      call avR2(3495, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(7981)%branchR2(0:0))
      call avR2(7981, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2726/))

      allocate(vertices(5020)%branchR2(0:0))
      call avR2(5020, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2527/))

      allocate(vertices(7628)%branchR2(0:0))
      call avR2(7628, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(4203)%branchR2(0:3))
      call avR2(4203, 0, 19, 1, 0, VFaF0, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(4203, 1, 19, 1, 0, VFaF0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(4203, 2, 20, 1, 0, VFaF0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(4203, 3, 20, 1, 0, VFaF0, (/1, 2/), (/nGC_2742, nGC_2743/))

      allocate(vertices(4261)%branchR2(0:0))
      call avR2(4261, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(10730)%branchR2(0:1))
      call avR2(10730, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2832/))

      call avR2(10730, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2831/))

      allocate(vertices(5323)%branchR2(0:0))
      call avR2(5323, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(880)%branchR2(0:0))
      call avR2(880, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2594/))

      allocate(vertices(9713)%branchR2(0:0))
      call avR2(9713, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(10731)%branchR2(0:1))
      call avR2(10731, 0, 141, 1, 0, VVVV0, (/2, 2/), (/nGC_2924, nGC_2924,    &
      nGC_2924/))

      call avR2(10731, 1, 142, 1, 0, VVVV0, (/2, 2/), (/nGC_2925, nGC_2925,    &
      nGC_2925/))

      allocate(vertices(4371)%branchR2(0:3))
      call avR2(4371, 0, 21, 1, 0, VFFa1, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(4371, 1, 21, 1, 0, VFFa1, (/1, 2/), (/nGC_2748, nGC_2749/))

      call avR2(4371, 2, 22, 1, 0, VFFa1, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(4371, 3, 22, 1, 0, VFFa1, (/1, 2/), (/nGC_2746, nGC_2747/))

      allocate(vertices(9428)%branchR2(0:0))
      call avR2(9428, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(5186)%branchR2(0:1))
      call avR2(5186, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(5186, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(10732)%branchR2(0:1))
      call avR2(10732, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2896/))

      call avR2(10732, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2895/))

      allocate(vertices(5393)%branchR2(0:0))
      call avR2(5393, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(1934)%branchR2(0:0))
      call avR2(1934, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(9455)%branchR2(0:0))
      call avR2(9455, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(7455)%branchR2(0:1))
      call avR2(7455, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(7455, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(6211)%branchR2(0:0))
      call avR2(6211, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(9786)%branchR2(0:0))
      call avR2(9786, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4060/))

      allocate(vertices(6833)%branchR2(0:0))
      call avR2(6833, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2725/))

      allocate(vertices(419)%branchR2(0:0))
      call avR2(419, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(999)%branchR2(0:0))
      call avR2(999, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2864/))

      allocate(vertices(7365)%branchR2(0:1))
      call avR2(7365, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2704/))

      call avR2(7365, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10733)%branchR2(0:0))
      call avR2(10733, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(4861)%branchR2(0:0))
      call avR2(4861, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(2306)%branchR2(0:0))
      call avR2(2306, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4053/))

      allocate(vertices(8267)%branchR2(0:0))
      call avR2(8267, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2858/))

    end subroutine fill_vertices_mdl23
end module vertices_info23
