!******************************************************************************!
!                                                                              !
!    vertices_info24.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info24.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 21:28             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info24
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl24()
      allocate(vertices(2298)%branchR2(0:0))
      call avR2(2298, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(5500)%branchR2(0:0))
      call avR2(5500, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2726/))

      allocate(vertices(8401)%branchR2(0:0))
      call avR2(8401, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2883/))

      allocate(vertices(599)%branchR2(0:0))
      call avR2(599, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2677/))

      allocate(vertices(4962)%branchR2(0:0))
      call avR2(4962, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(2300)%branchR2(0:0))
      call avR2(2300, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(7842)%branchR2(0:0))
      call avR2(7842, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(7328)%branchR2(0:0))
      call avR2(7328, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(7899)%branchR2(0:0))
      call avR2(7899, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2599/))

      allocate(vertices(3377)%branchR2(0:0))
      call avR2(3377, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(1676)%branchR2(0:0))
      call avR2(1676, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(2256)%branchR2(0:0))
      call avR2(2256, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(4963)%branchR2(0:0))
      call avR2(4963, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(7401)%branchR2(0:0))
      call avR2(7401, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(10734)%branchR2(0:0))
      call avR2(10734, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2865/))

      allocate(vertices(1889)%branchR2(0:0))
      call avR2(1889, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(10239)%branchR2(0:0))
      call avR2(10239, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(10358)%branchR2(0:0))
      call avR2(10358, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(10735)%branchR2(0:0))
      call avR2(10735, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(7732)%branchR2(0:0))
      call avR2(7732, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(1067)%branchR2(0:0))
      call avR2(1067, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(589)%branchR2(0:0))
      call avR2(589, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(3411)%branchR2(0:0))
      call avR2(3411, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2473/))

      allocate(vertices(2083)%branchR2(0:0))
      call avR2(2083, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(1697)%branchR2(0:1))
      call avR2(1697, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2694, nGC_2693/))

      call avR2(1697, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2695, nGC_2695/))

      allocate(vertices(10041)%branchR2(0:0))
      call avR2(10041, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(7568)%branchR2(0:1))
      call avR2(7568, 0, 25, 1, 0, FVFa1, (/0, 3/), (/nGC_2702/))

      call avR2(7568, 1, 25, 1, 0, FVFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(8376)%branchR2(0:0))
      call avR2(8376, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(2938)%branchR2(0:0))
      call avR2(2938, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(8707)%branchR2(0:0))
      call avR2(8707, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2594/))

      allocate(vertices(10203)%branchR2(0:0))
      call avR2(10203, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4061/))

      allocate(vertices(9381)%branchR2(0:0))
      call avR2(9381, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(3446)%branchR2(0:0))
      call avR2(3446, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(4138)%branchR2(0:0))
      call avR2(4138, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(9757)%branchR2(0:0))
      call avR2(9757, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(3604)%branchR2(0:0))
      call avR2(3604, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2580/))

      allocate(vertices(4300)%branchR2(0:3))
      call avR2(4300, 0, 21, 1, 0, VFFa1, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(4300, 1, 21, 1, 0, VFFa1, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(4300, 2, 22, 1, 0, VFFa1, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(4300, 3, 22, 1, 0, VFFa1, (/1, 2/), (/nGC_2762, nGC_2763/))

      allocate(vertices(196)%branchR2(0:0))
      call avR2(196, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(10736)%branchR2(0:0))
      call avR2(10736, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(5429)%branchR2(0:1))
      call avR2(5429, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(5429, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(2328)%branchR2(0:0))
      call avR2(2328, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(10737)%branchR2(0:0))
      call avR2(10737, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(3243)%branchR2(0:0))
      call avR2(3243, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(10361)%branchR2(0:0))
      call avR2(10361, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(10216)%branchR2(0:0))
      call avR2(10216, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1390)%branchR2(0:0))
      call avR2(1390, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(7431)%branchR2(0:0))
      call avR2(7431, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(1503)%branchR2(0:1))
      call avR2(1503, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(1503, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(31)%branchR2(0:0))
      call avR2(31, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(7081)%branchR2(0:0))
      call avR2(7081, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10738)%branchR2(0:1))
      call avR2(10738, 0, 139, 1, 0, VVVV0, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      call avR2(10738, 1, 140, 1, 0, VVVV0, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      allocate(vertices(4454)%branchR2(0:0))
      call avR2(4454, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(2393)%branchR2(0:0))
      call avR2(2393, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(2081)%branchR2(0:0))
      call avR2(2081, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(10739)%branchR2(0:1))
      call avR2(10739, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2849/))

      call avR2(10739, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(10740)%branchR2(0:0))
      call avR2(10740, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(6079)%branchR2(0:1))
      call avR2(6079, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(6079, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(783)%branchR2(0:0))
      call avR2(783, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(3701)%branchR2(0:0))
      call avR2(3701, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(6835)%branchR2(0:0))
      call avR2(6835, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(900)%branchR2(0:0))
      call avR2(900, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(3250)%branchR2(0:0))
      call avR2(3250, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(4516)%branchR2(0:1))
      call avR2(4516, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2621, nGC_2619/))

      call avR2(4516, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2622, nGC_2620/))

      allocate(vertices(3419)%branchR2(0:0))
      call avR2(3419, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(8763)%branchR2(0:1))
      call avR2(8763, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2555, nGC_2553/))

      call avR2(8763, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2556, nGC_2554/))

      allocate(vertices(531)%branchR2(0:0))
      call avR2(531, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(6060)%branchR2(0:0))
      call avR2(6060, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(2183)%branchR2(0:0))
      call avR2(2183, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(10477)%branchR2(0:0))
      call avR2(10477, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(180)%branchR2(0:0))
      call avR2(180, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(68)%branchR2(0:0))
      call avR2(68, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2733, nGC_2732/))

      allocate(vertices(6122)%branchR2(0:0))
      call avR2(6122, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(132)%branchR2(0:0))
      call avR2(132, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(926)%branchR2(0:0))
      call avR2(926, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(10444)%branchR2(0:0))
      call avR2(10444, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(6660)%branchR2(0:0))
      call avR2(6660, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(7838)%branchR2(0:0))
      call avR2(7838, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4043/))

      allocate(vertices(5655)%branchR2(0:0))
      call avR2(5655, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(7832)%branchR2(0:0))
      call avR2(7832, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(10741)%branchR2(0:1))
      call avR2(10741, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2929/))

      call avR2(10741, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2928/))

      allocate(vertices(10742)%branchR2(0:1))
      call avR2(10742, 0, 137, 1, 0, VVVV0, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      call avR2(10742, 1, 138, 1, 0, VVVV0, (/2, 2/), (/nGC_2810, nGC_2810,    &
      nGC_2810/))

      allocate(vertices(9748)%branchR2(0:0))
      call avR2(9748, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(9005)%branchR2(0:0))
      call avR2(9005, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(7853)%branchR2(0:1))
      call avR2(7853, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2534, nGC_2535/))

      call avR2(7853, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2516, nGC_2518/))

      allocate(vertices(10743)%branchR2(0:0))
      call avR2(10743, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(2084)%branchR2(0:0))
      call avR2(2084, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(7714)%branchR2(0:0))
      call avR2(7714, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(10744)%branchR2(0:1))
      call avR2(10744, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2895/))

      call avR2(10744, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2896/))

      allocate(vertices(10242)%branchR2(0:0))
      call avR2(10242, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2502/))

      allocate(vertices(7554)%branchR2(0:0))
      call avR2(7554, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(787)%branchR2(0:1))
      call avR2(787, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2606, nGC_2605/))

      call avR2(787, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2589, nGC_2587/))

      allocate(vertices(9072)%branchR2(0:0))
      call avR2(9072, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(2260)%branchR2(0:0))
      call avR2(2260, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10745)%branchR2(0:1))
      call avR2(10745, 0, 141, 1, 0, VVVV0, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      call avR2(10745, 1, 142, 1, 0, VVVV0, (/2, 2/), (/nGC_2810, nGC_2810,    &
      nGC_2810/))

      allocate(vertices(4286)%branchR2(0:0))
      call avR2(4286, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(9506)%branchR2(0:0))
      call avR2(9506, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(8908)%branchR2(0:1))
      call avR2(8908, 0, 14, 1, 0, FFa2, (/0, 2/), (/nGC_2433, nGC_2430,       &
      nGC_2451, nGC_2451/))

      call avR2(8908, 1, 14, 1, 0, FFa2, (/2, 0/), (/nGC_2429, nGC_2429,       &
      nGC_2452, nGC_2452/))

      allocate(vertices(4913)%branchR2(0:0))
      call avR2(4913, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(5788)%branchR2(0:0))
      call avR2(5788, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(3935)%branchR2(0:0))
      call avR2(3935, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(3903)%branchR2(0:0))
      call avR2(3903, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(7858)%branchR2(0:0))
      call avR2(7858, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(10129)%branchR2(0:0))
      call avR2(10129, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2525/))

      allocate(vertices(9385)%branchR2(0:0))
      call avR2(9385, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2425, nGC_2423,        &
      nGC_2424/))

      allocate(vertices(1652)%branchR2(0:0))
      call avR2(1652, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(8873)%branchR2(0:0))
      call avR2(8873, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(6724)%branchR2(0:0))
      call avR2(6724, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(10746)%branchR2(0:0))
      call avR2(10746, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2464/))

      allocate(vertices(10747)%branchR2(0:1))
      call avR2(10747, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2848/))

      call avR2(10747, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(10048)%branchR2(0:0))
      call avR2(10048, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(6795)%branchR2(0:0))
      call avR2(6795, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(10748)%branchR2(0:1))
      call avR2(10748, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2848/))

      call avR2(10748, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(10749)%branchR2(0:1))
      call avR2(10749, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2929/))

      call avR2(10749, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2928/))

      allocate(vertices(6649)%branchR2(0:0))
      call avR2(6649, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(10750)%branchR2(0:1))
      call avR2(10750, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2930/))

      call avR2(10750, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(2600)%branchR2(0:0))
      call avR2(2600, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(3553)%branchR2(0:0))
      call avR2(3553, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(6456)%branchR2(0:0))
      call avR2(6456, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(5645)%branchR2(0:0))
      call avR2(5645, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(5364)%branchR2(0:0))
      call avR2(5364, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(319)%branchR2(0:0))
      call avR2(319, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(5605)%branchR2(0:0))
      call avR2(5605, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(1912)%branchR2(0:0))
      call avR2(1912, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(8741)%branchR2(0:0))
      call avR2(8741, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(9069)%branchR2(0:0))
      call avR2(9069, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(4050)%branchR2(0:0))
      call avR2(4050, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(10751)%branchR2(0:1))
      call avR2(10751, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2929/))

      call avR2(10751, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2928/))

      allocate(vertices(2963)%branchR2(0:1))
      call avR2(2963, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2613, nGC_2611/))

      call avR2(2963, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2614, nGC_2612/))

      allocate(vertices(5628)%branchR2(0:0))
      call avR2(5628, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(7004)%branchR2(0:0))
      call avR2(7004, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(9904)%branchR2(0:0))
      call avR2(9904, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(4595)%branchR2(0:1))
      call avR2(4595, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(4595, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(3641)%branchR2(0:0))
      call avR2(3641, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(10752)%branchR2(0:0))
      call avR2(10752, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2774/))

      allocate(vertices(9942)%branchR2(0:0))
      call avR2(9942, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2450/))

      allocate(vertices(1249)%branchR2(0:0))
      call avR2(1249, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(10018)%branchR2(0:0))
      call avR2(10018, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(8918)%branchR2(0:0))
      call avR2(8918, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(5932)%branchR2(0:0))
      call avR2(5932, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(10753)%branchR2(0:1))
      call avR2(10753, 0, 139, 1, 0, VVVV0, (/2, 2/), (/nGC_2936, nGC_2936,    &
      nGC_2936/))

      call avR2(10753, 1, 140, 1, 0, VVVV0, (/2, 2/), (/nGC_2935, nGC_2935,    &
      nGC_2935/))

      allocate(vertices(8541)%branchR2(0:0))
      call avR2(8541, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(8966)%branchR2(0:0))
      call avR2(8966, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(9562)%branchR2(0:0))
      call avR2(9562, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(8713)%branchR2(0:0))
      call avR2(8713, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(10395)%branchR2(0:0))
      call avR2(10395, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(6800)%branchR2(0:0))
      call avR2(6800, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(10754)%branchR2(0:0))
      call avR2(10754, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(9340)%branchR2(0:0))
      call avR2(9340, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(4543)%branchR2(0:0))
      call avR2(4543, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2504/))

      allocate(vertices(10755)%branchR2(0:1))
      call avR2(10755, 0, 141, 1, 0, VVVV0, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      call avR2(10755, 1, 142, 1, 0, VVVV0, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      allocate(vertices(10756)%branchR2(0:0))
      call avR2(10756, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(7804)%branchR2(0:0))
      call avR2(7804, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(10044)%branchR2(0:0))
      call avR2(10044, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(2772)%branchR2(0:0))
      call avR2(2772, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(71)%branchR2(0:1))
      call avR2(71, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2711, nGC_2713/))

      call avR2(71, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(9417)%branchR2(0:0))
      call avR2(9417, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(5703)%branchR2(0:0))
      call avR2(5703, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(1792)%branchR2(0:0))
      call avR2(1792, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(10757)%branchR2(0:1))
      call avR2(10757, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2895/))

      call avR2(10757, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2896/))

      allocate(vertices(2528)%branchR2(0:0))
      call avR2(2528, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(2757)%branchR2(0:0))
      call avR2(2757, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(4700)%branchR2(0:3))
      call avR2(4700, 0, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(4700, 1, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2748, nGC_2749/))

      call avR2(4700, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(4700, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2746, nGC_2747/))

      allocate(vertices(5493)%branchR2(0:3))
      call avR2(5493, 0, 35, 1, 0, FaVF1, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(5493, 1, 35, 1, 0, FaVF1, (/1, 2/), (/nGC_2746, nGC_2747/))

      call avR2(5493, 2, 34, 1, 0, FaVF1, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(5493, 3, 34, 1, 0, FaVF1, (/1, 2/), (/nGC_2748, nGC_2749/))

      allocate(vertices(2980)%branchR2(0:0))
      call avR2(2980, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(3232)%branchR2(0:0))
      call avR2(3232, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(1102)%branchR2(0:0))
      call avR2(1102, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(874)%branchR2(0:0))
      call avR2(874, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(6494)%branchR2(0:0))
      call avR2(6494, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(4655)%branchR2(0:0))
      call avR2(4655, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2642/))

      allocate(vertices(4063)%branchR2(0:0))
      call avR2(4063, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(9298)%branchR2(0:0))
      call avR2(9298, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(2911)%branchR2(0:0))
      call avR2(2911, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(10758)%branchR2(0:1))
      call avR2(10758, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2931/))

      call avR2(10758, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2930/))

      allocate(vertices(6586)%branchR2(0:0))
      call avR2(6586, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(1370)%branchR2(0:0))
      call avR2(1370, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4056/))

      allocate(vertices(7911)%branchR2(0:0))
      call avR2(7911, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2710/))

      allocate(vertices(10759)%branchR2(0:5))
      call avR2(10759, 0, 158, 1, 0, VVVV0, (/3, 1/), (/nGC_2867, nGC_2867,    &
      nGC_2867/))

      call avR2(10759, 1, 155, 1, 0, VVVV0, (/3, 1/), (/nGC_2868, nGC_2868,    &
      nGC_2868/))

      call avR2(10759, 2, 154, 1, 0, VVVV0, (/3, 1/), (/nGC_2868, nGC_2868,    &
      nGC_2868/))

      call avR2(10759, 3, 157, 1, 0, VVVV0, (/3, 1/), (/nGC_2869, nGC_2869,    &
      nGC_2869/))

      call avR2(10759, 4, 156, 1, 0, VVVV0, (/3, 1/), (/nGC_2867, nGC_2867,    &
      nGC_2867/))

      call avR2(10759, 5, 153, 1, 0, VVVV0, (/3, 1/), (/nGC_2868, nGC_2868,    &
      nGC_2868/))

      allocate(vertices(8977)%branchR2(0:0))
      call avR2(8977, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2525/))

      allocate(vertices(453)%branchR2(0:0))
      call avR2(453, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2542/))

      allocate(vertices(7647)%branchR2(0:0))
      call avR2(7647, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(10370)%branchR2(0:0))
      call avR2(10370, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(6033)%branchR2(0:0))
      call avR2(6033, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(8928)%branchR2(0:0))
      call avR2(8928, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(2415)%branchR2(0:0))
      call avR2(2415, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(10264)%branchR2(0:0))
      call avR2(10264, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(2901)%branchR2(0:0))
      call avR2(2901, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(9361)%branchR2(0:0))
      call avR2(9361, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(1506)%branchR2(0:0))
      call avR2(1506, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2542/))

      allocate(vertices(8686)%branchR2(0:0))
      call avR2(8686, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(4192)%branchR2(0:0))
      call avR2(4192, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(1037)%branchR2(0:0))
      call avR2(1037, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(987)%branchR2(0:0))
      call avR2(987, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2922, nGC_2923,        &
      nGC_2923/))

      allocate(vertices(7119)%branchR2(0:1))
      call avR2(7119, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2613, nGC_2611/))

      call avR2(7119, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2614, nGC_2612/))

      allocate(vertices(9938)%branchR2(0:0))
      call avR2(9938, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(9849)%branchR2(0:0))
      call avR2(9849, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(10760)%branchR2(0:1))
      call avR2(10760, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2931/))

      call avR2(10760, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2930/))

      allocate(vertices(10761)%branchR2(0:0))
      call avR2(10761, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(2873)%branchR2(0:0))
      call avR2(2873, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(10762)%branchR2(0:0))
      call avR2(10762, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(4959)%branchR2(0:0))
      call avR2(4959, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(4868)%branchR2(0:1))
      call avR2(4868, 0, 26, 1, 0, VFaF0, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(4868, 1, 26, 1, 0, VFaF0, (/2, 1/), (/nGC_2472, nGC_2472/))

      allocate(vertices(5888)%branchR2(0:0))
      call avR2(5888, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(6954)%branchR2(0:0))
      call avR2(6954, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(6514)%branchR2(0:1))
      call avR2(6514, 0, 25, 1, 0, FVFa0, (/0, 3/), (/nGC_2711, nGC_2713/))

      call avR2(6514, 1, 25, 1, 0, FVFa0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(3526)%branchR2(0:0))
      call avR2(3526, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(6130)%branchR2(0:1))
      call avR2(6130, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(6130, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(2852)%branchR2(0:0))
      call avR2(2852, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(9301)%branchR2(0:0))
      call avR2(9301, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2403, nGC_2401,        &
      nGC_2402/))

      allocate(vertices(3543)%branchR2(0:0))
      call avR2(3543, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(447)%branchR2(0:1))
      call avR2(447, 0, 26, 1, 0, VFaF1, (/0, 3/), (/nGC_2707/))

      call avR2(447, 1, 26, 1, 0, VFaF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(7506)%branchR2(0:0))
      call avR2(7506, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2595/))

      allocate(vertices(7181)%branchR2(0:0))
      call avR2(7181, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(10763)%branchR2(0:0))
      call avR2(10763, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(3283)%branchR2(0:0))
      call avR2(3283, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(10764)%branchR2(0:5))
      call avR2(10764, 0, 158, 1, 0, VVVV0, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10764, 1, 155, 1, 0, VVVV0, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10764, 2, 154, 1, 0, VVVV0, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10764, 3, 157, 1, 0, VVVV0, (/3, 1/), (/nGC_2939, nGC_2939,    &
      nGC_2939/))

      call avR2(10764, 4, 156, 1, 0, VVVV0, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10764, 5, 153, 1, 0, VVVV0, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      allocate(vertices(3886)%branchR2(0:0))
      call avR2(3886, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(5154)%branchR2(0:0))
      call avR2(5154, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2696, nGC_2697/))

      allocate(vertices(3907)%branchR2(0:0))
      call avR2(3907, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(266)%branchR2(0:0))
      call avR2(266, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(8428)%branchR2(0:0))
      call avR2(8428, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(3505)%branchR2(0:0))
      call avR2(3505, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2677/))

      allocate(vertices(3970)%branchR2(0:0))
      call avR2(3970, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(7397)%branchR2(0:0))
      call avR2(7397, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(3733)%branchR2(0:0))
      call avR2(3733, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(10338)%branchR2(0:0))
      call avR2(10338, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(2937)%branchR2(0:0))
      call avR2(2937, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(1723)%branchR2(0:1))
      call avR2(1723, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(1723, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(7058)%branchR2(0:0))
      call avR2(7058, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(8757)%branchR2(0:0))
      call avR2(8757, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(3635)%branchR2(0:0))
      call avR2(3635, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2922, nGC_2923,       &
      nGC_2923/))

      allocate(vertices(9899)%branchR2(0:0))
      call avR2(9899, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2458/))

      allocate(vertices(406)%branchR2(0:1))
      call avR2(406, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2675, nGC_2674/))

      call avR2(406, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2676, nGC_2676/))

      allocate(vertices(9375)%branchR2(0:0))
      call avR2(9375, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(17)%branchR2(0:0))
      call avR2(17, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(9719)%branchR2(0:0))
      call avR2(9719, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(2541)%branchR2(0:0))
      call avR2(2541, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(2022)%branchR2(0:0))
      call avR2(2022, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(9400)%branchR2(0:0))
      call avR2(9400, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(10765)%branchR2(0:0))
      call avR2(10765, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2777/))

      allocate(vertices(10307)%branchR2(0:0))
      call avR2(10307, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4061/))

      allocate(vertices(5842)%branchR2(0:0))
      call avR2(5842, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2496/))

      allocate(vertices(1796)%branchR2(0:0))
      call avR2(1796, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(10766)%branchR2(0:0))
      call avR2(10766, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2465/))

      allocate(vertices(7823)%branchR2(0:1))
      call avR2(7823, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2470, nGC_2471/))

      call avR2(7823, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2472, nGC_2472/))

      allocate(vertices(9563)%branchR2(0:0))
      call avR2(9563, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(7936)%branchR2(0:0))
      call avR2(7936, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(2723)%branchR2(0:0))
      call avR2(2723, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(10231)%branchR2(0:0))
      call avR2(10231, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(9405)%branchR2(0:0))
      call avR2(9405, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(5433)%branchR2(0:0))
      call avR2(5433, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(878)%branchR2(0:0))
      call avR2(878, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(966)%branchR2(0:0))
      call avR2(966, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(5900)%branchR2(0:0))
      call avR2(5900, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4059/))

      allocate(vertices(3780)%branchR2(0:1))
      call avR2(3780, 0, 24, 1, 0, FaVF1, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(3780, 1, 24, 1, 0, FaVF1, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(6463)%branchR2(0:0))
      call avR2(6463, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(5245)%branchR2(0:0))
      call avR2(5245, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2569, nGC_2570/))

      allocate(vertices(9926)%branchR2(0:0))
      call avR2(9926, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(2598)%branchR2(0:0))
      call avR2(2598, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(4061)%branchR2(0:0))
      call avR2(4061, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2577/))

      allocate(vertices(4607)%branchR2(0:0))
      call avR2(4607, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(1260)%branchR2(0:0))
      call avR2(1260, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2482, nGC_2481/))

      allocate(vertices(6140)%branchR2(0:0))
      call avR2(6140, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(1022)%branchR2(0:1))
      call avR2(1022, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(1022, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(870)%branchR2(0:1))
      call avR2(870, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2534, nGC_2535/))

      call avR2(870, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2516, nGC_2518/))

      allocate(vertices(6197)%branchR2(0:0))
      call avR2(6197, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(10076)%branchR2(0:0))
      call avR2(10076, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2485/))

      allocate(vertices(7039)%branchR2(0:0))
      call avR2(7039, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(8667)%branchR2(0:1))
      call avR2(8667, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2629, nGC_2627/))

      call avR2(8667, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2630, nGC_2628/))

      allocate(vertices(10000)%branchR2(0:0))
      call avR2(10000, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(7378)%branchR2(0:0))
      call avR2(7378, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(5294)%branchR2(0:1))
      call avR2(5294, 0, 26, 1, 0, VFaF0, (/0, 3/), (/nGC_2474, nGC_2475/))

      call avR2(5294, 1, 26, 1, 0, VFaF0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(5554)%branchR2(0:0))
      call avR2(5554, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2727/))

      allocate(vertices(9685)%branchR2(0:0))
      call avR2(9685, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(6027)%branchR2(0:0))
      call avR2(6027, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(10767)%branchR2(0:0))
      call avR2(10767, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(9463)%branchR2(0:0))
      call avR2(9463, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(9319)%branchR2(0:0))
      call avR2(9319, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(5450)%branchR2(0:0))
      call avR2(5450, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(1667)%branchR2(0:0))
      call avR2(1667, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(9479)%branchR2(0:0))
      call avR2(9479, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(4753)%branchR2(0:0))
      call avR2(4753, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(579)%branchR2(0:1))
      call avR2(579, 0, 25, 1, 0, FVFa0, (/0, 3/), (/nGC_2474, nGC_2475/))

      call avR2(579, 1, 25, 1, 0, FVFa0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(4696)%branchR2(0:1))
      call avR2(4696, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(4696, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(2993)%branchR2(0:0))
      call avR2(2993, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(6019)%branchR2(0:0))
      call avR2(6019, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(8297)%branchR2(0:0))
      call avR2(8297, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(7765)%branchR2(0:0))
      call avR2(7765, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2709/))

      allocate(vertices(9779)%branchR2(0:0))
      call avR2(9779, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(1960)%branchR2(0:0))
      call avR2(1960, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(6751)%branchR2(0:0))
      call avR2(6751, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(402)%branchR2(0:1))
      call avR2(402, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2517, nGC_2515/))

      call avR2(402, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2518, nGC_2516/))

      allocate(vertices(1372)%branchR2(0:0))
      call avR2(1372, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(1520)%branchR2(0:0))
      call avR2(1520, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2883/))

      allocate(vertices(4221)%branchR2(0:0))
      call avR2(4221, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(7049)%branchR2(0:0))
      call avR2(7049, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(7550)%branchR2(0:0))
      call avR2(7550, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(6867)%branchR2(0:0))
      call avR2(6867, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(2631)%branchR2(0:0))
      call avR2(2631, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(9449)%branchR2(0:0))
      call avR2(9449, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(5668)%branchR2(0:0))
      call avR2(5668, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(10415)%branchR2(0:0))
      call avR2(10415, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2400, nGC_2399/))

      allocate(vertices(8990)%branchR2(0:0))
      call avR2(8990, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2483/))

      allocate(vertices(3255)%branchR2(0:0))
      call avR2(3255, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4040/))

      allocate(vertices(4523)%branchR2(0:0))
      call avR2(4523, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(2378)%branchR2(0:0))
      call avR2(2378, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(7901)%branchR2(0:0))
      call avR2(7901, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(7256)%branchR2(0:0))
      call avR2(7256, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(9304)%branchR2(0:1))
      call avR2(9304, 0, 124, 1, 0, FaF2, (/0, 2/), (/nGC_2433, nGC_2430,      &
      nGC_2438, nGC_2438/))

      call avR2(9304, 1, 124, 1, 0, FaF2, (/2, 0/), (/nGC_2429, nGC_2429,      &
      nGC_2439, nGC_2439/))

      allocate(vertices(5685)%branchR2(0:0))
      call avR2(5685, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(5829)%branchR2(0:0))
      call avR2(5829, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(6478)%branchR2(0:1))
      call avR2(6478, 0, 26, 1, 0, VFaF0, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(6478, 1, 26, 1, 0, VFaF0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(10768)%branchR2(0:1))
      call avR2(10768, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2849/))

      call avR2(10768, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(4407)%branchR2(0:0))
      call avR2(4407, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2520/))

      allocate(vertices(4895)%branchR2(0:0))
      call avR2(4895, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(7551)%branchR2(0:1))
      call avR2(7551, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(7551, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(9437)%branchR2(0:0))
      call avR2(9437, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2459/))

      allocate(vertices(5701)%branchR2(0:0))
      call avR2(5701, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2864/))

      allocate(vertices(8127)%branchR2(0:0))
      call avR2(8127, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(2107)%branchR2(0:1))
      call avR2(2107, 0, 24, 1, 0, FaVF1, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(2107, 1, 24, 1, 0, FaVF1, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(9564)%branchR2(0:0))
      call avR2(9564, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4061/))

      allocate(vertices(9686)%branchR2(0:0))
      call avR2(9686, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(3557)%branchR2(0:0))
      call avR2(3557, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(8697)%branchR2(0:0))
      call avR2(8697, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(2997)%branchR2(0:0))
      call avR2(2997, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(8014)%branchR2(0:0))
      call avR2(8014, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2696, nGC_2697/))

      allocate(vertices(9480)%branchR2(0:0))
      call avR2(9480, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10769)%branchR2(0:1))
      call avR2(10769, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2885/))

      call avR2(10769, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2884/))

      allocate(vertices(9104)%branchR2(0:0))
      call avR2(9104, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(3487)%branchR2(0:0))
      call avR2(3487, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(10770)%branchR2(0:0))
      call avR2(10770, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(10771)%branchR2(0:0))
      call avR2(10771, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2789, nGC_2788,      &
      nGC_2789/))

      allocate(vertices(1836)%branchR2(0:0))
      call avR2(1836, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(2746)%branchR2(0:0))
      call avR2(2746, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(10772)%branchR2(0:0))
      call avR2(10772, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(5501)%branchR2(0:0))
      call avR2(5501, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(8114)%branchR2(0:0))
      call avR2(8114, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2462/))

      allocate(vertices(8869)%branchR2(0:0))
      call avR2(8869, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(4522)%branchR2(0:0))
      call avR2(4522, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(3580)%branchR2(0:0))
      call avR2(3580, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(3126)%branchR2(0:3))
      call avR2(3126, 0, 35, 1, 0, FaVF1, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(3126, 1, 35, 1, 0, FaVF1, (/1, 2/), (/nGC_2742, nGC_2743/))

      call avR2(3126, 2, 34, 1, 0, FaVF1, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(3126, 3, 34, 1, 0, FaVF1, (/3, 0/), (/nGC_2740, nGC_2740/))

      allocate(vertices(7855)%branchR2(0:0))
      call avR2(7855, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(90)%branchR2(0:0))
      call avR2(90, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(10342)%branchR2(0:0))
      call avR2(10342, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2458/))

      allocate(vertices(8278)%branchR2(0:0))
      call avR2(8278, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(2169)%branchR2(0:0))
      call avR2(2169, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(3949)%branchR2(0:0))
      call avR2(3949, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(730)%branchR2(0:0))
      call avR2(730, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(3959)%branchR2(0:0))
      call avR2(3959, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(4693)%branchR2(0:1))
      call avR2(4693, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(4693, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(10773)%branchR2(0:1))
      call avR2(10773, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2848/))

      call avR2(10773, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(1615)%branchR2(0:0))
      call avR2(1615, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(6227)%branchR2(0:1))
      call avR2(6227, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2613, nGC_2611/))

      call avR2(6227, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2614, nGC_2612/))

      allocate(vertices(6713)%branchR2(0:0))
      call avR2(6713, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(9552)%branchR2(0:0))
      call avR2(9552, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(9339)%branchR2(0:0))
      call avR2(9339, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(6798)%branchR2(0:0))
      call avR2(6798, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(1168)%branchR2(0:0))
      call avR2(1168, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(5048)%branchR2(0:1))
      call avR2(5048, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2534, nGC_2535/))

      call avR2(5048, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2516, nGC_2518/))

      allocate(vertices(1507)%branchR2(0:0))
      call avR2(1507, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(6341)%branchR2(0:3))
      call avR2(6341, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2760, nGC_2761/))

      call avR2(6341, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(6341, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(6341, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2758, nGC_2759/))

      allocate(vertices(4319)%branchR2(0:0))
      call avR2(4319, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(9751)%branchR2(0:0))
      call avR2(9751, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(105)%branchR2(0:0))
      call avR2(105, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(5467)%branchR2(0:1))
      call avR2(5467, 0, 27, 1, 0, SFFa0, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(5467, 1, 27, 1, 0, SFFa0, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(427)%branchR2(0:0))
      call avR2(427, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(3454)%branchR2(0:0))
      call avR2(3454, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2598/))

      allocate(vertices(1223)%branchR2(0:1))
      call avR2(1223, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(1223, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(6119)%branchR2(0:0))
      call avR2(6119, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(4907)%branchR2(0:0))
      call avR2(4907, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(9196)%branchR2(0:0))
      call avR2(9196, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(10774)%branchR2(0:0))
      call avR2(10774, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(6054)%branchR2(0:0))
      call avR2(6054, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(1863)%branchR2(0:1))
      call avR2(1863, 0, 26, 1, 0, VFaF0, (/0, 3/), (/nGC_2715, nGC_2717/))

      call avR2(1863, 1, 26, 1, 0, VFaF0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(577)%branchR2(0:0))
      call avR2(577, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2733, nGC_2732/))

      allocate(vertices(5285)%branchR2(0:0))
      call avR2(5285, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(3990)%branchR2(0:0))
      call avR2(3990, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(3170)%branchR2(0:0))
      call avR2(3170, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(6418)%branchR2(0:0))
      call avR2(6418, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(1094)%branchR2(0:0))
      call avR2(1094, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2625, nGC_2626/))

      allocate(vertices(10775)%branchR2(0:1))
      call avR2(10775, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2933/))

      call avR2(10775, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2932/))

      allocate(vertices(5960)%branchR2(0:1))
      call avR2(5960, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2533, nGC_2532/))

      call avR2(5960, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2514, nGC_2512/))

      allocate(vertices(4105)%branchR2(0:0))
      call avR2(4105, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(45)%branchR2(0:0))
      call avR2(45, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(975)%branchR2(0:1))
      call avR2(975, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(975, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(7596)%branchR2(0:0))
      call avR2(7596, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(9090)%branchR2(0:0))
      call avR2(9090, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2400, nGC_2399/))

      allocate(vertices(10776)%branchR2(0:1))
      call avR2(10776, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2831/))

      call avR2(10776, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(4202)%branchR2(0:0))
      call avR2(4202, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2773, nGC_2772,       &
      nGC_2771/))

      allocate(vertices(4214)%branchR2(0:0))
      call avR2(4214, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(9567)%branchR2(0:0))
      call avR2(9567, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(6103)%branchR2(0:0))
      call avR2(6103, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(8322)%branchR2(0:0))
      call avR2(8322, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(8380)%branchR2(0:0))
      call avR2(8380, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(7486)%branchR2(0:0))
      call avR2(7486, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(2523)%branchR2(0:1))
      call avR2(2523, 0, 24, 1, 0, FaVF0, (/0, 3/), (/nGC_2702/))

      call avR2(2523, 1, 24, 1, 0, FaVF0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(9747)%branchR2(0:0))
      call avR2(9747, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(268)%branchR2(0:0))
      call avR2(268, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(2731)%branchR2(0:0))
      call avR2(2731, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(5613)%branchR2(0:0))
      call avR2(5613, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2610/))

      allocate(vertices(6958)%branchR2(0:0))
      call avR2(6958, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(6759)%branchR2(0:0))
      call avR2(6759, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2876/))

      allocate(vertices(10777)%branchR2(0:1))
      call avR2(10777, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2848/))

      call avR2(10777, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(7254)%branchR2(0:1))
      call avR2(7254, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2517, nGC_2515/))

      call avR2(7254, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2518, nGC_2516/))

      allocate(vertices(5556)%branchR2(0:0))
      call avR2(5556, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(4593)%branchR2(0:0))
      call avR2(4593, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(10778)%branchR2(0:0))
      call avR2(10778, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2865/))

      allocate(vertices(6788)%branchR2(0:1))
      call avR2(6788, 0, 23, 1, 0, FaFS0, (/0, 3/), (/nGC_2613, nGC_2611/))

      call avR2(6788, 1, 23, 1, 0, FaFS0, (/2, 1/), (/nGC_2614, nGC_2612/))

      allocate(vertices(10235)%branchR2(0:0))
      call avR2(10235, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(2552)%branchR2(0:0))
      call avR2(2552, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(7900)%branchR2(0:0))
      call avR2(7900, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(2714)%branchR2(0:0))
      call avR2(2714, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2898/))

      allocate(vertices(9042)%branchR2(0:0))
      call avR2(9042, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(9149)%branchR2(0:0))
      call avR2(9149, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4060/))

      allocate(vertices(10042)%branchR2(0:0))
      call avR2(10042, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(2655)%branchR2(0:0))
      call avR2(2655, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(6831)%branchR2(0:0))
      call avR2(6831, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(4530)%branchR2(0:0))
      call avR2(4530, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(364)%branchR2(0:1))
      call avR2(364, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2592, nGC_2590/))

      call avR2(364, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2593, nGC_2591/))

      allocate(vertices(6026)%branchR2(0:0))
      call avR2(6026, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(7073)%branchR2(0:0))
      call avR2(7073, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(2607)%branchR2(0:0))
      call avR2(2607, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(6397)%branchR2(0:0))
      call avR2(6397, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(5492)%branchR2(0:0))
      call avR2(5492, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2926, nGC_2927,       &
      nGC_2927/))

      allocate(vertices(6825)%branchR2(0:0))
      call avR2(6825, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2705/))

      allocate(vertices(3961)%branchR2(0:0))
      call avR2(3961, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(10779)%branchR2(0:1))
      call avR2(10779, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2848/))

      call avR2(10779, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(10327)%branchR2(0:0))
      call avR2(10327, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(8784)%branchR2(0:0))
      call avR2(8784, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(10072)%branchR2(0:0))
      call avR2(10072, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(8082)%branchR2(0:0))
      call avR2(8082, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(9842)%branchR2(0:0))
      call avR2(9842, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(4048)%branchR2(0:1))
      call avR2(4048, 0, 25, 1, 0, FVFa1, (/0, 3/), (/nGC_2704/))

      call avR2(4048, 1, 25, 1, 0, FVFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(1205)%branchR2(0:0))
      call avR2(1205, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(6508)%branchR2(0:0))
      call avR2(6508, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(2978)%branchR2(0:0))
      call avR2(2978, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(326)%branchR2(0:0))
      call avR2(326, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4045/))

      allocate(vertices(5345)%branchR2(0:0))
      call avR2(5345, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(7484)%branchR2(0:0))
      call avR2(7484, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(930)%branchR2(0:0))
      call avR2(930, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(9387)%branchR2(0:0))
      call avR2(9387, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(2800)%branchR2(0:0))
      call avR2(2800, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(7190)%branchR2(0:0))
      call avR2(7190, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2607/))

      allocate(vertices(4223)%branchR2(0:0))
      call avR2(4223, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(3654)%branchR2(0:0))
      call avR2(3654, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(5557)%branchR2(0:0))
      call avR2(5557, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(1679)%branchR2(0:0))
      call avR2(1679, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2709/))

      allocate(vertices(286)%branchR2(0:0))
      call avR2(286, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(9799)%branchR2(0:0))
      call avR2(9799, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(2093)%branchR2(0:0))
      call avR2(2093, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(10780)%branchR2(0:0))
      call avR2(10780, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2779, nGC_2779,      &
      nGC_2779/))

      allocate(vertices(8534)%branchR2(0:1))
      call avR2(8534, 0, 23, 1, 0, FaFV0, (/0, 3/), (/nGC_2702/))

      call avR2(8534, 1, 23, 1, 0, FaFV0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(1066)%branchR2(0:0))
      call avR2(1066, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(10781)%branchR2(0:0))
      call avR2(10781, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2464/))

      allocate(vertices(9081)%branchR2(0:0))
      call avR2(9081, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(5190)%branchR2(0:1))
      call avR2(5190, 0, 23, 1, 0, FaFV1, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(5190, 1, 23, 1, 0, FaFV1, (/2, 1/), (/nGC_2472, nGC_2472/))

      allocate(vertices(6292)%branchR2(0:0))
      call avR2(6292, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(4187)%branchR2(0:1))
      call avR2(4187, 0, 25, 1, 0, FSFa0, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(4187, 1, 25, 1, 0, FSFa0, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(10782)%branchR2(0:1))
      call avR2(10782, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2848/))

      call avR2(10782, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(9269)%branchR2(0:0))
      call avR2(9269, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(5849)%branchR2(0:0))
      call avR2(5849, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2473/))

      allocate(vertices(5210)%branchR2(0:0))
      call avR2(5210, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(9431)%branchR2(0:0))
      call avR2(9431, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2484/))

      allocate(vertices(5411)%branchR2(0:0))
      call avR2(5411, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2926, nGC_2927,       &
      nGC_2927/))

      allocate(vertices(4942)%branchR2(0:1))
      call avR2(4942, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(4942, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(2035)%branchR2(0:0))
      call avR2(2035, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(9386)%branchR2(0:0))
      call avR2(9386, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2539/))

      allocate(vertices(8040)%branchR2(0:0))
      call avR2(8040, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2505/))

      allocate(vertices(2460)%branchR2(0:0))
      call avR2(2460, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(3324)%branchR2(0:1))
      call avR2(3324, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2517, nGC_2515/))

      call avR2(3324, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2518, nGC_2516/))

      allocate(vertices(4292)%branchR2(0:0))
      call avR2(4292, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(9882)%branchR2(0:0))
      call avR2(9882, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(8564)%branchR2(0:1))
      call avR2(8564, 0, 24, 1, 0, FaSF0, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(8564, 1, 24, 1, 0, FaSF0, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(736)%branchR2(0:0))
      call avR2(736, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(9494)%branchR2(0:0))
      call avR2(9494, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(356)%branchR2(0:0))
      call avR2(356, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2462/))

      allocate(vertices(3937)%branchR2(0:0))
      call avR2(3937, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(10783)%branchR2(0:0))
      call avR2(10783, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2778/))

      allocate(vertices(10392)%branchR2(0:0))
      call avR2(10392, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(836)%branchR2(0:0))
      call avR2(836, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(667)%branchR2(0:0))
      call avR2(667, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(7416)%branchR2(0:0))
      call avR2(7416, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(3552)%branchR2(0:0))
      call avR2(3552, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(4113)%branchR2(0:0))
      call avR2(4113, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(1049)%branchR2(0:1))
      call avR2(1049, 0, 27, 1, 0, VFFa0, (/0, 3/), (/nGC_2702/))

      call avR2(1049, 1, 27, 1, 0, VFFa0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(1100)%branchR2(0:0))
      call avR2(1100, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(8865)%branchR2(0:0))
      call avR2(8865, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4031/))

      allocate(vertices(3967)%branchR2(0:0))
      call avR2(3967, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(10784)%branchR2(0:1))
      call avR2(10784, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2933/))

      call avR2(10784, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2932/))

      allocate(vertices(5544)%branchR2(0:0))
      call avR2(5544, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2805, nGC_2803,       &
      nGC_2804/))

      allocate(vertices(9354)%branchR2(0:0))
      call avR2(9354, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(7101)%branchR2(0:1))
      call avR2(7101, 0, 27, 1, 0, VFFa1, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(7101, 1, 27, 1, 0, VFFa1, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(6290)%branchR2(0:1))
      call avR2(6290, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(6290, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(10785)%branchR2(0:1))
      call avR2(10785, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2831/))

      call avR2(10785, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(4504)%branchR2(0:0))
      call avR2(4504, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(9323)%branchR2(0:0))
      call avR2(9323, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(4172)%branchR2(0:0))
      call avR2(4172, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2725/))

      allocate(vertices(5870)%branchR2(0:0))
      call avR2(5870, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2725/))

      allocate(vertices(9501)%branchR2(0:0))
      call avR2(9501, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(6497)%branchR2(0:0))
      call avR2(6497, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(3593)%branchR2(0:0))
      call avR2(3593, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4034/))

      allocate(vertices(2866)%branchR2(0:0))
      call avR2(2866, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(8774)%branchR2(0:0))
      call avR2(8774, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(994)%branchR2(0:0))
      call avR2(994, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(1742)%branchR2(0:1))
      call avR2(1742, 0, 26, 1, 0, SFaF0, (/0, 3/), (/nGC_2517, nGC_2515/))

      call avR2(1742, 1, 26, 1, 0, SFaF0, (/2, 1/), (/nGC_2518, nGC_2516/))

      allocate(vertices(9598)%branchR2(0:0))
      call avR2(9598, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(6742)%branchR2(0:0))
      call avR2(6742, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(4037)%branchR2(0:0))
      call avR2(4037, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(1621)%branchR2(0:0))
      call avR2(1621, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(9647)%branchR2(0:0))
      call avR2(9647, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2809/))

    end subroutine fill_vertices_mdl24
end module vertices_info24
