!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 21:28             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_TS_GC_252_Hl) = -coupl(nGC_252)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2419) = cima*(Nc*coupl(nGC_333)*coupl(nGC_336) + Nc*coupl(     &
                        nGC_339)*coupl(nGC_342) + Nc*coupl(nGC_345)*coupl(     &
                        nGC_348) + Nc*coupl(nGC_363)*coupl(nGC_366) + Nc*coupl(&
                        nGC_369)*coupl(nGC_372) + Nc*coupl(nGC_381)*coupl(     &
                        nGC_384) + coupl(nGC_351)*coupl(nGC_354) + coupl(      &
                        nGC_357)*coupl(nGC_360) + coupl(nGC_375)*coupl(nGC_378 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3157) = coupl(nGC_1689)*dsw_QED2 + coupl(nGC_1690)*da_QED2 +   &
                        coupl(nGC_1691)*dvev1_QED1 + coupl(nGC_1692)*dvev2_QED1&
                         + coupl(nGC_1693)*dZee_QED2
      coupl(nGC_3337) = coupl(nGC_2994) + coupl(nGC_52)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_52)*dZHh_QED2/2d0 + coupl(nGC_62)*dZHaG0_QED2&
                        /2d0 + coupl(nGC_63)*dZHlHh_QED2/2d0
      coupl(nGC_3141) = coupl(nGC_1231)*dZee_QED2 + coupl(nGC_1232)*da_QED2 +  &
                        coupl(nGC_1233)*dsw_QED2 + coupl(nGC_1234)*db_QED2
      coupl(nGC_3330) = coupl(nGC_218)*dZZ_QED2/2d0 + coupl(nGC_26)*dZAZ_QED2/ &
                        2d0 + coupl(nGC_3164)
      coupl(nGC_3442) = coupl(nGC_3057) + coupl(nGC_370)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_373)*dZbL_QED2/2d0 + coupl(nGC_373)*   &
                        dZtR_QED2/2d0
      coupl(nGC_3446) = coupl(nGC_3060) + coupl(nGC_340)*dZbR_QCD2/2d0 + coupl(&
                        nGC_340)*dZtL_QCD2/2d0
      coupl(nGC_3445) = coupl(nGC_3059) + coupl(nGC_340)*dZbR_QED2/2d0 + coupl(&
                        nGC_340)*dZtL_QED2/2d0 + coupl(nGC_343)*               &
                        dZHMinusGMinus_QED2/2d0
      coupl(nGC_3119) = coupl(nGC_571)*db_QED2 + coupl(nGC_573)*dyt1_QED3 +    &
                        coupl(nGC_575)*dyt2_QED3
      coupl(nGC_3448) = coupl(nGC_190)*dZWMinus_QED2 + coupl(nGC_3152)
      coupl(nGC_3575) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_2837) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_334)*coupl(    &
                        nGC_337) - Nc*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl(&
                        nGC_346)*coupl(nGC_349) - Nc*coupl(nGC_364)*coupl(     &
                        nGC_367) - Nc*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(&
                        nGC_382)*coupl(nGC_385) - coupl(nGC_352)*coupl(nGC_355 &
                        ) - coupl(nGC_358)*coupl(nGC_361) - coupl(nGC_376)*    &
                        coupl(nGC_379))/(12d0*pi**2d0)
      coupl(nGC_2836) = cima*(5d0*Nc*coupl(nGC_334)*coupl(nGC_336)**2d0*coupl( &
                        nGC_337) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl( &
                        nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_334)*coupl( &
                        nGC_337)*coupl(nGC_366)**2d0 + 5d0*Nc*coupl(nGC_336)** &
                        2d0*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(      &
                        nGC_336)*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_366   &
                        ) + 5d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_340)*coupl(   &
                        nGC_343) + 5d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_370)*  &
                        coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)* &
                        coupl(nGC_370)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_339)* &
                        coupl(nGC_343)*coupl(nGC_372)*coupl(nGC_373) + 5d0*Nc* &
                        coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_372)**2d0 + 5d0&
                        *Nc*coupl(nGC_346)*coupl(nGC_348)**2d0*coupl(nGC_349   &
                        ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_384 &
                        )*coupl(nGC_385) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349 &
                        )*coupl(nGC_384)**2d0 + 5d0*Nc*coupl(nGC_348)**2d0*    &
                        coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_348)* &
                        coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_384) + 5d0*Nc* &
                        coupl(nGC_364)*coupl(nGC_366)**2d0*coupl(nGC_367) + 5d0&
                        *Nc*coupl(nGC_370)*coupl(nGC_372)**2d0*coupl(nGC_373   &
                        ) + 5d0*Nc*coupl(nGC_382)*coupl(nGC_384)**2d0*coupl(   &
                        nGC_385) + 6d0*coupl(nGC_175)*coupl(nGC_180) + 6d0*    &
                        coupl(nGC_22)*coupl(nGC_23) + 5d0*coupl(nGC_352)*coupl(&
                        nGC_354)**2d0*coupl(nGC_355) + 5d0*coupl(nGC_358)*coupl&
                        (nGC_360)**2d0*coupl(nGC_361) + 5d0*coupl(nGC_376)*    &
                        coupl(nGC_378)**2d0*coupl(nGC_379))/(24d0*pi**2d0)
      coupl(nGC_3528) = coupl(nGC_100)*dZGMinus
      coupl(nGC_3529) = coupl(nGC_100)*dZWMinus_QED2 + coupl(nGC_3151)
      coupl(nGC_3682) = coupl(nGC_3050) + coupl(nGC_385)*dZdL_QCD2/2d0 + coupl(&
                        nGC_385)*dZuR_QCD2/2d0
      coupl(nGC_2427) = cima*(coupl(nGC_199)**2d0 + coupl(nGC_811)**2d0)/(48d0*&
                        pi**2d0)
      coupl(nGC_2424) = cima*(coupl(nGC_198)*coupl(nGC_811) + coupl(nGC_199)*  &
                        coupl(nGC_791) + coupl(nGC_3)*coupl(nGC_861) + coupl(  &
                        nGC_4)*coupl(nGC_831))/(48d0*pi**2d0)
      coupl(nGC_3527) = coupl(nGC_3002) + 3d0*coupl(nGC_56)*dZHMinus_QED2/2d0  &
                         + coupl(nGC_65)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_71&
                        )*dZGMinusHMinus_QED2 + coupl(nGC_74)*                 &
                        dZGMinusHMinus_QED2/2d0
      coupl(nGC_2839) = cima*(5d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_334)*coupl( &
                        nGC_337) + 5d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_364)*  &
                        coupl(nGC_367) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)* &
                        coupl(nGC_363)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_333)* &
                        coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_364) + 5d0*Nc* &
                        coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363)**2d0 + 5d0&
                        *Nc*coupl(nGC_340)*coupl(nGC_342)**2d0*coupl(nGC_343   &
                        ) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_369 &
                        )*coupl(nGC_370) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343 &
                        )*coupl(nGC_369)**2d0 + 5d0*Nc*coupl(nGC_342)**2d0*    &
                        coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_342)* &
                        coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_373) + 5d0*Nc* &
                        coupl(nGC_345)**2d0*coupl(nGC_346)*coupl(nGC_349) + 5d0&
                        *Nc*coupl(nGC_345)**2d0*coupl(nGC_382)*coupl(nGC_385   &
                        ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_381 &
                        )*coupl(nGC_385) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_349 &
                        )*coupl(nGC_381)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_346 &
                        )*coupl(nGC_349)*coupl(nGC_381)**2d0 + 5d0*Nc*coupl(   &
                        nGC_363)**2d0*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*  &
                        coupl(nGC_369)**2d0*coupl(nGC_370)*coupl(nGC_373) + 5d0&
                        *Nc*coupl(nGC_381)**2d0*coupl(nGC_382)*coupl(nGC_385   &
                        ) + 6d0*coupl(nGC_174)*coupl(nGC_180) + 6d0*coupl(     &
                        nGC_21)*coupl(nGC_23) + 5d0*coupl(nGC_351)**2d0*coupl( &
                        nGC_352)*coupl(nGC_355) + 5d0*coupl(nGC_357)**2d0*coupl&
                        (nGC_358)*coupl(nGC_361) + 5d0*coupl(nGC_375)**2d0*    &
                        coupl(nGC_376)*coupl(nGC_379))/(24d0*pi**2d0)
      coupl(nGC_3688) = coupl(nGC_325)*dZGMinus/2d0
      coupl(nGC_3522) = coupl(nGC_197)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_3523) = coupl(nGC_3003) + coupl(nGC_99)*dZHa_QED2
      coupl(nGC_3685) = coupl(nGC_3052) + coupl(nGC_349)*dZdR_QCD2/2d0 + coupl(&
                        nGC_349)*dZuL_QCD2/2d0
      coupl(nGC_2781) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_340&
                        )**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(&
                        nGC_349)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206 &
                        )*coupl(nGC_367)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_207)*coupl(nGC_337)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_207)*coupl(nGC_373)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_385)**2d0 - 8d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_337)**2d0&
                         - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(      &
                        nGC_373)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209 &
                        )*coupl(nGC_385)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_210)*coupl(nGC_340)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_210)*coupl(nGC_349)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_210)*coupl(nGC_367)**2d0 + 5d0* &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_206)*coupl(nGC_340)**2d0&
                         + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_206)*coupl(      &
                        nGC_349)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_206 &
                        )*coupl(nGC_367)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_207)*coupl(nGC_337)**2d0 - 8d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_207)*coupl(nGC_373)**2d0 - 8d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_385)**2d0 + 5d0* &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_337)**2d0&
                         + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209)*coupl(      &
                        nGC_373)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209 &
                        )*coupl(nGC_385)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_210)*coupl(nGC_340)**2d0 - 8d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_210)*coupl(nGC_349)**2d0 - 8d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_367)**2d0 + 6d0* &
                        cima*coupl(nGC_100)*coupl(nGC_205) - 8d0*cima*coupl(   &
                        nGC_208)*coupl(nGC_355)**2d0*coupl(nGC_4) - 8d0*cima*  &
                        coupl(nGC_208)*coupl(nGC_361)**2d0*coupl(nGC_4) - 8d0* &
                        cima*coupl(nGC_208)*coupl(nGC_379)**2d0*coupl(nGC_4) + &
                        5d0*cima*coupl(nGC_212)*coupl(nGC_355)**2d0*coupl(nGC_4&
                        ) + 5d0*cima*coupl(nGC_212)*coupl(nGC_361)**2d0*coupl( &
                        nGC_4) + 5d0*cima*coupl(nGC_212)*coupl(nGC_379)**2d0*  &
                        coupl(nGC_4) + 6d0*coupl(nGC_100)*coupl(nGC_199)*coupl(&
                        nGC_3) + 6d0*coupl(nGC_100)*coupl(nGC_811)*coupl(      &
                        nGC_831))/(48d0*pi**2d0)
      coupl(nGC_2581) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_343) - &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343) -  &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_343) +  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_334) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_334) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334) +  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_346) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_346) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_346) +  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_364) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_364) +  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_370) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_370) +  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_382) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382) +  &
                        cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_352) - cME*&
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352) - cME*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352) + cMM*    &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_358) + cMTA*   &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_376) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_376) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_376) + 2d0*cima&
                        *coupl(nGC_194)*coupl(nGC_231) + 2d0*cima*coupl(nGC_321&
                        )*coupl(nGC_813) + 2d0*coupl(nGC_198)*coupl(nGC_199)*  &
                        coupl(nGC_231) + 2d0*coupl(nGC_199)*coupl(nGC_321)*    &
                        coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_3684) = coupl(nGC_3051) + coupl(nGC_346)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_349)*dZdR_QED2/2d0 + coupl(nGC_349)*   &
                        dZuL_QED2/2d0
      coupl(nGC_3687) = coupl(nGC_3037) + coupl(nGC_322)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_TS_GC_272_Hh) = -coupl(nGC_272)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3890) = -coupl(nGC_3073) - coupl(nGC_347)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_350)*dZdL_QED2/2d0 - coupl(nGC_350)*dZdR_QED2&
                        /2d0
      coupl(nGC_2831) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_337)**2d0  &
                         + coupl(nGC_340)**2d0 + coupl(nGC_349)**2d0 + coupl(  &
                        nGC_367)**2d0 + coupl(nGC_373)**2d0 + coupl(nGC_385)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3893) = coupl(nGC_218)*dZZA_QED2/2d0 + coupl(nGC_26)*dZA_QED2/ &
                        2d0 + coupl(nGC_3043)
      coupl(nGC_3896) = coupl(nGC_3294) + coupl(nGC_MHC)*dZHMinus_QED2 + coupl(&
                        nGC_TS_GC_243_Hl) + coupl(nGC_TS_GC_251_Hh)
      coupl(nGC_2830) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_340)*coupl(nGC_341) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_349)*coupl(nGC_350) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_367)*coupl&
                        (nGC_368) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_337)*coupl(nGC_815) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_373)*coupl(nGC_873   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_385)*coupl(nGC_897) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_337)*coupl(nGC_815) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340)*coupl&
                        (nGC_341) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_349)*coupl(nGC_350) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_367)*coupl(nGC_368   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_373)*coupl(nGC_873) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_385)*coupl(nGC_897) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_337)*coupl&
                        (nGC_815) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_340)*coupl(nGC_341) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_349)*coupl(nGC_350   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_367)*coupl(nGC_368) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_373)*coupl(nGC_873) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_385)*coupl&
                        (nGC_897) + 6d0*cima*coupl(nGC_186)*coupl(nGC_813) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_30) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_355)*coupl(nGC_356   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_361)*coupl(nGC_362) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_379)*coupl(nGC_380) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_355)*coupl(    &
                        nGC_356) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_361)*coupl(nGC_362) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_379)*coupl(nGC_380) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_355)*coupl(   &
                        nGC_356) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_361)*coupl(nGC_362) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_379)*coupl(nGC_380) + 6d0*    &
                        coupl(nGC_186)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl(&
                        nGC_198)*coupl(nGC_199)*coupl(nGC_30))/(48d0*pi**2d0)
      coupl(nGC_3573) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_3406) = -coupl(nGC_200)*dZZ_QED2/4d0 - coupl(nGC_3045)/2d0 -   &
                        coupl(nGC_6)*dZAZ_QED2/4d0
      coupl(nGC_3683) = coupl(nGC_385)*dZGMinus/2d0
      coupl(nGC_3572) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsL_QED2 +   &
                        coupl(nGC_209)*dZZA_QED2/2d0 + coupl(nGC_3179)
      coupl(nGC_4037) = -coupl(nGC_2577)
      coupl(nGC_3849) = coupl(nGC_3115) + coupl(nGC_383)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_386)*dZuL_QED2/2d0 + coupl(nGC_386)*dZuR_QED2&
                        /2d0
      coupl(nGC_2832) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_337)**2d0 &
                         - coupl(nGC_340)**2d0 - coupl(nGC_349)**2d0 - coupl(  &
                        nGC_367)**2d0 - coupl(nGC_373)**2d0 - coupl(nGC_385)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_3571) = coupl(nGC_187)*dZA_QED2/2d0 + coupl(nGC_187)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_3005) + coupl(nGC_31)*   &
                        dZZA_QED2/2d0
      coupl(nGC_3748) = coupl(nGC_196)*dZZ_QED2 + coupl(nGC_204)*dZAZ_QED2 +   &
                        coupl(nGC_3153)
      coupl(nGC_3570) = coupl(nGC_3042)/2d0 + coupl(nGC_6)*dZWMinus_QED2/4d0
      coupl(nGC_2789) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_206)**2d0 + Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_209)**2d0 + Nc*cima*  &
                        coupl(nGC_2)**2d0*coupl(nGC_207)**2d0 + Nc*cima*coupl( &
                        nGC_2)**2d0*coupl(nGC_210)**2d0 - 2d0*cima*coupl(      &
                        nGC_199)**2d0*coupl(nGC_3)**2d0 + cima*coupl(nGC_205)**&
                        2d0 + cima*coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 + cima&
                        *coupl(nGC_211)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl&
                        (nGC_811)**2d0*coupl(nGC_831)**2d0 + 2d0*coupl(nGC_199 &
                        )*coupl(nGC_205)*coupl(nGC_3) + 2d0*coupl(nGC_205)*    &
                        coupl(nGC_811)*coupl(nGC_831))/(8d0*pi**2d0)
      coupl(nGC_3740) = 2d0*coupl(nGC_189)*dZWMinus_QED2 + coupl(nGC_3160)
      coupl(nGC_3741) = -4d0*coupl(nGC_189)*dZWMinus_QED2 - 2d0*coupl(nGC_3160)
      coupl(nGC_3742) = coupl(nGC_227)*dZHa_QED2 + coupl(nGC_2950)
      coupl(nGC_2808) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339)*  &
                        coupl(nGC_342) - Nc*coupl(nGC_1)*coupl(nGC_206)*coupl( &
                        nGC_345)*coupl(nGC_348) - Nc*coupl(nGC_1)*coupl(nGC_206&
                        )*coupl(nGC_363)*coupl(nGC_366) - Nc*coupl(nGC_1)*coupl&
                        (nGC_209)*coupl(nGC_339)*coupl(nGC_342) - Nc*coupl(    &
                        nGC_1)*coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_348) -  &
                        Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_363)*coupl(   &
                        nGC_366) - Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_333&
                        )*coupl(nGC_336) - Nc*coupl(nGC_2)*coupl(nGC_207)*coupl&
                        (nGC_369)*coupl(nGC_372) - Nc*coupl(nGC_2)*coupl(      &
                        nGC_207)*coupl(nGC_381)*coupl(nGC_384) - Nc*coupl(nGC_2&
                        )*coupl(nGC_210)*coupl(nGC_333)*coupl(nGC_336) - Nc*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_369)*coupl(      &
                        nGC_372) - Nc*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_381&
                        )*coupl(nGC_384) - coupl(nGC_208)*coupl(nGC_351)*coupl(&
                        nGC_354)*coupl(nGC_4) - coupl(nGC_208)*coupl(nGC_357)* &
                        coupl(nGC_360)*coupl(nGC_4) - coupl(nGC_208)*coupl(    &
                        nGC_375)*coupl(nGC_378)*coupl(nGC_4) - coupl(nGC_211)* &
                        coupl(nGC_351)*coupl(nGC_354)*coupl(nGC_4) - coupl(    &
                        nGC_211)*coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_4) -  &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_378)*coupl(    &
                        nGC_4))/(8d0*pi**2d0)
      coupl(nGC_3744) = coupl(nGC_197)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_3745) = coupl(nGC_200)*dZWMinus_QED2/4d0 + coupl(nGC_3045)/2d0
      coupl(nGC_3747) = -coupl(nGC_3042)/2d0 - coupl(nGC_6)*dZWMinus_QED2/4d0
      coupl(nGC_2900) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_334)**2d0 &
                         - coupl(nGC_343)**2d0 - coupl(nGC_346)**2d0 - coupl(  &
                        nGC_364)**2d0 - coupl(nGC_370)**2d0 - coupl(nGC_382)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1065) = coupl(nGC_I)*dZGMinus
      coupl(nGC_2909) = (-8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_336)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_339)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_348)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_366)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_372)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_384)**2d0 &
                         + 3d0*cima*coupl(nGC_195)*coupl(nGC_224) - 8d0*cima*  &
                        coupl(nGC_197)**2d0*coupl(nGC_354)**2d0 - 8d0*cima*    &
                        coupl(nGC_197)**2d0*coupl(nGC_360)**2d0 - 8d0*cima*    &
                        coupl(nGC_197)**2d0*coupl(nGC_378)**2d0 + 6d0*cima*    &
                        coupl(nGC_77)*coupl(nGC_827) + 6d0*coupl(nGC_198)*coupl&
                        (nGC_77)*coupl(nGC_811) + 6d0*coupl(nGC_199)*coupl(    &
                        nGC_224)*coupl(nGC_791) + 6d0*coupl(nGC_4)*coupl(nGC_77&
                        )*coupl(nGC_831))/(48d0*pi**2d0)
      coupl(nGC_3689) = coupl(nGC_3089) + coupl(nGC_339)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_342)*dZHl_QED2/2d0 + coupl(nGC_342)*dZbL_QED2&
                        /2d0 + coupl(nGC_342)*dZbR_QED2/2d0
      coupl(nGC_3574) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsR_QED2 +   &
                        coupl(nGC_206)*dZZA_QED2/2d0 + coupl(nGC_3179)
      coupl(nGC_2838) = cima*(10d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(     &
                        nGC_336)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_333)*coupl( &
                        nGC_334)*coupl(nGC_366)*coupl(nGC_367) + 10d0*Nc*coupl(&
                        nGC_333)*coupl(nGC_336)*coupl(nGC_364)*coupl(nGC_367   &
                        ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_364 &
                        )*coupl(nGC_366) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336 &
                        )*coupl(nGC_363)*coupl(nGC_367) + 10d0*Nc*coupl(nGC_334&
                        )*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_366) + 5d0*Nc&
                        *coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_363)*coupl(   &
                        nGC_364) + 10d0*Nc*coupl(nGC_339)*coupl(nGC_340)*coupl(&
                        nGC_342)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_339)*coupl( &
                        nGC_340)*coupl(nGC_369)*coupl(nGC_370) + 10d0*Nc*coupl(&
                        nGC_339)*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_373   &
                        ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_369 &
                        )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342 &
                        )*coupl(nGC_370)*coupl(nGC_372) + 10d0*Nc*coupl(nGC_340&
                        )*coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_372) + 5d0*Nc&
                        *coupl(nGC_342)*coupl(nGC_343)*coupl(nGC_372)*coupl(   &
                        nGC_373) + 10d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(&
                        nGC_348)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_345)*coupl( &
                        nGC_346)*coupl(nGC_384)*coupl(nGC_385) + 10d0*Nc*coupl(&
                        nGC_345)*coupl(nGC_348)*coupl(nGC_382)*coupl(nGC_385   &
                        ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_382 &
                        )*coupl(nGC_384) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348 &
                        )*coupl(nGC_381)*coupl(nGC_385) + 10d0*Nc*coupl(nGC_346&
                        )*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc&
                        *coupl(nGC_348)*coupl(nGC_349)*coupl(nGC_381)*coupl(   &
                        nGC_382) + 10d0*Nc*coupl(nGC_363)*coupl(nGC_364)*coupl(&
                        nGC_366)*coupl(nGC_367) + 10d0*Nc*coupl(nGC_369)*coupl(&
                        nGC_370)*coupl(nGC_372)*coupl(nGC_373) + 10d0*Nc*coupl(&
                        nGC_381)*coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385   &
                        ) + 6d0*coupl(nGC_174)*coupl(nGC_175) + 6d0*coupl(     &
                        nGC_180)**2d0 + 6d0*coupl(nGC_21)*coupl(nGC_22) + 6d0* &
                        coupl(nGC_23)**2d0 + 10d0*coupl(nGC_351)*coupl(nGC_352 &
                        )*coupl(nGC_354)*coupl(nGC_355) + 10d0*coupl(nGC_357)* &
                        coupl(nGC_358)*coupl(nGC_360)*coupl(nGC_361) + 10d0*   &
                        coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_378)*coupl(    &
                        nGC_379))/(48d0*pi**2d0)
      coupl(nGC_TS_GC_339_Hh) = -coupl(nGC_339)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2426) = cima*(-3d0*Nc*coupl(nGC_206)**2d0 - 3d0*Nc*coupl(      &
                        nGC_207)**2d0 - 3d0*Nc*coupl(nGC_209)**2d0 - 3d0*Nc*   &
                        coupl(nGC_210)**2d0 - coupl(nGC_199)**2d0 - 3d0*coupl( &
                        nGC_208)**2d0 - 3d0*coupl(nGC_211)**2d0 - 3d0*coupl(   &
                        nGC_212)**2d0 - coupl(nGC_811)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3095) = coupl(nGC_1990)*db_QED2 + coupl(nGC_1991)*dyd13x3_QED3 &
                         + coupl(nGC_1992)*dyb2_QED3
      coupl(nGC_3036) = coupl(nGC_1367)*dsw_QED2 + coupl(nGC_1368)*da_QED2 +   &
                        coupl(nGC_1369)*dvev1_QED1 + coupl(nGC_1370)*dvev2_QED1&
                         + coupl(nGC_1371)*dZee_QED2
      coupl(nGC_2518) = coupl(nGC_13)**2d0*coupl(nGC_385)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2519) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_355)/(4d0*pi** &
                        2d0)
      coupl(nGC_4035) = -coupl(nGC_2540)
      coupl(nGC_2637) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_809) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_809) - coupl(nGC_346 &
                        )*coupl(nGC_347)*coupl(nGC_382) - coupl(nGC_347)*coupl(&
                        nGC_349)*coupl(nGC_385) - coupl(nGC_381)**2d0*coupl(   &
                        nGC_383) - coupl(nGC_383)*coupl(nGC_384)**2d0 - coupl( &
                        nGC_383)*coupl(nGC_809)**2d0 - coupl(nGC_383)*coupl(   &
                        nGC_897)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2512) = coupl(nGC_13)**2d0*coupl(nGC_337)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2510) = coupl(nGC_13)**2d0*coupl(nGC_373)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2511) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_337) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_337) - coupl(  &
                        nGC_333)*coupl(nGC_363)*coupl(nGC_367) - coupl(nGC_335 &
                        )*coupl(nGC_365)*coupl(nGC_367) - coupl(nGC_336)*coupl(&
                        nGC_366)*coupl(nGC_367) - coupl(nGC_338)*coupl(nGC_367 &
                        )*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_2516) = coupl(nGC_13)**2d0*coupl(nGC_349)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2517) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_385) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_385) - coupl(  &
                        nGC_345)*coupl(nGC_349)*coupl(nGC_381) - coupl(nGC_347 &
                        )*coupl(nGC_349)*coupl(nGC_383) - coupl(nGC_348)*coupl(&
                        nGC_349)*coupl(nGC_384) - coupl(nGC_349)*coupl(nGC_350 &
                        )*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_2514) = coupl(nGC_13)**2d0*coupl(nGC_367)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2478) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_206&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_345)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_347)*coupl(nGC_817) + coupl(nGC_1)*coupl(  &
                        nGC_348)**2d0 + coupl(nGC_1)*coupl(nGC_350)*coupl(     &
                        nGC_821) + coupl(nGC_2)*coupl(nGC_346)**2d0 + coupl(   &
                        nGC_2)*coupl(nGC_349)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2686) = coupl(nGC_357)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_357)**2d0 - coupl(nGC_359)**2d0 - coupl(     &
                        nGC_360)**2d0 - coupl(nGC_362)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_3808) = -coupl(nGC_3103) - coupl(nGC_353)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_356)*dZeMinusL_QED2/2d0 - coupl(nGC_356)*    &
                        dZeMinusR_QED2/2d0
      coupl(nGC_2942) = (-Nc*cima*coupl(nGC_14)*coupl(nGC_923) + Nc*cima*coupl(&
                        nGC_857)**4d0*sq2**4d0 - Nc*cima*coupl(nGC_893)*coupl( &
                        nGC_923) + Nc*coupl(nGC_14)*coupl(nGC_857)**2d0*sq2**  &
                        2d0 + Nc*coupl(nGC_857)**2d0*coupl(nGC_893)*sq2**2d0 + &
                        Nc*coupl(nGC_857)**2d0*coupl(nGC_923)*sq2**2d0 - cima* &
                        coupl(nGC_13)**4d0*sq2**4d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2859) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_338)*coupl(&
                        nGC_815) + 10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_368)* &
                        coupl(nGC_835) + 10d0*Nc*coupl(nGC_334)*coupl(nGC_338)*&
                        coupl(nGC_364)*coupl(nGC_368) + 10d0*Nc*coupl(nGC_334)*&
                        coupl(nGC_364)*coupl(nGC_815)*coupl(nGC_835) + 10d0*Nc*&
                        coupl(nGC_338)*coupl(nGC_364)**2d0*coupl(nGC_815) +    &
                        10d0*Nc*coupl(nGC_341)*coupl(nGC_343)**2d0*coupl(      &
                        nGC_787) + 10d0*Nc*coupl(nGC_341)*coupl(nGC_343)*coupl(&
                        nGC_370)*coupl(nGC_374) + 10d0*Nc*coupl(nGC_341)*coupl(&
                        nGC_370)**2d0*coupl(nGC_787) + 10d0*Nc*coupl(nGC_343)**&
                        2d0*coupl(nGC_374)*coupl(nGC_873) + 10d0*Nc*coupl(     &
                        nGC_343)*coupl(nGC_370)*coupl(nGC_787)*coupl(nGC_873   &
                        ) + 10d0*Nc*coupl(nGC_346)**2d0*coupl(nGC_350)*coupl(  &
                        nGC_821) + 10d0*Nc*coupl(nGC_346)**2d0*coupl(nGC_386)* &
                        coupl(nGC_897) + 10d0*Nc*coupl(nGC_346)*coupl(nGC_350)*&
                        coupl(nGC_382)*coupl(nGC_386) + 10d0*Nc*coupl(nGC_346)*&
                        coupl(nGC_382)*coupl(nGC_821)*coupl(nGC_897) + 10d0*Nc*&
                        coupl(nGC_350)*coupl(nGC_382)**2d0*coupl(nGC_821) +    &
                        10d0*Nc*coupl(nGC_364)**2d0*coupl(nGC_368)*coupl(      &
                        nGC_835) + 10d0*Nc*coupl(nGC_370)**2d0*coupl(nGC_374)* &
                        coupl(nGC_873) + 10d0*Nc*coupl(nGC_382)**2d0*coupl(    &
                        nGC_386)*coupl(nGC_897) + 6d0*coupl(nGC_100)**2d0 + 3d0&
                        *coupl(nGC_229)*coupl(nGC_230) + 10d0*coupl(nGC_352)** &
                        2d0*coupl(nGC_356)*coupl(nGC_801) + 10d0*coupl(nGC_358 &
                        )**2d0*coupl(nGC_362)*coupl(nGC_885) + 10d0*coupl(     &
                        nGC_376)**2d0*coupl(nGC_380)*coupl(nGC_839))/(48d0*pi**&
                        2d0)
      coupl(nGC_TS_GC_384_Hh) = -coupl(nGC_384)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1121) = coupl(nGC_I)*dZG0
      coupl(nGC_2606) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_364) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_364) - coupl(  &
                        nGC_333)*coupl(nGC_334)*coupl(nGC_363) - coupl(nGC_334 &
                        )*coupl(nGC_335)*coupl(nGC_365) - coupl(nGC_334)*coupl(&
                        nGC_336)*coupl(nGC_366) - coupl(nGC_334)*coupl(nGC_338 &
                        )*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_2604) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_382) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_382) - coupl(  &
                        nGC_345)*coupl(nGC_346)*coupl(nGC_381) - coupl(nGC_346 &
                        )*coupl(nGC_348)*coupl(nGC_384) - coupl(nGC_346)*coupl(&
                        nGC_809)*coupl(nGC_817) - coupl(nGC_346)*coupl(nGC_821 &
                        )*coupl(nGC_897))/(32d0*pi**2d0)
      coupl(nGC_2602) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_370) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370) - coupl(  &
                        nGC_339)*coupl(nGC_343)*coupl(nGC_372) - coupl(nGC_342 &
                        )*coupl(nGC_343)*coupl(nGC_369) - coupl(nGC_343)*coupl(&
                        nGC_787)*coupl(nGC_873) - coupl(nGC_343)*coupl(nGC_795 &
                        )*coupl(nGC_847))/(32d0*pi**2d0)
      coupl(nGC_2603) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_346) - coupl(  &
                        nGC_345)*coupl(nGC_381)*coupl(nGC_382) - coupl(nGC_347 &
                        )*coupl(nGC_382)*coupl(nGC_383) - coupl(nGC_348)*coupl(&
                        nGC_382)*coupl(nGC_384) - coupl(nGC_350)*coupl(nGC_382 &
                        )*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_2600) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_343) - &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343) -  &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_343) +  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_334) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_334) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334) +  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_346) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_346) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_346) +  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_364) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_364) +  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_370) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_370) +  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_382) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382) +  &
                        cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_352) - cME*&
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352) - cME*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352) + cMM*    &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_358) + cMTA*   &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_376) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_376) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_376) + 2d0*cima&
                        *coupl(nGC_194)*coupl(nGC_231) + 2d0*cima*coupl(nGC_321&
                        )*coupl(nGC_813) + 2d0*coupl(nGC_199)*coupl(nGC_231)*  &
                        coupl(nGC_811) + 2d0*coupl(nGC_3)*coupl(nGC_321)*coupl(&
                        nGC_811))/(16d0*pi**2d0)
      coupl(nGC_2601) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_343) - coupl(  &
                        nGC_339)*coupl(nGC_370)*coupl(nGC_372) - coupl(nGC_341 &
                        )*coupl(nGC_370)*coupl(nGC_374) - coupl(nGC_342)*coupl(&
                        nGC_369)*coupl(nGC_370) - coupl(nGC_344)*coupl(nGC_370 &
                        )*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_2765) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_207)**2d0 + coupl(nGC_381)**2d0 + coupl(nGC_382)** &
                        2d0 + coupl(nGC_383)*coupl(nGC_809) + coupl(nGC_384)** &
                        2d0 + coupl(nGC_385)**2d0 + coupl(nGC_386)*coupl(      &
                        nGC_897))/(64d0*pi**2d0)
      coupl(nGC_2764) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_197)**2d0 + 4d0*coupl(&
                        nGC_2)**2d0 + 4d0*coupl(nGC_210)**2d0 + coupl(nGC_346  &
                        )**2d0 + coupl(nGC_349)**2d0 + coupl(nGC_381)**2d0 +   &
                        coupl(nGC_383)*coupl(nGC_809) + coupl(nGC_384)**2d0 +  &
                        coupl(nGC_386)*coupl(nGC_897))/(64d0*pi**2d0)
      coupl(nGC_2767) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_334)**2d0 -  &
                        4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_343)**2d0 - 4d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_346)**2d0 - 4d0*Nc&
                        *cima*coupl(nGC_1)**2d0*coupl(nGC_364)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_382)**2d0 + 5d0*Nc*   &
                        cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_334)**2d0 +   &
                        5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343)** &
                        2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(     &
                        nGC_346)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)* &
                        coupl(nGC_364)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_2)*coupl(nGC_370)**2d0 + 5d0*Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_2)*coupl(nGC_382)**2d0 - 4d0*Nc*cima*coupl(  &
                        nGC_2)**2d0*coupl(nGC_334)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_343)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_346)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_364)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_382)**2d0 + 3d0*cima*coupl(      &
                        nGC_100)*coupl(nGC_9) - 4d0*cima*coupl(nGC_352)**2d0*  &
                        coupl(nGC_4)**2d0 - 4d0*cima*coupl(nGC_358)**2d0*coupl(&
                        nGC_4)**2d0 - 4d0*cima*coupl(nGC_376)**2d0*coupl(nGC_4 &
                        )**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_3)**2d0 + 3d0*   &
                        coupl(nGC_100)*coupl(nGC_831)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2766) = cima*(-4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_334)*coupl(  &
                        nGC_337) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_340)*    &
                        coupl(nGC_343) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_346&
                        )*coupl(nGC_349) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(     &
                        nGC_364)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_1)**2d0*    &
                        coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_1)**  &
                        2d0*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1 &
                        )*coupl(nGC_2)*coupl(nGC_334)*coupl(nGC_337) + 5d0*Nc* &
                        coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_343 &
                        ) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346)*   &
                        coupl(nGC_349) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl&
                        (nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_1)*coupl(  &
                        nGC_2)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(   &
                        nGC_1)*coupl(nGC_2)*coupl(nGC_382)*coupl(nGC_385) - 4d0&
                        *Nc*coupl(nGC_2)**2d0*coupl(nGC_334)*coupl(nGC_337) -  &
                        4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_340)*coupl(nGC_343  &
                        ) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_346)*coupl(     &
                        nGC_349) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_364)*    &
                        coupl(nGC_367) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_370&
                        )*coupl(nGC_373) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(     &
                        nGC_382)*coupl(nGC_385) - 4d0*coupl(nGC_352)*coupl(    &
                        nGC_355)*coupl(nGC_4)**2d0 - 4d0*coupl(nGC_358)*coupl( &
                        nGC_361)*coupl(nGC_4)**2d0 - 4d0*coupl(nGC_376)*coupl( &
                        nGC_379)*coupl(nGC_4)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2761) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_207)**2d0 + coupl(nGC_369)**2d0 + coupl(nGC_370)** &
                        2d0 + coupl(nGC_371)*coupl(nGC_795) + coupl(nGC_372)** &
                        2d0 + coupl(nGC_373)**2d0 + coupl(nGC_374)*coupl(      &
                        nGC_873))/(64d0*pi**2d0)
      coupl(nGC_3548) = coupl(nGC_180)*dZAZ_QED2/2d0 + coupl(nGC_21)*          &
                        dZHlHh_QED2/2d0 + coupl(nGC_22)*dZHMinusGMinus_QED2/2d0&
                         + coupl(nGC_23)*dZHh_QED2/2d0 + coupl(nGC_23)*        &
                        dZWMinus_QED2/2d0 + coupl(nGC_23)*dZZ_QED2/2d0 + coupl(&
                        nGC_3166)
      coupl(nGC_TS_GC_40_Hl) = -coupl(nGC_40)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_333_Hl) = -coupl(nGC_333)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3923) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZsR_QCD2 + &
                        coupl(nGC_3180)
      coupl(nGC_3924) = coupl(nGC_13)*dZsR_QED2
      coupl(nGC_2893) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_342)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_346) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl&
                        (nGC_364) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_333)*coupl(nGC_334) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_370   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_381)*coupl(nGC_382) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_334) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_342)*coupl&
                        (nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_364   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_369)*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_381)*coupl(nGC_382) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl&
                        (nGC_334) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_346   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_363)*coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl&
                        (nGC_382) + 6d0*cima*coupl(nGC_180)*coupl(nGC_813) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_352   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_357)*coupl(nGC_358) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_351)*coupl(    &
                        nGC_352) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(   &
                        nGC_352) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_376) + 6d0*    &
                        coupl(nGC_180)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl(&
                        nGC_198)*coupl(nGC_199)*coupl(nGC_23))/(48d0*pi**2d0)
      coupl(nGC_2569) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_380) -    &
                        coupl(nGC_375)**2d0*coupl(nGC_839) - coupl(nGC_377)**  &
                        2d0*coupl(nGC_839) - coupl(nGC_378)**2d0*coupl(nGC_839 &
                        ) - coupl(nGC_380)**2d0*coupl(nGC_839) + 8d0*coupl(    &
                        nGC_380)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2567) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_374) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_374) - coupl(nGC_340 &
                        )*coupl(nGC_373)*coupl(nGC_787) - coupl(nGC_343)*coupl(&
                        nGC_370)*coupl(nGC_787) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_873) - coupl(nGC_371)**2d0*coupl(nGC_873) - coupl( &
                        nGC_372)**2d0*coupl(nGC_873) - coupl(nGC_374)**2d0*    &
                        coupl(nGC_873))/(32d0*pi**2d0)
      coupl(nGC_2566) = coupl(nGC_13)**2d0*coupl(nGC_873)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2565) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_873) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_873) - coupl(nGC_340 &
                        )*coupl(nGC_341)*coupl(nGC_373) - coupl(nGC_341)*coupl(&
                        nGC_343)*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_374) - coupl(nGC_372)**2d0*coupl(nGC_374) - coupl( &
                        nGC_374)*coupl(nGC_795)**2d0 - coupl(nGC_374)*coupl(   &
                        nGC_873)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2563) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_368) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_368) - coupl(nGC_334 &
                        )*coupl(nGC_364)*coupl(nGC_815) - coupl(nGC_337)*coupl(&
                        nGC_367)*coupl(nGC_815) - coupl(nGC_363)**2d0*coupl(   &
                        nGC_835) - coupl(nGC_365)**2d0*coupl(nGC_835) - coupl( &
                        nGC_366)**2d0*coupl(nGC_835) - coupl(nGC_368)**2d0*    &
                        coupl(nGC_835))/(32d0*pi**2d0)
      coupl(nGC_2562) = coupl(nGC_13)**2d0*coupl(nGC_835)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2561) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_835) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_835) - coupl(nGC_334 &
                        )*coupl(nGC_338)*coupl(nGC_364) - coupl(nGC_337)*coupl(&
                        nGC_338)*coupl(nGC_367) - coupl(nGC_363)**2d0*coupl(   &
                        nGC_368) - coupl(nGC_366)**2d0*coupl(nGC_368) - coupl( &
                        nGC_368)*coupl(nGC_803)**2d0 - coupl(nGC_368)*coupl(   &
                        nGC_835)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2560) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_885) -    &
                        coupl(nGC_357)**2d0*coupl(nGC_362) - coupl(nGC_360)**  &
                        2d0*coupl(nGC_362) - coupl(nGC_362)*coupl(nGC_797)**2d0&
                         - coupl(nGC_362)*coupl(nGC_885)**2d0 + 8d0*coupl(nGC_4&
                        )**2d0*coupl(nGC_885))/(32d0*pi**2d0)
      coupl(nGC_2738) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_206)**2d0 + coupl(nGC_339)**2d0 + coupl(nGC_340)** &
                        2d0 + coupl(nGC_341)*coupl(nGC_787) + coupl(nGC_342)** &
                        2d0 + coupl(nGC_343)**2d0 + coupl(nGC_344)*coupl(      &
                        nGC_847))/(64d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_53_Hl) = -coupl(nGC_53)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2768) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_337)**2d0 -  &
                        4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_340)**2d0 - 4d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_349)**2d0 - 4d0*Nc&
                        *cima*coupl(nGC_1)**2d0*coupl(nGC_367)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_373)**2d0 - 4d0*Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_385)**2d0 + 5d0*Nc*   &
                        cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_337)**2d0 +   &
                        5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340)** &
                        2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(     &
                        nGC_349)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)* &
                        coupl(nGC_367)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_2)*coupl(nGC_373)**2d0 + 5d0*Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_2)*coupl(nGC_385)**2d0 - 4d0*Nc*cima*coupl(  &
                        nGC_2)**2d0*coupl(nGC_337)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_340)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_349)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_367)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_373)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_385)**2d0 + 3d0*cima*coupl(      &
                        nGC_100)*coupl(nGC_9) - 4d0*cima*coupl(nGC_355)**2d0*  &
                        coupl(nGC_4)**2d0 - 4d0*cima*coupl(nGC_361)**2d0*coupl(&
                        nGC_4)**2d0 - 4d0*cima*coupl(nGC_379)**2d0*coupl(nGC_4 &
                        )**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_3)**2d0 + 3d0*   &
                        coupl(nGC_100)*coupl(nGC_831)**2d0)/(24d0*pi**2d0)
      coupl(nGC_TS_GC_53_Hh) = -coupl(nGC_53)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2894) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_343)*coupl(nGC_847) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_817) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364)*coupl&
                        (nGC_803) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_334)*coupl(nGC_335) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_371   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_382)*coupl(nGC_383) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_335) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343)*coupl&
                        (nGC_847) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_346)*coupl(nGC_817) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_364)*coupl(nGC_803   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_370)*coupl(nGC_371) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_382)*coupl(nGC_383) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334)*coupl&
                        (nGC_335) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_343)*coupl(nGC_847) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_817   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_364)*coupl(nGC_803) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_370)*coupl(nGC_371) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382)*coupl&
                        (nGC_383) + 6d0*cima*coupl(nGC_187)*coupl(nGC_813) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_31) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_789   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_358)*coupl(nGC_797) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_376)*coupl(nGC_819) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352)*coupl(    &
                        nGC_789) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_358)*coupl(nGC_797) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_376)*coupl(nGC_819) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352)*coupl(   &
                        nGC_789) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_358)*coupl(nGC_797) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_819) + 6d0*    &
                        coupl(nGC_187)*coupl(nGC_3)*coupl(nGC_811) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_31)*coupl(nGC_811))/(48d0*pi**2d0)
      coupl(nGC_2685) = coupl(nGC_351)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_351)**2d0 - coupl(nGC_354)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_789)**2d0 - coupl(nGC_801)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_3832) = coupl(nGC_13)*dZcR_QED2
      coupl(nGC_3542) = coupl(nGC_28)*dZHMinus_QED2 + coupl(nGC_2953)
      coupl(nGC_3414) = coupl(nGC_3119) + coupl(nGC_371)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_374)*dZtL_QED2/2d0 + coupl(nGC_374)*dZtR_QED2&
                        /2d0
      coupl(nGC_3543) = coupl(nGC_2968) + 2d0*coupl(nGC_56)*dZGMinusHMinus_QED2&
                         + 2d0*coupl(nGC_65)*dZHMinus_QED2
      coupl(nGC_2579) = coupl(nGC_197)*(Nc*coupl(nGC_334)*coupl(nGC_336) - Nc* &
                        coupl(nGC_339)*coupl(nGC_343) - Nc*coupl(nGC_346)*coupl&
                        (nGC_348) - Nc*coupl(nGC_364)*coupl(nGC_366) + Nc*coupl&
                        (nGC_370)*coupl(nGC_372) + Nc*coupl(nGC_382)*coupl(    &
                        nGC_384) - coupl(nGC_352)*coupl(nGC_354) - coupl(      &
                        nGC_358)*coupl(nGC_360) - coupl(nGC_376)*coupl(nGC_378 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2486) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_209&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_363)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_365)*coupl(nGC_803) + coupl(nGC_1)*coupl(  &
                        nGC_366)**2d0 + coupl(nGC_1)*coupl(nGC_368)*coupl(     &
                        nGC_835) + 4d0*coupl(nGC_197)**2d0*coupl(nGC_2) + 2d0* &
                        coupl(nGC_197)**2d0*coupl(nGC_831) + coupl(nGC_2)*coupl&
                        (nGC_334)**2d0 + coupl(nGC_2)*coupl(nGC_337)**2d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_2460) = (Nc*coupl(nGC_1)*coupl(nGC_334)**2d0 + Nc*coupl(nGC_1)*&
                        coupl(nGC_343)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_346)** &
                        2d0 + Nc*coupl(nGC_1)*coupl(nGC_364)**2d0 + Nc*coupl(  &
                        nGC_1)*coupl(nGC_370)**2d0 + Nc*coupl(nGC_1)*coupl(    &
                        nGC_382)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_334)**2d0 -  &
                        Nc*coupl(nGC_2)*coupl(nGC_343)**2d0 - Nc*coupl(nGC_2)* &
                        coupl(nGC_346)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_364)** &
                        2d0 - Nc*coupl(nGC_2)*coupl(nGC_370)**2d0 - Nc*coupl(  &
                        nGC_2)*coupl(nGC_382)**2d0 + coupl(nGC_352)**2d0*coupl(&
                        nGC_4) + coupl(nGC_358)**2d0*coupl(nGC_4) + coupl(     &
                        nGC_376)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_2461) = (Nc*coupl(nGC_1)*coupl(nGC_337)**2d0 + Nc*coupl(nGC_1)*&
                        coupl(nGC_340)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_349)** &
                        2d0 + Nc*coupl(nGC_1)*coupl(nGC_367)**2d0 + Nc*coupl(  &
                        nGC_1)*coupl(nGC_373)**2d0 + Nc*coupl(nGC_1)*coupl(    &
                        nGC_385)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_337)**2d0 -  &
                        Nc*coupl(nGC_2)*coupl(nGC_340)**2d0 - Nc*coupl(nGC_2)* &
                        coupl(nGC_349)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_367)** &
                        2d0 - Nc*coupl(nGC_2)*coupl(nGC_373)**2d0 - Nc*coupl(  &
                        nGC_2)*coupl(nGC_385)**2d0 + coupl(nGC_355)**2d0*coupl(&
                        nGC_4) + coupl(nGC_361)**2d0*coupl(nGC_4) + coupl(     &
                        nGC_379)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_2464) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_339) - 2d0*Nc*&
                        cMC*coupl(nGC_2)**2d0*coupl(nGC_336) - 2d0*Nc*cMD*coupl&
                        (nGC_1)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl(nGC_1)**&
                        2d0*coupl(nGC_366) - 2d0*Nc*cMT*coupl(nGC_2)**2d0*coupl&
                        (nGC_372) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_384 &
                        ) - 2d0*cME*coupl(nGC_354)*coupl(nGC_4)**2d0 - 2d0*cMM*&
                        coupl(nGC_360)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl(     &
                        nGC_378)*coupl(nGC_4)**2d0 + cima*coupl(nGC_272)*coupl(&
                        nGC_9) + coupl(nGC_272)*coupl(nGC_3)**2d0 + coupl(     &
                        nGC_272)*coupl(nGC_831)**2d0)/(8d0*pi**2d0)
      coupl(nGC_2465) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_342) - 2d0*Nc*&
                        cMC*coupl(nGC_2)**2d0*coupl(nGC_333) - 2d0*Nc*cMD*coupl&
                        (nGC_1)**2d0*coupl(nGC_345) - 2d0*Nc*cMS*coupl(nGC_1)**&
                        2d0*coupl(nGC_363) - 2d0*Nc*cMT*coupl(nGC_2)**2d0*coupl&
                        (nGC_369) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_381 &
                        ) - 2d0*cME*coupl(nGC_351)*coupl(nGC_4)**2d0 - 2d0*cMM*&
                        coupl(nGC_357)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl(     &
                        nGC_375)*coupl(nGC_4)**2d0 + cima*coupl(nGC_261)*coupl(&
                        nGC_9) + coupl(nGC_261)*coupl(nGC_3)**2d0 + coupl(     &
                        nGC_261)*coupl(nGC_831)**2d0)/(8d0*pi**2d0)
      coupl(nGC_3569) = coupl(nGC_2996) + coupl(nGC_38)*dZHa_QED2/2d0 + coupl( &
                        nGC_38)*dZHl_QED2 + coupl(nGC_41)*dZHaG0_QED2/2d0 +    &
                        coupl(nGC_47)*dZHhHl_QED2 + coupl(nGC_49)*dZG0Ha_QED2/ &
                        2d0
      coupl(nGC_2468) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339) -  &
                        Nc*cMB*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_339) - Nc*&
                        cMC*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_336) - Nc*cMC&
                        *coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_336) - Nc*cMD*  &
                        coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_348) - Nc*cMD*   &
                        coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_348) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_366) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_366) - Nc*cMT*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_372) - Nc*cMT*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_372) - Nc*cMU*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_384) - Nc*cMU*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_384) - cME*coupl(&
                        nGC_208)*coupl(nGC_354)*coupl(nGC_4) - cME*coupl(      &
                        nGC_211)*coupl(nGC_354)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_208)*coupl(nGC_360)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_211)*coupl(nGC_360)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_208)*coupl(nGC_378)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_211)*coupl(nGC_378)*coupl(nGC_4) + cima*coupl(     &
                        nGC_205)*coupl(nGC_272) + coupl(nGC_199)*coupl(nGC_272 &
                        )*coupl(nGC_3) + coupl(nGC_272)*coupl(nGC_811)*coupl(  &
                        nGC_831))/(8d0*pi**2d0)
      coupl(nGC_2469) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_342) -  &
                        Nc*cMB*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_342) - Nc*&
                        cMC*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_333) - Nc*cMC&
                        *coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_333) - Nc*cMD*  &
                        coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_345) - Nc*cMD*   &
                        coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_345) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_363) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_363) - Nc*cMT*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_369) - Nc*cMT*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_369) - Nc*cMU*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_381) - Nc*cMU*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_381) - cME*coupl(&
                        nGC_208)*coupl(nGC_351)*coupl(nGC_4) - cME*coupl(      &
                        nGC_211)*coupl(nGC_351)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_208)*coupl(nGC_357)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_211)*coupl(nGC_357)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_208)*coupl(nGC_375)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_211)*coupl(nGC_375)*coupl(nGC_4) + cima*coupl(     &
                        nGC_205)*coupl(nGC_261) + coupl(nGC_199)*coupl(nGC_261 &
                        )*coupl(nGC_3) + coupl(nGC_261)*coupl(nGC_811)*coupl(  &
                        nGC_831))/(8d0*pi**2d0)
      coupl(nGC_3833) = coupl(nGC_247)*dZG0Ha_QED2/2d0 + coupl(nGC_258)*       &
                        dZHMinus_QED2/2d0 + coupl(nGC_258)*dZHa_QED2/2d0 +     &
                        coupl(nGC_3019) + coupl(nGC_TS_GC_53_Hl) + coupl(      &
                        nGC_TS_GC_63_Hh)
      coupl(nGC_2874) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_206)*coupl(      &
                        nGC_343)*coupl(nGC_787) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_346)*coupl(nGC_821) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_364)*coupl(nGC_835) + 5d0*Nc*coupl(nGC_207)*coupl( &
                        nGC_334)*coupl(nGC_338) + 5d0*Nc*coupl(nGC_207)*coupl( &
                        nGC_370)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_207)*coupl( &
                        nGC_382)*coupl(nGC_386) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_334)*coupl(nGC_338) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_343)*coupl(nGC_787) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_346)*coupl(nGC_821) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_364)*coupl(nGC_835) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_370)*coupl(nGC_374) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_382)*coupl(nGC_386) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_334)*coupl(nGC_338) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_343)*coupl(nGC_787) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_346)*coupl(nGC_821) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_364)*coupl(nGC_835) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_370)*coupl(nGC_374) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_382)*coupl(nGC_386) + 5d0*coupl(nGC_208)*coupl(    &
                        nGC_352)*coupl(nGC_801) + 5d0*coupl(nGC_208)*coupl(    &
                        nGC_358)*coupl(nGC_885) + 5d0*coupl(nGC_208)*coupl(    &
                        nGC_376)*coupl(nGC_839) - 4d0*coupl(nGC_211)*coupl(    &
                        nGC_352)*coupl(nGC_801) - 4d0*coupl(nGC_211)*coupl(    &
                        nGC_358)*coupl(nGC_885) - 4d0*coupl(nGC_211)*coupl(    &
                        nGC_376)*coupl(nGC_839) - 4d0*coupl(nGC_212)*coupl(    &
                        nGC_352)*coupl(nGC_801) - 4d0*coupl(nGC_212)*coupl(    &
                        nGC_358)*coupl(nGC_885) - 4d0*coupl(nGC_212)*coupl(    &
                        nGC_376)*coupl(nGC_839))/(48d0*pi**2d0)
      coupl(nGC_3649) = coupl(nGC_3088) + coupl(nGC_363)*dZsL_QCD2/2d0 + coupl(&
                        nGC_363)*dZsR_QCD2/2d0
      coupl(nGC_3648) = coupl(nGC_3087) + coupl(nGC_363)*dZHl_QED2/2d0 + coupl(&
                        nGC_363)*dZsL_QED2/2d0 + coupl(nGC_363)*dZsR_QED2/2d0  &
                         + coupl(nGC_366)*dZHhHl_QED2/2d0
      coupl(nGC_3399) = coupl(nGC_232)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_3011)
      coupl(nGC_3398) = coupl(nGC_175)*dZHl_QED2/2d0 + coupl(nGC_181)*         &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_181)*dZHhHl_QED2/  &
                        2d0 + coupl(nGC_3009)
      coupl(nGC_3891) = -coupl(nGC_3074) - coupl(nGC_350)*dZdL_QCD2/2d0 - coupl&
                        (nGC_350)*dZdR_QCD2/2d0
      coupl(nGC_3393) = coupl(nGC_2999) + coupl(nGC_57)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_68)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_71)* &
                        dZHMinusGMinus_QED2 + coupl(nGC_74)*dZHMinusGMinus_QED2&
                        /2d0
      coupl(nGC_3640) = 2d0*coupl(nGC_15)*dZg_QCD2 + 2d0*coupl(nGC_3047)
      coupl(nGC_3643) = dZHMinusGMinus_QED2*(coupl(nGC_257) + coupl(nGC_258))/ &
                        2d0
      coupl(nGC_3642) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*          &
                        dZnu_eL_QED2 + coupl(nGC_3186)
      coupl(nGC_3645) = coupl(nGC_248)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3396) = coupl(nGC_175)*dZAZ_QED2/2d0 + coupl(nGC_22)*          &
                        dZHMinus_QED2/2d0 + coupl(nGC_22)*dZHh_QED2/2d0 + coupl&
                        (nGC_22)*dZWMinus_QED2/2d0 + coupl(nGC_22)*dZZ_QED2/2d0&
                         + coupl(nGC_23)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_23&
                        )*dZHlHh_QED2/2d0 + coupl(nGC_2983)
      coupl(nGC_3395) = coupl(nGC_174)*dZHhHl_QED2/2d0 + coupl(nGC_175)*       &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_181)*dZHMinus_QED2/&
                        2d0 + coupl(nGC_181)*dZHl_QED2/2d0 + coupl(nGC_3008)
      coupl(nGC_3995) = coupl(nGC_200)*dZZA_QED2/4d0 + coupl(nGC_3042)/2d0 +   &
                        coupl(nGC_6)*dZA_QED2/4d0
      coupl(nGC_3997) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_3996) = coupl(nGC_3296) + coupl(nGC_MHH)*dZHh_QED2 + coupl(    &
                        nGC_TS_GC_233_Hl) + coupl(nGC_TS_GC_235_Hh)
      coupl(nGC_3991) = -coupl(nGC_214)*dZHa_QED2/2d0 - coupl(nGC_214)*        &
                        dZHh_QED2/2d0 - coupl(nGC_214)*dZZ_QED2/2d0 - coupl(   &
                        nGC_215)*dZG0Ha_QED2/2d0 - coupl(nGC_215)*dZHlHh_QED2/ &
                        2d0 - coupl(nGC_3165)
      coupl(nGC_3990) = -coupl(nGC_MMW_GF)*dZGMinusHMinus_QED2/2d0 - coupl(    &
                        nGC_TS_GC_173_Hh) - coupl(nGC_TS_GC_178_Hl)
      coupl(nGC_3854) = -coupl(nGC_386)*dZG0/2d0
      coupl(nGC_3857) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_3830) = coupl(nGC_13)*dZcL_QED2
      coupl(nGC_3998) = -coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_3852) = -coupl(nGC_3115) - coupl(nGC_383)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_386)*dZuL_QED2/2d0 - coupl(nGC_386)*dZuR_QED2&
                        /2d0
      coupl(nGC_3577) = coupl(nGC_204)*dZWMinus_QED2 + coupl(nGC_3155)
      coupl(nGC_3367) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_197)*dZnu_muL_QED2/2d0 &
                         + coupl(nGC_3181)
      coupl(nGC_3364) = coupl(nGC_3114) + coupl(nGC_377)*dZHa_QED2/2d0 + coupl(&
                        nGC_377)*dZtauMinusL_QED2/2d0 + coupl(nGC_377)*        &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_380)*dZG0Ha_QED2/2d0
      coupl(nGC_3365) = -coupl(nGC_3114) - coupl(nGC_377)*dZHa_QED2/2d0 - coupl&
                        (nGC_377)*dZtauMinusL_QED2/2d0 - coupl(nGC_377)*       &
                        dZtauMinusR_QED2/2d0 - coupl(nGC_380)*dZG0Ha_QED2/2d0
      coupl(nGC_3362) = coupl(nGC_21)*dZHMinus_QED2/2d0 + coupl(nGC_21)*       &
                        dZHh_QED2/2d0 + coupl(nGC_24)*dZGMinusHMinus_QED2/2d0  &
                         + coupl(nGC_24)*dZHlHh_QED2/2d0 + coupl(nGC_2984)
      coupl(nGC_3360) = coupl(nGC_2998) + coupl(nGC_55)*dZHa_QED2/2d0 + coupl( &
                        nGC_67)*dZG0Ha_QED2/2d0 + coupl(nGC_70)*dZHaG0_QED2/2d0&
                         + coupl(nGC_72)*dZHMinusGMinus_QED2
      coupl(nGC_2687) = coupl(nGC_357)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_357)**2d0 - coupl(nGC_360)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_797)**2d0 - coupl(nGC_885)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2718) = coupl(nGC_13)**2d0*coupl(nGC_206)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3897) = coupl(nGC_I)*dZHMinus_QED2
      coupl(nGC_3369) = coupl(nGC_2992) + coupl(nGC_37)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_37)*dZHh_QED2 + coupl(nGC_42)*               &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_44)*               &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_46)*dZHlHh_QED2
      coupl(nGC_3025) = coupl(nGC_1465)*db_QED2 + coupl(nGC_1466)*dvev2_QED1 + &
                        coupl(nGC_1467)*dvev1_QED1 + coupl(nGC_1468)*dl2_QED4  &
                         + coupl(nGC_1469)*dl1_QED4 + coupl(nGC_1470)*dl4_QED4 &
                         + coupl(nGC_1471)*dl3_QED4 + coupl(nGC_1472)*da_QED2  &
                         + coupl(nGC_1473)*dl5_QED4
      coupl(nGC_3024) = coupl(nGC_1559)*db_QED2 + coupl(nGC_1560)*dvev2_QED1 + &
                        coupl(nGC_1561)*dvev1_QED1 + coupl(nGC_1562)*dl2_QED4  &
                         + coupl(nGC_1563)*dl1_QED4 + coupl(nGC_1564)*dl4_QED4 &
                         + coupl(nGC_1565)*dl3_QED4 + coupl(nGC_1566)*da_QED2  &
                         + coupl(nGC_1567)*dl5_QED4
      coupl(nGC_4048) = -coupl(nGC_2579)
      coupl(nGC_3026) = coupl(nGC_2362)*dvev2_QED1 + coupl(nGC_2363)*dvev1_QED1&
                         + coupl(nGC_2364)*dl2_QED4 + coupl(nGC_2365)*dl1_QED4 &
                         + coupl(nGC_2366)*dl4_QED4 + coupl(nGC_2367)*dl3_QED4 &
                         + coupl(nGC_2368)*da_QED2 + coupl(nGC_2369)*dl5_QED4
      coupl(nGC_3021) = coupl(nGC_2186)*dl4_QED4 + coupl(nGC_2187)*dl5_QED4 +  &
                        coupl(nGC_2188)*dvev2_QED1 + coupl(nGC_2189)*dvev1_QED1&
                         + coupl(nGC_2190)*db_QED2
      coupl(nGC_3020) = coupl(nGC_2171)*db_QED2 + coupl(nGC_2172)*dvev2_QED1 + &
                        coupl(nGC_2173)*dvev1_QED1 + coupl(nGC_2174)*dl2_QED4  &
                         + coupl(nGC_2175)*dl1_QED4 + coupl(nGC_2176)*dl4_QED4 &
                         + coupl(nGC_2177)*dl3_QED4 + coupl(nGC_2178)*da_QED2  &
                         + coupl(nGC_2179)*dl5_QED4
      coupl(nGC_3023) = coupl(nGC_1618)*dZee_QED2 + coupl(nGC_1619)*dsw_QED2 + &
                        coupl(nGC_1620)*dcw_QED2 + coupl(nGC_1621)*dvev1_QED1  &
                         + coupl(nGC_1622)*dvev2_QED1 + coupl(nGC_1623)*da_QED2
      coupl(nGC_3022) = coupl(nGC_2251)*db_QED2 + coupl(nGC_2252)*dvev2_QED1 + &
                        coupl(nGC_2253)*dvev1_QED1 + coupl(nGC_2254)*dl2_QED4  &
                         + coupl(nGC_2255)*dl1_QED4 + coupl(nGC_2256)*dl4_QED4 &
                         + coupl(nGC_2257)*dl3_QED4 + coupl(nGC_2258)*da_QED2  &
                         + coupl(nGC_2259)*dl5_QED4
      coupl(nGC_4042) = -coupl(nGC_2526)
      coupl(nGC_4043) = -coupl(nGC_2598)
      coupl(nGC_4041) = -coupl(nGC_2505)
      coupl(nGC_4046) = -coupl(nGC_2528)
      coupl(nGC_4047) = -coupl(nGC_2473)
      coupl(nGC_4045) = -coupl(nGC_2497)
      coupl(nGC_2945) = (6d0*Nc*cima*coupl(nGC_14)*coupl(nGC_893) - Nc*cima*   &
                        coupl(nGC_857)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_14)*   &
                        coupl(nGC_857)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_857)** &
                        2d0*coupl(nGC_893)*sq2**2d0 + 9d0*cima*coupl(nGC_13)** &
                        4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_2944) = (cima*coupl(nGC_14)**2d0 + 2d0*cima*coupl(nGC_14)*coupl&
                        (nGC_893) - cima*coupl(nGC_857)**4d0*sq2**4d0 + cima*  &
                        coupl(nGC_893)**2d0 - 2d0*coupl(nGC_14)*coupl(nGC_857  &
                        )**2d0*sq2**2d0 - 2d0*coupl(nGC_857)**2d0*coupl(nGC_893&
                        )*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_2947) = (6d0*Nc*cima*coupl(nGC_14)*coupl(nGC_893) - Nc*cima*   &
                        coupl(nGC_857)**4d0*sq2**4d0 - 6d0*Nc*coupl(nGC_857)** &
                        2d0*coupl(nGC_893)*sq2**2d0 + 9d0*cima*coupl(nGC_13)** &
                        4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_2414) = (-Nc*cMB**2d0*cima*coupl(nGC_340)**2d0 - Nc*cMB**2d0*  &
                        cima*coupl(nGC_373)**2d0 - Nc*cMC**2d0*cima*coupl(     &
                        nGC_337)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_367)**2d0 - &
                        Nc*cMD**2d0*cima*coupl(nGC_349)**2d0 - Nc*cMD**2d0*cima&
                        *coupl(nGC_385)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_337  &
                        )**2d0 - Nc*cMS**2d0*cima*coupl(nGC_367)**2d0 - Nc*cMT &
                        **2d0*cima*coupl(nGC_340)**2d0 - Nc*cMT**2d0*cima*coupl&
                        (nGC_373)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_349)**2d0  &
                         - Nc*cMU**2d0*cima*coupl(nGC_385)**2d0 - cME**2d0*cima&
                        *coupl(nGC_355)**2d0 - cMM**2d0*cima*coupl(nGC_361)**  &
                        2d0 - cMTA**2d0*cima*coupl(nGC_379)**2d0 - 2d0*cMW**2d0&
                        *coupl(nGC_100) - cMZ**2d0*coupl(nGC_229) + 2d0*cima*  &
                        coupl(nGC_237)**2d0 + 2d0*cima*coupl(nGC_324)**2d0)/(  &
                        16d0*pi**2d0)
      coupl(nGC_2413) = cima*(Nc*coupl(nGC_337)**2d0 + Nc*coupl(nGC_340)**2d0  &
                         + Nc*coupl(nGC_349)**2d0 + Nc*coupl(nGC_367)**2d0 + Nc&
                        *coupl(nGC_373)**2d0 + Nc*coupl(nGC_385)**2d0 + coupl( &
                        nGC_355)**2d0 + coupl(nGC_361)**2d0 + coupl(nGC_379)** &
                        2d0)/(48d0*pi**2d0)
      coupl(nGC_2412) = (-Nc*cMB**2d0*cima*coupl(nGC_343)**2d0 - Nc*cMB**2d0*  &
                        cima*coupl(nGC_370)**2d0 - Nc*cMC**2d0*cima*coupl(     &
                        nGC_334)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_364)**2d0 - &
                        Nc*cMD**2d0*cima*coupl(nGC_346)**2d0 - Nc*cMD**2d0*cima&
                        *coupl(nGC_382)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_334  &
                        )**2d0 - Nc*cMS**2d0*cima*coupl(nGC_364)**2d0 - Nc*cMT &
                        **2d0*cima*coupl(nGC_343)**2d0 - Nc*cMT**2d0*cima*coupl&
                        (nGC_370)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_346)**2d0  &
                         - Nc*cMU**2d0*cima*coupl(nGC_382)**2d0 - cME**2d0*cima&
                        *coupl(nGC_352)**2d0 - cMM**2d0*cima*coupl(nGC_358)**  &
                        2d0 - cMTA**2d0*cima*coupl(nGC_376)**2d0 - 2d0*cMW**2d0&
                        *coupl(nGC_100) - cMZ**2d0*coupl(nGC_229) + 2d0*cima*  &
                        coupl(nGC_231)**2d0 + 2d0*cima*coupl(nGC_321)**2d0)/(  &
                        16d0*pi**2d0)
      coupl(nGC_2411) = cima*(Nc*coupl(nGC_334)**2d0 + Nc*coupl(nGC_343)**2d0  &
                         + Nc*coupl(nGC_346)**2d0 + Nc*coupl(nGC_364)**2d0 + Nc&
                        *coupl(nGC_370)**2d0 + Nc*coupl(nGC_382)**2d0 + coupl( &
                        nGC_352)**2d0 + coupl(nGC_358)**2d0 + coupl(nGC_376)** &
                        2d0)/(48d0*pi**2d0)
      coupl(nGC_2410) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_341)*coupl(nGC_787) - &
                        4d0*Nc*cMC**2d0*cima*coupl(nGC_338)*coupl(nGC_815) -   &
                        4d0*Nc*cMD**2d0*cima*coupl(nGC_350)*coupl(nGC_821) -   &
                        4d0*Nc*cMS**2d0*cima*coupl(nGC_368)*coupl(nGC_835) -   &
                        4d0*Nc*cMT**2d0*cima*coupl(nGC_374)*coupl(nGC_873) -   &
                        4d0*Nc*cMU**2d0*cima*coupl(nGC_386)*coupl(nGC_897) -   &
                        4d0*cME**2d0*cima*coupl(nGC_356)*coupl(nGC_801) - 4d0* &
                        cMM**2d0*cima*coupl(nGC_362)*coupl(nGC_885) - 4d0*cMTA &
                        **2d0*cima*coupl(nGC_380)*coupl(nGC_839) - 2d0*cMW**2d0&
                        *coupl(nGC_100) - cMZ**2d0*coupl(nGC_230))/(16d0*pi**  &
                        2d0)
      coupl(nGC_3146) = coupl(nGC_1519)*dZee_QED2 + coupl(nGC_1520)*da_QED2 +  &
                        coupl(nGC_1521)*dsw_QED2 + coupl(nGC_1522)*db_QED2
      coupl(nGC_2747) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_206)**2d0 + coupl(nGC_345)**2d0 + coupl(nGC_346)** &
                        2d0 + coupl(nGC_347)*coupl(nGC_817) + coupl(nGC_348)** &
                        2d0 + coupl(nGC_349)**2d0 + coupl(nGC_350)*coupl(      &
                        nGC_821))/(64d0*pi**2d0*Nc)
      coupl(nGC_3144) = coupl(nGC_2293)*dZee_QED2 + coupl(nGC_2294)*dsw_QED2
      coupl(nGC_3145) = coupl(nGC_2042)*dZee_QED2 + coupl(nGC_2043)*da_QED2 +  &
                        coupl(nGC_2044)*dsw_QED2 + coupl(nGC_2045)*db_QED2
      coupl(nGC_2949) = -3d0*cima*coupl(nGC_13)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_3411) = coupl(nGC_2977) + coupl(nGC_54)*dZHMinusGMinus_QED2/2d0&
                         + coupl(nGC_54)*dZHaG0_QED2/2d0 + coupl(nGC_55)*      &
                        dZG0Ha_QED2/2d0 + coupl(nGC_55)*dZGMinusHMinus_QED2/2d0&
                         + coupl(nGC_72)*dZHMinus_QED2/2d0 + coupl(nGC_72)*    &
                        dZHa_QED2/2d0
      coupl(nGC_3140) = coupl(nGC_1587)*dZee_QED2 + coupl(nGC_1588)*dcw_QED2 + &
                        coupl(nGC_1589)*dsw_QED2
      coupl(nGC_2418) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_339)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_336)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_348)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_366)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_372)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_384)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_354)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_360)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_378 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_77) - cMZ**2d0*coupl(  &
                        nGC_224) + 2d0*cima*coupl(nGC_272)**2d0 + cima*coupl(  &
                        nGC_332)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2787) = cima*coupl(nGC_197)*(-4d0*Nc*coupl(nGC_1)*coupl(nGC_335&
                        )*coupl(nGC_337) + Nc*coupl(nGC_1)*coupl(nGC_340)*coupl&
                        (nGC_847) + Nc*coupl(nGC_1)*coupl(nGC_349)*coupl(      &
                        nGC_817) + Nc*coupl(nGC_1)*coupl(nGC_367)*coupl(nGC_803&
                        ) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_371)*coupl(nGC_373   &
                        ) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_383)*coupl(nGC_385   &
                        ) + Nc*coupl(nGC_2)*coupl(nGC_335)*coupl(nGC_337) - 4d0&
                        *Nc*coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_847) - 4d0*Nc&
                        *coupl(nGC_2)*coupl(nGC_349)*coupl(nGC_817) - 4d0*Nc*  &
                        coupl(nGC_2)*coupl(nGC_367)*coupl(nGC_803) + Nc*coupl( &
                        nGC_2)*coupl(nGC_371)*coupl(nGC_373) + Nc*coupl(nGC_2)*&
                        coupl(nGC_383)*coupl(nGC_385) + coupl(nGC_355)*coupl(  &
                        nGC_4)*coupl(nGC_789) + coupl(nGC_361)*coupl(nGC_4)*   &
                        coupl(nGC_797) + coupl(nGC_379)*coupl(nGC_4)*coupl(    &
                        nGC_819))/(48d0*pi**2d0)
      coupl(nGC_2784) = cima*(-8d0*Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_340&
                        )*coupl(nGC_343) - 8d0*Nc*coupl(nGC_1)*coupl(nGC_206)* &
                        coupl(nGC_346)*coupl(nGC_349) - 8d0*Nc*coupl(nGC_1)*   &
                        coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc* &
                        coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_334)*coupl(      &
                        nGC_337) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_207)*coupl(   &
                        nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_1)*coupl(   &
                        nGC_207)*coupl(nGC_382)*coupl(nGC_385) - 8d0*Nc*coupl( &
                        nGC_1)*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337) -  &
                        8d0*Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_370)*coupl&
                        (nGC_373) - 8d0*Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(  &
                        nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1)*coupl(   &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl( &
                        nGC_1)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349) +  &
                        5d0*Nc*coupl(nGC_1)*coupl(nGC_210)*coupl(nGC_364)*coupl&
                        (nGC_367) + 5d0*Nc*coupl(nGC_2)*coupl(nGC_206)*coupl(  &
                        nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_2)*coupl(   &
                        nGC_206)*coupl(nGC_346)*coupl(nGC_349) + 5d0*Nc*coupl( &
                        nGC_2)*coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_367) -  &
                        8d0*Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_334)*coupl&
                        (nGC_337) - 8d0*Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(  &
                        nGC_370)*coupl(nGC_373) - 8d0*Nc*coupl(nGC_2)*coupl(   &
                        nGC_207)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl( &
                        nGC_2)*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337) +  &
                        5d0*Nc*coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_370)*coupl&
                        (nGC_373) + 5d0*Nc*coupl(nGC_2)*coupl(nGC_209)*coupl(  &
                        nGC_382)*coupl(nGC_385) - 8d0*Nc*coupl(nGC_2)*coupl(   &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) - 8d0*Nc*coupl( &
                        nGC_2)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349) -  &
                        8d0*Nc*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_364)*coupl&
                        (nGC_367) - 8d0*coupl(nGC_208)*coupl(nGC_352)*coupl(   &
                        nGC_355)*coupl(nGC_4) - 8d0*coupl(nGC_208)*coupl(      &
                        nGC_358)*coupl(nGC_361)*coupl(nGC_4) - 8d0*coupl(      &
                        nGC_208)*coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_4) +  &
                        5d0*coupl(nGC_212)*coupl(nGC_352)*coupl(nGC_355)*coupl(&
                        nGC_4) + 5d0*coupl(nGC_212)*coupl(nGC_358)*coupl(      &
                        nGC_361)*coupl(nGC_4) + 5d0*coupl(nGC_212)*coupl(      &
                        nGC_376)*coupl(nGC_379)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_2681) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_345) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_345) - coupl(nGC_345 &
                        )**3d0 - coupl(nGC_345)*coupl(nGC_348)**2d0 - coupl(   &
                        nGC_345)*coupl(nGC_817)**2d0 - coupl(nGC_345)*coupl(   &
                        nGC_821)**2d0 - coupl(nGC_346)*coupl(nGC_381)*coupl(   &
                        nGC_382) - coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_2868) = cima*coupl(nGC_13)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_2869) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_2866) = cima*(10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_338)**2d0  &
                         + 40d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_338)*coupl(   &
                        nGC_815) + 10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_815)**&
                        2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_341)**2d0  &
                         + 40d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_341)*coupl(   &
                        nGC_787) + 10d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_787)**&
                        2d0 + 10d0*Nc*coupl(nGC_348)**2d0*coupl(nGC_350)**2d0  &
                         + 40d0*Nc*coupl(nGC_348)**2d0*coupl(nGC_350)*coupl(   &
                        nGC_821) + 10d0*Nc*coupl(nGC_348)**2d0*coupl(nGC_821)**&
                        2d0 + 10d0*Nc*coupl(nGC_366)**2d0*coupl(nGC_368)**2d0  &
                         + 40d0*Nc*coupl(nGC_366)**2d0*coupl(nGC_368)*coupl(   &
                        nGC_835) + 10d0*Nc*coupl(nGC_366)**2d0*coupl(nGC_835)**&
                        2d0 + 10d0*Nc*coupl(nGC_372)**2d0*coupl(nGC_374)**2d0  &
                         + 40d0*Nc*coupl(nGC_372)**2d0*coupl(nGC_374)*coupl(   &
                        nGC_873) + 10d0*Nc*coupl(nGC_372)**2d0*coupl(nGC_873)**&
                        2d0 + 10d0*Nc*coupl(nGC_384)**2d0*coupl(nGC_386)**2d0  &
                         + 40d0*Nc*coupl(nGC_384)**2d0*coupl(nGC_386)*coupl(   &
                        nGC_897) + 10d0*Nc*coupl(nGC_384)**2d0*coupl(nGC_897)**&
                        2d0 + 6d0*coupl(nGC_100)*coupl(nGC_77) + 3d0*coupl(    &
                        nGC_224)*coupl(nGC_230) + 10d0*coupl(nGC_354)**2d0*    &
                        coupl(nGC_356)**2d0 + 40d0*coupl(nGC_354)**2d0*coupl(  &
                        nGC_356)*coupl(nGC_801) + 10d0*coupl(nGC_354)**2d0*    &
                        coupl(nGC_801)**2d0 + 10d0*coupl(nGC_360)**2d0*coupl(  &
                        nGC_362)**2d0 + 40d0*coupl(nGC_360)**2d0*coupl(nGC_362 &
                        )*coupl(nGC_885) + 10d0*coupl(nGC_360)**2d0*coupl(     &
                        nGC_885)**2d0 + 10d0*coupl(nGC_378)**2d0*coupl(nGC_380 &
                        )**2d0 + 40d0*coupl(nGC_378)**2d0*coupl(nGC_380)*coupl(&
                        nGC_839) + 10d0*coupl(nGC_378)**2d0*coupl(nGC_839)**2d0&
                        )/(48d0*pi**2d0)
      coupl(nGC_2867) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_2864) = (-8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_338)*coupl(&
                        nGC_815) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(      &
                        nGC_341)*coupl(nGC_787) - 8d0*Nc*cima*coupl(nGC_197)** &
                        2d0*coupl(nGC_350)*coupl(nGC_821) - 8d0*Nc*cima*coupl( &
                        nGC_197)**2d0*coupl(nGC_368)*coupl(nGC_835) - 8d0*Nc*  &
                        cima*coupl(nGC_197)**2d0*coupl(nGC_374)*coupl(nGC_873  &
                        ) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_386)*    &
                        coupl(nGC_897) + 6d0*cima*coupl(nGC_100)*coupl(nGC_827 &
                        ) + 3d0*cima*coupl(nGC_195)*coupl(nGC_230) - 8d0*cima* &
                        coupl(nGC_197)**2d0*coupl(nGC_356)*coupl(nGC_801) - 8d0&
                        *cima*coupl(nGC_197)**2d0*coupl(nGC_362)*coupl(nGC_885 &
                        ) - 8d0*cima*coupl(nGC_197)**2d0*coupl(nGC_380)*coupl( &
                        nGC_839) + 6d0*coupl(nGC_100)*coupl(nGC_198)*coupl(    &
                        nGC_811) + 6d0*coupl(nGC_100)*coupl(nGC_4)*coupl(      &
                        nGC_831) + 6d0*coupl(nGC_199)*coupl(nGC_230)*coupl(    &
                        nGC_791))/(48d0*pi**2d0)
      coupl(nGC_2860) = cima*(20d0*Nc*coupl(nGC_338)**2d0*coupl(nGC_815)**2d0  &
                         + 20d0*Nc*coupl(nGC_341)**2d0*coupl(nGC_787)**2d0 +   &
                        20d0*Nc*coupl(nGC_350)**2d0*coupl(nGC_821)**2d0 + 20d0*&
                        Nc*coupl(nGC_368)**2d0*coupl(nGC_835)**2d0 + 20d0*Nc*  &
                        coupl(nGC_374)**2d0*coupl(nGC_873)**2d0 + 20d0*Nc*coupl&
                        (nGC_386)**2d0*coupl(nGC_897)**2d0 + 6d0*coupl(nGC_100 &
                        )**2d0 + 3d0*coupl(nGC_230)**2d0 + 20d0*coupl(nGC_356  &
                        )**2d0*coupl(nGC_801)**2d0 + 20d0*coupl(nGC_362)**2d0* &
                        coupl(nGC_885)**2d0 + 20d0*coupl(nGC_380)**2d0*coupl(  &
                        nGC_839)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3090) = coupl(nGC_1139)*dyd13x3_QED1_QCD2 + coupl(nGC_1140)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_TS_GC_250_Hh) = -coupl(nGC_250)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2575) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_343)**2d0 + 2d0*Nc&
                        *cMB*coupl(nGC_339)*coupl(nGC_370)**2d0 + 2d0*Nc*cMB*  &
                        coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372) + 2d0*Nc* &
                        cMC*coupl(nGC_334)**2d0*coupl(nGC_336) + 2d0*Nc*cMC*   &
                        coupl(nGC_334)*coupl(nGC_364)*coupl(nGC_366) + 2d0*Nc* &
                        cMC*coupl(nGC_336)*coupl(nGC_364)**2d0 + 2d0*Nc*cMD*   &
                        coupl(nGC_346)**2d0*coupl(nGC_348) + 2d0*Nc*cMD*coupl( &
                        nGC_346)*coupl(nGC_382)*coupl(nGC_384) + 2d0*Nc*cMD*   &
                        coupl(nGC_348)*coupl(nGC_382)**2d0 + 2d0*Nc*cMS*coupl( &
                        nGC_334)**2d0*coupl(nGC_366) + 2d0*Nc*cMS*coupl(nGC_334&
                        )*coupl(nGC_336)*coupl(nGC_364) + 2d0*Nc*cMS*coupl(    &
                        nGC_364)**2d0*coupl(nGC_366) + 2d0*Nc*cMT*coupl(nGC_339&
                        )*coupl(nGC_343)*coupl(nGC_370) + 2d0*Nc*cMT*coupl(    &
                        nGC_343)**2d0*coupl(nGC_372) + 2d0*Nc*cMT*coupl(nGC_370&
                        )**2d0*coupl(nGC_372) + 2d0*Nc*cMU*coupl(nGC_346)**2d0*&
                        coupl(nGC_384) + 2d0*Nc*cMU*coupl(nGC_346)*coupl(      &
                        nGC_348)*coupl(nGC_382) + 2d0*Nc*cMU*coupl(nGC_382)**  &
                        2d0*coupl(nGC_384) + 2d0*cME*coupl(nGC_352)**2d0*coupl(&
                        nGC_354) + 2d0*cMM*coupl(nGC_358)**2d0*coupl(nGC_360   &
                        ) + 2d0*cMTA*coupl(nGC_376)**2d0*coupl(nGC_378) + 2d0* &
                        cima*coupl(nGC_100)*coupl(nGC_272) + 4d0*cima*coupl(   &
                        nGC_175)*coupl(nGC_321) + 4d0*cima*coupl(nGC_22)*coupl(&
                        nGC_231) + cima*coupl(nGC_229)*coupl(nGC_332))/(16d0*pi&
                        **2d0)
      coupl(nGC_3093) = coupl(nGC_1346)*db_QED2 + coupl(nGC_1347)*dyd12x2_QED3 &
                         + coupl(nGC_1348)*dys2_QED3
      coupl(nGC_3094) = coupl(nGC_1347)*dyd12x2_QED1_QCD2 + coupl(nGC_1348)*   &
                        dys2_QED1_QCD2
      coupl(nGC_2712) = coupl(nGC_13)**2d0*coupl(nGC_210)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3096) = coupl(nGC_1991)*dyd13x3_QED1_QCD2 + coupl(nGC_1992)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3345) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZuL_QCD2 + &
                        coupl(nGC_3180)
      coupl(nGC_2760) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_197)**2d0 + 4d0*coupl(&
                        nGC_2)**2d0 + 4d0*coupl(nGC_210)**2d0 + coupl(nGC_340  &
                        )**2d0 + coupl(nGC_343)**2d0 + coupl(nGC_369)**2d0 +   &
                        coupl(nGC_371)*coupl(nGC_795) + coupl(nGC_372)**2d0 +  &
                        coupl(nGC_374)*coupl(nGC_873))/(64d0*pi**2d0)
      coupl(nGC_3099) = coupl(nGC_1969)*db_QED2 + coupl(nGC_1970)*dytau2_QED3  &
                         + coupl(nGC_1971)*dytau1_QED3
      coupl(nGC_2749) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_206)**2d0 - coupl(nGC_345)**2d0 - coupl(nGC_346)** &
                        2d0 - coupl(nGC_347)*coupl(nGC_817) - coupl(nGC_348)** &
                        2d0 - coupl(nGC_349)**2d0 - coupl(nGC_350)*coupl(      &
                        nGC_821))/(64d0*pi**2d0)
      coupl(nGC_2850) = cima*(5d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(      &
                        nGC_337)*coupl(nGC_338) + 5d0*Nc*coupl(nGC_334)*coupl( &
                        nGC_336)*coupl(nGC_337)*coupl(nGC_815) + 5d0*Nc*coupl( &
                        nGC_334)*coupl(nGC_336)*coupl(nGC_367)*coupl(nGC_835   &
                        ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_366 &
                        )*coupl(nGC_368) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337 &
                        )*coupl(nGC_366)*coupl(nGC_835) + 5d0*Nc*coupl(nGC_334 &
                        )*coupl(nGC_366)*coupl(nGC_367)*coupl(nGC_815) + 5d0*Nc&
                        *coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_364)*coupl(   &
                        nGC_368) + 5d0*Nc*coupl(nGC_336)*coupl(nGC_338)*coupl( &
                        nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_336)*coupl( &
                        nGC_364)*coupl(nGC_367)*coupl(nGC_815) + 5d0*Nc*coupl( &
                        nGC_337)*coupl(nGC_338)*coupl(nGC_364)*coupl(nGC_366   &
                        ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_341 &
                        )*coupl(nGC_343) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340 &
                        )*coupl(nGC_343)*coupl(nGC_787) + 5d0*Nc*coupl(nGC_339 &
                        )*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_873) + 5d0*Nc&
                        *coupl(nGC_339)*coupl(nGC_341)*coupl(nGC_370)*coupl(   &
                        nGC_373) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_343)*coupl( &
                        nGC_373)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_339)*coupl( &
                        nGC_370)*coupl(nGC_373)*coupl(nGC_787) + 5d0*Nc*coupl( &
                        nGC_340)*coupl(nGC_343)*coupl(nGC_372)*coupl(nGC_374   &
                        ) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_372 &
                        )*coupl(nGC_873) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_370 &
                        )*coupl(nGC_372)*coupl(nGC_787) + 5d0*Nc*coupl(nGC_341 &
                        )*coupl(nGC_343)*coupl(nGC_372)*coupl(nGC_373) + 5d0*Nc&
                        *coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_349)*coupl(   &
                        nGC_350) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*coupl( &
                        nGC_349)*coupl(nGC_821) + 5d0*Nc*coupl(nGC_346)*coupl( &
                        nGC_348)*coupl(nGC_385)*coupl(nGC_386) + 5d0*Nc*coupl( &
                        nGC_346)*coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_386   &
                        ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_384 &
                        )*coupl(nGC_897) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_350 &
                        )*coupl(nGC_384)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_348 &
                        )*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_897) + 5d0*Nc&
                        *coupl(nGC_348)*coupl(nGC_350)*coupl(nGC_382)*coupl(   &
                        nGC_385) + 5d0*Nc*coupl(nGC_348)*coupl(nGC_382)*coupl( &
                        nGC_385)*coupl(nGC_821) + 5d0*Nc*coupl(nGC_349)*coupl( &
                        nGC_382)*coupl(nGC_384)*coupl(nGC_821) + 5d0*Nc*coupl( &
                        nGC_364)*coupl(nGC_366)*coupl(nGC_367)*coupl(nGC_368   &
                        ) + 5d0*Nc*coupl(nGC_364)*coupl(nGC_366)*coupl(nGC_367 &
                        )*coupl(nGC_835) + 5d0*Nc*coupl(nGC_370)*coupl(nGC_372 &
                        )*coupl(nGC_373)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_370 &
                        )*coupl(nGC_372)*coupl(nGC_373)*coupl(nGC_873) + 5d0*Nc&
                        *coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385)*coupl(   &
                        nGC_386) + 5d0*Nc*coupl(nGC_382)*coupl(nGC_384)*coupl( &
                        nGC_385)*coupl(nGC_897) + 6d0*coupl(nGC_175)*coupl(    &
                        nGC_187) + 6d0*coupl(nGC_22)*coupl(nGC_31) + 5d0*coupl(&
                        nGC_352)*coupl(nGC_354)*coupl(nGC_355)*coupl(nGC_356   &
                        ) + 5d0*coupl(nGC_352)*coupl(nGC_354)*coupl(nGC_355)*  &
                        coupl(nGC_801) + 5d0*coupl(nGC_358)*coupl(nGC_360)*    &
                        coupl(nGC_361)*coupl(nGC_362) + 5d0*coupl(nGC_358)*    &
                        coupl(nGC_360)*coupl(nGC_361)*coupl(nGC_885) + 5d0*    &
                        coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_379)*coupl(    &
                        nGC_380) + 5d0*coupl(nGC_376)*coupl(nGC_378)*coupl(    &
                        nGC_379)*coupl(nGC_839))/(48d0*pi**2d0)
      coupl(nGC_3756) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbL_QED2 +   &
                        coupl(nGC_209)*dZZA_QED2/2d0 + coupl(nGC_3179)
      coupl(nGC_3347) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZuR_QCD2 + &
                        coupl(nGC_3180)
      coupl(nGC_3933) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_206)*dZZ_QED2/  &
                        2d0 + coupl(nGC_206)*dZsR_QED2 + coupl(nGC_3185)
      coupl(nGC_3616) = coupl(nGC_245)*dZG0/2d0
      coupl(nGC_2425) = (Nc*cMB**2d0*cima*coupl(nGC_197)**2d0 + Nc*cMC**2d0*   &
                        cima*coupl(nGC_197)**2d0 + Nc*cMD**2d0*cima*coupl(     &
                        nGC_197)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_197)**2d0 + &
                        Nc*cMT**2d0*cima*coupl(nGC_197)**2d0 + Nc*cMU**2d0*cima&
                        *coupl(nGC_197)**2d0 + cME**2d0*cima*coupl(nGC_197)**  &
                        2d0 + cMM**2d0*cima*coupl(nGC_197)**2d0 + cMTA**2d0*   &
                        cima*coupl(nGC_197)**2d0 + cMW**2d0*cima*coupl(nGC_198 &
                        )*coupl(nGC_811) + cMW**2d0*cima*coupl(nGC_199)*coupl( &
                        nGC_791) + cMW**2d0*cima*coupl(nGC_3)*coupl(nGC_861) + &
                        cMW**2d0*cima*coupl(nGC_4)*coupl(nGC_831) - 2d0*cMW**  &
                        2d0*coupl(nGC_827) + cMZ**2d0*cima*coupl(nGC_198)*coupl&
                        (nGC_811) + cMZ**2d0*cima*coupl(nGC_199)*coupl(nGC_791 &
                        ) - cMZ**2d0*coupl(nGC_195))/(16d0*pi**2d0)
      coupl(nGC_3731) = coupl(nGC_3092) + coupl(nGC_347)*dZdL_QCD2/2d0 + coupl(&
                        nGC_347)*dZdR_QCD2/2d0
      coupl(nGC_3730) = coupl(nGC_3091) + coupl(nGC_347)*dZHa_QED2/2d0 + coupl(&
                        nGC_347)*dZdL_QED2/2d0 + coupl(nGC_347)*dZdR_QED2/2d0  &
                         + coupl(nGC_350)*dZG0Ha_QED2/2d0
      coupl(nGC_3733) = -coupl(nGC_3092) - coupl(nGC_347)*dZdL_QCD2/2d0 - coupl&
                        (nGC_347)*dZdR_QCD2/2d0
      coupl(nGC_3732) = -coupl(nGC_3091) - coupl(nGC_347)*dZHa_QED2/2d0 - coupl&
                        (nGC_347)*dZdL_QED2/2d0 - coupl(nGC_347)*dZdR_QED2/2d0 &
                         - coupl(nGC_350)*dZG0Ha_QED2/2d0
      coupl(nGC_3735) = coupl(nGC_2970) + coupl(nGC_54)*dZHMinusGMinus_QED2 +  &
                        coupl(nGC_55)*dZG0Ha_QED2 + coupl(nGC_70)*dZHa_QED2
      coupl(nGC_3614) = coupl(nGC_100)*dZHa_QED2 + coupl(nGC_100)*dZWMinus_QED2&
                         + coupl(nGC_3151)
      coupl(nGC_3737) = coupl(nGC_3300) + coupl(nGC_MM)*dZmuMinusL_QED2/2d0 +  &
                        coupl(nGC_MM)*dZmuMinusR_QED2/2d0 + coupl(             &
                        nGC_TS_GC_357_Hl) + coupl(nGC_TS_GC_360_Hh)
      coupl(nGC_3736) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_3739) = -coupl(nGC_184)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3738) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_3776) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_207)*dZZ_QED2/  &
                        2d0 + coupl(nGC_207)*dZuR_QED2 + coupl(nGC_3182)
      coupl(nGC_3615) = coupl(nGC_245)*dZHa_QED2/2d0 + coupl(nGC_245)*dZHh_QED2&
                        /2d0 + coupl(nGC_250)*dZG0Ha_QED2/2d0 + coupl(nGC_253)*&
                        dZHlHh_QED2/2d0 + coupl(nGC_254)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_3031) + coupl(nGC_TS_GC_39_Hh) + coupl(      &
                        nGC_TS_GC_47_Hl)
      coupl(nGC_4033) = -coupl(nGC_2461)
      coupl(nGC_4031) = -coupl(nGC_2502)
      coupl(nGC_4030) = -coupl(nGC_2599)
      coupl(nGC_3946) = coupl(nGC_3309) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl( &
                        nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_3978) = -coupl(nGC_MZ_GF)*dZG0Ha_QED2/2d0 + coupl(             &
                        nGC_TS_GC_214_Hh) + coupl(nGC_TS_GC_215_Hl)
      coupl(nGC_3415) = coupl(nGC_3120) + coupl(nGC_374)*dZtL_QCD2/2d0 + coupl(&
                        nGC_374)*dZtR_QCD2/2d0
      coupl(nGC_3945) = coupl(nGC_3308) + coupl(nGC_MD)*dZdL_QED2/2d0 + coupl( &
                        nGC_MD)*dZdR_QED2/2d0 + coupl(nGC_TS_GC_345_Hl) + coupl&
                        (nGC_TS_GC_348_Hh)
      coupl(nGC_2762) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_197)**2d0 - 4d0*coupl&
                        (nGC_2)**2d0 - 4d0*coupl(nGC_210)**2d0 - coupl(nGC_346 &
                        )**2d0 - coupl(nGC_349)**2d0 - coupl(nGC_381)**2d0 -   &
                        coupl(nGC_383)*coupl(nGC_809) - coupl(nGC_384)**2d0 -  &
                        coupl(nGC_386)*coupl(nGC_897))/(64d0*pi**2d0*Nc)
      coupl(nGC_3829) = coupl(nGC_13)*dZcL_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3180)
      coupl(nGC_2823) = (-4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_337)**2d0  &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_340)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_349)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_367)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_373)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_385)**2d0 &
                         + 6d0*cima*coupl(nGC_100)*coupl(nGC_827) + 3d0*cima*  &
                        coupl(nGC_195)*coupl(nGC_229) - 4d0*cima*coupl(nGC_197 &
                        )**2d0*coupl(nGC_355)**2d0 - 4d0*cima*coupl(nGC_197)** &
                        2d0*coupl(nGC_361)**2d0 - 4d0*cima*coupl(nGC_197)**2d0*&
                        coupl(nGC_379)**2d0 + 6d0*cima*coupl(nGC_205)*coupl(   &
                        nGC_221) + 3d0*cima*coupl(nGC_29)*coupl(nGC_9) + 6d0*  &
                        coupl(nGC_100)*coupl(nGC_198)*coupl(nGC_811) + 6d0*    &
                        coupl(nGC_100)*coupl(nGC_4)*coupl(nGC_831) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_221)*coupl(nGC_861) + 6d0*coupl(    &
                        nGC_199)*coupl(nGC_229)*coupl(nGC_791) + 6d0*coupl(    &
                        nGC_221)*coupl(nGC_3)*coupl(nGC_791) + 6d0*coupl(nGC_29&
                        )*coupl(nGC_3)*coupl(nGC_861))/(48d0*pi**2d0)
      coupl(nGC_3828) = -coupl(nGC_3112) - coupl(nGC_353)*dZHa_QED2/2d0 - coupl&
                        (nGC_353)*dZeMinusL_QED2/2d0 - coupl(nGC_353)*         &
                        dZeMinusR_QED2/2d0 - coupl(nGC_356)*dZG0Ha_QED2/2d0
      coupl(nGC_2523) = coupl(nGC_197)*(-Nc*coupl(nGC_337)*coupl(nGC_338) + Nc*&
                        coupl(nGC_340)*coupl(nGC_787) + Nc*coupl(nGC_349)*coupl&
                        (nGC_821) + Nc*coupl(nGC_367)*coupl(nGC_835) - Nc*coupl&
                        (nGC_373)*coupl(nGC_374) - Nc*coupl(nGC_385)*coupl(    &
                        nGC_386) + coupl(nGC_355)*coupl(nGC_801) + coupl(      &
                        nGC_361)*coupl(nGC_885) + coupl(nGC_379)*coupl(nGC_839 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2522) = (Nc*cMB*coupl(nGC_340)*coupl(nGC_341)*coupl(nGC_343) + &
                        Nc*cMB*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_787) +  &
                        Nc*cMB*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_873) +  &
                        Nc*cMB*coupl(nGC_341)*coupl(nGC_370)*coupl(nGC_373) +  &
                        Nc*cMB*coupl(nGC_343)*coupl(nGC_373)*coupl(nGC_374) +  &
                        Nc*cMB*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_787) +  &
                        Nc*cMC*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_338) +  &
                        Nc*cMC*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_815) +  &
                        Nc*cMC*coupl(nGC_334)*coupl(nGC_367)*coupl(nGC_835) +  &
                        Nc*cMC*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_368) +  &
                        Nc*cMC*coupl(nGC_338)*coupl(nGC_364)*coupl(nGC_367) +  &
                        Nc*cMC*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_815) +  &
                        Nc*cMD*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_350) +  &
                        Nc*cMD*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_821) +  &
                        Nc*cMD*coupl(nGC_346)*coupl(nGC_385)*coupl(nGC_386) +  &
                        Nc*cMD*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_897) +  &
                        Nc*cMD*coupl(nGC_350)*coupl(nGC_382)*coupl(nGC_385) +  &
                        Nc*cMD*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_821) +  &
                        Nc*cMS*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_368) +  &
                        Nc*cMS*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_835) +  &
                        Nc*cMS*coupl(nGC_334)*coupl(nGC_367)*coupl(nGC_815) +  &
                        Nc*cMS*coupl(nGC_337)*coupl(nGC_338)*coupl(nGC_364) +  &
                        Nc*cMS*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_368) +  &
                        Nc*cMS*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_835) +  &
                        Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_374) +  &
                        Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_873) +  &
                        Nc*cMT*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_787) +  &
                        Nc*cMT*coupl(nGC_341)*coupl(nGC_343)*coupl(nGC_373) +  &
                        Nc*cMT*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_374) +  &
                        Nc*cMT*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_873) +  &
                        Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_386) +  &
                        Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_897) +  &
                        Nc*cMU*coupl(nGC_346)*coupl(nGC_350)*coupl(nGC_385) +  &
                        Nc*cMU*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_821) +  &
                        Nc*cMU*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_386) +  &
                        Nc*cMU*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_897) +  &
                        cME*coupl(nGC_352)*coupl(nGC_355)*coupl(nGC_356) + cME*&
                        coupl(nGC_352)*coupl(nGC_355)*coupl(nGC_801) + cMM*    &
                        coupl(nGC_358)*coupl(nGC_361)*coupl(nGC_362) + cMM*    &
                        coupl(nGC_358)*coupl(nGC_361)*coupl(nGC_885) + cMTA*   &
                        coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_380) + cMTA*   &
                        coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_839) + 2d0*cima&
                        *coupl(nGC_187)*coupl(nGC_321) + 2d0*cima*coupl(nGC_231&
                        )*coupl(nGC_31))/(16d0*pi**2d0)
      coupl(nGC_2648) = coupl(nGC_13)**2d0*coupl(nGC_339)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3940) = coupl(nGC_218)*dZZA_QED2/2d0 + coupl(nGC_26)*dZA_QED2/ &
                        2d0 + coupl(nGC_26)*dZHMinus_QED2 + coupl(nGC_3043)
      coupl(nGC_2525) = coupl(nGC_197)*(-Nc*coupl(nGC_335)*coupl(nGC_337) + Nc*&
                        coupl(nGC_340)*coupl(nGC_847) + Nc*coupl(nGC_349)*coupl&
                        (nGC_817) + Nc*coupl(nGC_367)*coupl(nGC_803) - Nc*coupl&
                        (nGC_371)*coupl(nGC_373) - Nc*coupl(nGC_383)*coupl(    &
                        nGC_385) + coupl(nGC_355)*coupl(nGC_789) + coupl(      &
                        nGC_361)*coupl(nGC_797) + coupl(nGC_379)*coupl(nGC_819 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2642) = (12d0*Nc*cMB*coupl(nGC_339)**2d0*coupl(nGC_342) + 12d0*&
                        Nc*cMC*coupl(nGC_333)*coupl(nGC_336)**2d0 + 12d0*Nc*cMD&
                        *coupl(nGC_345)*coupl(nGC_348)**2d0 + 12d0*Nc*cMS*coupl&
                        (nGC_363)*coupl(nGC_366)**2d0 + 12d0*Nc*cMT*coupl(     &
                        nGC_369)*coupl(nGC_372)**2d0 + 12d0*Nc*cMU*coupl(      &
                        nGC_381)*coupl(nGC_384)**2d0 + 12d0*cME*coupl(nGC_351)*&
                        coupl(nGC_354)**2d0 + 12d0*cMM*coupl(nGC_357)*coupl(   &
                        nGC_360)**2d0 + 12d0*cMTA*coupl(nGC_375)*coupl(nGC_378 &
                        )**2d0 + cima*coupl(nGC_224)*coupl(nGC_329) + 2d0*cima*&
                        coupl(nGC_261)*coupl(nGC_77))/(16d0*pi**2d0)
      coupl(nGC_2643) = (12d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_342)**2d0 + 12d0*&
                        Nc*cMC*coupl(nGC_333)**2d0*coupl(nGC_336) + 12d0*Nc*cMD&
                        *coupl(nGC_345)**2d0*coupl(nGC_348) + 12d0*Nc*cMS*coupl&
                        (nGC_363)**2d0*coupl(nGC_366) + 12d0*Nc*cMT*coupl(     &
                        nGC_369)**2d0*coupl(nGC_372) + 12d0*Nc*cMU*coupl(      &
                        nGC_381)**2d0*coupl(nGC_384) + 12d0*cME*coupl(nGC_351  &
                        )**2d0*coupl(nGC_354) + 12d0*cMM*coupl(nGC_357)**2d0*  &
                        coupl(nGC_360) + 12d0*cMTA*coupl(nGC_375)**2d0*coupl(  &
                        nGC_378) + cima*coupl(nGC_224)*coupl(nGC_332) + 2d0*   &
                        cima*coupl(nGC_272)*coupl(nGC_77))/(16d0*pi**2d0)
      coupl(nGC_2640) = coupl(nGC_13)**2d0*coupl(nGC_383)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2641) = 3d0*(4d0*Nc*cMB*coupl(nGC_339)**3d0 + 4d0*Nc*cMC*coupl(&
                        nGC_336)**3d0 + 4d0*Nc*cMD*coupl(nGC_348)**3d0 + 4d0*Nc&
                        *cMS*coupl(nGC_366)**3d0 + 4d0*Nc*cMT*coupl(nGC_372)** &
                        3d0 + 4d0*Nc*cMU*coupl(nGC_384)**3d0 + 4d0*cME*coupl(  &
                        nGC_354)**3d0 + 4d0*cMM*coupl(nGC_360)**3d0 + 4d0*cMTA*&
                        coupl(nGC_378)**3d0 + cima*coupl(nGC_224)*coupl(nGC_332&
                        ) + 2d0*cima*coupl(nGC_272)*coupl(nGC_77))/(16d0*pi**  &
                        2d0)
      coupl(nGC_2646) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_339) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_339) - coupl(nGC_339 &
                        )**3d0 - coupl(nGC_339)*coupl(nGC_342)**2d0 - coupl(   &
                        nGC_339)*coupl(nGC_787)**2d0 - coupl(nGC_339)*coupl(   &
                        nGC_847)**2d0 - coupl(nGC_340)*coupl(nGC_372)*coupl(   &
                        nGC_373) - coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_2647) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_339) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_339) - coupl(nGC_339 &
                        )**3d0 - coupl(nGC_339)*coupl(nGC_341)**2d0 - coupl(   &
                        nGC_339)*coupl(nGC_342)**2d0 - coupl(nGC_339)*coupl(   &
                        nGC_344)**2d0 - coupl(nGC_340)*coupl(nGC_372)*coupl(   &
                        nGC_373) - coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_2644) = (-2d0*Nc*cMB*coupl(nGC_197)**2d0*coupl(nGC_339) - 2d0* &
                        Nc*cMC*coupl(nGC_197)**2d0*coupl(nGC_336) - 2d0*Nc*cMD*&
                        coupl(nGC_197)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl( &
                        nGC_197)**2d0*coupl(nGC_366) - 2d0*Nc*cMT*coupl(nGC_197&
                        )**2d0*coupl(nGC_372) - 2d0*Nc*cMU*coupl(nGC_197)**2d0*&
                        coupl(nGC_384) - 2d0*cME*coupl(nGC_197)**2d0*coupl(    &
                        nGC_354) - 2d0*cMM*coupl(nGC_197)**2d0*coupl(nGC_360   &
                        ) - 2d0*cMTA*coupl(nGC_197)**2d0*coupl(nGC_378) + cima*&
                        coupl(nGC_195)*coupl(nGC_332) + 2d0*cima*coupl(nGC_272 &
                        )*coupl(nGC_827) + 2d0*coupl(nGC_198)*coupl(nGC_272)*  &
                        coupl(nGC_811) + 2d0*coupl(nGC_199)*coupl(nGC_332)*    &
                        coupl(nGC_791) + 2d0*coupl(nGC_272)*coupl(nGC_4)*coupl(&
                        nGC_831))/(16d0*pi**2d0)
      coupl(nGC_2645) = (-2d0*Nc*cMB*coupl(nGC_206)**2d0*coupl(nGC_339) + 2d0* &
                        Nc*cMB*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_339) -  &
                        2d0*Nc*cMB*coupl(nGC_209)**2d0*coupl(nGC_339) - 2d0*Nc*&
                        cMC*coupl(nGC_207)**2d0*coupl(nGC_336) + 2d0*Nc*cMC*   &
                        coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_336) - 2d0*Nc* &
                        cMC*coupl(nGC_210)**2d0*coupl(nGC_336) - 2d0*Nc*cMD*   &
                        coupl(nGC_206)**2d0*coupl(nGC_348) + 2d0*Nc*cMD*coupl( &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_348) - 2d0*Nc*cMD*   &
                        coupl(nGC_209)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl( &
                        nGC_206)**2d0*coupl(nGC_366) + 2d0*Nc*cMS*coupl(nGC_206&
                        )*coupl(nGC_209)*coupl(nGC_366) - 2d0*Nc*cMS*coupl(    &
                        nGC_209)**2d0*coupl(nGC_366) - 2d0*Nc*cMT*coupl(nGC_207&
                        )**2d0*coupl(nGC_372) + 2d0*Nc*cMT*coupl(nGC_207)*coupl&
                        (nGC_210)*coupl(nGC_372) - 2d0*Nc*cMT*coupl(nGC_210)** &
                        2d0*coupl(nGC_372) - 2d0*Nc*cMU*coupl(nGC_207)**2d0*   &
                        coupl(nGC_384) + 2d0*Nc*cMU*coupl(nGC_207)*coupl(      &
                        nGC_210)*coupl(nGC_384) - 2d0*Nc*cMU*coupl(nGC_210)**  &
                        2d0*coupl(nGC_384) - 2d0*cME*coupl(nGC_208)**2d0*coupl(&
                        nGC_354) + 2d0*cME*coupl(nGC_208)*coupl(nGC_211)*coupl(&
                        nGC_354) - 2d0*cME*coupl(nGC_211)**2d0*coupl(nGC_354   &
                        ) - 2d0*cMM*coupl(nGC_208)**2d0*coupl(nGC_360) + 2d0*  &
                        cMM*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_360) - 2d0*&
                        cMM*coupl(nGC_211)**2d0*coupl(nGC_360) - 2d0*cMTA*coupl&
                        (nGC_208)**2d0*coupl(nGC_378) + 2d0*cMTA*coupl(nGC_208 &
                        )*coupl(nGC_211)*coupl(nGC_378) - 2d0*cMTA*coupl(      &
                        nGC_211)**2d0*coupl(nGC_378) + cima*coupl(nGC_195)*    &
                        coupl(nGC_272) + coupl(nGC_199)**2d0*coupl(nGC_272) +  &
                        coupl(nGC_272)*coupl(nGC_811)**2d0)/(8d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
